<?php
/***************Файлы********************************/
	

	function getFiles($dir,$ass = TRUE){
		$dir = rtrim($dir,'/').'/';
		$ret = array();
		if(is_dir($dir)){
			foreach(array_diff(scandir(F.$dir), array('..', '.')) as $val)
			{
				if(is_file($dir.$val)){
				  if($ass)
				      $ret[$val] = $dir.$val;
				  else
				      array_push($ret,$dir.$val);
				}
			}
		}
		return $ret;
	}


	function getFilesSize($dir){
		$dir = rtrim($dir,'/').'/';
		$ret = 0;
		if(is_dir($dir)){
	    	foreach(scandir($dir) as $val)
	    	{
	        	if(is_file($dir.$val))
	        		$ret += filesize($dir.$val);
	    	}
		}
		return $ret;
	}
	function removeDirectory($dir,$clear = FALSE,$clearfonly = FALSE) {
		$ret = FALSE;
		$dir = rtrim($dir,'/');
		if(is_dir($dir)){
	    	if ($objs = glob($dir."/*")) {
	        	foreach($objs as $obj) {
	        		if(is_dir($obj)){
	        			if(!$clear || !$clearfonly)
	        				removeDirectory($obj);
	        		}
	        		else
	        			unlink($obj);
	        	}
	    	}
	    	if(!$clear)
				$ret = rmdir($dir);
		}
		return $ret;
	}
	function cleardir($dir,$clearfonly = FALSE){
		return removeDirectory($dir,TRUE,$clearfonly);
	}
	function filemove($from, $to){
		$ret = FALSE;
		if(($ret = copy($from,$to)))
		    unlink($from);
		return $ret;
	}
	function getDirs($dir){
		$dir = trim(trim($dir),'/').'/';
		$ret = array();
		if(is_dir(F.$dir)){
		    $ar = array_diff(scandir(F.$dir), array('..', '.'));
		    foreach($ar as $val){
		    	if(is_dir(F.$dir.$val))
			        $ret[$val] = $dir.$val;
			}
		}
		return $ret;
	}
	function fileup($data, $ch = 1){
		$ret = array('rez' => 0, 'e' => '');
	    //require is_file(lang_path.'system/error.php') ? lang_path.'system/error.php' : lang_path_def.'system/error.php';
		/*	$data['file']
			$data['typ']
			$data['src']
			$data['file']
			$data['size']
			$data['newname']
		*/
		$data['typ'] = (isset($data['typ'])) ? $data['typ'] : 'images';
		if(empty($data['src'])){
			$ret['e'] = "Не указанна директория для сохранения файла";
			return $ret;
		}
		if(!is_dir($data['src'])){
			$ret['e'] = "Директория указанна не верно";
			return $ret;
		}
		$data['src'] = rtrim($data['src'],'/').'/';
		if(is_uploaded_file($_FILES[$data['file']]['tmp_name'])){				
			if($data['typ'] == 'images')
			{
				$rs = FALSE;
				if(($Imagetype = exif_imagetype($_FILES[$data['file']]['tmp_name']))){
					if($Imagetype == IMAGETYPE_GIF)
						$rs = '.gif';
					elseif($Imagetype == IMAGETYPE_JPEG)
						$rs = '.jpg';
					elseif($Imagetype == IMAGETYPE_BMP)
						$rs = '.bmp';
					elseif($Imagetype == IMAGETYPE_ICO)
						$rs = '.ico';
					elseif($Imagetype == IMAGETYPE_PNG)
						$rs = '.png';
				}
				if(!$rs){
					$ret['e'] = "Неверный формат файла!";
					return $ret;
				}
				$name = !empty($data['newname']) ? $data['newname'] : $_FILES[$data['file']]['name'];
				$name = explode('.', $name);
				$name = $name[0].$rs;
				if(!empty($data['size'])){
					if($_FILES[$data['file']]["size"] > (int)$data['size']){
						$ret['e'] = "Превышен максимально допустимый размер файла";
						return $ret;		
					}
				}
				$ret['rez'] = move_uploaded_file($_FILES[$data['file']]['tmp_name'],$data['src'].$name);
				if($ret['rez'])
					$ret['e'] = $name;
				return $ret;
			}
			elseif($data['typ'] == 'doc')
			{
				$ch = array(
						'csv'	=>	array('text/x-comma-separated-values', 'text/comma-separated-values', 'application/octet-stream', 'application/vnd.ms-excel', 'application/x-csv', 'text/x-csv', 'text/csv', 'application/csv', 'application/excel', 'application/vnd.msexcel', 'text/plain'),
						'psd'	=>	array('application/x-photoshop', 'image/vnd.adobe.photoshop'),
						'pdf'	=>	array('application/pdf', 'application/force-download', 'application/x-download', 'binary/octet-stream'),
						'xls'	=>	array('application/vnd.ms-excel', 'application/msexcel', 'application/x-msexcel', 'application/x-ms-excel', 'application/x-excel', 'application/x-dos_ms_excel', 'application/xls', 'application/x-xls', 'application/excel', 'application/download', 'application/vnd.ms-office', 'application/msword'),
						'swf'	=>	'application/x-shockwave-flash',
						'zip'	=>	array('application/x-zip', 'application/zip', 'application/x-zip-compressed', 'application/s-compressed', 'multipart/x-zip'),
						'rar'	=>	array('application/x-rar', 'application/rar', 'application/x-rar-compressed'),
						'mid'	=>	'audio/midi',
						'midi'	=>	'audio/midi',
						'mpga'	=>	'audio/mpeg',
						'mp2'	=>	'audio/mpeg',
						'mp3'	=>	array('audio/mpeg', 'audio/mpg', 'audio/mpeg3', 'audio/mp3'),
						'aif'	=>	array('audio/x-aiff', 'audio/aiff'),
						'aiff'	=>	array('audio/x-aiff', 'audio/aiff'),
						'aifc'	=>	'audio/x-aiff',
						'ram'	=>	'audio/x-pn-realaudio',
						'rm'	=>	'audio/x-pn-realaudio',
						'rpm'	=>	'audio/x-pn-realaudio-plugin',
						'ra'	=>	'audio/x-realaudio',
						'rv'	=>	'video/vnd.rn-realvideo',
						'wav'	=>	array('audio/x-wav', 'audio/wave', 'audio/wav'),
						'bmp'	=>	array('image/bmp', 'image/x-bmp', 'image/x-bitmap', 'image/x-xbitmap', 'image/x-win-bitmap', 'image/x-windows-bmp', 'image/ms-bmp', 'image/x-ms-bmp', 'application/bmp', 'application/x-bmp', 'application/x-win-bitmap'),
						'gif'	=>	'image/gif',
						'jpeg'	=>	array('image/jpeg', 'image/pjpeg'),
						'jpg'	=>	array('image/jpeg', 'image/pjpeg'),
						'jpe'	=>	array('image/jpeg', 'image/pjpeg'),
						'png'	=>	array('image/png',  'image/x-png'),
						'tiff'	=>	'image/tiff',
						'tif'	=>	'image/tiff',
						'txt'	=>	'text/plain',
						'text'	=>	'text/plain',
						'rtf'	=>	'text/rtf',
						'xml'	=>	array('application/xml', 'text/xml', 'text/plain'),
						'xsl'	=>	array('application/xml', 'text/xsl', 'text/xml'),
						'mpeg'	=>	'video/mpeg',
						'mpg'	=>	'video/mpeg',
						'mpe'	=>	'video/mpeg',
						'qt'	=>	'video/quicktime',
						'mov'	=>	'video/quicktime',
						'avi'	=>	array('video/x-msvideo', 'video/msvideo', 'video/avi', 'application/x-troff-msvideo'),
						'movie'	=>	'video/x-sgi-movie',
						'doc'	=>	array('application/msword', 'application/vnd.ms-office'),
						'docx'	=>	array('application/vnd.openxmlformats-officedocument.wordprocessingml.document', 'application/zip', 'application/msword', 'application/x-zip'),
						'xlsx'	=>	array('application/vnd.openxmlformats-officedocument.spreadsheetml.sheet', 'application/zip', 'application/vnd.ms-excel', 'application/msword', 'application/x-zip','application/octet-stream'),
						'word'	=>	array('application/msword', 'application/octet-stream'),
						'xl'	=>	'application/excel',
						'3g2'   =>	'video/3gpp2',
						'3gp'   =>	array('video/3gp', 'video/3gpp'),
						'mp4'   =>	'video/mp4',
						'm4a'   =>	'audio/x-m4a',
						'f4v'   =>	'video/mp4',
						'wmv'   =>	array('video/x-ms-wmv', 'video/x-ms-asf'),
						'au'    =>	'audio/x-au',
						'ac3'   =>	'audio/ac3',
						'flac'  =>	'audio/x-flac',
						'ogg'   =>	'audio/ogg',
						'wma'	=>	array('audio/x-ms-wma', 'video/x-ms-asf'),
						'ico'	=>	array('image/x-icon', 'image/x-ico', 'image/vnd.microsoft.icon')
					);
				$r = strtolower(pathinfo($_FILES[$data['file']]['name'])['extension']);
				if(isset($ch[$r]))
				{
					$finfo = finfo_open(FILEINFO_MIME_TYPE);
					$mim = finfo_file($finfo, $_FILES[$data['file']]['tmp_name']);
					$mim_ok = FALSE;
					if(gettype($ch[$r]) == "array")
					{
						foreach ($ch[$r] as $val) 
						{
							if($mim == $val)
							{							
								$mim_ok = TRUE; 
								break;
							}
						}			
					}
					else{
						if($mim == $ch[$r])
							$mim_ok = TRUE;
					}
					if($mim_ok)
					{	
						if(!empty($data['size'])){
							if($_FILES[$data['file']]["size"] > (int)$data['size']){
								$ret['e'] = "Превышен максимально допустимый размер файла";
								return $ret;		
							}
						}
						$name = $_FILES[$data['file']]['name'];
						if(!empty($data['newname'])){
							$name = $data['newname'].'.'.$r;
						}
						$ret['rez'] = move_uploaded_file($_FILES[$data['file']]['tmp_name'],$data['src'].$name);
						if($ret['rez'])
							$ret['e'] = $name;
						return $ret;
					}
					else{
						$ret['e'] = "Неверный формат файла";
						return $ret;
					}						
					finfo_close($finfo);
				}
				else{
					$ret['e'] = "Неверный формат файла";
					return $ret;
				}
			}
			else{
				$ret['e'] = "Неверный формат файла!";
				return $ret;
			}
		}
		else{
			$ret['e'] = "Неверный формат файла!";
			return $ret;
		}
	}