<?php
	function getConf($f){
		$f = trim(trim($f),'/');
		$ret = FALSE;
		if(is_file(F.'config/'.$f.'.conf'))
			$ret = json_decode(file_get_contents(F.'config/'.$f.'.conf'),TRUE);
		return $ret;
	}
	function setConf($f,$ar){
		if(!is_array($ar) || empty($ar))
			return FALSE;
		$f = trim(trim($f),'/');
		$ret = FALSE;
		$file = FALSE;
		if(is_file(F.'config/'.$f.'.conf'))
			$file = F.'config/'.$f.'.conf';
		elseif(is_file(F.'config/mod_'.$f.'.conf'))
			$file = F.'config/mod_'.$f.'.conf';
		if(!empty($file)){
			$t = json_encode($ar,JSON_UNESCAPED_UNICODE);
			if(!empty($t))
				$ret = file_put_contents($file, $t);
		}
		return empty($ret) ? FALSE : TRUE;
	}
	function mav_sendmail($data){
		global $setting;     
		if(empty($data['To']) || empty($data['Body']) || empty($setting['smtp']['email']))
			return FALSE;
		require F.'helper/classes/Mav_smtpmail.php'; 
        $mav_smtpmail = new \Mav_smtpmail();
        $tema = isset($data['Tema']) ? $data['Tema'] : 'Сообщение с сайта: '.$setting['main']['org'];
		return $mav_smtpmail->mavsend($data['To'],$tema,$data['Body']);
	}
	function mav_float($sum,$round = FALSE){
		$sum = trim($sum);
        $sum = preg_replace('~[^0-9\.\,\-]~ius', '', $sum);
        $sum = preg_replace('~,~ius', '.', $sum);
        $sum = (float)$sum;
        if($round !== FALSE)
        	$sum = round($sum, $round, PHP_ROUND_HALF_UP);
        return $sum;
	}
	function mav_htmltotext($t, $amp = 0)
	{
	    if($amp)
	      $t = str_replace("&", "&amp;", $t);
	    $ar1 = array("\"","<",">","'","\\"); $ar2 = array("&quot;","&lt;","&gt;","&apos;","&#092;");
	    $t = str_replace($ar1,$ar2,$t);
	    return $t;
	}
	function mav_texttohtml($t, $amp = 1)
	{
	    $ar1 = array("\"","<",">","'","\\"); $ar2 = array("&quot;","&lt;","&gt;","&apos;","&#092;");
	    $t = str_replace($ar2,$ar1,$t);
	    if($amp)
	      $t = str_replace("&amp;", "&", $t);
	    return $t;
	}
	function getIP() {
		$ip = ''; if (!empty($_SERVER['HTTP_CLIENT_IP'])) $ip = $_SERVER['HTTP_CLIENT_IP']; elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) $ip = $_SERVER['HTTP_X_FORWARDED_FOR']; else $ip = $_SERVER['REMOTE_ADDR']; return $ip;
	}
	function mavrandom($max,$rus = FALSE)
	{
	    $chars="qazxswedcvfrtgbnhyujmkiolpQAZXSWEDCVFRTGBNHYUJMKIOLP1234567890";
	    if($rus)
	      $chars=$chars."абвгдежхийклмнопрстуфхцчщшыъьэюяАБВГДЕЖЗИЙКЛМНОПРСТУФХЦЧЩШЫЪЬЭЮЯ";
	    $max=(int)$max;
	    $size=StrLen($chars)-1;
	    $password=null;
	    while($max--)
	        $password.=$chars[rand(0,$size)];
	    return $password;
	}
	function ipost($e = NULL, $ch = 1){return i_ekran($_POST,$e, $ch);}
	function iget($e = NULL, $ch = 1){return i_ekran($_GET,$e, $ch);}
	function isession($e = NULL, $ch = 1){return i_ekran($_SESSION,$e, $ch);}
	function icookie($e, $ch = 1){return i_ekran($_COOKIE,$e, $ch);}
	function i_ekran($el,$e = NULL, $ch = 1){
		$ret = '';
		if($e !== NULL){
		    if($ch)
		      $ret = (isset($el[$e])) ? mav_htmltotext($el[$e]) : NULL;
		    else
		      $ret = (isset($el[$e])) ? $el[$e] : NULL;
		}
		else {
			$ret = array();
			if($ch){
			    foreach ($el as $key => $val) {
			        $key = mav_htmltotext($key);
			        $val = mav_htmltotext($val);
			        $ret[$key] = $val;
			    }
			}
			else
			      $ret = (!empty($el)) ? $el : array();
		}
		return $ret;
	}
	function form_redirect_send($mess,$url = ''){
	  if(isset($_POST['aj']))
	    return $mess;
	  $_SESSION['form_redirect'] = $mess;
	  if(empty($url))
	    $url = URLpageAbsolut;
	  \mav_redirect($url,302);
	}
	function form_redirect(){
	    if(empty($_SESSION['form_redirect']))
	        return '';
	    $ret = $_SESSION['form_redirect'];
	    unset($_SESSION['form_redirect']);
	    return $ret;
	}

	function e404(){
		\view\error404();
		exit();
	}

	function mav_redirect($url,$status = 0){
		$url = trim($url,'/');
		if($status)
			header("HTTP/1.0 {$status}");
		if(strpos($url,'://') === FALSE)
			header("Location: ".PROT."{$_SERVER['SERVER_NAME']}/{$url}");
		else
	    	header("Location: {$url}");
		die();
	}

	function html_in_text($text,$ch_body = TRUE){
	    if($ch_body && preg_match('~<body[^>]*>(.*?)</body>~ius', $text, $ar)){
	     	$text = $ar[1];
	    }
	    $ar1 = array("\"","'");
	    $ar2 = array("&quot;","&apos;");
	    $text = str_replace($ar1,$ar2,$text);
	    $text = preg_replace('~<br\s*/?>~ius', ' ', $text);
	    $text = strip_tags($text, '<b><i><strong><em>');
	    $text = preg_replace('~\s{2,}~ius', ' ', $text);
	    return $text;
	}
	/***************сумму в строку @ author runcore***************/
	  function morph_schet($n, $f1, $f2, $f5) {
	    $n = abs(intval($n)) % 100;
	    if ($n>10 && $n<20) return $f5;
	    $n = $n % 10;
	    if ($n>1 && $n<5) return $f2;
	    if ($n==1) return $f1;
	    return $f5;
	  }
	/******************************************************/
	function chHtmlTag($html_str,$strogo = TRUE){
		$ret = '';
		$html_str = '<maviko>'.trim($html_str).'</maviko>';
		$xml = new \DOMDocument();
		libxml_use_internal_errors(true);
		$allowed_tags = array(
			'maviko','b','i','a','strong','strike','em','blockquote','div','p','br','strike','del','sup','sub','code','pre','span','img',
			'section','h1','h2','h3','h4','h5','h6','aside','address','ul','li','ol','dl','dt','dd','table','tr','td','th','tbody','tfoot','thead',
			'abbr','article','bdi','bdo','caption','cite','code','dfn','footer','hr','ins','q','s','small',
		);
		$allowed_attrs = array('href','rel','target','src','width','height','class','alt','style','data-lightbox');
		if (!strlen($html_str)){return $ret;}
		if ($xml->loadHTML("\xEF\xBB\xBF{$html_str}", LIBXML_HTML_NOIMPLIED | LIBXML_HTML_NODEFDTD)){
		    if($strogo){
		    	foreach ($xml->getElementsByTagName("*") as $tag){
		        	if (!in_array($tag->tagName, $allowed_tags))
		            	$tag->parentNode->removeChild($tag);
		       		else{
						foreach ($tag->attributes as $attr){
							if (!in_array($attr->nodeName, $allowed_attrs))
						    	$tag->removeAttribute($attr->nodeName);
						}
		       		}
		    	}
		    }
			$ret = html_entity_decode($xml->saveHTML());
			$ret = str_replace(array('<maviko>','</maviko>'), '', $ret);
		}
		return $ret;
	}
	function lightcrypt_enc($num, $guid=5) {
		$old = 0;
		$fib_old = 0;
		$fib = $guid;
		$data = array();
		$i = 0;
		$len = strlen($num);
		while ($i < $len) {
			$fib_old = $fib;
			$fib = $fib + $old;
			$chr = (int)substr($num, $i, 1);
			$data[] = ($chr + $fib) + ($fib * $chr);
			$old = $fib_old;
			$i++;
		}
		return implode("-", $data);
	}
	function lightcrypt_dec($enc, $guid=5) {
		$data = explode("-", $enc);
		$cnt = count($data);
		$old = 0;
		$fib_old = 0;
		$fib = $guid;
		$numbs = array();
		$i = 0;
		while ($i < $cnt) {
			$fib_old = $fib;
			$fib = $fib + $old;
			$s = (int)$data[$i];
			$numbs[] = ($s - $fib)/(1 + $fib);
			$old = $fib_old;
			$i++;
		}
		return implode("", $numbs);
	}
	function curl_copy($ot,$tu){
	    $ch = curl_init(htmlspecialchars_decode($ot));  
	    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	    curl_setopt($ch, CURLOPT_HEADER, 0);  
	    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);  
	    curl_setopt($ch, CURLOPT_BINARYTRANSFER,1);  
	    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);//Вслед за перенаправлениями
	    curl_setopt($ch, CURLOPT_COOKIESESSION, FALSE);
	    curl_setopt($ch, CURLOPT_COOKIEJAR, F.'system/cookie.txt');
	    curl_setopt($ch, CURLOPT_COOKIEFILE, F.'system/cookie.txt');
	    curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:38.0) Gecko/20100101 Firefox/38.0');
	    curl_setopt($ch, CURLOPT_TIMEOUT, 10);
	    $out = curl_exec($ch); 
	    if($out === FALSE)
	      return FALSE;
	    $img_sc = file_put_contents($tu, $out);  
	    curl_close($ch); 
	    return ($img_sc > 1) ? TRUE : FALSE;
	}
	function curl_getcontent($host, $referer = 'http://yandex.ru/', $post = array(),$hed = 1){
	    $domain = parse_url($host, PHP_URL_HOST);
	    if (preg_match('~[аА-яЯ]~u', $domain)) {
	        include_once('helpers/classes/idna_convert.class.php');
	        $converter = new idna_convert();
	        $encoded_domain = $converter->encode($domain);
	        $host = str_replace($domain, $encoded_domain, $host);
	    }
	    $host = urldecode($host);
	    $ch = curl_init();
	    if(!empty($post)){
	      while(list($name,$value) = each($post)) {
	            $res[] = urlencode($name)."=".urlencode($value);
	        }
	        $post = implode("&", $res);
	        curl_setopt($ch, CURLOPT_POST, 1);
	        curl_setopt($ch, CURLOPT_POSTFIELDS, $post);
	    }
	    if($hed)
	        curl_setopt($ch, CURLOPT_HEADER, 1);
	    curl_setopt($ch, CURLOPT_REFERER, $referer);
	    curl_setopt($ch, CURLOPT_URL, $host);
	    curl_setopt($ch, CURLOPT_TIMEOUT, 10);
	    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);/*Возвращать контент или выводить*/
	    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);/*Вслед за перенаправлениями*/
	    curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:38.0) Gecko/20100101 Firefox/38.0');
	    curl_setopt($ch, CURLOPT_COOKIESESSION, FALSE);
	    curl_setopt($ch, CURLOPT_COOKIEJAR, F.'system/cookie.txt');
	    curl_setopt($ch, CURLOPT_COOKIEFILE, F.'system/cookie.txt');
	    $html = curl_exec($ch);
	    curl_close($ch);
	    $charset = '';
	    if(preg_match('~Content-Type:\stext/html;\scharset=([^\s]+)\s~si', $html, $arr)){
	        $charset = $arr[1];
	    }
	    elseif(preg_match("~<meta.*?content\\s*=\\s*[\"']\\s*text/html\\s*;\\s*charset=([^\"']+)[\"']~si", $html, $arr)){
	        $charset = $arr[1];
	    }
	    if(strtolower($charset) == 'windows-1251' || $charset == 'cp1251')
	        $html = iconv("windows-1251", "UTF-8", $html);
	    return $html;
	}
	if (!function_exists('array_key_first')) {
	    function array_key_first(array $arr) {
	        foreach($arr as $key => $unused) {
	            return $key;
	        }
	        return NULL;
	    }
	}
	function mav_captcha(){
		global $setting;
		if($setting['main']['captcha']['type'] == 'google'){
			if(empty($_POST["g-recaptcha-response"]))
		      return FALSE;
		    $R =array();
		    $R['secret'] = $setting['main']['captcha']['google']['secretkey'];
		    $R['response'] = $_POST["g-recaptcha-response"];
		    $R['remoteip'] = getIP();
		    $ch = curl_init();
		    curl_setopt($ch, CURLOPT_POST, 1);  
		    curl_setopt($ch, CURLOPT_POSTFIELDS, $R);  
		    curl_setopt($ch, CURLOPT_HEADER, 0);
		    curl_setopt($ch, CURLOPT_URL, 'https://www.google.com/recaptcha/api/siteverify');
		    curl_setopt($ch, CURLOPT_TIMEOUT, 10);
		    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
		    curl_setopt ($ch, CURLOPT_HTTPHEADER, array(
		        'Mozilla/5.0 (Windows; U; Windows NT 5.1; ru; rv:1.9.0.17) Gecko/2009122116 Firefox/3.0.17',
		        'Accept-Language: ru',
		        'Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8',
		        ));
		    curl_setopt($ch, CURLOPT_COOKIEJAR, $_SERVER['DOCUMENT_ROOT'].F.'c/cookie.txt');
		    curl_setopt($ch, CURLOPT_COOKIEFILE, $_SERVER['DOCUMENT_ROOT'].F.'c/cookie.txt');
		    $resp = curl_exec($ch);
		    curl_close($ch);
		    $ok = json_decode($resp,1);
		    return !empty($ok['success']) ? TRUE : FALSE;
		}
		else{
			return (isset($_SESSION['captcha'], $_POST["captcha"]) && $_SESSION['captcha'] == mb_strtoupper(trim($_POST["captcha"]))) ? TRUE : FALSE;
		}
	}

