<?php
namespace models;
if ( ! defined('F')) exit('Нет доступа!');
require_once(F."models/Base_model.php");
class Docs_model extends \models\Base_model
{
    public $dir = 'assets/files/';
    var $data;
    var $count;
    function __construct(){
        $this->data = array();
        $this->count = 0;
    }
    /******************************************/
        public  function Gets($filtr=array(), $startRowIndex=0, $maximumRows=FALSE, $desc='')
        {
            $conn = $this->con();
            $ret = new Docs_model();            
            $lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 300';

            $w = array();

            if(!empty($filtr['s'])){
                $filtr['s'] = trim($conn->real_escape_string($filtr['s']));
                array_push($w, "Title LIKE '%{$filtr['s']}%'");
            }
            if(!empty($filtr['Id'])){
                array_push($w, "Id = ".(int)$filtr['Id']);
            }
            $w = !empty($w) ? " WHERE ".implode(' AND ', $w) : '';
            if(empty($desc))
                $desc = '`Id` DESC';
            else
            {
            	$desc = $conn->real_escape_string($desc);
                $ar = explode(' ', trim($desc));
                if (isset($ar[1]))
                    $desc = '`'.$ar[0].'` DESC';
                else
                    $desc = '`'.$ar[0].'`';
            }
            $query = $conn->query("SELECT * FROM Docs {$w} ORDER BY {$desc} {$lim}");
            if (!empty($query) && $query->num_rows)
            {
                $ret->data = $this->convertList($query);
                if($maximumRows){
                    $query2 = $conn->query("SELECT * FROM Docs {$w}");
                    if(!empty($query2)){
                        $ret->count  = (int)$query2->fetch_array()[0];
                        $query2->close();
                    }
                }
            }
            $conn->close();
            return $ret;
        }
        public function GetById($id)
        {
            $id = (int)$id;
            $conn = $this->con();
            $ret = NULL;
            $q = "SELECT * FROM `Docs` WHERE `Id` = $id LIMIT 1";
            $query = $conn->query($q);
            $conn->close();
            if (!empty($query) && $query->num_rows)
                $ret = $this->convert($query);
            return $ret;
        }
    /******************Ins-Up-Del*****************************/
    	public  function Update($dat)
        {
        	$id = 0;
            if (isset($dat['Id']))
                $id=(int)$dat['Id'];
            else
                return false;
            $ret = false;
            $data = array();
            if(isset($dat['Title']))
                $data['Title'] = mav_htmltotext(trim($dat['Title']));
            if(isset($dat['Description']))
                $data['Description'] = mav_htmltotext(trim($dat['Description']));
            if(isset($dat['Type']))
                $data['Type'] = mav_htmltotext(trim($dat['Type']));
            if(!empty($data))
                $ret = $this->b_update('Docs',$data,$id,0);
            return $ret;
        }
        public  function Insert($dat)
        {
            $ret = false;
            $data = array();
            if(isset($dat['Title']))
                $data['Title'] = mav_htmltotext(trim($dat['Title']));
            if(isset($dat['Description']))
                $data['Description'] = mav_htmltotext(trim($dat['Description']));
            if(isset($dat['Type']))
                $data['Type'] = mav_htmltotext(trim($dat['Type']));
            if(!empty($data))
                $ret = $this->b_insert('Docs',$data,0);
            return $ret;
        }
        public function Delete($id)
        {
            $conn = $this->con();
            $item = $this->GetById($id);
            if(empty($item))
            	return FALSE;
            if(is_file(F.$item['src']))
            	unlink(F.$item['src']);
            $ret = $conn->query("DELETE FROM `Docs` WHERE `Id` = {$item['Id']}");
            return $ret;
        }
    /***************PrivateMethod******************/        
        function convert(&$query)
        {
            $row = $query->fetch_assoc();
            if(empty($row)){
                $query->close();
                return NULL;
            }
            else
            {
                if(empty($row['Title']))
                	$row['Title'] = $row['Id'].'.'.trim($row['Type'],'.');
                $row['src'] = $this->dir.$row['Id'].'.'.trim($row['Type'],'.');
                $query->close();
                return $row;
            }
        }
        function convertList(&$query, $cart = FALSE)
        {
            $ret = array();
            $t_par = array();
            while($row = $query->fetch_assoc())
            {
                if(empty($row['Title']))
                	$row['Title'] = $row['Id'].'.'.trim($row['Type'],'.');
                $row['src'] = $this->dir.$row['Id'].'.'.trim($row['Type'],'.');
                array_push($ret, $row);
            }
            unset($t_par);
            $query->close();
            return $ret;
        }
    /********************************************************/
	    public function fileup($file){
			$ret = array('rez' => 0, 'e' => '');
			if((is_uploaded_file($_FILES[$file]['tmp_name']))){			
				$ch = array(
						'csv'	=>	array('text/x-comma-separated-values', 'text/comma-separated-values', 'application/octet-stream', 'application/vnd.ms-excel', 'application/x-csv', 'text/x-csv', 'text/csv', 'application/csv', 'application/excel', 'application/vnd.msexcel', 'text/plain'),
						'psd'	=>	array('application/x-photoshop', 'image/vnd.adobe.photoshop'),
						'pdf'	=>	array('application/pdf', 'application/force-download', 'application/x-download', 'binary/octet-stream'),
						'xls'	=>	array('application/vnd.ms-excel', 'application/msexcel', 'application/x-msexcel', 'application/x-ms-excel', 'application/x-excel', 'application/x-dos_ms_excel', 'application/xls', 'application/x-xls', 'application/excel', 'application/download', 'application/vnd.ms-office', 'application/msword'),
						'swf'	=>	'application/x-shockwave-flash',
						'zip'	=>	array('application/x-zip', 'application/zip', 'application/x-zip-compressed', 'application/s-compressed', 'multipart/x-zip'),
						'rar'	=>	array('application/x-rar', 'application/rar', 'application/x-rar-compressed'),
						'mid'	=>	'audio/midi',
						'midi'	=>	'audio/midi',
						'mpga'	=>	'audio/mpeg',
						'mp2'	=>	'audio/mpeg',
						'mp3'	=>	array('audio/mpeg', 'audio/mpg', 'audio/mpeg3', 'audio/mp3'),
						'aif'	=>	array('audio/x-aiff', 'audio/aiff'),
						'aiff'	=>	array('audio/x-aiff', 'audio/aiff'),
						'aifc'	=>	'audio/x-aiff',
						'ram'	=>	'audio/x-pn-realaudio',
						'rm'	=>	'audio/x-pn-realaudio',
						'rpm'	=>	'audio/x-pn-realaudio-plugin',
						'ra'	=>	'audio/x-realaudio',
						'rv'	=>	'video/vnd.rn-realvideo',
						'wav'	=>	array('audio/x-wav', 'audio/wave', 'audio/wav'),
						'bmp'	=>	array('image/bmp', 'image/x-bmp', 'image/x-bitmap', 'image/x-xbitmap', 'image/x-win-bitmap', 'image/x-windows-bmp', 'image/ms-bmp', 'image/x-ms-bmp', 'application/bmp', 'application/x-bmp', 'application/x-win-bitmap'),
						'gif'	=>	'image/gif',
						'jpeg'	=>	array('image/jpeg', 'image/pjpeg'),
						'jpg'	=>	array('image/jpeg', 'image/pjpeg'),
						'jpe'	=>	array('image/jpeg', 'image/pjpeg'),
						'png'	=>	array('image/png',  'image/x-png'),
						'tiff'	=>	'image/tiff',
						'tif'	=>	'image/tiff',
						'txt'	=>	'text/plain',
						'text'	=>	'text/plain',
						'rtf'	=>	'text/rtf',
						'xml'	=>	array('application/xml', 'text/xml', 'text/plain'),
						'xsl'	=>	array('application/xml', 'text/xsl', 'text/xml'),
						'mpeg'	=>	'video/mpeg',
						'mpg'	=>	'video/mpeg',
						'mpe'	=>	'video/mpeg',
						'qt'	=>	'video/quicktime',
						'mov'	=>	'video/quicktime',
						'avi'	=>	array('video/x-msvideo', 'video/msvideo', 'video/avi', 'application/x-troff-msvideo'),
						'movie'	=>	'video/x-sgi-movie',
						'doc'	=>	array('application/msword', 'application/vnd.ms-office'),
						'docx'	=>	array('application/vnd.openxmlformats-officedocument.wordprocessingml.document', 'application/zip', 'application/msword', 'application/x-zip'),
						'xlsx'	=>	array('application/vnd.openxmlformats-officedocument.spreadsheetml.sheet', 'application/zip', 'application/vnd.ms-excel', 'application/msword', 'application/x-zip','application/octet-stream'),
						'word'	=>	array('application/msword', 'application/octet-stream'),
						'xl'	=>	'application/excel',
						'3g2'   =>	'video/3gpp2',
						'3gp'   =>	array('video/3gp', 'video/3gpp'),
						'mp4'   =>	'video/mp4',
						'm4a'   =>	'audio/x-m4a',
						'f4v'   =>	'video/mp4',
						'wmv'   =>	array('video/x-ms-wmv', 'video/x-ms-asf'),
						'au'    =>	'audio/x-au',
						'ac3'   =>	'audio/ac3',
						'flac'  =>	'audio/x-flac',
						'ogg'   =>	'audio/ogg',
						'wma'	=>	array('audio/x-ms-wma', 'video/x-ms-asf'),
						'ico'	=>	array('image/x-icon', 'image/x-ico', 'image/vnd.microsoft.icon')
					);
				$r = strtolower(pathinfo($_FILES[$file]['name'])['extension']);
				if(isset($ch[$r]))
				{
					$finfo = finfo_open(FILEINFO_MIME_TYPE);
					$mim = finfo_file($finfo, $_FILES[$file]['tmp_name']);
					$mim_ok = FALSE;
					if(gettype($ch[$r]) == "array")
					{
						foreach ($ch[$r] as $val) 
						{
							if($mim == $val)
							{							
								$mim_ok = TRUE; 
								break;
							}
						}			
					}
					else{
						if($mim == $ch[$r])
							$mim_ok = TRUE;
					}
					if($mim_ok)
					{							
						$name = MAVTEMP."file_temp.{$r}";
						$ret['rez'] = move_uploaded_file($_FILES[$file]['tmp_name'],$name);
						if($ret['rez'])
							$ret['e'] = $name;
						return $ret;
					}
					else{
						$ret['e'] = "Неверный формат файла";
						return $ret;
					}					
					finfo_close($finfo);
				}
				else{
					$ret['e'] = "Неверный формат файла";
					return $ret;
				}
			}
			return $ret;
		}
}