<?php
namespace models\moduls;
if ( ! defined('F')) exit('Нет доступа!');
require_once(F."models/Base_model.php");

class Addon_model extends \models\Base_model
{
    var $data;
    var $count;
    var $set;
    public $r_money_def = '15';
    function __construct(){
        $this->data = array();
        $this->count = 0;
        $this->set = getConf('mod_addon');
    }
    /****************user*********************/
        //InsertKey
        //DeleteKey
        public function Login($Login, $pass){
            require_once(F."models/user/User_model.php");
            $user_m = new \models\user\User_model;
            $t = $user_m->Login($Login, $pass);
            if($t[0]){
                $t[1] = $t[1]->data;
                $ar = $this->SetKey($t[1]['Id']);
                if(empty($ar)){
                    $t[0] = FALSE;
                    $t[1] = 'Неизвесная ошибка';
                }
                else
                    $t[1] = array_merge($t[1],$ar);
            }
            return $t;
        }
        private function SetKey($Id){
            $Id = (int)$Id;
            $conn = $this->con();
            $key = mavrandom(31);
            $ret = NULL;
            $query = $conn->query("SELECT Capt as AddonCapt, Active as AddonActive FROM `mod_addon_user` WHERE `Id` = {$Id} LIMIT 1");
            if (!empty($query) && $query->num_rows){
                $row = $query->fetch_assoc();
                $query->close();
                if($conn->query("UPDATE `mod_addon_user` SET `kl`= '{$key}' WHERE `Id` = {$Id}"))
                    $ret = array('AddonCapt' => $row['AddonCapt'], 'AddonActive' => $row['AddonActive'], 'AddonKey' => $key);
            }
            else{
                if($conn->query("INSERT INTO `mod_addon_user`(`Id`, `kl`) VALUES ({$Id},'{$key}')"))
                    $ret = array('AddonCapt' => 0, 'AddonActive' => 1, 'AddonKey' => $key);
            }
            $conn->close();
            return $ret;
        } 
        public function UnSetKey($Id){
            $conn = $this->con();
            $conn->query("UPDATE `mod_addon_user` SET `kl`= '' WHERE `Id` = ".(int)$Id);
            $conn->close();
            return TRUE;
        }
        public function auth($Key){
            $conn = $this->con();
            $user = NULL;
            $Key = $conn->real_escape_string(trim($Key));
            $q = "SELECT u.*, r.Capt as AddonCapt, r.Active as AddonActive, r.kl as AddonKey 
            FROM `mod_addon_user` as r 
            LEFT JOIN `user` as u ON(u.Id = r.Id)
            LEFT JOIN `user_profil` as `p` ON(u.Id = p.Id)
            WHERE r.`Kl` = '{$Key}' AND u.Id IS NOT NULL AND u.Active = '1' LIMIT 1";
            //die($q);
            $query = $conn->query($q);
            if (!empty($query) && $query->num_rows){
                $row = $query->fetch_assoc();
                if(!empty($row))
                    $user = $row;
                $query->close();
            }
            $conn->close();
            return $user;
        }
        public function ShowActivate($Id,$active){
            $active = empty($active) ? 0 : 1;
            $conn = $this->con();
            $ret = $conn->query("UPDATE `mod_addon_user` SET `Active`= {$active} WHERE `Id` = ".(int)$Id);
            $conn->close();
            return $ret;
        }
        public function UpCaptcha($Id,$reset = FALSE){
            $capt = 0;
            if(!$reset){
                if(rand(0,$this->set['captrand']) === 1)
                    $capt = 1;
            }
            $conn = $this->con();
            $ret = $conn->query("UPDATE `mod_addon_user` SET `Capt`= {$capt} WHERE `Id` = ".(int)$Id);
            $conn->close();
            return $ret;
        }
    /********************Геты**********************/
        public function Gets($f = array(), $startRowIndex=0, $maximumRows=FALSE,$desc = NULL)
        {
            $ret = new Addon_model;
            $conn = $this->con();
            $where = '';
            $lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 300';
            if(empty($desc)){
                if(!empty($f['adm']))
                    $desc = "IF(r.Approved = 0,  1,  999), r.`Id` DESC";
                else
                    $desc = 'r.`Id` DESC';
            }
            else
            {
                $desc = $conn->real_escape_string($desc);
                $ar = explode(' ', trim($desc));
                if (isset($ar[1]))
                    $desc = 'r.`'.$ar[0].'` DESC';
                else
                    $desc = 'r.`'.$ar[0].'`';
            }
            if(!empty($f)){
                $w = array();
                if(isset($f['Id']))
                    array_push($w, "r.Id = ".(int)$f['Id']);  
                if(isset($f['UserId']))
                    array_push($w, "r.UserId = ".(int)$f['UserId']);  
                if(isset($f['Active']))
                    array_push($w, "r.Active = ".(int)$f['Active']);  
                if(isset($f['Approved']))
                    array_push($w, "r.Approved = ".(int)$f['Approved']); 
                if(isset($f['s'])){
                    $s = $conn->real_escape_string($f['s']);
                    array_push($w, "(r.`Url` LIKE '%{$s}%' OR r.`Title` LIKE '%{$s}%')");                
                }
                /****************************************************/
                if(!empty($w)){
                    $where = ' WHERE ' .implode(' AND ', $w);
                    unset($w);
                }
            }
            if(empty($f['adm']))
                $q = "SELECT * FROM `mod_addon` as r {$where} ORDER BY {$desc} {$lim}";
            else
                $q = "SELECT r.*, u.Login as UserLogin, u.MoneyR as MoneyR FROM `mod_addon` as r LEFT JOIN user as u ON(u.Id = r.UserId) {$where} ORDER BY {$desc} {$lim}";
            $query = $conn->query($q);
            //die($q);
            if (!empty($query) && $query->num_rows)
            {
                $ret->data = $this->convertList($query);
                if($maximumRows){
                    $query2 = $conn->query("SELECT COUNT(*) FROM `mod_addon` as r {$where}");
                    if(!empty($query2) && $query2->num_rows){
                        $ret->count = (int)$query2->fetch_array()[0];
                        $query2->close();
                    }
                }
            }
            $conn->close();
            return $ret;
        }
        public  function GetByID($id,$adm = FALSE)
        {
            $id = (int)$id;
            $ret = NULL;
            $conn = $this->con();
            $w = 'WHERE Id = '.(int)$id;
            $q = $adm ? "SELECT r.*, u.Login as UserLogin FROM `mod_addon` as r LEFT JOIN user as u ON(u.Id == r.UserId) {$w} LIMIT 1" : "SELECT * FROM `mod_addon` {$w} LIMIT 1";
            //die($q);
            $query = $conn->query($q);
            if (!empty($query) && $query->num_rows)
                $ret = $this->convert($query);
            $conn->close();
            return $ret;
        }
        public  function GetByID_plus($id,$UserId = NULL)
        {
            $id = (int)$id;
            $ret = NULL;
            $conn = $this->con();
            $w = "r.`Id` = {$id} ";
            if(isset($UserId))
                $w .= " AND r.UserId = ".(int)$UserId;
            $q = "SELECT r.*, u.Money, u.MoneyR, u.Visit FROM `mod_addon` as r LEFT JOIN user as u ON(r.UserId = u.Id) WHERE {$w} LIMIT 1";
            //echo $q;
            $query = $conn->query($q);
            if (!empty($query))
                $ret = $this->convert($query);
            $conn->close();
            return $ret;
        }
    /*****************ins/up***********************/        
        public  function Update($dat, $adm = FALSE)
        {
            $ret = FALSE;
            if(!$adm && !$GLOBALS['user_logined'])
                return FALSE;
            //var_dump($dat);die();
            $data = array();
            $id = 0;
            if (isset($dat['Id'])) {
                $id=(int)$dat['Id'];
            }
            else
                return false;
            if(isset($dat['Url'])){
                $data['Url'] = mav_htmltotext(trim($dat['Url']));                    
                if(!preg_match('~^(?:https?:)?//.*~ius', $data['Url']))
                    $data['Url'] = 'http://'.ltrim($data['Url'], '/');
            }
            if(isset($dat['Title']))
                $data['Title'] = mav_htmltotext(trim($dat['Title']));
            if(isset($dat['Body']))
                $data['Body'] = mav_htmltotext(trim($dat['Body']));
            if(isset($dat['UserId']))
                $data['UserId'] = (int)$dat['UserId'];
            if(isset($dat['Approved']))
                $data['Approved'] = (int)$dat['Approved'];
            if(isset($dat['Active']))
                $data['Active'] = (int)$dat['Active'];

            if(isset($dat['Pol']))
                $data['Pol'] = (int)$dat['Pol'];
            if(isset($dat['Vozr_min']))
                $data['Vozr_min'] = (int)$dat['Vozr_min'];
            if(isset($dat['Vozr_max']))
                $data['Vozr_max'] = (int)$dat['Vozr_max'];

            if(isset($dat['S_views']))
                $data['S_views'] = (int)$dat['S_views'];
            if(isset($dat['S_click']))
                $data['S_click'] = (int)$dat['S_click'];
            if(isset($dat['S_trata']))
                $data['S_trata'] = (float)$dat['S_trata'];

            if(isset($dat['B_type']))
                $data['B_type'] = (int)$dat['B_type'];
            if(isset($dat['B_trata']))
                $data['B_trata'] = (float)$dat['B_trata'];
            if(isset($dat['B_money']))
                $data['B_money'] = (float)$dat['B_money'];

            if(isset($dat['AddDate']))
                $data['AddDate'] = (int)$dat['AddDate'];
            if(isset($dat['Refer']))
                $data['Refer'] = (int)$dat['Refer'];
            if(isset($dat['Postmod']))
                $data['Postmod'] = (int)$dat['Postmod'];
            
            if(isset($dat['Price'])){
                $data['Price'] = isset($this->set['price'][$dat['Price']]) ? $dat['Price'] : $this->r_money_def;
            }

            if(isset($dat['ApprovedComm']))
                $data['ApprovedComm'] = mav_htmltotext(trim($dat['ApprovedComm']));
            
            $where_ins = ($adm) ? $id : array('Id' => $id, 'UserId' => $GLOBALS['user_login']->data['Id']);
            if(!empty($data))
                $ret = $this->b_update('mod_addon',$data,$where_ins);

            if($ret && isset($dat['reg']) && is_array($dat['reg'])){                
                $conn = $this->con();
                $conn->query("DELETE FROM `mod_addon_reg` WHERE `RId` = {$id}");
                $conn->close();
                foreach ($dat['reg'] as $val) {
                    $this->b_insert('mod_addon_reg',array(
                        'RId' => $id,
                        'Obl' => (int)$val['Obl'],
                        'Country' => $val['Country'],
                        ));
                }
            }      
            if(!empty($dat['stat'])){
                $this->b_insert('mod_addon_stat',array(
                'RId' => $id,
                'UserId' => (($GLOBALS['user_logined']) ? $GLOBALS['user_login']->data['Id'] : 0),
                'AddDate' => time(),
                'Ip' => sprintf('%u', ip2long(IP))
                ),0);
            } 
            return $ret;
        }
        public function Insert($dat)
        {
            if(empty($dat['Url']) || empty($dat['Title']) || empty($dat['UserId']))
                return FALSE;
            $data = array();
            if(isset($dat['Url'])){
                $data['Url'] = mav_htmltotext(trim($dat['Url']));                    
                if(!preg_match('~^(?:https?:)?//.*~ius', $data['Url']))
                    $data['Url'] = 'http://'.ltrim($data['Url'], '/');
            }
            if(isset($dat['Title']))
                $data['Title'] = mav_htmltotext(trim($dat['Title']));
            if(isset($dat['Body']))
                $data['Body'] = mav_htmltotext(trim($dat['Body']));
            if(isset($dat['UserId']))
                $data['UserId'] = (int)$dat['UserId'];
            if(isset($dat['Pol']))
                $data['Pol'] = (int)$dat['Pol'];
            if(isset($dat['Vozr_min']))
                $data['Vozr_min'] = (int)$dat['Vozr_min'];
            if(isset($dat['Vozr_max']))
                $data['Vozr_max'] = (int)$dat['Vozr_max'];
            if(isset($dat['S_views']))
                $data['S_views'] = (int)$dat['S_views'];
            if(isset($dat['S_click']))
                $data['S_click'] = (int)$dat['S_click'];
            if(isset($dat['S_trata']))
                $data['S_trata'] = (float)$dat['S_trata'];
            if(isset($dat['B_type']))
                $data['B_type'] = (int)$dat['B_type'];
            if(isset($dat['B_trata']))
                $data['B_trata'] = (float)$dat['B_trata'];
            if(isset($dat['B_money']))
                $data['B_money'] = (float)$dat['B_money'];         
            $data['Refer'] = isset($dat['Refer']) ? (int)$dat['Refer'] : 0;
            $data['Approved'] = isset($dat['Approved']) ? (int)$dat['Approved'] : 0;
            $data['Active'] = isset($dat['Active']) ? (int)$dat['Active'] : 1;
            $data['AddDate'] = time();
            $data['Price'] = isset($dat['Price'],$this->set['price'][$dat['Price']]) ? $dat['Price'] : $this->r_money_def;
            //var_dump($data); die();
            $id = $this->b_insert('mod_addon',$data,0);
            if($id){
                if(isset($dat['reg']) && is_array($dat['reg'])){
                    foreach ($dat['reg'] as $val) {
                        $this->b_insert('mod_addon_reg',array(
                            'RId' => $id,
                            'Obl' => (int)$val['Obl'],
                            'Country' => $val['Country'],
                            ),0);
                    }
                }
            }
            return $id;
        }
        /*public function InsertStat($dat){
            $id = $this->b_insert('mod_addon_stat',$data,0);
            return $id;
        }*/
        public  function Delete($id,$adm = FALSE)
        {
            global $user_logined,$user_login;           
            $conn = $this->con();
            $id=(int)$id;
            if($adm)
                $q = "DELETE FROM `mod_addon` WHERE `Id` = {$id}";
            else{
                if(!$user_logined)
                    return FALSE;
                $q = "DELETE FROM `mod_addon` WHERE `Id` = {$id} AND `UserId` = {$user_login->data['Id']}";
            }
            $conn->query($q);
            $ret = $conn->affected_rows;
            $conn->close();
            return $ret;
        }
    /*****************Дополнительные методы*********/
        public function IncrementViev($id){
            $conn = $this->con();
            $id = $conn->real_escape_string($id);
            $ret = $conn->query("UPDATE `mod_addon` SET `S_views` = `S_views` + 1 WHERE `Id` IN ({$id})");
            $conn->close();
            return $ret;
        }
        public function ClickUpdate($r,$user)
        {
            if(empty($r) || empty($user))
                return FALSE;
            $conn = $this->con();
            $id = $r['Id'];
            $type = (int)$r['B_type'];
            $p = isset($this->set['price'][$r['Price']]) ? $this->set['price'][$r['Price']] : $this->set['price'][$this->r_money_def];
            $sql = "UPDATE `mod_addon` SET 
                `S_click` = `S_click`+1, 
                `B_trata` = `B_trata` + {$p}, 
                `S_trata` = S_trata + {$p}
                WHERE `Id` = {$id}";
            //die($sql);
            $ret = $conn->query($sql);
            $conn->query("INSERT INTO `mod_addon_stat` (`RId`,`UserId`,`AddDate`,`Ip`) VALUES ({$id},".$user['Id'].",".time().",".sprintf('%u', ip2long(IP)).")");
            $conn->close();
            return $ret;
        }
        public  function GetReg($id){
            $id = (int)$id;
            $ret = array();
            $conn = $this->con();
            $q = "SELECT rk.*,g_obl.Title as OblTitle, g_con.Title as CountryTitle FROM mod_addon_reg as rk
            LEFT JOIN GeoIp_obl as g_obl on (g_obl.Id = rk.Obl)
            LEFT JOIN GeoIp_country as g_con on (g_con.Id = rk.Country)
            WHERE rk.`RId` = $id";
            $query = $conn->query($q);
            if (!empty($query) && $query->num_rows)
            {
                while($row = $query->fetch_assoc())
                    array_push($ret,$row);
                $query->close();
            }
            $conn->close();
            return $ret;
        }
    /*****************ForClick*********************/ 
        public function GetNext($user)
        {
            $ret = array();
            $conn = $this->con();
            $w = '';
            /**************************/
                if(empty($user['Obl']) && !empty($user['Country']))
                    $w .= " AND ((reg.Country = '{$user['Country']}' AND reg.Obl = 0) OR reg.RId IS NULL)";
                elseif(!empty($user['Obl']) && !empty($user['Country']))
                    $w .= " AND ((reg.Country = '{$user['Country']}' AND (reg.Obl = {$user['Obl']} OR reg.Obl = 0)) OR reg.RId IS NULL)";
                else
                    $w .= " AND reg.RId IS NULL";
            /******************************************/
                $t = ''; 
                foreach ($this->set['price'] as $k => $v) {
                    $t .= " (r.Price = '{$k}' AND u.MoneyR > {$v}) OR";
                }
                $t = substr($t, 0, strripos($t, 'OR'));
                $w = "{$w} AND ({$t})";
                unset($t);
            /******************************************/  
            $sut = time() - 60*60*$this->set['interval'];
            $q = "SELECT r.Id, r.Price 
            FROM `mod_addon` as r 
            LEFT JOIN `user` as u on(r.UserId = u.Id)
            LEFT JOIN `mod_addon_reg` as reg on(r.Id = reg.RId) 
            LEFT JOIN `mod_addon_stat` as s on(r.Id = s.RId AND s.UserId = {$user['Id']} AND s.AddDate > {$sut})          
            WHERE 
                r.Active = 1 AND r.Approved = 1 AND u.Active = '1'
                AND (r.B_type = 1 OR r.B_trata <= B_money)
                
                AND s.RId IS NULL
                
                {$w}
            ORDER BY RAND() LIMIT 1";
            //die($q);
            //AND ad.UserId IS NOT NULL
            //AND tek.RId IS NULL
            $query = $conn->query($q);
            if (!empty($query) &&  $query->num_rows){  
                $row = $query->fetch_assoc();
                if(!empty($row))
                    $ret = $row;
            }
            $conn->close();
            return $ret;
        }
    /*****************tek***************************/    
        public function GetTek($UserId, $RId = 0){            
            $ret = NULL;
            $conn = $this->con();
            $UserId = (int)$UserId;
            $q = "SELECT t.*,r.Url, r.Price as Price FROM `mod_addon_tek` as t 
            LEFT JOIN `mod_addon` as r ON (t.RId = r.Id)
            WHERE t.`UserId` = {$UserId}";
            if($RId)
                $q .= ' AND RId = '.(int)$RId;
            $query = $conn->query("{$q} ORDER BY t.`AddDate` DESC LIMIT 1");
            //die("{$q} ORDER BY t.`AddDate` DESC LIMIT 1");
            if (!empty($query)){
                $row = $query->fetch_assoc();
                    $ret = $row;
            }
            $conn->close();
            return $ret;
        }
        public function InsertTek($RId,$UserId,$Capt){
            $data = array();
            $data['RId'] = (int)$RId;
            $data['UserId'] = (int)$UserId;
            $data['AddDate'] = time();
            $data['Capt'] = trim($Capt);
            $id = $this->b_insert('mod_addon_tek',$data,0);
        }
        public  function DeleteTek($UserId)
        {
            $conn = $this->con();
            $ret = $conn->query("DELETE FROM `mod_addon_tek` WHERE `UserId` = ".(int)$UserId);
            $conn->close();
            return $ret;
        }
    /*****************SLUG*************************/
        private function convert(&$query)
        {
            $row = $query->fetch_assoc();
            if(empty($row)){
                $query->close();
                return NULL;
            }
            else
            {
                $query->close();
                return $row;
            }
        }
        private function convertList(&$query)
        {
            $ret = array();
            while($row = $query->fetch_assoc())
                array_push($ret, $row);
            $query->close();
            return $ret;
        }        
    /*******************АПИ***************************/

    /*******************cron***************************/        
        public function cron(){ // раз в 4-5 утра
            global $user_m,$setting,$user_logined,$user_login;
            $time = time();
            if($this->set['cron_ok'] < ($time - 60*60*24)){
                if(date('H')  >  3){                    
                    /*************отрабатываем**************************/
                        $conn = $this->con();
                        $ret = $conn->query("UPDATE `mod_addon` SET `B_trata` = 0 WHERE `B_type` = 2");
                        $sut = $time - 60*60*$this->set['interval'];
                        $ret = $conn->query("DELETE FROM `mod_addon_stat` WHERE `AddDate` < {$sut}");
                        $sut = $time - 300;
                        $ret = $conn->query("DELETE FROM `mod_addon_tek` WHERE `AddDate` < {$sut}");
                        $conn->close();
                    /*********запись об успехе****************/
                        $t = $this->set;
                        if(!empty($t)){
                            $t['cron_ok'] = $time;
                            setConf('addon',$t);
                        }
                    /****************************************/
                }
            }
        }

}
