<?php global $setting; ?>
<h1>Browser Extension</h1>
<div class="feedok"><?php echo $feed; ?></div>
<div class="items_filtr">
    <div class="col-sm-6">
        <div class="form-group">   
            <label>Search phrase:</label>     
            <input data-dataform="" type="text" placeholder="Search by title or URL" <?php if(!empty($filtr['s'])) echo "value=\"{$filtr['s']}\""; ?> name="s" class="form-control input-sm" />
        </div>
    </div>
    <div class="col-sm-6">
        <div class="form-group">   
            <label>Status:</label><br />
            <select class="form-control" name="Approved" data-dataform="">
                <option <?php if(!isset($filtr['Approved'])) echo 'selected="selected"'; ?> value="">Any ...</option>
                <option <?php if(isset($filtr['Approved']) && $filtr['Approved'] < 0) echo 'selected="selected"'; ?> value="-1">Rejected</option>
                <option <?php if(isset($filtr['Approved']) && $filtr['Approved'] == 0) echo 'selected="selected"'; ?> value="0">Under review</option>
                <option <?php if(isset($filtr['Approved']) && $filtr['Approved'] > 0) echo 'selected="selected"'; ?> value="1">Approved</option>
            </select>
        </div>
    </div>
    <div class="clearfix"></div>
    <div class="col-sm-6">
        <div class="form-group">   
            <label>Search by User ID:</label>        
            <input data-dataform="" type="text" placeholder="Search by User ID" <?php if(!empty($filtr['UserId'])) echo "value=\"{$filtr['UserId']}\""; ?> name="UserId" class="form-control input-sm" />
        </div>
    </div>
    <div class="col-sm-6">
        <div class="form-group">   
            <label>Search by ID:</label>        
            <input data-dataform="" type="text" placeholder="Search by ID" <?php if(!empty($filtr['Id'])) echo "value=\"{$filtr['Id']}\""; ?> name="Id" class="form-control input-sm" />
        </div>
    </div>
    <input type="hidden" id="startpag" data-dataform="" name="startpag" value="<?php echo $startpag; ?>">
    <input type="hidden" id="sort" data-dataform="" name="sort" value="<?php echo $sort; ?>">
    <input type="hidden" id="url_build" name="url_build" value="<?php echo $url_build; ?>">
    <div class="clearfix"></div>
    <p style="text-align: center;">
        <button type="button" class="btn btn-default" onclick="items_filtr();"><i class="fa fa-filter"></i> Go</button>
        <button type="button" class="btn btn-default" onclick="items_filtr_clear();"><i class="fa fa-times"></i> Clear</button>
    </p>
</div>

<div class="panel panel-default">
    <div class="panel-heading">
        <h3 class="panel-title">Ad List</h3>
    </div>
    <?php if(empty($items) || empty($items->data)) { ?>
    <div class="panel-body" style="text-align: center;">
        <em>No users</em>
    </div>
    <?php } else { ?>
    <div class="table-responsive">
        <table class="table table-striped table-hover table-condensed">
            <thead>
                <tr>
                    <th><button onclick="return sortitem('Id',this);" class="btn-link btn_sort">№ <?php if($sort == 'Id') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Id DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>

                    <th><button style="text-align: center;white-space: nowrap;font-size: 12px;font-weight: normal;" onclick="return sortitem('B_type',this);" class="btn-link btn_sort">User <?php if($sort == 'B_type') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'B_type DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>

                    <th><button onclick="return sortitem('Url',this);" class="btn-link btn_sort">URL <?php if($sort == 'Url') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Url DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th style="text-align: center;">Status</th>
                    <th><button style="font-size: 12px;" onclick="return sortitem('Price',this);" class="btn-link btn_sort">Price per click <?php if($sort == 'Price') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Price DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th><button style="font-size: 12px;" onclick="return sortitem('S_trata',this);" class="btn-link btn_sort">Statistics <?php if($sort == 'S_trata') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'S_trata DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
            <?php foreach($items->data as $val){ 
                    $tr_class = '';
                    $val['Approved'] = (int)$val['Approved'];
                    if($val['Approved'] < 0)
                        $tr_class = 'class="danger"';
                    elseif($val['Approved'] < 1)
                        $tr_class = 'class="warning"';
                    
                    $_url = (mb_strlen($val['Url']) > 40) ? (mb_substr($val['Url'], 0, 40).' ...') : $val['Url'];
                    $Price = isset($r_m->set['price'][$val['Price']]) ? $r_m->set['price'][$val['Price']] : $r_m->set['price'][0];
                    $val['B_type'] = (int)$val['B_type'];
                    unset($tip);
                ?>
                <tr <?php echo $tr_class; ?> id="ord_tr<?php echo $val['Id']; ?>">
                    <td style="max-width: 100px;"><?php echo $val['Id']; ?></td>
                    <td>
                        <strong><?php echo $val['UserLogin']; ?></strong> (<small><a title="Go to user page" href="<?php echo X_URL.'/user/edit_'.$val['UserId']; ?>">ID <?php echo $val['UserId']; ?></a></small>)
                    </td>
                    <td>
                        <?php echo $val['Title']; ?>                        
                        <br />
                        <a title="Yandex virus check" class="btn btn-default btn-xs" target="_blank" href="https://yandex.ru/infected?url=<?php echo urlencode($val['Url']); ?>"><i class="fa fa-yoast"></i></a> <a title="Google virus check" class="btn btn-default btn-xs" target="_blank" href="https://transparencyreport.google.com/safe-Browse/search?url=<?php echo urlencode($val['Url']); ?>"><i class="fa fa-google"></i></a>                        
                        <small><a href="<?php echo $val['Url']; ?>" title="<?php echo $val['Url']; ?>" target="_blank"><?php echo $_url; ?></a></small>
                    </td>
                    <td style="text-align: center;">
                        <select onchange="approved_change(<?php echo $val['Id']; ?>,this);" class="form-control">
                            <option value="-1" <?php if($val['Approved'] < 0) echo 'selected="selected"'; ?>>Rejected</option>
                            <option value="0" <?php if($val['Approved'] === 0) echo 'selected="selected"'; ?>>Under review</option>
                            <option value="1" <?php if($val['Approved'] > 0) echo 'selected="selected"'; ?>>Approved</option>
                        </select>
                        <?php if($val['Approved'] < 0) { ?>

                        <button onclick="app_comm_show(<?php echo $val['Id']; ?>);" class="btn btn-xs btn-default">Specify reason</button>
                        <div id="app_comm_pos_<?php echo $val['Id']; ?>"></div>
                        <input type="hidden" id="app_comm_<?php echo $val['Id']; ?>" value="<?php echo $val['ApprovedComm']; ?>" />

                        <?php } ?>
                        <div style="margin-top: 5px;">
                            <?php
                            if($val['Approved'] < 0) echo '<span style="color: red; font-size:12px;"><i class="fa fa-times"></i> Rejected by moderator</span>'; 
                            elseif($val['Approved'] < 1) echo '<span style="color: #8a6d3b;"><i class="fa fa-exclamation-triangle"></i> Under review</span>'; 
                            elseif($val['Active'] < 1) echo '<span style="color: red; font-size:12px;"><i class="fa fa-times"></i> Displays stopped</span>'; 
                            elseif($val['MoneyR'] < $Price){ ?>
                            <span style="color: red; font-size:12px;"><i class="fa fa-times"></i> Displays stopped</span><br /><small>Insufficient funds in advertising account</small>
                            <?php } elseif($val['B_type'] > 1 && $val['B_trata'] >= $val['B_money']) { ?>
                                <span style="color: red; font-size:12px;"><i class="fa fa-times"></i> Displays stopped</span><br /><span style="font-size:11px;"><?php echo ($val['B_type'] === 2) ? 'Daily budget exhausted' : 'Total budget exhausted'; ?></span>
                            <?php } else { ?>
                            <span style="color: green; font-size:12px;"><i class="fa fa-check"></i> Displays running</span>
                            <?php } ?>
                        </div>
                    </td>
                    <td style="font-size: 12px;">   
                        <?php echo "{$val['Price']} sec. ({$Price} {$setting['main']['cur']['z']})"; ?>
                        <br />
                        <?php 
                        if($val['B_type'] === 1) 
                            echo 'Unlimited budget'; 
                        elseif($val['B_type'] === 2) 
                            echo 'Daily budget:<br />'.$val['B_money'].' '.$setting['main']['cur']['z'].' / '.$val['B_trata'].' '.$setting['main']['cur']['z']; 
                        elseif($val['B_type'] === 3) echo 'Total budget:<br />'.$val['B_money'].' '.$setting['main']['cur']['z'].' / '.$val['B_trata'].' '.$setting['main']['cur']['z']; ?>
                    </td>
                    <td style="font-size:12px; text-align: center;">
                        <div style="text-align: left;display: inline-block;">
                            <div data-toggle="tooltip" data-placement="left" title="Clicks"><i class="fa fa-fw fa-mouse-pointer"></i> <?php echo $val['S_click']; ?></div>
                            <div data-toggle="tooltip" data-placement="left" title="Spent"><i class="fa fa-fw fa-money"></i> <?php echo $val['S_trata']; ?></div>
                        </div>
                    </td>
                    <td style="width: 90px;">                        
                        <button style="margin:3px;" title="Edit" data-toggle="tooltip" data-placement="bottom" class="btn btn-sm btn-warning" onclick="show_item(<?php echo $val['Id']; ?>);"><i class="fa fa-pencil"></i></button>
                        <button style="margin:3px;" title="Delete" data-toggle="tooltip" data-placement="bottom" class="btn btn-sm btn-danger" onclick="return delet_item(<?php echo $val['Id']; ?>);"><i class="fa fa-trash"></i></button>
                    </td>
                </tr>
            <?php } ?>
            </tbody>
        </table>
    </div>
    <?php echo $pager; ?>
    <?php } ?>
</div>


<div id="app_comm_show" style="position: absolute;display: none;top: 0;left: 0;">
    <div class="comm_edit_form" style="display: block;">
        <textarea id="app_comm_show_text" style="margin:5px 0;width: 100%;" rows="3"><?php echo $val['ApprovedComm']; ?></textarea>
        <input type="hidden" id="app_comm_show_id" />
        <button class="btn btn-sm btn-default" onclick="app_comm_show(this);"><i class="fa fa-times"></i></button> &nbsp;
        <button class="btn btn-sm btn-danger" onclick="comm_change();"><i class="fa fa-pencil"></i> &nbsp; Save</button>
    </div>
</div>

<div id="show_item"></div>
<script>
    function app_comm_show(id){
        if(!$('#app_comm_show').is(':visible')){
            $('#app_comm_show').offset($('#app_comm_pos_'+id).offset());
            $('#app_comm_show #app_comm_show_text').val($('#app_comm_'+id).val());
            $('#app_comm_show').css('display','block');
            $('#app_comm_show_id').val(id);
        }
        else{
            $('#app_comm_show').offset({top:0,left:0});
            $('#app_comm_show').css('display','none');
        }
    }
    function show_item(id){
        $('#ajaxProgress').show();
        $('#show_item').load(document.location.href,{show_item:id},function(){$('#ajaxProgress').hide();});
        return false;
    }
    function items_filtr(){
        $('#startpag').val(1);
        var formData = getFormData_el('[data-dataform]');
        dataload(formData);
        return false;
    }
    function items_filtr_clear(){   
        //$([chosen]).chosen("destroy");
        $('.items_filtr select option').removeAttr('selected');
        $('.items_filtr select option:first-child').attr('selected','selected');
        $('.items_filtr select option').prop('selected',false);
        $(".items_filtr input[type=text]").val('');
        $('.items_filtr input[type=checkbox]').removeAttr('checked');
        $('.items_filtr input[type=checkbox]').prop('checked',false);
        //$("[chosen]").chosen({no_results_text: "Значение не найдено!"});
        return items_filtr();
    }
    function pager(pag){
        $('#startpag').val(pag);
        var formData = getFormData_el('[data-dataform]');   
        dataload(formData); 
        return false;
    }
    function sortitem(el,e){
        $('.btn_sort').find('.fa').remove();
        if($('#sort').val() == el)
            el += ' DESC';
        $('#sort').val(el);
        items_filtr();
        return false;
    }
    function dataload(formData){
        $('#ajaxProgress').show();
        formData.append('aj',1);
        $.ajax({
            url: document.location.href,
            type: "POST",
            cache: false,
            contentType: false,
            processData: false,         
            data: formData,
            success: function(content){
                $('#ajax_load').html(content);
                $('#ajaxProgress').hide();
                window.history.pushState(null, null, $('#url_build').val());
            }
        });
        return false;
    }
    function approved_change(id,st){
        var formData = getFormData_el('[data-dataform]');       
        formData.append('Approved_up',$(st).val());
        formData.append('ItemId',id);
        dataload(formData);
        return false;
    }
    function comm_change(id){
        var formData = getFormData_el('[data-dataform]');       
        formData.append('Kom_up',$('#app_comm_show_text').val());
        formData.append('ItemId',$('#app_comm_show_id').val());
        dataload(formData);
        return false;
    }
    function delet_item(id){
        if(!confirm('Confirm deletion!'))
            return false;
        var formData = getFormData_el('[data-dataform]');       
        formData.append('DeletItem',id);
        dataload(formData);
        return false;
    }
    /******************************************/
        function sel_reg(e,f){
            $('#ajaxProgress').show(); 
            $(e).load('/aj/select_country',{func:f},function(){$('#ajaxProgress').hide();});
        }
        function reg_del(e){
            $(e).parent('td').parent('tr').remove();
            return false;
        }
        function select_country_ed(a,b,na,nb){
            $('table.reged tbody').append('<tr><td><input type="hidden" name="reg_country[]" value="'+a+'">'+na+'</td><td><input type="hidden" name="reg_obl[]" value="'+b+'">'+nb+'</td><td><button title="Delete" onclick="return reg_del(this);" class="btn btn-sm btn-danger"><i class="fa fa-trash"></i></button></td></tr>');
        }
        /*function select_country(a,b,na,nb){
            $('table.reg tbody').append('<tr><td><input type="hidden" name="reg_country[]" value="'+a+'">'+na+'</td><td><input type="hidden" name="reg_obl[]" value="'+b+'">'+nb+'</td><td><button title="Удалить" onclick="return reg_del(this);" class="btn btn-sm btn-danger"><i class="fa fa-trash"></i></button></td></tr>');
        }*/
    /******************************************/
</script>