<?php
namespace models\moduls;
if ( ! defined('F')) exit('Нет доступа!');
require_once(F."models/Base_model.php");

class Bonus_model extends \models\Base_model
{
    var $data;
    var $count;
    var $set;
    public $r_money_def = '15';
    function __construct(){
        $this->data = array();
        $this->count = 0;
        $this->set = getConf('mod_bonus');
    }
    /******************************************/
    	public function Gets($f = array(), /*$startRowIndex=0, $maximumRows=FALSE,*/$desc = NULL)
        {
            $ret = new Bonus_model;
            $conn = $this->con();
            $where = $sl = $join = '';
            if(empty($desc))
                $desc = 'r.`Id` DESC';
            else
            {
                $desc = $conn->real_escape_string($desc);
                $ar = explode(' ', trim($desc));
                if (isset($ar[1]))
                    $desc = 'r.`'.$ar[0].'` DESC';
                else
                    $desc = 'r.`'.$ar[0].'`';
            }
            if(!empty($f)){
                $w = array();
                if(!empty($f['Active_oll'])){
                    if(empty($GLOBALS['user_logined']))
                        return $ret; 
                    $join = ' LEFT JOIN `mod_bonus_stat` as s ON(s.BonusId = r.Id AND s.AddDate > ('.time().' - r.Povtor*60*60) AND UserId = '.$GLOBALS['user_login']->data['Id'].')';
                    $sl = ", IF(s.AddDate IS NULL, 0, s.AddDate) as SAddDate, IF(s.Price IS NULL, 0, s.Price) as SPrice";
                    array_push($w, "r.Active = 1");
                }
                if(isset($f['Active'])){
                    if(empty($GLOBALS['user_logined']))
                        return $ret; 
                    $join = ' LEFT JOIN `mod_bonus_stat` as s ON(s.BonusId = r.Id AND s.AddDate > ('.time().' - r.Povtor*60*60) AND UserId = '.$GLOBALS['user_login']->data['Id'].')';
                    array_push($w, "r.Active = ".(int)$f['Active']." AND s.UserId IS NULL"); 
                }
                /****************************************************/
                if(!empty($w)){
                    $where = ' WHERE ' .implode(' AND ', $w);
                    unset($w);
                }
            }
            $q = "SELECT r.* {$sl} FROM `mod_bonus` as r {$join} {$where} GROUP BY r.Id ORDER BY {$desc} LIMIT 50";
            $query = $conn->query($q);
            //die($q);
            if (!empty($query) && $query->num_rows)
                $ret->data = $this->convertList($query);
            $conn->close();
            return $ret;
        }
        public  function GetByID($id)
        {
            $id = (int)$id;
            $ret = NULL;
            $conn = $this->con();
            $w = 'WHERE Id = '.(int)$id;
            $q = "SELECT * FROM `mod_bonus` {$w} LIMIT 1";
            //die($q);
            $query = $conn->query($q);
            if (!empty($query) && $query->num_rows)
                $ret = $this->convert($query);
            $conn->close();
            return $ret;
        }
        public  function GetByIDActive($id)
        {
            if(empty($GLOBALS['user_logined']))
                return FALSE;
            $id = (int)$id;
            $ret = NULL;
            $conn = $this->con();
            $id = (int)$id;
            $q = "SELECT r.* FROM `mod_bonus` as r 
            LEFT JOIN `mod_bonus_stat` as s
            ON(s.BonusId = r.Id AND s.AddDate > (".time()." - r.Povtor*60*60) AND UserId = {$GLOBALS['user_login']->data['Id']})
            WHERE r.Id = {$id} AND r.Active = 1 AND s.UserId IS NULL LIMIT 1";
            //die($q);
            $query = $conn->query($q);
            if (!empty($query) && $query->num_rows)
                $ret = $this->convert($query);
            $conn->close();
            return $ret;
        }
    /*****************ins/up***********************/    	
        public  function Update($dat)
        {
            $ret = FALSE;
            $data = array();
            $id = 0;
            if (isset($dat['Id'])) {
                $id=(int)$dat['Id'];
            }
            else
                return false;
            if(isset($dat['Code']))
                $data['Code'] = trim($dat['Code']);
            if(isset($dat['PriceOt'])){
                $data['PriceOt'] = mav_float($dat['PriceOt']);
                if(empty($data['PriceOt']))
                    return $ret;
            }
            if(isset($dat['PriceDo'])){
                $data['PriceDo'] = mav_float($dat['PriceDo']);
                if(empty($data['PriceDo']))
                    return $ret;
            }
            if(isset($dat['Active']))
                $data['Active'] = (int)$dat['Active'];
            if(isset($dat['Type']))
                $data['Type'] = (int)$dat['Type'];
            if(isset($dat['Povtor'])){
                $data['Povtor'] = (int)$dat['Povtor'];
                if(!$data['Povtor'])
                    $data['Povtor'] = 24;
            }
            if(!empty($data))
                $ret = $this->b_update('mod_bonus',$data,$id);
            return $ret;
        }
        public  function UpdateStat($BonusId,$Price)
        {
            //die("INSERT INTO `mod_bonus_stat` (`UserId`,`BonusId`,`Price`,`AddDate`) VALUES ({$GLOBALS['user_login']->data['Id']},{$BonusId},{$Price},".time().")");
            $ret = FALSE;
            $conn = $this->con();
            $Price = mav_float($Price);
            $BonusId = (int)$BonusId;
            if(!empty($GLOBALS['user_logined'])){
                $ret = $conn->query("INSERT INTO `mod_bonus_stat` (`UserId`,`BonusId`,`Price`,`AddDate`) VALUES ({$GLOBALS['user_login']->data['Id']},{$BonusId},{$Price},".time().")");
                if($ret)
                    $conn->query("UPDATE `mod_bonus` SET `S_clik` = `S_clik`+1, `S_price` = `S_price`+{$Price} WHERE `Id` = {$BonusId}");
            }
            return $ret;
        }

        public function Insert($dat)
        {
            if(empty($dat['PriceOt']) || empty($dat['PriceDo']) || empty($dat['Code']))
                return FALSE;
            $data['Code'] = trim($dat['Code']);
            $data['PriceOt'] = mav_float($dat['PriceOt']);
            if(empty($data['PriceOt']))
                return $ret;
            $data['PriceDo'] = mav_float($dat['PriceDo']);
            if(empty($data['PriceDo']))
                return $ret;
            if(isset($dat['Active']))
                $data['Active'] = (int)$dat['Active'];
            if(!empty($dat['Povtor']))
                $data['Povtor'] = (int)$dat['Povtor'];
            else
                $data['Povtor'] = 24;
            if(isset($dat['Type']))
                $data['Type'] = (int)$dat['Type'];
            else
                $data['Type'] = 1;
            $id = $this->b_insert('mod_bonus',$data);
            return $id;
        }
        public  function Delete($id,$adm = FALSE)
        {
        	global $user_logined,$user_login;        	
            $conn = $this->con();
            $id=(int)$id;
            $conn->query("DELETE FROM `mod_bonus` WHERE `Id` = {$id}");
            $ret = $conn->affected_rows;
            $conn->close();
            return $ret;
        }
    /*****************tek****************************/
        public  function GetTekByID($key)
        {
            global $user_logined,$user_login;
            $ret = NULL;
            if(!$user_logined)
                return $ret;
            $conn = $this->con();
            $key = $conn->real_escape_string($key);
            $q = "SELECT * FROM `mod_bonus_tek` WHERE `Kl` = '{$key}' AND UserId = {$user_login->data['Id']} LIMIT 1";
            $query = $conn->query($q);
            if (!empty($query) && $query->num_rows)
                $ret = $query->fetch_assoc();
            $conn->close();
            return $ret;
        }
        public  function DeleteTek($key)
        {
            global $user_logined,$user_login;           
            $conn = $this->con();
            $key = $conn->real_escape_string($key);
            $conn->query("DELETE FROM `mod_bonus_tek` WHERE `Kl` = '{$key}'");
            $ret = $conn->affected_rows;
            $conn->close();
            return $ret;
        }
        public function InsertTek($k,$bid)
        {
            global $user_logined,$user_login;
            if(!$user_logined)
                return FALSE;
            return $id = $this->b_insert('mod_bonus_tek',array('Kl' => $k, 'UserId' => $user_login->data['Id'], 'AddDate' => time(), 'BonusId' => (int)$bid));
        }
    /*****************Дополнительные методы*********/
        private function convert(&$query)
        {
            $row = $query->fetch_assoc();
            if(empty($row)){
                $query->close();
                return NULL;
            }
            else
            {
                $query->close();
                return $row;
            }
        }
        private function convertList(&$query)
        {
            $ret = array();
            while($row = $query->fetch_assoc())
                array_push($ret, $row);
            $query->close();
            return $ret;
        }        
    /*******************cron***************************/        
        public function cron(){ // раз в 4-5 утра
            global $user_m,$setting,$user_logined,$user_login;
            $time = time();
            if($this->set['cron_ok'] < ($time - 60*60*24)){
                if(date('H')  >  3){                    
                    /*************отрабатываем**************************/
                        $conn = $this->con();
                        $sut = $time - 60*60*24*30;
                        $ret = $conn->query("DELETE FROM `mod_bonus_stat` WHERE `AddDate` < {$sut}");
                        $ret = $conn->query("DELETE FROM `mod_bonus_tek` WHERE `AddDate` < {$sut}");                        
                        $conn->close();
                    /*********запись об успехе****************/
                        $t = $this->set;
                        if(!empty($t)){
                            $t['cron_ok'] = $time;
                            setConf('bonus',$t);
                        }
                    /****************************************/
                }
            }
        }
}