<?php global $setting; ?>
<h1>Партнерка</h1>
<div class="feedok"><?php echo $feed; ?></div>
<div class="items_filtr">
    <div class="col-sm-6">
        <div class="form-group">    
            <label>Поиск по ИД-пользователя:</label>        
            <input data-dataform="" type="text" placeholder="Поиск по ИД-пользователя" <?php if(!empty($filtr['Id'])) echo "value=\"{$filtr['Id']}\""; ?> name="Id" class="form-control input-sm" />
        </div>
    </div>
	<div class="col-sm-6">
		<div class="form-group">	
			<label>Статус:</label><br />
			<select class="form-control" name="Active" data-dataform="">
				<option <?php if(!isset($filtr['Active'])) echo 'selected="selected"'; ?> value="">Любой ...</option>
				<option <?php if(isset($filtr['Active']) && $filtr['Active'] < 0) echo 'selected="selected"'; ?> value="-1">Отклонен</option>
				<option <?php if(isset($filtr['Active']) && $filtr['Active'] == 0) echo 'selected="selected"'; ?> value="0">На проверке</option>
				<option <?php if(isset($filtr['Active']) && $filtr['Active'] > 0) echo 'selected="selected"'; ?> value="1">Одобрен</option>
			</select>
		</div>
	</div>
	<div class="clearfix"></div>
	<input type="hidden" id="startpag" data-dataform="" name="startpag" value="<?php echo $startpag; ?>">
	<input type="hidden" id="sort" data-dataform="" name="sort" value="<?php echo $sort; ?>">
	<input type="hidden" id="url_build" name="url_build" value="<?php echo $url_build; ?>">
	<div class="clearfix"></div>
	<p style="text-align: center;">
		<button type="button" class="btn btn-default" onclick="items_filtr();"><i class="fa fa-filter"></i> Поехали</button>
		<button type="button" class="btn btn-default" onclick="items_filtr_clear();"><i class="fa fa-times"></i> Очистить</button>
	</p>
</div>

<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">Список пользователей</h3>
	</div>
	<?php if(empty($items) || empty($items->data)) { ?>
	<div class="panel-body" style="text-align: center;">
		<em>Нет пользователей</em>
	</div>
	<?php } else { ?>
	<div class="table-responsive">
		<table class="table table-striped table-hover table-condensed">
			<thead>
				<tr>
                    <th><button onclick="return sortitem('Id',this);" class="btn-link btn_sort">Пользователь <?php if($sort == 'Id') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Id DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th><button onclick="return sortitem('Status',this);" class="btn-link btn_sort">Статус <?php if($sort == 'Status') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Status DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th>Причина блокировки</th>
                    <th><button onclick="return sortitem('ClickCount',this);" class="btn-link btn_sort">Кликов <?php if($sort == 'ClickCount') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'ClickCount DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                </tr>
			</thead>
			<tbody>
			<?php foreach($items->data as $val){ 
					$tr_class = '';
					$val['Active'] = (int)$val['Active'];
					if($val['Active'] < 0)
						$tr_class = 'class="danger"';
					elseif($val['Active'] < 1)
						$tr_class = 'class="warning"';
				?>
				<tr <?php echo $tr_class; ?> id="ord_tr<?php echo $val['Id']; ?>">
                    <td>
                    	<strong><?php echo $val['Login']; ?></strong> (<small><a title="Перейти на страницу пользователя" href="<?php echo X_URL.'/user/edit_'.$val['Id']; ?>">ИД <?php echo $val['Id']; ?></a></small>)
                        <div style="display: block; margin-bottom: 5px;">
                            <button onclick="show_loginhistory(<?php echo $val['Id']; ?>);" data-toggle="tooltip" title="История авторизаций" class="btn btn-xs btn-default"><i class="fa fa-fw fa-history"></i></button>
                            <button type="button" onclick="return show_moneyhistory(<?php echo $val['Id']; ?>);" data-toggle="tooltip" title="Финансовые операции" class="btn btn-xs btn-default"><i class="fa fa-fw fa-money"></i></button>
                            <a href="<?php echo X_URL; ?>/context/partnerstat?PId=<?php echo $val['Id']; ?>" data-toggle="tooltip" title="Перейти к статистике" class="btn btn-xs btn-default"><i class="fa fa-fw fa-bar-chart"></i></a>
                        </div>
                    </td>
                    <td>
                		<select onchange="approved_change(<?php echo $val['Id']; ?>,this);" class="form-control">
                			<option value="-1" <?php if($val['Active'] < 0) echo 'selected="selected"'; ?>>Отклонено</option>
                			<option value="0" <?php if($val['Active'] === 0) echo 'selected="selected"'; ?>>На проверке</option>
                			<option value="1" <?php if($val['Active'] > 0) echo 'selected="selected"'; ?>>Одобрено</option>
                		</select>
                    </td>
                    <td>
                        <?php if($val['Active'] < 0) { ?>
                        <div class="form-group">
                            <textarea placeholder="Укажите причину блокировки" class="form-control" onchange="comm_change(<?php echo $val['Id']; ?>,this)" rows="1" name="Kom"><?php echo $val['Kom']; ?></textarea>
                        </div>
                        <?php } ?>
                    </td>
                    <td><?php echo $val['ClickCount']; ?></td>
				</tr>
			<?php } ?>
			</tbody>
		</table>
	</div>
	<?php echo $pager; ?>
	<?php } ?>
</div>
<div id="show_item"></div>
<script>
	function items_filtr(){
		$('#startpag').val(1);
		var formData = getFormData_el('[data-dataform]');
    	dataload(formData);
    	return false;
	}
	function items_filtr_clear(){	
		//$([chosen]).chosen("destroy");
		$('.items_filtr select option').removeAttr('selected');
		$('.items_filtr select option:first-child').attr('selected','selected');
		$('.items_filtr select option').prop('selected',false);
		$(".items_filtr input[type=text]").val('');
		$('.items_filtr input[type=checkbox]').removeAttr('checked');
		$('.items_filtr input[type=checkbox]').prop('checked',false);
		//$("[chosen]").chosen({no_results_text: "Значение не найдено!"});
    	return items_filtr();
	}
	function pager(pag){
		$('#startpag').val(pag);
		var formData = getFormData_el('[data-dataform]');	
    	dataload(formData);	
        return false;
    }
	function sortitem(el,e){
		$('.btn_sort').find('.fa').remove();
		if($('#sort').val() == el)
			el += ' DESC';
		$('#sort').val(el);
        items_filtr();
        return false;
	}
    function dataload(formData){
    	$('#ajaxProgress').show();
		formData.append('aj',1);
		$.ajax({
	        url: document.location.href,
	        type: "POST",
	        cache: false,
	        contentType: false,
	        processData: false,         
	        data: formData,
	        success: function(content){
	            $('#ajax_load').html(content);
	            $('#ajaxProgress').hide();
	            window.history.pushState(null, null, $('#url_build').val());
	        }
    	});
		return false;
    }
    function approved_change(id,st){
        var formData = getFormData_el('[data-dataform]');       
        formData.append('Approved_up',$(st).val());
        formData.append('ItemId',id);
        dataload(formData);
        return false;
    }
    function comm_change(id,st){
        var formData = getFormData_el('[data-dataform]');       
        formData.append('Kom_up',$(st).val());
        formData.append('ItemId',id);
        dataload(formData);
        return false;
    }
    /******************************************/
    function show_loginhistory(id) {
        $('#ajaxProgress').show();
        $('#show_item').load('<?php echo X_URL.'/user/show_loginhistory'; ?>',{Id:id},function(){$('#ajaxProgress').hide();});
        return false;
    }
    function show_moneyhistory(id) {
        $('#ajaxProgress').show();
        $('#show_item').load('<?php echo X_URL.'/user/show_moneyhistory'; ?>',{Id:id},function(){$('#ajaxProgress').hide();});
        return false;
    }
    /******************************************/
</script>