<?php global $setting; ?>
<h1>Реклама на коротких ссылках</h1>
<div class="feedok"><?php echo $feed; ?></div>
<div class="items_filtr">
	<div class="col-sm-6">
		<div class="form-group">	
			<label>Поисковая фраза:</label>		
			<input data-dataform="" type="text" placeholder="Поиск по заголовку или URL-адресу" <?php if(!empty($filtr['s'])) echo "value=\"{$filtr['s']}\""; ?> name="s" class="form-control input-sm" />
		</div>
	</div>
	<div class="col-sm-6">
		<div class="form-group">	
			<label>Статус:</label><br />
			<select class="form-control" name="Approved" data-dataform="">
				<option <?php if(!isset($filtr['Approved'])) echo 'selected="selected"'; ?> value="">Любой ...</option>
				<option <?php if(isset($filtr['Approved']) && $filtr['Approved'] < 0) echo 'selected="selected"'; ?> value="-1">Отклонен</option>
				<option <?php if(isset($filtr['Approved']) && $filtr['Approved'] == 0) echo 'selected="selected"'; ?> value="0">На проверке</option>
				<option <?php if(isset($filtr['Approved']) && $filtr['Approved'] > 0) echo 'selected="selected"'; ?> value="1">Одобрен</option>
			</select>
		</div>
	</div>
	<div class="clearfix"></div>
	<div class="col-sm-6">
		<div class="form-group">	
			<label>Поиск по ИД-пользователя:</label>		
			<input data-dataform="" type="text" placeholder="Поиск по ИД-пользователя" <?php if(!empty($filtr['UserId'])) echo "value=\"{$filtr['UserId']}\""; ?> name="UserId" class="form-control input-sm" />
		</div>
	</div>
    <div class="col-sm-6">
        <div class="form-group">    
            <label>Поиск по ИД:</label>        
            <input data-dataform="" type="text" placeholder="Поиск по ИД" <?php if(!empty($filtr['Id'])) echo "value=\"{$filtr['Id']}\""; ?> name="Id" class="form-control input-sm" />
        </div>
    </div>
	<input type="hidden" id="startpag" data-dataform="" name="startpag" value="<?php echo $startpag; ?>">
	<input type="hidden" id="sort" data-dataform="" name="sort" value="<?php echo $sort; ?>">
	<input type="hidden" id="url_build" name="url_build" value="<?php echo $url_build; ?>">
	<div class="clearfix"></div>
	<p style="text-align: center;">
		<button type="button" class="btn btn-default" onclick="items_filtr();"><i class="fa fa-filter"></i> Поехали</button>
		<button type="button" class="btn btn-default" onclick="items_filtr_clear();"><i class="fa fa-times"></i> Очистить</button>
	</p>
</div>

<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">Список реклам</h3>
	</div>
	<?php if(empty($items) || empty($items->data)) { ?>
	<div class="panel-body" style="text-align: center;">
		<em>Нет пользователей</em>
	</div>
	<?php } else { ?>
	<div class="table-responsive">
		<table class="table table-striped table-hover table-condensed">
			<thead>
				<tr>
                    <th><button onclick="return sortitem('Id',this);" class="btn-link btn_sort">№ <?php if($sort == 'Id') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Id DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>

                    <th><button style="text-align: center;white-space: nowrap;font-size: 12px;font-weight: normal;" onclick="return sortitem('B_type',this);" class="btn-link btn_sort">Пользователь <?php if($sort == 'B_type') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'B_type DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>

                    <th><button onclick="return sortitem('Url',this);" class="btn-link btn_sort">URL <?php if($sort == 'Url') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Url DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th style="text-align: center;">Статус</th>
                    <th><button style="font-size: 12px;" onclick="return sortitem('Price',this);" class="btn-link btn_sort">Цена за клик <?php if($sort == 'Price') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Price DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th><button style="font-size: 12px;" onclick="return sortitem('S_trata',this);" class="btn-link btn_sort">Статистика <?php if($sort == 'S_trata') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'S_trata DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th></th>
                </tr>
			</thead>
			<tbody>
			<?php foreach($items->data as $val){ 
					$tr_class = '';
					$val['Approved'] = (int)$val['Approved'];
					if($val['Approved'] < 0)
						$tr_class = 'class="danger"';
					elseif($val['Approved'] < 1)
						$tr_class = 'class="warning"';
					
                    $_url = (mb_strlen($val['Url']) > 40) ? (mb_substr($val['Url'], 0, 40).' ...') : $val['Url'];
                    $Price = isset($r_m->set['price'][$val['Price']]) ? $r_m->set['price'][$val['Price']] : $r_m->set['price'][0];
                    $val['B_type'] = (int)$val['B_type'];
                    unset($tip);
				?>
				<tr <?php echo $tr_class; ?> id="ord_tr<?php echo $val['Id']; ?>">
					<td style="max-width: 100px;"><?php echo $val['Id']; ?></td>
                    <td>
                    	<strong><?php echo $val['UserLogin']; ?></strong> (<small><a title="Перейти на страницу пользователя" href="<?php echo X_URL.'/user/edit_'.$val['UserId']; ?>">ИД <?php echo $val['UserId']; ?></a></small>)                        
                    </td>
                    <td>
                        <?php echo $val['Title']; ?>                        
                        <br />
                        <a title="Проверка на вирусы Яндекс" class="btn btn-default btn-xs" target="_blank" href="https://yandex.ru/infected?url=<?php echo urlencode($val['Url']); ?>"><i class="fa fa-yoast"></i></a> <a title="Проверка на вирусы Google" class="btn btn-default btn-xs" target="_blank" href="https://transparencyreport.google.com/safe-browsing/search?url=<?php echo urlencode($val['Url']); ?>"><i class="fa fa-google"></i></a>
                        <small><a href="<?php echo $val['Url']; ?>" title="<?php echo $val['Url']; ?>" target="_blank"><?php echo $_url; ?></a></small>
                        <div style="padding-top: 3px;"><?php if($val['Price'] > 0) echo "<a href=\"http://{$_SERVER['SERVER_NAME']}/adver/rmylink?frame_test={$val['Id']}&proto=http\" target=\"_blank\" class=\"btn btn-xs btn-default\"><i class=\"fa fa-eye\"></i> Проверить фрейм</a>"; ?></div>
                    </td>
                    <td style="text-align: center;">
                		<select onchange="approved_change(<?php echo $val['Id']; ?>,this);" class="form-control">
                			<option value="-1" <?php if($val['Approved'] < 0) echo 'selected="selected"'; ?>>Отклонено</option>
                			<option value="0" <?php if($val['Approved'] === 0) echo 'selected="selected"'; ?>>На проверке</option>
                			<option value="1" <?php if($val['Approved'] > 0) echo 'selected="selected"'; ?>>Одобрено</option>
                		</select>
                        <?php if($val['Approved'] < 0) { ?>

                        <button onclick="app_comm_show(<?php echo $val['Id']; ?>);" class="btn btn-xs btn-default">Указать причину</button>
                        <div id="app_comm_pos_<?php echo $val['Id']; ?>"></div>
                        <input type="hidden" id="app_comm_<?php echo $val['Id']; ?>" value="<?php echo $val['ApprovedComm']; ?>" />

                        <?php } ?>
                        <div style="margin-top: 5px;">
                            <?php
                            if($val['Approved'] < 0) echo '<span style="color: red; font-size:12px;"><i class="fa fa-times"></i> Отклонено модератором</span>'; 
                            elseif($val['Approved'] < 1) echo '<span style="color: #8a6d3b;"><i class="fa fa-exclamation-triangle"></i> На проверке</span>'; 
                            elseif($val['Active'] < 1) echo '<span style="color: red; font-size:12px;"><i class="fa fa-times"></i> Показы остановленны</span>'; 
                            elseif($val['MoneyR'] < $Price){ ?>
                            <span style="color: red; font-size:12px;"><i class="fa fa-times"></i> Показы остановленны</span><br /><small>Недостаточно средств на рекламном счете</small>
                            <?php } elseif($val['B_type'] > 1 && $val['B_trata'] >= $val['B_money']) { ?>
                                <span style="color: red; font-size:12px;"><i class="fa fa-times"></i> Показы остановленны</span><br /><span style="font-size:11px;"><?php echo ($val['B_type'] === 2) ? 'Заданный бюджет на сегодня исчерпан' : 'Заданный бюджет исчерпан'; ?></span>
                            <?php } else { ?>
                            <span style="color: green; font-size:12px;"><i class="fa fa-check"></i> Идут показы</span>
                            <?php } ?>
                        </div>
                    </td>
                    <td style="font-size: 12px;">    
                        <?php echo "{$val['Price']} сек. ({$Price} {$setting['main']['cur']['z']})"; ?>
                        <br />
                        <?php 
                        if($val['B_type'] === 1) 
                            echo 'Бюджет безлимит'; 
                        elseif($val['B_type'] === 2) 
                            echo 'Бюджет дневной:<br />'.$val['B_money'].' '.$setting['main']['cur']['z'].' / '.$val['B_trata'].' '.$setting['main']['cur']['z']; 
                        elseif($val['B_type'] === 3) echo 'Бюджет общий:<br />'.$val['B_money'].' '.$setting['main']['cur']['z'].' / '.$val['B_trata'].' '.$setting['main']['cur']['z']; ?>
                    </td>
                    <!-- <td style="text-align: center;font-size: 12px;"><?php echo $val['S_views']; ?><hr style="margin: 1px;" /><?php echo $val['S_click']; ?></td>
                    <td style="text-align: center;font-size: 12px;"><?php echo $val['S_trata']; ?></td> -->
                    <td style="font-size:12px; text-align: center;">
                        <div style="text-align: left;display: inline-block;">
                            <div data-toggle="tooltip" data-placement="left" title="Показов"><i class="fa fa-fw fa-eye"></i> <?php echo $val['S_views']; ?></div>
                            <div data-toggle="tooltip" data-placement="left" title="Кликов"><i class="fa fa-fw fa-mouse-pointer"></i> <?php echo $val['S_click']; ?></div>
                            <div data-toggle="tooltip" data-placement="left" title="Потрачено"><i class="fa fa-fw fa-money"></i> <?php echo $val['S_trata']; ?></div>
                        </div>
                    </td>
                    <td style="width: 90px;">                       
                        <button style="margin:3px;" title="Редактировать" data-toggle="tooltip" data-placement="bottom" class="btn btn-sm btn-warning" onclick="show_item(<?php echo $val['Id']; ?>);"><i class="fa fa-pencil"></i></button>
                        <button style="margin:3px;" title="Удалить" data-toggle="tooltip" data-placement="bottom" class="btn btn-sm btn-danger" onclick="return delet_item(<?php echo $val['Id']; ?>);"><i class="fa fa-trash"></i></button>
                    </td>
				</tr>
			<?php } ?>
			</tbody>
		</table>
	</div>
	<?php echo $pager; ?>
	<?php } ?>
</div>


<div id="app_comm_show" style="position: absolute;display: none;top: 0;left: 0;">
    <div class="comm_edit_form" style="display: block;">
        <textarea id="app_comm_show_text" style="margin:5px 0;width: 100%;" rows="3"><?php echo $val['ApprovedComm']; ?></textarea>
        <input type="hidden" id="app_comm_show_id" />
        <button class="btn btn-sm btn-default" onclick="app_comm_show(this);"><i class="fa fa-times"></i></button> &nbsp;
        <button class="btn btn-sm btn-danger" onclick="comm_change();"><i class="fa fa-pencil"></i> &nbsp; Сохранить</button>
    </div>
</div>

<div id="show_item"></div>
<script>
    function app_comm_show(id){
        if(!$('#app_comm_show').is(':visible')){
            $('#app_comm_show').offset($('#app_comm_pos_'+id).offset());
            $('#app_comm_show #app_comm_show_text').val($('#app_comm_'+id).val());
            $('#app_comm_show').css('display','block');
            $('#app_comm_show_id').val(id);
        }
        else{
            $('#app_comm_show').offset({top:0,left:0});
            $('#app_comm_show').css('display','none');
        }
    }
	function show_item(id){
    	$('#ajaxProgress').show();
    	$('#show_item').load(document.location.href,{show_item:id},function(){$('#ajaxProgress').hide();});
		return false;
	}
	function items_filtr(){
		$('#startpag').val(1);
		var formData = getFormData_el('[data-dataform]');
    	dataload(formData);
    	return false;
	}
	function items_filtr_clear(){	
		//$([chosen]).chosen("destroy");
		$('.items_filtr select option').removeAttr('selected');
		$('.items_filtr select option:first-child').attr('selected','selected');
		$('.items_filtr select option').prop('selected',false);
		$(".items_filtr input[type=text]").val('');
		$('.items_filtr input[type=checkbox]').removeAttr('checked');
		$('.items_filtr input[type=checkbox]').prop('checked',false);
		//$("[chosen]").chosen({no_results_text: "Значение не найдено!"});
    	return items_filtr();
	}
	function pager(pag){
		$('#startpag').val(pag);
		var formData = getFormData_el('[data-dataform]');	
    	dataload(formData);	
        return false;
    }
	function sortitem(el,e){
		$('.btn_sort').find('.fa').remove();
		if($('#sort').val() == el)
			el += ' DESC';
		$('#sort').val(el);
        items_filtr();
        return false;
	}
    function dataload(formData){
    	$('#ajaxProgress').show();
		formData.append('aj',1);
		$.ajax({
	        url: document.location.href,
	        type: "POST",
	        cache: false,
	        contentType: false,
	        processData: false,         
	        data: formData,
	        success: function(content){
	            $('#ajax_load').html(content);
	            $('#ajaxProgress').hide();
	            window.history.pushState(null, null, $('#url_build').val());
	        }
    	});
		return false;
    }
	function approved_change(id,st){
		var formData = getFormData_el('[data-dataform]');		
		formData.append('Approved_up',$(st).val());
		formData.append('ItemId',id);
    	dataload(formData);
    	return false;
	}
    function comm_change(id){
        var formData = getFormData_el('[data-dataform]');       
        formData.append('Kom_up',$('#app_comm_show_text').val());
        formData.append('ItemId',$('#app_comm_show_id').val());
        dataload(formData);
        return false;
    }
    function delet_item(id){
        if(!confirm('Подтвердите удаление!'))
            return false;
        var formData = getFormData_el('[data-dataform]');       
        formData.append('DeletItem',id);
        dataload(formData);
        return false;
    }
    /******************************************/
        function sel_reg(e,f){
            $('#ajaxProgress').show(); 
            $(e).load('/aj/select_country',{func:f},function(){$('#ajaxProgress').hide();});
        }
        function reg_del(e){
            $(e).parent('td').parent('tr').remove();
            return false;
        }
        function select_country_ed(a,b,na,nb){
            $('table.reged tbody').append('<tr><td><input type="hidden" name="reg_country[]" value="'+a+'">'+na+'</td><td><input type="hidden" name="reg_obl[]" value="'+b+'">'+nb+'</td><td><button title="Удалить" onclick="return reg_del(this);" class="btn btn-sm btn-danger"><i class="fa fa-trash"></i></button></td></tr>');
        }
        /*function select_country(a,b,na,nb){
            $('table.reg tbody').append('<tr><td><input type="hidden" name="reg_country[]" value="'+a+'">'+na+'</td><td><input type="hidden" name="reg_obl[]" value="'+b+'">'+nb+'</td><td><button title="Удалить" onclick="return reg_del(this);" class="btn btn-sm btn-danger"><i class="fa fa-trash"></i></button></td></tr>');
        }*/
    /******************************************/
</script>