<?php global $setting; ?>
<h1>Короткие ссылки</h1>
<div class="feedok"><?php echo $feed; ?></div>
<div class="items_filtr">
	<div class="col-sm-12">
		<div class="form-group">	
			<label>Поисковая фраза:</label>		
			<input data-dataform="" type="text" placeholder="Поиск по заголовку или URL-адресу" <?php if(!empty($filtr['s'])) echo "value=\"{$filtr['s']}\""; ?> name="s" class="form-control input-sm" />
		</div>
	</div>
	<div class="clearfix"></div>
	<div class="col-sm-6">
		<div class="form-group">	
			<label>Поиск по ИД-пользователя:</label>		
			<input data-dataform="" type="text" placeholder="Поиск по ИД-пользователя" <?php if(!empty($filtr['UserId'])) echo "value=\"{$filtr['UserId']}\""; ?> name="UserId" class="form-control input-sm" />
		</div>
	</div>
    <div class="col-sm-6">
        <div class="form-group">    
            <label>Поиск по ИД:</label>        
            <input data-dataform="" type="text" placeholder="Поиск по ИД" <?php if(!empty($filtr['Id'])) echo "value=\"{$filtr['Id']}\""; ?> name="Id" class="form-control input-sm" />
        </div>
    </div>
	<input type="hidden" id="startpag" data-dataform="" name="startpag" value="<?php echo $startpag; ?>">
	<input type="hidden" id="sort" data-dataform="" name="sort" value="<?php echo $sort; ?>">
	<input type="hidden" id="url_build" name="url_build" value="<?php echo $url_build; ?>">
	<div class="clearfix"></div>
	<p style="text-align: center;">
		<button type="button" class="btn btn-default" onclick="items_filtr();"><i class="fa fa-filter"></i> Поехали</button>
		<button type="button" class="btn btn-default" onclick="items_filtr_clear();"><i class="fa fa-times"></i> Очистить</button>
	</p>
</div>

<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">Список ссылок</h3>
	</div>
	<?php if(empty($items) || empty($items->data)) { ?>
	<div class="panel-body" style="text-align: center;">
		<em>Нет пользователей</em>
	</div>
	<?php } else { ?>
    <div class="table-responsive">
        <table class="table r-table table-striped table-hover table-condensed">
            <thead>
                <tr>
                    <th><button onclick="return sortitem('Id',this);" class="btn-link btn_sort">№ <?php if($sort == 'Id') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Id DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th><button onclick="return sortitem('Url',this);" class="btn-link btn_sort">URL <?php if($sort == 'Url') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Url DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th><button onclick="return sortitem('UserId',this);" class="btn-link btn_sort">Пользователь <?php if($sort == 'UserId') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'UserId DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th><button style="font-size: 12px;" onclick="return sortitem('Visit',this);" class="btn-link btn_sort">Переходов <?php if($sort == 'Visit') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Visit DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th> 
                    <th><button style="font-size: 12px;" onclick="return sortitem('Money',this);" class="btn-link btn_sort">Заработано <?php if($sort == 'Money') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Money DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th> 
                    <th><button style="font-size: 12px;" onclick="return sortitem('AddDate',this);" class="btn-link btn_sort">Дата создания <?php if($sort == 'AddDate') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'AddDate DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>  

                    <th></th>
                </tr>
            </thead>
            <tbody>
            <?php foreach($items->data as $val){ 
                $_url = (mb_strlen($val['Url']) > 40) ? (mb_substr($val['Url'], 0, 40).' ...') : $val['Url'];
                
            ?>
                <tr>
                    <td><?php echo $val['Id']; ?></td>
                    <td>
                        <a href="<?php echo $val['Url']; ?>" title="<?php echo $val['Url']; ?>" target="_blank"><?php echo $_url; ?></a>
                        <br />
                        <small><?php echo "http://{$_SERVER['SERVER_NAME']}/ml/{$val['Id']}" ?></small>
                    </td>
                    <td> 
                        <?php if($val['Blok'] > 0){ ?>
                        <button onclick="return blok_del(<?php echo $val['UserId']; ?>);" title="Разблокировать" data-toggle="tooltip" class="btn btn-xs btn-default"><i class="fa fa-check"></i></button> <del class="text-muted"><?php echo $val['UserLogin']; ?></del></strong> (<small><a title="Перейти на страницу пользователя" href="<?php echo X_URL.'/user/edit_'.$val['UserId']; ?>">ИД <?php echo $val['UserId']; ?></a></small>)
                            
                        <?php } else { ?>
                        <button onclick="return blok_add(<?php echo $val['UserId']; ?>);" title="Заблокировать пользователю доступ к разделу" data-toggle="tooltip" class="btn btn-xs btn-danger"><i class="fa fa-times"></i></button> <?php echo $val['UserLogin']; ?></strong> (<small><a title="Перейти на страницу пользователя" href="<?php echo X_URL.'/user/edit_'.$val['UserId']; ?>">ИД <?php echo $val['UserId']; ?></a></small>)
                            
                        <?php } ?>
                    </td>
                    <td style="text-align: center;"><?php echo $val['Visit']; ?></td>
                    <td style="text-align: center;"><?php echo $val['Money']; ?></td>
                    <td style="text-align: center;"><?php echo date('d.m.Y',$val['AddDate']); ?></td>
                    
                    <td style="width: 50px;">                       
                        <button style="margin:3px;" title="Удалить" data-toggle="tooltip" data-placement="bottom" class="btn btn-sm btn-danger" onclick="return delet_item(<?php echo $val['Id']; ?>);"><i class="fa fa-trash"></i></button>
                    </td>
                </tr>
            <?php } ?>
            </tbody>
        </table>
    </div>
	<?php echo $pager; ?>
	<?php } ?>
</div>

<div class="mymod-overlay imem_mod" id="blok_add">
    <div class="mymod-table">
        <div class="mymod-cell">
            <div class="mymod-modal" style="min-width: 40%;">
                <a href="#close" onclick="return mymod();" class="mymod-close"></a>
                <h2>Заблокировать пользователя</h2>
                <div class="form-group">
                    <label>Пользователь</label>
                    <input class="form-control" type="text" readonly="readonly" id="blok_add_id" />
                </div>
                <div class="form-group">
                    <label>Причина блокировки:</label>
                    <textarea rows="2" id="blok_add_comm" class="form-control"></textarea>
                </div>
                <p><button class="btn btn-danger" onclick="_blok_add();">Заблокировать</button></p>
            </div>
        </div>
    </div>
</div>

<script>    
    function blok_add(id){
        $('#blok_add_id').val(id);
        $('#blok_add').fadeIn(300);
        return false;
    }
    function _blok_add(){
        var formData = getFormData_el('[data-dataform]');
        formData.append('Blok_add',$('#blok_add_id').val());
        formData.append('Comm',$('#blok_add_comm').val());
        dataload(formData);
        return false;
    }
    function blok_del(id,st){
        var formData = getFormData_el('[data-dataform]');
        formData.append('Blok_del',id);
        dataload(formData);
        return false;
    }
	function items_filtr(){
		$('#startpag').val(1);
		var formData = getFormData_el('[data-dataform]');
    	dataload(formData);
    	return false;
	}
	function items_filtr_clear(){	
		//$([chosen]).chosen("destroy");
		$('.items_filtr select option').removeAttr('selected');
		$('.items_filtr select option:first-child').attr('selected','selected');
		$('.items_filtr select option').prop('selected',false);
		$(".items_filtr input[type=text]").val('');
		$('.items_filtr input[type=checkbox]').removeAttr('checked');
		$('.items_filtr input[type=checkbox]').prop('checked',false);
		//$("[chosen]").chosen({no_results_text: "Значение не найдено!"});
    	return items_filtr();
	}
	function pager(pag){
		$('#startpag').val(pag);
		var formData = getFormData_el('[data-dataform]');	
    	dataload(formData);	
        return false;
    }
	function sortitem(el,e){
		$('.btn_sort').find('.fa').remove();
		if($('#sort').val() == el)
			el += ' DESC';
		$('#sort').val(el);
        items_filtr();
        return false;
	}
    function dataload(formData){
    	$('#ajaxProgress').show();
		formData.append('aj',1);
		$.ajax({
	        url: document.location.href,
	        type: "POST",
	        cache: false,
	        contentType: false,
	        processData: false,         
	        data: formData,
	        success: function(content){
	            $('#ajax_load').html(content);
	            $('#ajaxProgress').hide();
	            window.history.pushState(null, null, $('#url_build').val());
	        }
    	});
		return false;
    }
    function delet_item(id){
        if(!confirm('Подтвердите удаление!'))
            return false;
        var formData = getFormData_el('[data-dataform]');       
        formData.append('DeletItem',id);
        dataload(formData);
        return false;
    }
</script>