<?php 
    /************************************/
    global $user_logined, $user_login, $user_m, $setting;
?>
<!--includeHead-->
<style type="text/css">
    .block-view{
        background-color: #eef7ea;color: #3c763d, 80%;
        padding: 15px 0;margin-bottom: 5px; width: 100%;
        border: 1px solid #bbdba1;
        display: table; position: relative;
    }
    .block-view-text{margin-left: 25px;}
    .block-view h3{
        padding: 0; margin: 0; vertical-align: middle;
    }
    .block-view-text span{color:#5f5e5e}
    .block-view-icon{vertical-align: middle; margin-top: 2px; float: left;}
    .block-view-btn .btn-none{margin: 5px;color: #3c763d;}
    .block-view-btn .dropdown{display: inline-block;}
    .block-view-visited{
        background-color: #f2f2f2;border-color: #ccc; text-decoration: line-through
    }
    .block-view-visited, .block-view-visited span, .block-view-visited a{color:#b0b0b0;}
    .block-view-col{padding: 10px;word-break: break-word;}
    .block-view-col-tlt{
        margin: 5px -10px;
        background-color: #6e93b9;
        font-size:18px;
    }
    .block-view-col-tlt > a{display: table;width: 100%;}
    .block-view-col-tlt > a:hover,.block-view-col-tlt > a:focus{text-decoration: none;}
    .block-view-col h3{
        font-size:18px;
        display: table-cell;vertical-align: middle;
        height: 50px;
        padding-bottom: 3px;
        color: #fff; padding: 5px 15px;
    }
    .block-view-col-body{height: 100px;overflow: hidden;}
    .block-view-col .block-view-btn{float: right;}
    .block-view-col .alert{
        border:none;
        margin: 0 -10px;
        font-size: 13px;
        padding: 5px 10px;
    }    
</style>
<!--/includeHead-->
<article>
    <h1><?php echo $Title ?></h1>
    <?php echo $Body ?>
    <?php if(!$user_logined) { ?>
    <?php include HTML.'no_auth.php'; ?>
    <?php } echo $feed;
    if($r_m->set['active']){
        if(!empty($r)){ ?>
            <!--noindex-->
            <?php foreach ($r as $val) {
                $z_money = isset($r_m->set['price'][$val['Price']]) ? $r_m->set['price'][$val['Price']] : $r_m->set['price'][$r_m->r_money_def];
                $z_money = number_format($z_money * ($r_m->set['z_per']/100), 4,","," ");

                $domain = trim($val['Url']);
                $domain = ltrim($domain,'https://');
                $domain = ltrim($domain,'http://');
                $domain = trim(trim($domain,'/'),'/');
                $t_url = $val['Url'];
                if(mb_strlen($t_url) > 50)
                    $t_url = mb_substr($t_url, 0, 50). ' ...';
                ?>
                <section class="block-view">
                    <div class="col-lg-10 cell">
                        <img class="block-view-icon" src="//www.google.com/s2/favicons?domain=<?php echo $domain; ?>" alt="" />
                        <div class="block-view-text">
                            <h3>
                                <a rel="nofollow" target="_blank" class="block-view-a" href="http://<?php echo $_SERVER['SERVER_NAME']; ?>/earn/serf?click=<?php echo $val['Id']; ?>&proto=http" title="Click to view"><?php echo $val['Title']; ?></a>
                            </h3>
                            <span><?php echo $val['Body']; ?></span>            
                            <div style="font-size: 11px;line-height: 13px;">
                                <a rel="nofollow" target="_blank" href="http://<?php echo $_SERVER['SERVER_NAME']; ?>/earn/serf?click=<?php echo $val['Id']; ?>&proto=http" title="<?php echo $val['Url']; ?>"><?php echo $t_url; ?></a>
                                <p  style="font-size: 13px;">
                                    <strong class="text-success"><i class="fa fa-clock-o"></i> 
                                    <?php 
                                            if($val['Price'] < 1)
                                                echo "No timer";
                                            else 
                                                echo "View time: {$val['Price']} sec."; 
                                    ?>;
                                    </strong>
                                    &nbsp;
                                    <strong class="text-danger"><i class="fa fa-money"></i> Payment: <?php echo $z_money; ?> <?php echo $setting['main']['cur']['z']; ?></strong>
                                </p>                    
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-2 cell" style="text-align: center;">
                        <div class="block-view-btn">
                            <button onclick="send_bug(<?php echo $val['Id']; ?>,'<?php echo $val['Title']; ?>');" class="btn-none" title="Report"><i class="text-warning fa fa-exclamation-triangle"></i></button>
                            <div class="dropdown">
                                <button data-toggle="dropdown" class="btn-none" title="Virus check"><i class="text-danger fa fa-shield"></i></button>
                                <ul class="dropdown-menu" role="menu">
                                    <li><a target="_blank" href="https://yandex.ru/infected?url=<?php echo urlencode($val['Url']); ?>">Yandex check</a></li>
                                    <li><a target="_blank" href="https://transparencyreport.google.com/safe-browsing/search?url=<?php echo urlencode($val['Url']); ?>">Google check</a></li>
                                </ul>
                            </div>
                        </div>
                        <div style="font-size: 11px;" class="text-muted">id: <?php echo $val['Id']; ?></div>
                    </div>
                    <div class="clearfix"></div>
                </section>
                <?php } ?>
                <!--/noindex-->
                <p style="text-align: center;">
                    <a href="<?php echo URLpage; ?>" class="btn btn-danger btn-lg"><i class="fa fa-refresh"></i> &nbsp; Refresh list</a>
                </p>
        <?php } else { ?>
            <div style="padding: 35px; color:gray;text-align: center;"><em>No websites available for viewing :(</em></div>
        <?php } ?>
    <?php } else { ?>
        <div class="alert alert-warning"><strong>Module is temporarily unavailable. We apologize for the inconvenience</strong></div>
    <?php } ?>
</article>
  <aside class="mymod-overlay" id="send_bug">
      <div class="mymod-table">
          <div class="mymod-cell">
            <div class="mymod-modal">
                <a href="#close" onclick="return mymod();" class="mymod-close"></a>
                <h2 class="show_order-h2">Website complaint</h2>
                <p><strong>Website #<span id="send_bug_id_t"></span> </strong> - <span id="send_bug_title"></span></p>
                <form action="aj/mail_z" onsubmit="submit_send('send_bug_send');return false;" id="send_bug_send">
                    <input type="hidden" id="send_bug_id" name="Tema" value="Paid views. Website complaint" />
                    <input type="hidden" name="Fio" value="<?php echo ($user_logined) ? $user_login->data['Login'] : 'Anonymous'; ?>" />
                    <div class="form-group">
                        <label>Additional information:</label>
                        <div class="input-group">
                          <span class="input-group-addon"><i class="fa fa-pencil"></i></span>
                          <textarea id="send_bug_textarea" name="Body" class="form-control" id="order-mes" placeholder="Message" rows="4"></textarea>
                        </div>
                    </div>
                    <div style="text-align:center; margin:25px;"><button type="submit" class="btn btn-lg btn-danger" >Submit</button> </div>
                </form>
             </div>
          </div>
      </div>
  </aside>
<!--includeFuter-->
    <script>
        function send_bug(id,title){
            var e = $('#send_bug');
            e.find('#send_bug_title').html(title);
            e.find('#send_bug_id').val("Views. Complaint about website #"+id);
            e.find('#send_bug_id_t').html(id);
            e.find('#send_bug_textarea').val("Website #"+id+" violates service rules");
            e.fadeIn(300);
        }
        $('.block-view-a').click(function(event) {
            $(this).parents('.block-view').addClass('block-view-visited');
        });
    </script>
<!--/includeFuter-->