<?php global $user_m, $URLparam, $setting,$user_logined,$user_login; 
?><!DOCTYPE html>
<html>
    <head>
        <?php if(!empty($Refer)){ ?>
        <meta name="referrer" content="none">
        <meta name="referrer" content="never"><?php } ?>
        <!-- <meta name="robots" content="noindex, nofollow"/>
        <meta name="robots" content="none"/> -->
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="shortcut icon" href="/<?php echo trim($setting['main']['favicon'],'/'); ?>" />
        <title>Посещение сайта №<?php echo $Id; ?></title>
        <script type="text/javascript" src="/assets/js/jqery.3.4.1.js"></script>
        <style type="text/css">
            body{background:#eee;font-family: Arial;min-width: 300px;}
            h1{color:#c83232;}
            img{max-width: 100%;}
            .btn{font-weight: 500;border: solid 1px rgba(0, 0, 0, .12);border-radius: 3px;box-shadow: inset 0 1px 0 rgba(255, 255, 255, .3), 0 5px 5px -4px rgba(0, 0, 0, 0);transition: all ease-in-out .2s;color: #333;background-color: #fff;display: inline-block;padding: 3px 6px; text-decoration: none;}
            .btn:hover{background-color: #eee;}
            .img_screen{border: 7px solid #eee; border-radius: 5px;}
            .fa-check, .text-success{color: #3c763d;}
            .fa-times, .text-danger{color: #a94442;}
            .img_captcha{
                max-width: auto;
                margin: 35px auto 0 auto;
                text-align: center;
                padding: 15px;
                border: solid 1px rgba(0, 0, 0, .12);
                border-radius: 3px;
                background: #eee;
            }
            .img_captcha_img{float: left;margin-right: 25px;}
            @media(max-width: 600px){.img_captcha_img{float: none;margin-right: 0;}}
            .img_captcha_img img{margin-bottom: 15px;max-width: 100%;}
            .img_captcha_btn button{
                cursor: pointer;
                position: relative;
                max-width: 67px;
                font-weight: 500;
                border: solid 1px rgba(0, 0, 0, .12);
                border-radius: 3px;
                box-shadow: inset 0 1px 0 rgba(255, 255, 255, .3), 0 5px 5px -4px rgba(0, 0, 0, 0);transition: all ease-in-out .3s;
                background-color: #fff;display: inline-block;
                padding: 3px; margin: 3px 2px;
            }
            .img_captcha_btn button:hover:not(.img_captcha_btn_active){box-shadow: inset 0 1px 0 rgba(255, 255, 255, .3), 0 5px 5px -4px rgba(0, 0, 0, 0.3);opacity: 0.9;}
            .img_captcha_btn button img{max-width: 100%;}
            .img_captcha_btn button.img_captcha_btn_active{
                opacity: 0.6;  box-shadow: 0 0 40px rgba(0, 0, 0, .3) inset; 
            }
            #view_panel_load{font-size: 25px;color: #428bca;padding: 15px 0 35px 0;}
            #view_panel_load .timer{font-size: 45px;}
            .btn.btn-rcapt{font-size: 18px;padding: 5px 10px;font-weight: bold;letter-spacing: 1px;margin-left: 5px;}
            .number_capt img{}
            .number_capt_text{text-align:center;font-weight:bold;padding-top:5px;color:#c98628}
            .number_capt_btn{display:block;padding: 15px 0;}
            @media (max-width: 400px) {.btn.btn-rcapt{font-size: 16px;padding: 0 5px;}.number_capt_text{font-size: 14px;}}
            .btn-warning{background-color: #c98628;color: #fff;font-size: 17px;padding: 8px;}
            .btn-warning:hover{background-color: #b97516;}
        </style>
    </head>
    <body>
        <div style="text-align: center; max-width: 600px;margin: 45px auto;background:#fff;padding: 25px; border: 1px solid #ccc; border-radius: 5px;">
            <div style="margin: -25px -25px 0 -25px; padding: 15px;background-color: #268bb3;color: #fff;font-weight: bold;">Advertisement without frame</div>
            <a style="text-decoration:none;" href="<?php echo $Url; ?>" target="_blank" title="Go to the advertising site"><h1 style="margin-top:25px;"><?php echo $Title; ?></h1></a>
            <p style="padding-bottom: 30px;font-size: 18px;"><?php echo $Body; ?></p>
            <?php
                $img = $r_m->GetImg($Id);
                if(!empty($img))
                    echo '<a href="'.$Url.'" target="_blank" title="Go to the advertising site"><img class="img_screen" alt="Screenshot of the site" src="/'.$img.'" /></a>';
            ?>
            <div style="text-align: center;"><a style="font-size: 13px; color: red;" href="<?php echo $Url; ?>" target="_blank" title="Go to the advertising site">Go to the advertising site</a></div>
            <?php if($r_m->set['capt'] == 'image') { ?>
            <div style="margin-bottom: 15px;">
                <?php 
                    $im_capt_noframe = 1;
                    require_once(F."controls/help/img_captcha.php");
                    if(!empty($im_capt_cod)){
                ?>
                <div class="img_captcha" id="capt_load">
                    <h3 style="margin-top: 0;color: #096184;padding-bottom: 10px;border-bottom: dashed 1px #d4d0d0;">To get money, solve the captcha</h3>
                    <div style="" class="img_captcha_img">
                        <img src="/helper/img_captcha?image=1&r=<?php echo rand(1,1000); ?>" alt="" />
                    </div>
                    <div>
                        <div class="img_captcha_btn">
                            <?php foreach ($image_btn as $k => $val) { ?>
                                <button type="button" onclick="img_captcha_btn_click('<?php echo $val; ?>',this); return false;"><img src="/helper/img_captcha?btn=<?php echo $val.'&r='.rand(1,1000); ?>" /></button>
                            <?php } ?>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                    <p><strong>What is in the picture?</strong><br /><small>(What's in the picture?)</small></p>
                </div>
                <?php } else echo '<div class="img_captcha"><p>An error occurred:(</p></div>'; ?>
            </div>
            <?php } else { ?>
                <div id="view_panel_load" style="padding: 35px 0;">
                    <div class="timer">5</div>
                    Wait ...
                </div>
            <?php } ?>
            <?php require F.'system/banner_frame'; ?>
        </div>
        <input type="hidden" value="1" id="nook" />
        <input type="hidden" id="capt_val" value="-" />   
        <?php if($user_logined  && empty($Err)) { ?>
        <script type="text/javascript">
            window.onbeforeunload = function (evt) {
                if($('#nook').val() > 0){
                    $('#nook').val(0);
                    $.ajax({
                        url: '/earn/serf?proto=http',
                        dataType: 'json',
                        type: "POST",
                        data: {'delete_view':<?php echo $Id; ?>}
                    });
                }
            }
            <?php if($r_m->set['capt'] == 'image') { ?>
            function img_captcha_btn_click(c,el){
                $(el).addClass('img_captcha_btn_active');
                $(el).attr('disabled','disabled');
                var ch = $('#capt_val');
                if(ch.val() == '-'){
                    ch.val(c+',');
                }
                else{
                    ch.val(ch.val()+c);
                    $('#capt_load').html('<p><img src="/assets/img/wait.gif" alt="" /><br /><br /><strong>Please wait ...</strong></p>');
                    $.ajax({
                        url: '/earn/serf?proto=http',
                        dataType: 'json',
                        type: "POST",
                        data: {'click_ok':<?php echo $Id; ?>,'captcha':ch.val()},
                        success: function(d){
                            $('#nook').val(0);
                            var t = parseInt(d.status);
                            if(t > 0){
                                document.title = "View counted!";
                                $('#capt_load').html('<p class="text-success"><img src="/assets/img/check.png" alt="" /><br /><br /><strong>View counted!</strong></p>');
                                document.location.href = '<?php echo $Url; ?>';
                            }
                            else{
                                document.title = "View not counted!";                                
                                $('#capt_load').html('<p class="text-danger"><img src="/assets/img/close.png" alt="" /><br /><br /><strong>'+d.mess+'</strong></p>');
                                var timerId = setTimeout(
                                    function () {document.location.href = '/earn/serf?click=<?php echo $Id; ?>&proto=http';}
                                    , 3000
                                );
                            }
                        }
                    });
                }
            }
            <?php } else { ?>
            var sec = 5;
            var timer = $('.timer');
            timerId = setTimeout(
                function tick() {
                    document.title = '['+sec+'] - Посещение сайта №<?php echo $Id; ?>';
                    timer.html(sec);
                    if(!sec){
                        clearTimeout(timerId);
                        document.title="Get money";
                        $('#view_panel_load').load(document.location.href,{load_ok:<?php echo $Id; ?>});
                    }
                    else{
                        sec--;
                        timerId = setTimeout(tick, 1000);
                    }
                }, 1000
            );
            function click_ok(c){
                $('#view_panel_load').html('<div><img src="/assets/img/wait.gif" alt="" /><br /><br /><strong>Please wait ...</strong></div>');
                $.ajax({
                    url: '/earn/serf?proto=http',
                    dataType: 'json',
                    type: "POST",
                    data: {'click_ok':<?php echo $Id; ?>,'captcha':c},
                    success: function(d){
                        $('#nook').val(0);
                        var t = parseInt(d.status);
                        if(t > 0){
                            document.title = "View counted!";
                            $('#view_panel_load').html('<div class="text-success"><img src="/assets/img/check.png" alt="" /><br /><br /><strong>View counted!</strong></div>');
                            var timerId = setTimeout(
                                function () {
                                    document.location.href = '<?php echo $Url; ?>';
                                }
                                , 3000
                            );
                        }
                        else{
                            document.title = "View not counted!";
                            $('#view_panel_load').html('<p class="text-danger"><img src="/assets/img/close.png" alt="" /><br /><br /><strong>'+d.mess+'</strong></p>');
                            var timerId = setTimeout(
                                function () {document.location.href = '/earn/serf?click=<?php echo $Id; ?>&proto=http';}
                                , 3000
                            );
                        }
                    }
                });
            }
            <?php } ?>
        </script>
<?php if(!empty($setting['main']['metrika'])){ ?>
        <script type="text/javascript" > (function(m,e,t,r,i,k,a){m[i]=m[i]||function(){(m[i].a=m[i].a||[]).push(arguments)}; m[i].l=1*new Date();k=e.createElement(t),a=e.getElementsByTagName(t)[0],k.async=1,k.src=r,a.parentNode.insertBefore(k,a)}) (window, document, "script", "https://mc.yandex.ru/metrika/tag.js", "ym"); ym(<?php echo $setting['main']['metrika']; ?>, "init", { clickmap:true, trackLinks:true, accurateTrackBounce:true, webvisor:true, params:{<?php
                    echo "us:{$user_login->data['Id']},serf:{$Id}";
            ?>}});</script>
<?php } ?>
        <?php } ?>
    </body>
</html>