<?php
namespace models\moduls;
if ( ! defined('F')) exit('Нет доступа!');
require_once(F."models/Base_model.php");

class Task_model extends \models\Base_model
{
    var $data;
    var $count;
    var $set;
    public $status = array(
        '1' => 'Начато',
        '2' => 'Отправленно на проверку',
        '3' => 'Доработка',
        '4' => 'Выполнено',
        '5' => 'Просрочено',
        '6' => 'Отказ',
        '7' => 'Заблокировано',
    );
    public $r_money_def = '15';
    function __construct(){
        $this->data = array();
        $this->count = 0;
        $this->set = getConf('mod_task');
    }
    /******************************************/
    	public function Gets($f = array(), $startRowIndex=0, $maximumRows=FALSE,$desc = NULL)
        {
            global $user_m, $URLparam, $setting,$user_logined,$user_login; 
            $ret = new Task_model;
            $conn = $this->con();
            $lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 300';
            if(empty($desc)){
                if(!empty($f['adm']))
                    $desc = "IF(t.Approved = 0,  1,  999), t.`Id` DESC";
                else
                    $desc = 't.`Sort` DESC,t.`Id` DESC';
            }
            elseif($desc == 'rand')
                $desc = 'RAND()';
            elseif($desc == 'Sort')
                $desc = 't.Sort DESC';
            else
            {
                $desc = $conn->real_escape_string($desc);
                $ar = explode(' ', trim($desc));
                if (isset($ar[1]))
                    $desc = 't.`'.$ar[0].'` DESC';
                else
                    $desc = 't.`'.$ar[0].'`';
            }
            $where = '';
            $select = '';
            $join = '';
            if(!empty($f)){
                $w = array();
                if(isset($f['Id']))
                    array_push($w, "t.Id = ".(int)$f['Id']);
                if(isset($f['UserId']))
                    array_push($w, "t.UserId = ".(int)$f['UserId']);
                if(isset($f['Active']))
                    array_push($w, "t.Active = ".(int)$f['Active']);
                if(isset($f['Approved']))
                    array_push($w, "t.Approved = ".(int)$f['Approved']);
                if(isset($f['CatId']))
                    array_push($w, "t.CatId = ".(int)$f['CatId']); 
                if(isset($f['r']))
                    $select .= ', SUM( IF(turm.Status = 2,1,0) ) as st2 ';
                if(!empty($f['ActiveOk'])){
                    $per = $this->set['per']/100;
                    $time = time();
                    $join .= "LEFT JOIN `mod_task_user` as tu on(t.Id = tu.TaskId AND (
                        tu.UserId = {$user_login->data['Id']} AND tu.Status <> 5                         
                        AND
                        (
                            t.`Povtor` = 0 OR 
                            (
                                ({$time} < (tu.EndDate + (t.`Povtor` * 360))) OR tu.Status = 7                               
                            )
                            OR
                            (tu.Status < 4 AND tu.Status = 7)
                        )
                    ) )";
                    array_push($w, "t.Active > 0 AND Approved > 0 AND t.`Balans` >= (t.`Amount` + (t.`Amount` * {$per})) AND u.Active = '1'");
                    array_push($w, "tu.Id IS NULL AND blok.UserId IS NULL ");
                    /**********************************/
                        $profil = $user_login->GetProfil();
                        if(!empty($profil)){
                            $join .= "LEFT JOIN `mod_task_reg` as reg on(t.Id = reg.RId)";
                            $obl = $profil['Obl'];
                            $country = $profil['Country'];
                            unset($profil);
                            if(empty($obl) && !empty($country))
                                array_push($w, "((reg.Country = '{$country}' AND reg.Obl = 0) OR reg.RId IS NULL)");
                            elseif(!empty($obl) && !empty($country))
                                array_push($w, "((reg.Country = '{$country}' AND (reg.Obl = {$obl} OR reg.Obl = 0)) OR reg.RId IS NULL)");
                            else
                                array_push($w, "reg.RId IS NULL");
                        }
                    /**********************************/
                }
                if(isset($f['s'])){
                    $s = $conn->real_escape_string($f['s']);
                    array_push($w, "(t.`Url` LIKE '%{$s}%' OR t.`Title` LIKE '%{$s}%')");                
                }
                /****************************************************/
                if(!empty($w)){
                    $where = ' WHERE ' .implode(' AND ', $w);
                    unset($w);
                }
            }
            $q = "SELECT t.*,
                SUM( IF(turm.Rat = '1',1,0) ) as RatPlus,
                SUM( IF(turm.Rat = '-1',1,0) ) as RatMinus,
                SUM( IF((turm.Status < 4),1,0) ) as st1,
                SUM( IF(turm.Status = 4,1,0) ) as st4,
                cat.`Title` as CatTitle,
                IF(blok.UserId IS NULL, 0, 1) as Blok,
                u.`Login` as Login
                {$select}
                FROM `mod_task` as t 
                LEFT JOIN `user` as u on(u.Id = t.UserId)
                LEFT JOIN `mod_task_user` as turm on(t.Id = turm.TaskId)
                LEFT JOIN `mod_task_cat` as cat on(cat.Id = t.CatId)  
                LEFT JOIN mod_task_user_block as blok on(t.UserId = blok.UserId)
                {$join}
                {$where} 
                GROUP BY t.Id
                ORDER BY {$desc} {$lim}
            ";
            $query = $conn->query($q);
            if (!empty($query) && $query->num_rows)
            {
                $ret->data = $this->convertList($query);
                if($maximumRows){
                    $query2 = $conn->query("SELECT COUNT(t.Id) FROM `mod_task` as t 
                        LEFT JOIN `user` as u on(u.Id = t.UserId) 
                        LEFT JOIN `mod_task_cat` as cat on(cat.Id = t.CatId)  
                        LEFT JOIN mod_task_user_block as blok on(t.UserId = blok.UserId)
                        {$join} 
                        {$where}");
                    if(!empty($query2) && $query2->num_rows){
                        $ret->count = (int)$query2->fetch_array()[0];
                        $query2->close();
                    }
                }
            }
            $conn->close();
            return $ret;
        }
        public  function GetByID($id,$UserId = NULL,$ActiveOk = NULL)
        {
            global $user_m, $URLparam, $setting,$user_logined,$user_login; 
            $ret = NULL;
            $conn = $this->con();
            $w = 't.Id = '.(int)$id;
            $jn = '';
            if(!empty($UserId))
                $w .= " AND t.UserId = ".(int)$UserId;
            if(!empty($ActiveOk)){
                $per = $this->set['per']/100;
                    $time = time();
                    $w .= " AND t.Active > 0 AND Approved > 0 AND t.`Balans` >= (t.`Amount` + (t.`Amount` * {$per})) AND u.Active = '1'";
                    $jn .= "LEFT JOIN `mod_task_user` as tu on(t.Id = tu.TaskId AND (
                        tu.UserId = {$user_login->data['Id']} AND tu.Status <> 5                         
                        AND
                        (
                            t.`Povtor` = 0 OR 
                            (
                                ({$time} < (tu.EndDate + (t.`Povtor` * 360))) OR tu.Status = 7                             
                            )
                            OR
                            (tu.Status < 4 AND tu.Status = 7)
                        )
                    ) )";
                    $w .= " AND tu.Id IS NULL";          
            }
            $q = "SELECT t.*, u.Login, 
            SUM( IF(turm.Rat = 1,1,0) ) as RatPlus,
            SUM( IF(turm.Rat = -1,1,0) ) as RatMinus,
            cat.Title as CatTitle
            
            FROM `mod_task` as t 
            LEFT JOIN user as u on(u.Id = t.UserId)
            LEFT JOIN mod_task_cat as cat on(cat.Id = t.CatId)
            LEFT JOIN mod_task_user as turm on(t.Id = turm.TaskId)
            $jn
            WHERE {$w}
            GROUP BY t.Id
            LIMIT 1";
            //die($q);
            $query = $conn->query($q);
            if (!empty($query) && $query->num_rows)
                $ret = $this->convert($query);
            $conn->close();
            return $ret;
        }
        public  function GetByID_s($id,$UserId = NULL)
        {
            global $user_m,$user_logined,$user_login;
            $ret = NULL;
            $conn = $this->con();
            $w = 'Id = '.(int)$id;
            $jn = '';
            if(!empty($UserId))
                $w .= " AND UserId = ".(int)$UserId;
            $q = "SELECT * FROM `mod_task` WHERE {$w} LIMIT 1";
            //die($q);
            $query = $conn->query($q);
            if (!empty($query) && $query->num_rows)
                $ret = $this->convert($query);
            $conn->close();
            return $ret;
        }
    /*****************ins/up***********************/
        public  function Update($dat, $adm = FALSE)
        {
            $ret = FALSE;
            if(!$adm && !$GLOBALS['user_logined'])
                return FALSE;
            //var_dump($dat);die();
            $data = array();
            $id = 0;
            if (isset($dat['Id'])) {
                $id=(int)$dat['Id'];
            }
            else
                return FALSE;
            if(isset($dat['Url'])){
                $data['Url'] = mav_htmltotext(trim($dat['Url']));                    
                if(!preg_match('~^(?:https?:)?//.*~ius', $data['Url']))
                    $data['Url'] = 'http://'.ltrim($data['Url'], '/');
            }
            if(isset($dat['Title']))
                $data['Title'] = mav_htmltotext(trim($dat['Title']));
            if(isset($dat['Body']))
                $data['Body'] = mav_htmltotext(trim($dat['Body']));
            if(isset($dat['UserId']))
                $data['UserId'] = (int)$dat['UserId'];
            if(isset($dat['Approved']))
                $data['Approved'] = (int)$dat['Approved'];
            if(isset($dat['ApprovedComm']))
                $data['ApprovedComm'] = mav_htmltotext(trim($dat['ApprovedComm']));
            if(isset($dat['Active']))
                $data['Active'] = (int)$dat['Active'];

            if(isset($dat['Pol']))
                $data['Pol'] = (int)$dat['Pol'];
            if(isset($dat['Vozr_min']))
                $data['Vozr_min'] = (int)$dat['Vozr_min'];
            if(isset($dat['Vozr_max']))
                $data['Vozr_max'] = (int)$dat['Vozr_max'];

            if(isset($dat['AddDate']))
                $data['AddDate'] = (int)$dat['AddDate'];
            if(isset($dat['Refer']))
                $data['Refer'] = (int)$dat['Refer'];

            
            if(isset($dat['Amount']))
                $data['Amount'] = mav_float($dat['Amount'], 2);
            if(isset($dat['Balans']) && $dat['Balans'] >= 0)
                $data['Balans'] = mav_float($dat['Balans']);
            if(isset($dat['Sort']))
                $data['Sort'] = (int)$dat['Sort'];
            if(isset($dat['Otvet']))
                $data['Otvet'] = mav_htmltotext(trim($dat['Otvet']));
            if(isset($dat['Srok']))
                $data['Srok'] = (int)$dat['Srok'];
            if(isset($dat['Povtor']))
                $data['Povtor'] = (int)$dat['Povtor'];
            if(isset($dat['CatId']))
                $data['CatId'] = (int)$dat['CatId'];
            
            $where_ins = ($adm) ? $id : array('Id' => $id, 'UserId' => $GLOBALS['user_login']->data['Id']);
            if(!empty($data))
                $ret = $this->b_update('mod_task',$data,$where_ins);

            if($ret && isset($dat['reg']) && is_array($dat['reg'])){                
                $conn = $this->con();
                $conn->query("DELETE FROM `mod_task_reg` WHERE `RId` = {$id}");
                $conn->close();
                foreach ($dat['reg'] as $val) {
                    $this->b_insert('mod_task_reg',array(
                        'RId' => $id,
                        'Obl' => (int)$val['Obl'],
                        'Country' => $val['Country'],
                        ));
                }
            }
            return $ret;
        }
        public function Insert($dat)
        {
            if(empty($dat['Url']) || empty($dat['Title']) || empty($dat['UserId']) || empty($dat['Amount']))
                return FALSE;
            $data = array();

            if(isset($dat['Url'])){
                $data['Url'] = mav_htmltotext(trim($dat['Url']));                    
                if(!preg_match('~^(?:https?:)?//.*~ius', $data['Url']))
                    $data['Url'] = 'http://'.ltrim($data['Url'], '/');
                else
                    $data['Url'] = $dat['Url'];
            }
            if(isset($dat['Title']))
                $data['Title'] = mav_htmltotext(trim($dat['Title']));
            if(isset($dat['Body']))
                $data['Body'] = mav_htmltotext(trim($dat['Body']));
            if(isset($dat['UserId']))
                $data['UserId'] = (int)$dat['UserId'];
            if(isset($dat['Pol']))
                $data['Pol'] = (int)$dat['Pol'];
            if(isset($dat['Vozr_min']))
                $data['Vozr_min'] = (int)$dat['Vozr_min'];
            if(isset($dat['Vozr_max']))
                $data['Vozr_max'] = (int)$dat['Vozr_max'];            
            $data['Refer'] = isset($dat['Refer']) ? (int)$dat['Refer'] : 0;
            $data['Approved'] = isset($dat['Approved']) ? (int)$dat['Approved'] : 0;
            $data['Active'] = isset($dat['Active']) ? (int)$dat['Active'] : 1;
            $data['Sort'] = $data['AddDate'] = time();
            $data['Amount'] = mav_float($dat['Amount'], 2);
            $data['CatId'] = (int)$dat['CatId'];

            if(isset($dat['Balans']) && $dat['Balans'] >= 0)
                $data['Balans'] = mav_float($dat['Balans']);
            if(isset($dat['Otvet']))
                $data['Otvet'] = mav_htmltotext(trim($dat['Otvet']));
            if(isset($dat['Srok']))
                $data['Srok'] = (int)$dat['Srok'];
            if(isset($dat['Povtor']))
                $data['Povtor'] = (int)$dat['Povtor'];                

            //var_dump($data); die();
            $id = $this->b_insert('mod_task',$data,0);
            if($id){
                if(isset($dat['reg']) && is_array($dat['reg'])){
                    foreach ($dat['reg'] as $val) {
                        $this->b_insert('mod_task_reg',array(
                            'RId' => $id,
                            'Obl' => (int)$val['Obl'],
                            'Country' => $val['Country'],
                            ),0);
                    }
                }
            }
            return $id;
        }
        public  function Delete($id,$adm = FALSE)
        {
        	global $user_logined,$user_login;        	
            $conn = $this->con();
            $id=(int)$id;
            if($adm)
            	$q = "DELETE FROM `mod_task` WHERE `Id` = {$id}";
            else{
            	if(!$user_logined)
        			return FALSE;
            	$q = "DELETE FROM `mod_task` WHERE `Id` = {$id} AND `UserId` = {$user_login->data['Id']}";
            }
            $conn->query($q);
            $ret = $conn->affected_rows;
            $conn->close();
            return $ret;
        }
    /*****************Дополнительные методы*********/
        public function GetImg($id){
            $ret = FALSE;
            $dir = 'assets/mod/task/screen/';
            if (is_file(F.$dir.$id.'.png'))
                $ret = $dir.$id.'.png';
            elseif (is_file(F.$dir.$id.'.gif'))
                $ret = $dir.$id.'.gif';
            elseif (is_file(F.$dir.$id.'.jpg'))
                $ret = $dir.$id.'.jpg';
            return $ret;
        }
        function fileup($file, $id){
            global $user_m, $URLparam, $setting,$user_logined,$user_login; 
            $ret = '';
            $dir = F.'assets/mod/task/screen/';
            if (is_file($dir.$id.'.png'))
                unlink($dir.$id.'.png');
            elseif (is_file($dir.$id.'.gif'))
                unlink($dir.$id.'.gif');
            elseif (is_file($dir.$id.'.jpg'))
                unlink($dir.$id.'.jpg');
            if(empty($file) || !is_uploaded_file($file['tmp_name']))
                $ret = 'Не выбран файл';
            elseif($file["size"] > ($this->set['maxfilesize']*1024))
                $ret = 'Превышен максимально допустимый размер файла';
            else{
                $info = getimagesize($file['tmp_name']);
                $ras = '';
                switch ($info[2]) {
                    case IMG_GIF:
                        $ras = '.gif';
                        break;
                    case (IMG_JPEG || IMG_JPG):
                        $ras = '.jpg';
                        break;
                    case IMG_PNG:
                        $ras = '.png';
                        break;
                }
                if(empty($ras))
                    $ret =  'Неподдерживаемый тип файла';
                elseif($info[0] < 1 || $info[1] < 1)
                    $ret =  'Некорректный размер файла';
                else{
                    if(!move_uploaded_file($file['tmp_name'],$dir.$id.$ras))            
                        $ret = 'Не удалось загрузить изображение';
                }
            }
            return $ret;
        }
        public  function GetReg($id){
            $id = (int)$id;
            $ret = array();
            $conn = $this->con();
            $q = "SELECT rk.*,g_obl.Title as OblTitle, g_con.Title as CountryTitle FROM mod_task_reg as rk
            LEFT JOIN GeoIp_obl as g_obl on (g_obl.Id = rk.Obl)
            LEFT JOIN GeoIp_country as g_con on (g_con.Id = rk.Country)
            WHERE rk.`RId` = $id";
            $query = $conn->query($q);
            if (!empty($query) && $query->num_rows)
            {
                while($row = $query->fetch_assoc())
                    array_push($ret,$row);
                $query->close();
            }
            $conn->close();
            return $ret;
        }
        private function convert(&$query)
        {
            $row = $query->fetch_assoc();
            if(empty($row)){
                $query->close();
                return NULL;
            }
            else
            {
                $query->close();
                if(isset($row['Amount']))
                    $row['AmountPer'] = $row['Amount'] + $row['Amount']*($this->set['per'] / 100);
                return $row;
            }
        }
        private function convertList(&$query)
        {
            $ret = array();
            while($row = $query->fetch_assoc()){
                if(isset($row['Amount']))
                    $row['AmountPer'] = $row['Amount'] + $row['Amount']*($this->set['per'] / 100);
                array_push($ret, $row);
            }
            $query->close();
            return $ret;
        }
    /***************Blok*******************************/
        public  function ChBlok(){
            global $user_login;
            $ret = FALSE;
            $conn = $this->con();
            $query = $conn->query("SELECT * FROM `mod_task_user_block` WHERE `UserId` = {$user_login->data['Id']} LIMIT 1");
            if (!empty($query) && $query->num_rows > 0){
                $ret = TRUE;
                $query->close();
            }
            $conn->close();
            return $ret;
        }
        public  function ChBlokComm(){
            global $user_login;
            $ret = FALSE;
            $conn = $this->con();
            $query = $conn->query("SELECT * FROM `mod_task_user_block` WHERE `UserId` = {$user_login->data['Id']} LIMIT 1");
            if (!empty($query) && $query->num_rows > 0){
                $ret['Blok'] = TRUE;
                $row = $query->fetch_assoc();
                $ret['Comm'] = $row['Comm'];
                $query->close();
            }
            $conn->close();
            return $ret;
        }
        public  function InsertUBlok($id,$Comm = ''){
            return $this->b_insert('mod_task_user_block',array('UserId' => (int)$id,'Comm' => $Comm));
        }
        public  function DeletUBlok($id){
            $conn = $this->con();
            $ret = $conn->query("DELETE FROM `mod_task_user_block` WHERE `UserId` = {$id}");
            $conn->close();
            return $ret;
        }
        public function GetsUBlok($f = array(), $startRowIndex=0, $maximumRows=FALSE,$desc = NULL)
        {
            $ret = new Task_model;
            $conn = $this->con();
            $where = '';
            $select = '';
            $join = '';
            $lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 300';
            if(empty($desc))
                    $desc = 't.`UserId` DESC';
            else
            {
                $desc = $conn->real_escape_string($desc);
                $ar = explode(' ', trim($desc));
                if (isset($ar[1]))
                    $desc = 't.`'.$ar[0].'` DESC';
                else
                    $desc = 't.`'.$ar[0].'`';
            }
            if(!empty($f)){
                $w = array(); 
                if(isset($f['UserId']))
                    array_push($w, "t.UserId = ".(int)$f['UserId']);
                /****************************************************/
                if(!empty($w)){
                    $where = ' WHERE ' .implode(' AND ', $w);
                    unset($w);
                }
            }
            $q = "SELECT 
                t.*,u.Login
                FROM `mod_task_user_block` as t 
                LEFT JOIN user as u ON(u.Id = t.UserId)
                {$where} ORDER BY {$desc} {$lim}";
            //die($q);
            $query = $conn->query($q);
            if (!empty($query) && $query->num_rows)
            {
                $ret->data = $this->convertList($query);
                if($maximumRows){
                    $query2 = $conn->query("SELECT COUNT(*) FROM `mod_task_user_block` as r {$where}");
                    if(!empty($query2) && $query2->num_rows){
                        $ret->count = (int)$query2->fetch_array()[0];
                        $query2->close();
                    }
                }
            }
            $conn->close();
            return $ret;
        }
    /***************Cats*******************************/
        /*function GetCatByID(){
            $ret = array();
            $conn = $this->con();
            $query = $conn->query("SELECT * FROM `mod_task_cat`");
            if (!empty($query))
            {
                while($row = $query->fetch_assoc()){
                    $id = $row['Id'];
                    unset($row['Id']);
                    $ret[$id] = $row;
                }
            }
            $conn->close();
            return $ret;
        }*/
        function GetsCat(){
            $ret = array();
            $conn = $this->con();
            $query = $conn->query("SELECT * FROM `mod_task_cat`");
            if (!empty($query))
            {
                while($row = $query->fetch_assoc()){
                    $id = $row['Id'];
                    unset($row['Id']);
                    $ret[$id] = $row;
                }
            }
            $conn->close();
            return $ret;
        }
        function InsertCat($dat){
            $ret = FALSE;
            $data = array();
            if(isset($dat['Title']))
                $data['Title'] = mav_htmltotext(trim($dat['Title']));
            else
                return $ret;
            if(isset($dat['Body']))
                $data['Body'] = mav_htmltotext(trim($dat['Body']));
            $ret = $this->b_insert('mod_task_cat',$data);
            return $ret;
        }
        function UpdateCat($dat){
            if(empty($dat['Id']))
                return FALSE;
            $ret = FALSE;
            $data = array();
            if(isset($dat['Title']))
                $data['Title'] = mav_htmltotext(trim($dat['Title']));
            if(isset($dat['Body']))
                $data['Body'] = mav_htmltotext(trim($dat['Body']));
            if(!empty($data))
                $ret = $this->b_update('mod_task_cat',$data,$dat['Id']);
            return $ret;
        }
        function DeletCat($id){
            global $user_logined,$user_login;           
            $conn = $this->con();
            $id=(int)$id;
            $ret = $conn->query("DELETE FROM `mod_task_cat` WHERE `Id` = {$id}");
            $conn->close();
            return $ret;
        }
    /*******************************User********************************************************/
        public function GetsU($f = array(), $startRowIndex=0, $maximumRows=FALSE,$desc = NULL)
        {
            global $user_m, $URLparam, $setting,$user_logined,$user_login; 
            $ret = new Task_model;
            $conn = $this->con();
            $lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 300';
            if(empty($desc)){
                    $desc = 't.`Id` DESC';
            }
            elseif($desc == 'rand')
                $desc = 'RAND()';
            elseif($desc == 'Status')
                $desc = 't.`Status`, t.`EndDate`';
            else
            {
                $desc = $conn->real_escape_string($desc);
                $ar = explode(' ', trim($desc));
                if (isset($ar[1]))
                    $desc = 't.`'.$ar[0].'` DESC';
                else
                    $desc = 't.`'.$ar[0].'`';
            }
            $where = '';
            if(!empty($f)){
                $w = array();
                if(isset($f['Id']))
                    array_push($w, "t.Id = ".(int)$f['Id']);
                if(isset($f['UserId']))
                    array_push($w, "t.UserId = ".(int)$f['UserId']);
                if(isset($f['TaskId']))
                    array_push($w, "t.TaskId = ".(int)$f['TaskId']);
                if(isset($f['Status']))
                    array_push($w, "t.Status = ".(int)$f['Status']);

                if(isset($f['s'])){
                    $s = $conn->real_escape_string($f['s']);
                    array_push($w, "(t.`Url` LIKE '%{$s}%' OR t.`Title` LIKE '%{$s}%')");                
                }
                /****************************************************/
                if(!empty($w)){
                    $where = ' WHERE ' .implode(' AND ', $w);
                    unset($w);
                }
            }
            $q = "SELECT  ti.*, t.*, t.Id, IF(blok.UserId IS NULL, 0, 1) as Blok, u.Login FROM `mod_task_user` as t 
            LEFT JOIN `mod_task_user_item` as ti ON(ti.Id = t.Id)
            LEFT JOIN user as u on(u.Id = t.UserId)
            LEFT JOIN mod_task_user_block as blok on(t.UserId = blok.UserId)
            {$where} ORDER BY {$desc} {$lim}";
            $query = $conn->query($q);
            //die($q);
            if (!empty($query) && $query->num_rows)
            {
                $ret->data = $this->convertList($query);
                if($maximumRows){
                    $query2 = $conn->query("SELECT COUNT(t.Id) FROM `mod_task_user` as t LEFT JOIN `user` as u on(u.Id = t.UserId) {$where}");
                    if(!empty($query2) && $query2->num_rows){
                        $ret->count = (int)$query2->fetch_array()[0];
                        $query2->close();
                    }
                }
            }
            $conn->close();
            return $ret;
        }
        public  function GetByIDU($id, $UserId = FALSE)
        {
            global $user_m, $URLparam, $setting,$user_logined,$user_login; 
            $ret = NULL;
            $conn = $this->con();
            $w = 't.Id = '.(int)$id;
            $jn = '';
            if(!empty($UserId))
                $w .= " AND t.UserId = ".(int)$UserId;
            $q = "SELECT 
                ti.*, t.*, t.Id, ti.Id as IId, u.Login,
                cat.Title as CatTitle
                FROM `mod_task_user` as t 
                LEFT JOIN `mod_task_user_item` as ti ON(ti.Id = t.Id)
                LEFT JOIN user as u on(u.Id = t.UserId) 
                LEFT JOIN mod_task_cat as cat on(cat.Id = ti.CatId)
                WHERE {$w} LIMIT 1
            ";
            //die($q);
            $query = $conn->query($q);
            if (!empty($query) && $query->num_rows)
                $ret = $this->convert($query);
            $conn->close();
            return $ret;
        }
        public  function GetByIDU_r($id)
        {
            global $user_m, $URLparam, $setting,$user_logined,$user_login; 
            $ret = NULL;
            $conn = $this->con();
            $w = 'tu.Id = '.(int)$id;
            $q = "SELECT tu.*,t.UserId as TaskUserId, t.Balans as TaskBalans FROM `mod_task_user` as tu
                LEFT JOIN mod_task as t on(t.Id = tu.TaskId)
                WHERE {$w} LIMIT 1
            ";
            $query = $conn->query($q);
            if (!empty($query) && $query->num_rows)
                $ret = $this->convert($query);
            $conn->close();
            return $ret;
        }
        function chCount(){
            global $user_login;
            $ret = 0;
            $conn = $this->con();
            $query = $conn->query("SELECT count(*) FROM  `mod_task_user` WHERE `UserId` = {$user_login->data['Id']} AND `Status` < 4");
            if (!empty($query) && $query->num_rows > 0){
                $ret = (int)$query->fetch_array()[0];
                $query->close();
            }
            $conn->close();
            return $ret;

        }
        function MyTek(){
            $ret = array(
                'tek' => array(),
                'wait' => 0,
            );
            global $user_m, $URLparam, $setting,$user_logined,$user_login;
            if(!$GLOBALS['user_logined'])
                return $ret;            
            $conn = $this->con();
            $q = "SELECT tu.*,ti.Dorabotka FROM `mod_task_user` as tu
                LEFT JOIN `mod_task_user_item` as ti ON(ti.Id = tu.Id)
                WHERE tu.`UserId` = {$user_login->data['Id']} AND tu.`Status` < 4 ORDER BY tu.`EndDate` DESC LIMIT 50";
            $query = $conn->query($q);
            //die($q);
            if (!empty($query) && $query->num_rows)
            {
                while($row = $query->fetch_assoc()){
                    $row['Status'] = (int)$row['Status'];
                    if($row['Status'] === 1 || $row['Status'] === 3){
                        if($row['Status'] === 1)
                            unset($row['Dorabotka']);
                        array_push($ret['tek'], $row);
                    }
                    else
                        $ret['wait']++;
                }
            }
            $conn->close();
            return $ret;

        }
        /*****************ins/up***********************/
            public  function UpdateU($dat, $adm = FALSE)
            {
                $ret = FALSE;
                if(!$adm && !$GLOBALS['user_logined'])
                    return FALSE;
                //var_dump($dat);die();
                $data = array();
                $data2 = array();
                $id = 0;
                if (isset($dat['Id'])) {
                    $id=(int)$dat['Id'];
                }
                else
                    return FALSE;
                if(isset($dat['Url'])){
                    $data2['Url'] = mav_htmltotext(trim($dat['Url']));                    
                    if(!preg_match('~^(?:https?:)?//.*~ius', $data2['Url']))
                        $data2['Url'] = 'http://'.ltrim($data2['Url'], '/');
                }
                if(isset($dat['Title']))
                    $data['Title'] = mav_htmltotext(trim($dat['Title']));
                if(isset($dat['Body']))
                    $data2['Body'] = mav_htmltotext(trim($dat['Body']));
                /*if(isset($dat['UserId']))
                    $data['UserId'] = (int)$dat['UserId'];*/
                if(isset($dat['Status']))
                    $data['Status'] = (int)$dat['Status'];
                if(isset($dat['OtchetDate']))
                    $data['OtchetDate'] = (int)$dat['OtchetDate'];


                if(isset($dat['Otchet']))
                    $data2['Otchet'] = mav_htmltotext(trim($dat['Otchet']));
                if(isset($dat['Dorabotka']))
                    $data2['Dorabotka'] = mav_htmltotext(trim($dat['Dorabotka']));


                if(isset($dat['AddDate']))
                    $data['AddDate'] = (int)$dat['AddDate'];
                if(isset($dat['EndDate']))
                    $data['EndDate'] = (int)$dat['EndDate'];
                if(isset($dat['CatId']))
                    $data2['CatId'] = (int)$dat['CatId'];
                if(isset($dat['Amount']))
                    $data['Amount'] = mav_float($dat['Amount'], 2);
                if(isset($dat['Rat']))
                    $data['Rat'] = $dat['Rat'];
                if(isset($dat['BlokMess']))
                    $data2['BlokMess'] = trim($dat['BlokMess']);
                
                $where_ins = ($adm) ? $id : array('Id' => $id, 'UserId' => $GLOBALS['user_login']->data['Id']);
                if(!empty($data))
                    $ret = $this->b_update('mod_task_user',$data,$where_ins);
                if(!empty($data2))
                    $ret = $this->b_update('mod_task_user_item',$data2,$id);
                return $ret;
            }
            public function InsertU($dat)
            {
                if(empty($dat['Url']) || empty($dat['Title']) || empty($dat['UserId']) || empty($dat['TaskId']))
                    return FALSE;
                $data = array();
                $data2 = array();            
                $data2['Url'] = mav_htmltotext(trim($dat['Url']));                    
                if(!preg_match('~^(?:https?:)?//.*~ius', $data2['Url']))
                    $data2['Url'] = 'http://'.ltrim($data2['Url'], '/');
                $data['Title'] = mav_htmltotext(trim($dat['Title']));
                $data['UserId'] = (int)$dat['UserId'];
                $data['Status'] = 1;
                $data['TaskId'] = (int)$dat['TaskId'];
                $data2['Otchet'] = '';
                $data2['Dorabotka'] = '';
                $data['AddDate'] = $data2['OkDate'] = time();
                if(isset($dat['EndDate']))
                    $data['EndDate'] = (int)$dat['EndDate'];
                if(isset($dat['Otvet']))
                    $data2['Otvet'] = mav_htmltotext(trim($dat['Otvet']));
                if(isset($dat['CatId']))
                    $data2['CatId'] = (int)$dat['CatId'];
                if(isset($dat['Body']))
                    $data2['Body'] = mav_htmltotext(trim($dat['Body']));
                if(isset($dat['Amount']))
                    $data['Amount'] = mav_float($dat['Amount'], 2);
                //var_dump($data); die();
                $id = $this->b_insert('mod_task_user',$data,0);
                if($id > 0){
                    $data2['Id'] = $id;
                    if(!$this->b_insert('mod_task_user_item',$data2)){
                        $this->DeleteU($id);
                        return FALSE;
                    }
                }
                return $id;
            }
            public  function DeleteU($id,$adm = FALSE)
            {
                global $user_logined,$user_login;           
                $conn = $this->con();
                $id=(int)$id;
                if($adm)
                    $q = "DELETE FROM `mod_task_user` WHERE `Id` = {$id}";
                else{
                    if(!$user_logined)
                        return FALSE;
                    $q = "DELETE FROM `mod_task_user` WHERE `Id` = {$id} AND `UserId` = {$user_login->data['Id']}";
                }
                $conn->query($q);
                $ret = $conn->affected_rows;
                if($ret){
                    $ret = $conn->query("DELETE FROM `mod_task_user_item` WHERE `Id` = {$id}");
                    $im = $this->GetImg($id);
                    if(!empty($im))
                        unlink(F.$im);
                }
                $conn->close();
                return $ret;
            }
        /********************************************/

    /*******************************cron********************************************************/
        public function cron(){
            global $user_m,$setting,$user_logined,$user_login;
            $conn = $this->con();
            $time = time();

            /*****************Раз в сутки***************************/  
                if($this->set['crond_ok'] < ($time - 60*60*24)){          
                    $sut = time() - 60*60*24;
                    $query = $conn->query("SELECT Id FROM `mod_task_user` WHERE EndDate < {$sut} AND Status = 5");
                    if (!empty($query) && $query->num_rows) {
                        while($row = $query->fetch_assoc()){
                            $this->DeleteU($row['Id'],TRUE);
                        }
                    }
                    /*********Удаление старых исполнителей****/
                        $conn->query("DELETE FROM `mod_task_user_item` WHERE `OkDate` < ".($time-60*60*24*30));
                    /*********запись об успехе****************/
                        $t = $this->set;
                        if(!empty($t)){
                            $t['crond_ok'] = $time;
                            setConf('task',$t);
                        }
                    /****************************************/
                }
            /************если время на провеку закончилось: одобрить и заплатить*****************/
                $tm = $time - 60*60*$this->set['chtime'];
                $q = "SELECT Id, `TaskId`, `UserId`, `Amount` FROM `mod_task_user` WHERE OtchetDate < {$tm} AND Status = 2 ";
                $query = $conn->query($q);
                if (!empty($query))
                {
                    require_once(F."models/user/User_model.php");
                    $user_m = new \models\user\User_model;
                    while($row = $query->fetch_assoc())
                    {
                        $ar = array(
                            'Id' => $row['Id'],
                            'Status' => 4,
                        );
                        if($this->Update($ar,TRUE)){
                            $user_m->MoneyPlus($row['UserId'],$row['Amount'],13);
                            $im = $this->GetImg($row['Id']);
                            if(!empty($im))
                                unlink(F.$im);
                        }
                    }
                    $query->close();
                }
            /**************************Если просрочил задание: Вернуть средства и установить просрочено**************/
                $q = "SELECT `Id`, `TaskId`, `Amount` FROM `mod_task_user` WHERE EndDate < {$time} AND (Status = 1 OR Status = 3)";
                $query = $conn->query($q);
                if (!empty($query))
                {
                    while($row = $query->fetch_assoc())
                    {
                        if($conn->query("UPDATE `mod_task_user` SET `Status` = 5 WHERE `Id` = ".$row['Id'])){
                            $bal = $row['Amount']+$row['Amount']*($this->set['per'] / 100);
                            $conn->query("UPDATE `mod_task` SET `Balans` = `Balans` + {$bal} WHERE `Id` = ".$row['TaskId']);
                            $im = $this->GetImg($row['Id']);
                            if(!empty($im))
                                unlink(F.$im);
                        }
                    }
                }
            /*****************************************/
            $conn->close();
            return TRUE;
        }
}
