<?php 
    /************************************/
    global $user_logined, $user_login, $user_m, $setting;
?>
<article>
	<h1><?php echo $Title ?></h1>
	<?php echo $Body ?>
	<?php if(!$user_logined) { ?>
	<?php include HTML.'no_auth.php'; ?>
	<?php } elseif($ChBlok){ ?>
    <div class="panel panel-default">
        <div class="panel-body">
            <div class="alert alert-danger"><strong>You are blocked!</strong><br /> 
            <?php echo empty($ChBlokComm) ? 'This may have happened if you violated the service rules. Please contact the site administration.' : 'Reason for blocking: '.$ChBlokComm; ?>
            </div>
        </div>
    </div>
    <?php } elseif($r_m->set['active']) { ?>
        <?php echo $feed; ?>
        <div class="panel panel-default">
            <?php if(empty($items) || empty($items->data)) { ?>
            <div class="panel-body" style="text-align: center;">
                <em>No data</em>
            </div>
            <?php } else { ?>
            <div class="table-responsive">
                <table class="table r-table table-striped table-hover table-condensed">
                    <thead>
                        <tr>
                            <th><button onclick="return sortitem('Id',this);" class="btn-link btn_sort">№ <?php if($sort == 'Id') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Id DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                            <th><button onclick="return sortitem('Login',this);" class="btn-link btn_sort">Performer <?php if($sort == 'Login') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Login DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>

                            <th><button onclick="return sortitem('Amount',this);" class="btn-link btn_sort">Cost <?php if($sort == 'Amount') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Amount DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                            <th><button onclick="return sortitem('AddDate',this);" class="btn-link btn_sort">Start <?php if($sort == 'AddDate') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'AddDate DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                            <th><button onclick="return sortitem('EndDate',this);" class="btn-link btn_sort">End <?php if($sort == 'EndDate') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'EndDate DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                            <th><button onclick="return sortitem('Status',this);" class="btn-link btn_sort">Status <?php if($sort == 'Status') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Status DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                        </tr>
                    </thead>
                    <tbody>
                    <?php foreach($items->data as $val){ 
                        $classstaus = $trclass = '';
                        $ts = (int)$val['Status'];
                        if($ts === 1){
                            $trclass = "success";
                            $classstaus = 'text-danger';
                        }
                        elseif($ts === 2){
                            $trclass = '';//"warning";
                            $classstaus = 'text-warning';
                        }
                        elseif($ts === 3 || $ts === 7){
                            $trclass = "danger";
                            //$classstaus = 'text-success';
                        }
                        elseif($ts === 4){
                            $trclass = "";
                            $classstaus = 'text-success';
                        }

                        else                                
                            $classstaus = 'text-muted';
                    ?>
                        <tr class="<?php echo $trclass; ?>">
                            <td><?php echo $val['Id']; ?></td>
                            <td>
                                <strong><?php echo $val['Login']; ?></strong>
                            </td>
                            <td>
                                <?php echo number_format ($val['Amount'], 2,","," " ); ?> rub.
                            </td>
                            <td style="text-align: center; font-size: 12px;"><?php echo date('d.m.Y H:i', $val['AddDate']); ?></td>
                            <td style="text-align: center; font-size: 12px;"><?php echo date('d.m.Y H:i', $val['EndDate']); ?></td>
                            <td style="text-align: center;" class="<?php echo $classstaus; ?>">
                                <strong><?php echo $r_m->status[$ts]; ?></strong>
                                <?php if($ts === 4) { $val['Rat'] = (int)$val['Rat']; ?>
                                    <?php if($val['Rat'] === 0){ ?>
                                        <div class="form-group">
                                            <em>No rating</em>
                                        </div>
                                    <?php } else { ?>
                                        <div style="font-size: 13px; color:#000;"><strong>Rating:</strong> <?php echo ($val['Rat'] === 1) ? '<label class="text-success"><i class="fa fa-plus"></i></label>' : '<label class="text-danger"><i class="fa fa-minus"></i></label>'; ?></div>
                                    <?php } ?>
                                <?php } ?>
                            </td>
                            <td style="width: 45px;">                                
                                <button onclick="send_bug(<?php echo $val['Id']; ?>,'<?php echo $val['Title']; ?>');" class="btn btn-warning" title="Report performer"><i class="fa fa-exclamation-triangle"></i></button>
                            </td>
                        </tr>
                    <?php } ?>
                    </tbody>
                </table>
            </div>
            <div class="panel-footer"><?php echo $pager; ?></div>
            <?php } ?>
        </div>
        <input type="hidden" id="startpag" data-dataform="" name="startpag" value="<?php echo $startpag; ?>">
        <input type="hidden" id="sort" data-dataform="" name="sort" value="<?php echo $sort; ?>">
        <input type="hidden" id="url_build" name="url_build" value="<?php echo $url_build; ?>">
        <aside class="mymod-overlay" id="send_bug">
            <div class="mymod-table">
                <div class="mymod-cell">
                    <div class="mymod-modal">
                        <a href="#close" onclick="return mymod();" class="mymod-close"></a>
                        <h2 class="show_order-h2">Report on performer</h2>
                        <p>
                            <strong>Performer №<span id="send_bug_id_t"></span> </strong> <br /> 
                            <small><span id="send_bug_title"></span></small>
                        </p>
                        <form action="aj/mail_z" onsubmit="submit_send('send_bug_send');return false;" id="send_bug_send">
                            <input type="hidden" id="send_bug_id" name="Tema" value="Tasks. Report on performer" />
                            <input type="hidden" name="Fio" value="<?php echo ($user_logined) ? $user_login->data['Login'] : 'Anonymous'; ?>" />
                            <div class="form-group">
                                <label>Additional information:</label>
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="fa fa-pencil"></i></span>
                                    <textarea id="send_bug_textarea" name="Body" class="form-control" id="order-mes" placeholder="Message" rows="4"></textarea>
                                </div>
                            </div>
                            <div style="text-align:center; margin:25px;"><button type="submit" class="btn btn-lg btn-danger" >Send</button> </div>
                        </form>
                    </div>
                </div>
            </div>
        </aside>

    <?php } else { ?>
        <div class="alert alert-warning"><strong>Module is temporarily unavailable. We apologize for the inconvenience.</strong></div>
    <?php } ?>
</article>
<div id="show_item"></div>
<script>
    function send_bug(id,title){
        var e = $('#send_bug');
        e.find('#send_bug_title').html(title);
        e.find('#send_bug_id').val("Tasks. Report on performer №"+id);
        e.find('#send_bug_id_t').html(id);
        e.find('#send_bug_textarea').val("Performer №"+id+" violates the service rules");
        e.fadeIn(300);
    }
    function dataload(formData){
        $('#ajaxProgress').show();
        formData.append('aj',1);
        $.ajax({
            url: document.location.href,
            type: "POST",
            cache: false,
            contentType: false,
            processData: false,        
            data: formData,
            success: function(content){
                $('#ajax_load').html(content);
                $('#ajaxProgress').hide();
                window.history.pushState(null, null, $('#url_build').val());
            }
        });
        return false;
    }
    function pager(pag){
        $('#startpag').val(pag);
        var formData = getFormData_el('[data-dataform]');    
        dataload(formData);    
        return false;
    }
    function sortitem(el,e){
        if($('#sort').val() == el)
            el += ' DESC';
        $('#sort').val(el);
        $('#startpag').val(1);
        var formData = getFormData_el('[data-dataform]');
        dataload(formData);
        return false;
    }
</script>
<!--/includeFuter-->