<?php 
    /************************************/
    global $user_logined, $user_login, $user_m, $setting;
?>
<article>
	<h1><?php echo $Title ?></h1>
	<?php echo $Body ?>
	<?php if(!$user_logined) { ?>
	<?php include HTML.'no_auth.php'; ?>
	<?php } elseif($ChBlok){ ?>
	<div class="panel panel-default">
		<div class="panel-body">
			<div class="alert alert-danger"><strong>You are blocked!</strong><br /> 
            <?php echo empty($ChBlokComm) ? 'This may have happened if you violated the service rules. Please contact the site administration.' : 'Reason for blocking: '.$ChBlokComm; ?>
            </div>
		</div>
	</div>
	<?php } elseif(!$r_m->set['active']){ ?>
        <div class="alert alert-warning"><strong>Module is temporarily unavailable. We apologize for the inconvenience.</strong></div>
    <?php } else { echo $feed; ?>


<?php if(!empty($my_tek)){ ?>
    <div class="alert alert-success">
        <label>You are performing tasks:</label>
        <div class="table-responsive">
            <table class="table table-condensed table-hover r-table">
                <?php foreach ($my_tek as $val) { ?>
                    <tr class="<?php echo ($val['Status'] === 1) ? 'warning' : 'danger'; ?>">
                        <td>
                            <a style="padding: 5px;" title="Go to task" href="/earn/task/u<?php echo $val['Id']; ?>"><?php echo $val['Title']; ?></a>             
                            <?php if($val['Status'] === 3){ ?>
                            <div class="panel panel-danger" style="margin-bottom: 5px;"><div class="panel-body" style="padding: 3px 10px; font-size: 12px;">
                                <strong><i class="text-warning fa fa-exclamation-triangle"></i> Task needs revision:</strong><br />
                                <span style="color:#000;"><?php echo $val['Dorabotka']; ?></span>
                            </div></div>
                            <?php } ?>      
                            <div><a title="Go to task" href="/earn/task/u<?php echo $val['Id']; ?>" style="margin: 5px;" class="btn btn-sm btn-danger"><i class="fa fa-check"></i> &nbsp; Go to task</a>             
                        </td>
                        <td style="font-weight: bold;padding-top: 10px;">Complete by:<br /> <span style="color: #000;"><?php echo date('d.m.Y H:i', $val['EndDate']); ?></span></td>
                    </tr>
                <?php } ?>
            </table>
        </div>
    </div>
<?php } ?>

        <input type="hidden" id="startpag" data-dataform="" name="startpag" value="<?php echo $startpag; ?>">
        <input type="hidden" id="sort" data-dataform="" name="sort" value="<?php echo $sort; ?>">
        <input type="hidden" id="tab" data-dataform="" name="tab" value="<?php echo $tab; ?>">
        <input type="hidden" id="url_build" name="url_build" value="<?php echo $url_build; ?>">
        <input type="hidden" data-dataform="" name="CatId" id="CatId" value="<?php echo $CatId; ?>" />

        <div class="panel panel-default">
            <?php if($tab < 2) { ?>
                <div style="border-bottom: 1px solid #ddd; padding: 15px;background: #f3f3f3;">
                    <i class="fa fa-fw fa-bars"></i> <span class="hidden-xs">All tasks</span> &nbsp;&nbsp; 
                    <button onclick="tab_change(2);" class="btn-link"><i class="fa fa-fw fa-user"></i> <span class="hidden-xs">My tasks</span> <?php if(!empty($my_tek_count) || !empty($my_wait)) { ?> <strong class="bg-info" style="display: inline-block;padding: 2px 5px;font-size: 13px;"><span class="text-success"><?php echo $my_tek_count; ?></span> / <span class="text-warning"><?php echo $my_wait; ?></span></strong><?php } ?></button>
                </div>
                <div class="dep_nav" style="margin-bottom: 15px; border-bottom: 1px solid #ddd; padding: 15px;">
                    <div>
                        <?php  foreach ($Cats as $cat_k => $cat_v) {
                            $tb = empty($cat_v['Body']) ? $cat_v['Title'] : $cat_v['Title'].' - '.$cat_v['Body'];
                            if($cat_k != $CatId)
                                echo "<button data-toggle=\"tooltip\" class=\"btn-link\" type=\"button\" onclick=\"cat_click({$cat_k});\" title=\"{$tb}\">{$cat_v['Title']}</button>";
                            else
                                echo "<span class=\"dep_nav_text\">{$cat_v['Title']}</span>";
                        }
                        if($CatId < 1)
                            echo "<span class=\"dep_nav_text\">All categories</span>";
                        else
                            echo "<button data-toggle=\"tooltip\" class=\"btn-link\" type=\"button\" onclick=\"cat_click(0);\" title=\"All categories\">All categories</button>";
                        ?>
                    </div>
                </div>
                <?php if(empty($items) || empty($items->data)) { ?>
                <div class="panel-body" style="text-align: center;">
                    <em>No data</em>
                </div>
                <?php } else { ?>
                <div class="table-responsive">
                    <table class="table r-table table-striped table-hover table-condensed">
                        <thead>
                            <tr>
                                <th><button onclick="return sortitem('Id',this);" class="btn-link btn_sort">№ <?php if($sort == 'Id') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Id DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                                <th><button onclick="return sortitem('Title',this);" class="btn-link btn_sort">Title <?php if($sort == 'Title') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Title DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                                <th><button onclick="return sortitem('Amount',this);" class="btn-link btn_sort">Cost <?php if($sort == 'Amount') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Amount DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                                <th>Rating</th>
                                <th>Completions <br /> <small style="font-size: 10px;">performing/completed</small></th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                        <?php foreach($items->data as $val){ 
                            $_url = (mb_strlen($val['Url']) > 30) ? (mb_substr($val['Url'], 0, 30).' ...') : $val['Url'];
                        ?>                      
                            <tr>
                                <td>
                                    <?php echo $val['Id']; ?>
                                    <br /><button onclick="send_bug(<?php echo $val['Id']; ?>,'<?php echo $val['Title']; ?>');" class="btn-none" title="Report"><i class="text-warning fa fa-exclamation-triangle"></i></button>
                                </td>
                                <td>
                                    <a title="Go to task" href="/earn/task/<?php echo $val['Id']; ?>"><?php echo $val['Title']; ?></a>
                                    <div style="font-size: 12px;">
                                        <span class="text-success"><i title="Category" data-toggle="tooltip" class="fa fa-bars"></i> <strong><?php echo $val['CatTitle']; ?></strong></span><br />
                                        <span><i title="User" data-toggle="tooltip" class="fa fa-user"></i> <?php echo $val['Login']; ?></span>  &nbsp;  <span class="text-muted"><i title="Task URL" data-toggle="tooltip" class="fa fa-globe"></i> <span title="<?php echo $val['Url']; ?>"><?php echo $_url; ?></span></span>
                                        
                                    </div>
                                </td>
                                <td>
                                    <?php echo number_format($val['Amount'], 2,","," " ); ?> <?php echo $setting['main']['cur']['z']; ?>
                                </td>
                                <td style="text-align: center;"><span class="text-success">+<?php echo $val['RatPlus']; ?></span> / <span class="text-danger">-<?php echo $val['RatMinus']; ?></span></td>
                                <td style="text-align: center;"><?php echo $val['st1']; ?> / <?php echo $val['st4']; ?></td>
                                <td style="width: 90px;">                                
                                    <a style="margin:3px;" title="view" class="btn btn-sm btn-warning" href="/earn/task/<?php echo $val['Id']; ?>"><i class="fa fa-eye"></i></a>
                                </td>                      
                            </tr>
                        <?php } ?>
                        </tbody>
                    </table>
                </div>
                <div class="panel-footer"><?php echo $pager; ?></div>
                <?php } ?>
            <?php } else { ?>
                <div style="margin-bottom: 15px; border-bottom: 1px solid #ddd; padding: 15px;background: #f3f3f3;">
                    <button onclick="tab_change(1);" class="btn-link"><i class="fa fa-fw fa-bars"></i> <span class="hidden-xs">All tasks</span></button> &nbsp;&nbsp; 
                    <i class="fa fa-fw fa-user"></i> <span class="hidden-xs">My tasks</span> <?php if(!empty($my_tek_count) || !empty($my_wait)) { ?> <strong class="bg-info" style="display: inline-block;padding: 2px 5px;font-size: 13px;"><span class="text-success"><?php echo $my_tek_count; ?></span> / <span class="text-warning"><?php echo $my_wait; ?></span></strong><?php } ?>
                </div>
                <?php if(empty($items) || empty($items->data)) { ?>
                <div class="panel-body" style="text-align: center;">
                    <em>No data</em>
                </div>
                <?php } else { ?>
                <div class="table-responsive">
                    <table class="table r-table table-striped table-hover table-condensed">
                        <thead>
                            <tr>
                                <th><button onclick="return sortitem('TaskId',this);" class="btn-link btn_sort">Task № <?php if($sort == 'TaskId') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'TaskId DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                                <th><button onclick="return sortitem('Title',this);" class="btn-link btn_sort">Title <?php if($sort == 'Title') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Title DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                                <th><button onclick="return sortitem('Amount',this);" class="btn-link btn_sort">Cost <?php if($sort == 'Amount') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Amount DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                                <th><button onclick="return sortitem('AddDate',this);" class="btn-link btn_sort">Start <?php if($sort == 'AddDate') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'AddDate DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                                <th><button onclick="return sortitem('EndDate',this);" class="btn-link btn_sort">End <?php if($sort == 'EndDate') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'EndDate DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                                <th><button onclick="return sortitem('Status',this);" class="btn-link btn_sort">Status <?php if($sort == 'Status') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Status DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                        <?php foreach($items->data as $val){ 
                                        $classstaus = $trclass = '';
                                        $ts = (int)$val['Status'];
                                        if($ts === 1){
                                            //$trclass = "success";
                                            $classstaus = 'text-success';
                                        }
                                        elseif($ts === 2){
                                            $trclass = "warning";
                                            $classstaus = 'text-warning';
                                        }
                                        elseif($ts === 3 || $ts === 7){
                                            $trclass = "danger";
                                            $classstaus = 'text-danger';
                                        }
                                        else                                
                                            $classstaus = 'text-muted';
                            $_url = (mb_strlen($val['Url']) > 30) ? (mb_substr($val['Url'], 0, 30).' ...') : $val['Url'];
                        ?>
                            <tr class="<?php echo $trclass; ?>">
                                <td><?php echo $val['TaskId']; ?><br /><button onclick="send_bug(<?php echo $val['TaskId']; ?>,'<?php echo $val['Title']; ?>');" class="btn-none" title="Report"><i class="text-warning fa fa-exclamation-triangle"></i></button></td>
                                <td>
                                    <a title="Go to task" href="/earn/task/u<?php echo $val['Id']; ?>"><?php echo $val['Title']; ?></a>
                                    <div style="font-size: 12px;">
                                        <?php /* <span class="text-success"><i title="Category" data-toggle="tooltip" class="fa fa-bars"></i> <strong><?php echo $val['CatTitle']; ?></strong></span><br />
                                        <span><i title="User" data-toggle="tooltip" class="fa fa-user"></i> <?php echo $val['Login']; ?></span>  &nbsp;  */ ?><span class="text-muted"><i title="Task URL" data-toggle="tooltip" class="fa fa-globe"></i> <span title="<?php echo $val['Url']; ?>"><?php echo $_url; ?></span></span>
                                        
                                    </div>
                                </td>
                                <td>
                                    <?php echo number_format ($val['Amount'], 2,","," " ); ?> <?php echo $setting['main']['cur']['z']; ?>
                                </td>
                                <td><?php echo date('d.m.Y', $val['AddDate']); ?><br /><?php echo date('H:i', $val['AddDate']); ?></td>
                                <td><?php echo date('d.m.Y', $val['EndDate']); ?><br /><?php echo date('H:i', $val['EndDate']); ?></td>

                                <td style="text-align: center;" class="<?php echo $classstaus; ?>">
                                    <strong><?php echo $r_m->status[$ts]; ?></strong>
                                    <?php if($ts === 4) { $val['Rat'] = (int)$val['Rat']; ?>
                                        <?php if($val['Rat'] === 0){ ?>
                                            <div class="form-group">
                                                <form method="post" style="text-align: center;">
                                                    <input type="hidden" name="RatOk" value="<?php echo $val['Id']; ?>" />
                                                    <button class="btn btn-xs btn-success" type="submit" name="Rat" value="1"><i class="fa fa-plus"></i></button>
                                                    <button class="btn btn-xs btn-warning" type="submit" name="Rat" value="0"><i class="fa fa-minus"></i></button>
                                                </form>
                                            </div>
                                        <?php } else { ?>
                                            <div style="font-size: 13px; color:#000;"><strong>Rating:</strong> <?php echo ($val['Rat'] === 1) ? '<label class="text-success"><i class="fa fa-plus"></i></label>' : '<label class="text-danger"><i class="fa fa-minus"></i></label>'; ?></div>
                                        <?php } ?>
                                    <?php } ?>
                                </td>
                                <td style="width: 45px;">                                
                                    <a style="margin:3px;" title="view" class="btn btn-sm btn-warning" href="/earn/task/u<?php echo $val['Id']; ?>"><i class="fa fa-eye"></i></a>
                                </td>                      
                            </tr>
                        <?php } ?>
                        </tbody>
                    </table>
                </div>
                <div class="panel-footer"><?php echo $pager; ?></div>
                <?php } ?>
            <?php } ?>
        </div>

        <aside class="mymod-overlay" id="send_bug">
            <div class="mymod-table">
                <div class="mymod-cell">
                    <div class="mymod-modal">
                        <a href="#close" onclick="return mymod();" class="mymod-close"></a>
                        <h2 class="show_order-h2">Report on task</h2>
                        <p>
                            <strong>Task №<span id="send_bug_id_t"></span> </strong> <br /> 
                            <small><span id="send_bug_title"></span></small>
                        </p>
                        <form action="aj/mail_z" onsubmit="submit_send('send_bug_send');return false;" id="send_bug_send">
                            <input type="hidden" id="send_bug_id" name="Tema" value="Tasks. Report on task" />
                            <input type="hidden" name="Fio" value="<?php echo ($user_logined) ? $user_login->data['Login'] : 'Anonymous'; ?>" />
                            <div class="form-group">
                                <label>Additional information:</label>
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="fa fa-pencil"></i></span>
                                    <textarea id="send_bug_textarea" name="Body" class="form-control" id="order-mes" placeholder="Message" rows="4"></textarea>
                                </div>
                            </div>
                            <div style="text-align:center; margin:25px;"><button type="submit" class="btn btn-lg btn-danger">Send</button></div>
                        </form>
                    </div>
                </div>
            </div>
        </aside>

        <div id="show_item"></div>
    <?php } ?>
</article>
<script>
    $(document).ready(function(){
        $('[data-toggle="tooltip"]').tooltip();
    });
    function send_bug(id,title){
        var e = $('#send_bug');
        e.find('#send_bug_title').html(title);
        e.find('#send_bug_id').val("Tasks. Report on task №"+id);
        e.find('#send_bug_id_t').html(id);
        e.find('#send_bug_textarea').val("Task №"+id+" violates the service rules");
        e.fadeIn(300);
    }
    function dataload(formData){
        $('#ajaxProgress').show();
        formData.append('aj',1);
        $.ajax({
            url: document.location.href,
            type: "POST",
            cache: false,
            contentType: false,
            processData: false,        
            data: formData,
            success: function(content){
                $('#ajax_load').html(content);
                $('#ajaxProgress').hide();
                window.history.pushState(null, null, $('#url_build').val());
            }
        });
        return false;
    }
    function pager(pag){
        $('#startpag').val(pag);
        var formData = getFormData_el('[data-dataform]');    
        dataload(formData);    
        return false;
    }
    function sortitem(el,e){
        if($('#sort').val() == el)
            el += ' DESC';
        $('#sort').val(el);
        $('#startpag').val(1);
        var formData = getFormData_el('[data-dataform]');
        dataload(formData);
        return false;
    }
    function tab_change(tab){
        $('#startpag').val(0);
        $('#sort').val('');
        $('#tab').val(tab);
        var formData = getFormData_el('[data-dataform]');    
        dataload(formData);    
        return false;
    }
    function cat_click(e){
        $('#startpag').val(0);
        $('#sort').val('');
        $('#CatId').val(e);
        var formData = getFormData_el('[data-dataform]');    
        dataload(formData);    
        return false;
    }
</script>
<!--/includeFuter-->