PHP

<?php 
    /************************************/
    global $user_logined, $user_login, $user_m, $setting;

?>
<article>
    <p><a class="btn btn-default" href="/earn/task"><i class="fa fa-long-arrow-left"></i> Go to task list</a></p>
    <?php if(!$user_logined) { ?>
    <h1>View Task</h1>
    <?php include HTML.'no_auth.php'; ?>
    <?php } elseif($ChBlok){ ?>
    <h1>View Task</h1>
    <div class="panel panel-default">
        <div class="panel-body">
            <div class="alert alert-danger"><strong>You are blocked!</strong><br /> 
            <?php echo empty($ChBlokComm) ? 'This may have happened if you violated the service rules. Please contact the site administration.' : 'Reason for blocking: '.$ChBlokComm; ?>
            </div>
        </div>
    </div>
    <?php } elseif(!$r_m->set['active']){ ?>
        <h1>View Task</h1>
        <div class="alert alert-warning"><strong>Module is temporarily unavailable. We apologize for the inconvenience.</strong></div>
    <?php } elseif(empty($item)) { ?>
        <h1>View Task</h1>
        <div class="alert alert-warning"><strong>Task not found :(</strong></div>     
    <?php } else { 
            extract($item);
            $Srok = (int)$Srok;
            $srok = '';
            if($Srok === 1)
                $srok = '1 hour';
            elseif (($Srok > 1 && $Srok < 5) || ($Srok > 20 && $Srok < 25))
                $srok = $Srok.' hours';
            elseif ($Srok > 4 && $Srok < 21)
                $srok = $Srok.' hours';
            elseif ($Srok > 24){
                $t = $Srok/24;
                $t = explode('.', $t);
                $d = (int)$t[0];
                if($d === 1)
                    $srok = '1 day';
                elseif($d > 1 && $d < 5)
                    $srok = $d.' days';
                else
                    $srok = $d.' days';
            }
            else
                $srok = $Srok.' hour(s)';
            echo $feed; ?>
        <h1>Task №<?php echo $Id; ?>: <?php echo $Title; ?></h1>
        <div class="panel panel-default" >
            <div class="table-responsive">
                <table class="table table-condensed r-table table-bordered">
                    <tr>
                        <th style="width: 180px;">Category:</th>
                        <td><?php echo $CatTitle; ?></td>
                    </tr>
                    <tr>
                        <th style="width: 180px;">Time to complete:</th>
                        <td><?php echo $srok; ?></td>
                    </tr>
                    <tr>
                        <th style="width: 180px;">Task URL:</th>
                        <td><?php $_url = (mb_strlen($Url) > 40) ? (mb_substr($Url, 0, 40).' ...') : $Url; ?>
                            <a href="<?php echo $Url; ?>" target="_blank" title="Go to task website"><?php echo $_url; ?></a>
                        </td>
                    </tr>
                    <tr>
                        <th style="width: 180px;">Payment:</th>
                        <td><?php echo number_format ($Amount, 2,","," " ); ?> <?php echo $setting['main']['cur']['z']; ?></td>
                    </tr>
                </table>
            </div>
        </div>
        <div class="form-group">
            <label>Task Description:</label>                 
            <textarea style="background-color: #effee7;" rows="5" maxlength="75" readonly="" class="form-control"><?php echo $Body; ?></textarea>
        </div>
        <div class="form-group">
            <label>What needs to be submitted for confirmation:</label><br />               
            <textarea style="background-color: #effee7;" rows="3" maxlength="75" readonly="" class="form-control"><?php echo $Otvet; ?></textarea>
        </div>
        <?php /*if(0){ ?>
        <p style="text-align: center;"><strong style="font-size: 24px;" class="text-success">You are performing this task!</strong></p>
        <p>&nbsp;</p>
        <div class="panel panel-default" style="margin: auto;max-width: 600px;">
            <div class="panel-heading"><h3 class="panel-title">Report on completed task</h3></div>
            <div class="panel-body">
                <small>If you have completed this task, send a report to the client</small>
                <form method="post"  enctype="multipart/form-data">
                    <div class="form-group">
                        <label>Write confirmation:</label><br />              
                        <textarea rows="3" maxlength="75" name="otchet" class="form-control"><?php echo $Otvet; ?></textarea>
                    </div>
                    <div class="form-group">
                        <label>Attach File:</label> <small>(If required)</small><br />
                        <input type="file" name="Fotchet">
                    </div>
                    <div class="row" style="text-align: center;width: 100%;display: table;">
                        <div class="col-sm-6 cell"><p><button type="submit" class="btn btn-success"><i class="fa fa-check"></i> Finish task<br />and send report</button></p></div>
                        <div class="col-sm-6 cell"><p><button onclick="return confirm('Decline task?');" type="submit" name="" class="btn btn-default"><i class="fa fa-times"></i> Decline task</button></p></div>
                    </div>
                </form>
            </div>
        </div>
        <?php } else {*/ ?>
        <form method="post">
            <p style="text-align: center;"><button class="btn btn-lg btn-danger" value="<?php echo $Id ?>" name="taskuseradd"><i class="fa fa-check"></i> &nbsp; Perform task</button></p>
        </form>
        <?php /*}*/ ?>
        <p>&nbsp;</p>
    <?php } ?>
</article>
<aside class="mymod-overlay" id="send_bug">
    <div class="mymod-table">
        <div class="mymod-cell">
            <div class="mymod-modal">
                <a href="#close" onclick="return mymod();" class="mymod-close"></a>
                <h2 class="show_order-h2">Report on task</h2>
                <p>
                    <strong>Task №<span id="send_bug_id_t"></span> </strong> <br /> 
                    <small><span id="send_bug_title"></span></small>
                </p>
                <form action="aj/mail_z" onsubmit="submit_send('send_bug_send');return false;" id="send_bug_send">
                    <input type="hidden" id="send_bug_id" name="Tema" value="Tasks. Report on task" />
                    <input type="hidden" name="Fio" value="<?php echo ($user_logined) ? $user_login->data['Login'] : 'Anonymous'; ?>" />
                    <div class="form-group">
                        <label>Additional information:</label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-pencil"></i></span>
                            <textarea id="send_bug_textarea" name="Body" class="form-control" id="order-mes" placeholder="Message" rows="4"></textarea>
                        </div>
                    </div>
                    <div style="text-align:center; margin:25px;"><button type="submit" class="btn btn-lg btn-danger">Send</button></div>
                </form>
            </div>
        </div>
    </div>
</aside>
<script>
    function send_bug(id,title){
        var e = $('#send_bug');
        e.find('#send_bug_title').html(title);
        e.find('#send_bug_id').val("Tasks. Report on task №"+id);
        e.find('#send_bug_id_t').html(id);
        e.find('#send_bug_textarea').val("Task №"+id+" violates the service rules");
        e.fadeIn(300);
    }
</script>
<!--/includeFuter-->