<?php 
    /************************************/
    global $user_logined, $user_login, $user_m, $setting;

?>
<article>
    <p><a class="btn btn-default" href="/earn/task"><i class="fa fa-long-arrow-left"></i> Go to task list</a></p>
    <?php if(!$user_logined) { ?>
    <h1>View Task</h1>
    <?php include HTML.'no_auth.php'; ?>
    <?php } elseif($ChBlok){ ?>
    <h1>View Task</h1>
    <div class="panel panel-default">
        <div class="panel-body">
            <div class="alert alert-danger"><strong>You are blocked!</strong><br /> 
            <?php echo empty($ChBlokComm) ? 'This might have happened if you violated the service rules. Please contact the site administration.' : 'Reason for blocking: '.$ChBlokComm; ?>
            </div>
        </div>
    </div>
    <?php } elseif(!$r_m->set['active']){ ?>
        <h1>View Task</h1>
        <div class="alert alert-warning"><strong>The module is temporarily unavailable. We apologize for the inconvenience.</strong></div>
    <?php } elseif(empty($item)) { ?>
        <h1>View Task</h1>
        <div class="alert alert-warning"><strong>Task not found :(</strong></div>     
    <?php } else { 
            extract($item);
            $timer =  $EndDate - time();
            $st = (int)$Status;
            $action = TRUE;
            $Rat = (int)($Rat);
            echo $feed;
        ?>
        <h1>Task №<?php echo $TaskId; ?>: <?php echo $Title; ?></h1>

        <div class="panel panel-default" style="text-align: center;"><div class="panel-body">
            <?php if(($st === 1 || $st === 3) && $timer > 0){ $action = TRUE; ?>

            <?php if($st === 3) { ?>
            <p><strong style="font-size: 24px;" class="text-danger">Attention! The task needs to be revised.</strong></p>
            <?php } else { ?>
            <p><strong style="font-size: 24px;" class="text-success">You are currently performing this task!</strong></p>
            <?php } ?>
            <p>You must complete the task by: <strong><?php echo date('d.m.Y H:i',$EndDate); ?></strong></p>
            <div id="timerok">
                <small>(<span>Remaining:&nbsp;</span><span class="afss_day_bv">0</span> days.
                <span class="afss_hours_bv">00</span>&nbsp;hours.&nbsp;
                <span class="afss_mins_bv">00</span>&nbsp;mins.&nbsp;
                <span class="afss_secs_bv">00&nbsp;</span>&nbsp;secs.)</small>
            </div>
            <div style="display: none;" id="timerend"><small>(Time for task completion has expired)</small></div>
            <p class="tect-center"><button data-scroll="#panel_otchet" class="btn btn-default">Go to report<br /><i class="fa fa-angle-double-down"></i></button></p>
            
            <?php } elseif($st === 2){  $action = FALSE; ?>
                <p><strong style="font-size: 24px;" class="text-warning"><i class="fa fa-clock-o"></i> &nbsp; Task sent for review! Await review results.</strong></p>
            <?php } elseif($st === 4){  $action = FALSE; ?>
                <p><strong style="font-size: 24px;" class="text-success"><i class="fa fa-check"></i> &nbsp; Task completed.</strong></p>
                <?php if($Rat === 0){ ?>
                    <div class="form-group">
                        <label>Rate the task:</label>
                        <form method="post">
                            <input type="hidden" name="RatOk" value="<?php echo $Id; ?>" />
                            <button class="btn btn-success" type="submit" name="Rat" value="1"><i class="fa fa-plus"></i></button>
                            <button class="btn btn-warning" type="submit" name="Rat" value="0"><i class="fa fa-minus"></i></button>
                        </form>
                    </div>
                <?php } else { ?>
                    <p style="text-align: center;"><strong>Your rating:</strong> <?php echo ($Rat === 1) ? '<label class="btn btn-success"><i class="fa fa-plus"></i></label>' : '<label class="btn btn-warning"><i class="fa fa-minus"></i></label>'; ?></p>
                <?php } ?>
            <?php  } elseif($st === 7) {    $action = FALSE; ?>
                <p><strong style="font-size: 24px;" class="text-muted"><i class="fa fa-minus-circle"></i> &nbsp; Advertiser has blocked this task.</strong></p>
                <div class="alert alert-danger" style="color: #000;margin: 0;text-align: left;">
                    <strong>Reason for blocking:</strong>
                    <div class="panel panel-default"><div class="panel-body"><?php echo $BlokMess; ?></div></div>
                    <p>
                        <button class="btn btn-danger" onclick="$('#mod_edititem').hide(); send_bug(<?php echo $TaskId; ?>,'<?php echo $Title; ?>');"><i class="fa fa-exclamation-triangle"></i> &nbsp;Report</button>
                    </p>
                </div>
            <?php } elseif($timer <= 0 || $st === 5){ $action = FALSE; ?>
                <p><strong style="font-size: 24px;" class="text-danger">Time for this task has expired: <?php echo date('d.m.Y H:i',$EndDate); ?></strong></p>
            <?php  } else {    $action = FALSE; ?>
                <p><strong style="font-size: 24px;" class="text-muted">Task is no longer available.</strong></p>
            <?php } ?>
        </div></div>

        <div class="panel panel-default" >
            <div class="table-responsive">
                <table class="table table-condensed r-table table-bordered">
                    <tr>
                        <th style="width: 180px;">Category:</th>
                        <td><?php echo $CatTitle; ?></td>
                    </tr>
                    <tr>
                        <th style="width: 180px;">Complete by:</th>
                        <td><?php echo date('d.m.Y H:i',$EndDate); ?></td>
                    </tr>
                    <tr>
                        <th style="width: 180px;">Task URL:</th>
                        <td><?php 
                            $_url = (mb_strlen($Url) > 40) ? (mb_substr($Url, 0, 40).' ...') : $Url; ?>
                            <a href="<?php echo $Url; ?>" target="_blank" title="Go to task website"><?php echo $_url; ?></a>
                        </td>
                    </tr>
                    <tr>
                        <th style="width: 180px;">Payment:</th>
                        <td><?php echo number_format ($Amount, 2,","," " ); ?> <?php echo $setting['main']['cur']['z']; ?></td>
                    </tr>
                </table>
            </div>
        </div>
        <div class="form-group">
            <label>Task Description:</label>                    
            <textarea style="background-color: #effee7;" rows="5" maxlength="75" readonly="" class="form-control"><?php echo $Body; ?></textarea>
        </div>
        <div class="form-group">
            <label>What needs to be submitted for confirmation:</label><br />                    
            <textarea style="background-color: #effee7;" rows="3" maxlength="75" readonly="" class="form-control"><?php echo $Otvet; ?></textarea>
        </div>
        

        <?php if(($st === 3 || $st === 5) && !empty($Dorabotka)) { ?>
        <div class="alert alert-danger">
            <strong>Reason for revision:</strong>
            <textarea rows="3" class="form-control" readonly="readonly"><?php echo $Dorabotka; ?></textarea>
        </div>
        <?php } ?>
        <?php if($action) { ?>
        <div class="panel panel-primary" id="panel_otchet" style="margin: auto;max-width: 600px;">
            <div class="panel-heading"><h3 class="panel-title">Report on completed task</h3></div>
            <div class="panel-body">
                <small>If you have completed this task, send a report to the client.</small>
                <form method="post"  enctype="multipart/form-data">
                    <div class="form-group">
                        <label>Write confirmation:</label><span data-valgroup="otchet"  data-validel="otchet_send"  data-valtype="reqired" data-valerrormes="The report cannot be empty!" class="validator" >*</span>                 
                        <textarea rows="3" maxlength="75" name="otchet" class="form-control" id="otchet_send"></textarea>
                    </div>
                    <div class="form-group">
                        <label>Attach File:</label> <small>(If required. Maximum file size - <?php echo $r_m->set['maxfilesize']; ?> KB)</small><br />
                        <input type="file" name="Fotchet">
                    </div>
                    <div class="row" style="text-align: center;width: 100%;display: table;">
                        <div class="col-sm-6 cell"><p><button onclick="return validator('otchet');" type="submit" name="TaskOk" value="<?php echo $Id; ?>" class="btn btn-success"><i class="fa fa-check"></i> Finish task<br />and send report</button></p></div>
                        <div class="col-sm-6 cell"><p><button onclick="return confirm('Decline task?');" type="submit" name="TaskDel" value="<?php echo $Id; ?>" class="btn btn-sm btn-default"><i class="fa fa-times"></i> Decline task</button></p></div>
                    </div>
                </form>
            </div>
        </div>
        <?php } /* ?>
        <form method="post"><p><button type="submit" name="TaskDel" value="<?php echo $Id; ?>" class="btn btn-default"><i class="fa fa-times"></i> Decline task</button></p></form>
        <?php } */ ?>
        <p>&nbsp;</p>
        <script type="text/javascript">
            function send_bug(id,title){
                var e = $('#send_bug');
                e.find('#send_bug_title').html(title);
                e.find('#send_bug_id').val("Tasks. Report on task №"+id);
                e.find('#send_bug_id_t').html(id);
                e.find('#send_bug_textarea').val("Task №"+id+" violates the service rules");
                e.fadeIn(300);
            }//<![CDATA[
            var remain_bv  = <?php echo $timer; ?>;
            function parseTime_bv(timestamp){
                if (timestamp < 0) timestamp = 0;
                var day = Math.floor( (timestamp/60/60) / 24);
                var hour = Math.floor(timestamp/60/60);
                var mins = Math.floor((timestamp - hour*60*60)/60);
                var secs = Math.floor(timestamp - hour*60*60 - mins*60); 
                var left_hour = Math.floor( (timestamp - day*24*60*60) / 60 / 60 );
             
                $('span.afss_day_bv').text(day);
                $('span.afss_hours_bv').text(left_hour);
             
                if(String(mins).length > 1)
                    $('span.afss_mins_bv').text(mins);
                else
                    $('span.afss_mins_bv').text("0" + mins);
                if(String(secs).length > 1)
                    $('span.afss_secs_bv').text(secs);
                else
                    $('span.afss_secs_bv').text("0" + secs);
            }
            $(document).ready(function(){
                setInterval(function(){
                    remain_bv = remain_bv - 1;
                    parseTime_bv(remain_bv);
                    if(remain_bv <= 0){
                        $('#timerok').hide();
                        $('#timerend').show();
                    }
                }, 1000);
            });
            //]]>
        </script>
        <aside class="mymod-overlay" id="send_bug">
            <div class="mymod-table">
                <div class="mymod-cell">
                    <div class="mymod-modal">
                        <a href="#close" onclick="return mymod();" class="mymod-close"></a>
                        <h2 class="show_order-h2">Report on task</h2>
                        <p>
                            <strong>Task №<span id="send_bug_id_t"></span> </strong> <br /> 
                            <small><span id="send_bug_title"></span></small>
                        </p>
                        <form action="aj/mail_z" onsubmit="submit_send('send_bug_send');return false;" id="send_bug_send">
                            <input type="hidden" id="send_bug_id" name="Tema" value="Tasks. Report on task" />
                            <input type="hidden" name="Fio" value="<?php echo ($user_logined) ? $user_login->data['Login'] : 'Anonymous'; ?>" />
                            <div class="form-group">
                                <label>Additional information:</label>
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="fa fa-pencil"></i></span>
                                    <textarea id="send_bug_textarea" name="Body" class="form-control" id="order-mes" placeholder="Message" rows="4"></textarea>
                                </div>
                            </div>
                            <div style="text-align:center; margin:25px;"><button type="submit" class="btn btn-lg btn-danger">Send</button></div>
                        </form>
                    </div>
                </div>
            </div>
        </aside>
    <?php } ?>
</article>