<?php global $setting; ?>
<h1>Конфигурация модуля</h1>
<div class="feedok"><?php echo $feed; ?></div>
<form method="post">
	<div class="panel panel-primary">
		<div class="panel-heading"><strong>Общие настройки</strong></div>
		<div class="panel-body">
			<div class="row">
				<div class="col-sm-6">
					<div class="form-group">
						<label>Название модуля:</label>
						<input type="text" name="title" value="<?php echo $set['title']; ?>" class="form-control input-sm" />
					</div>
				</div>
				<div class="col-sm-6">
					<div class="form-group">
						<label>Интервал между показами (час.):</label>
						<input type="text" name="interval" value="<?php echo $set['interval']; ?>" class="form-control input-sm" />
					</div>
				</div>
				<div class="clearfix"></div>
				<div class="col-sm-6">
					<div class="form-group">
						<label>Модерация:</label>
						<select name="moderat" class="form-control input-sm">
							<option value="0" <?php if($set['moderat'] < 1) echo 'selected="selected"'; ?>>Отключена</option>
							<option value="1" <?php if($set['moderat'] > 0) echo 'selected="selected"'; ?>>Проверять новые объявления</option>
						</select>
					</div>
				</div>
				<div class="col-sm-6">
					<div class="form-group">
						<label>Активный модуль:</label>
						<select name="active" class="form-control input-sm">
							<option value="0" <?php if($set['active'] < 1) echo 'selected="selected"'; ?>>Модуль деактивирован</option>
							<option value="1" <?php if($set['active'] > 0) echo 'selected="selected"'; ?>>Модуль активный</option>
						</select>
					</div>
				</div>
				<div class="clearfix"></div>
				<div class="col-sm-6">
					<div class="form-group">
						<label>Процент зачисление пользователю от стоимости рекламы (%):</label>
						<input type="text" name="z_per" value="<?php echo $set['z_per']; ?>" class="form-control input-sm" />
					</div>
				</div>
				<div class="col-sm-6">
					<div class="form-group">
						<label>Минимальное количество визитов, для показа сайта:</label>
						<input type="number" min="2" name="start_min" value="<?php echo $set['start_min']; ?>" class="form-control input-sm" />
					</div>
				</div>
				<div class="clearfix"></div>
				<div class="col-sm-6">
					<div class="form-group">
						<label>Процент от продажи визитов на бирже (%):</label>
						<input type="text" name="market_per" value="<?php echo $set['market_per']; ?>" class="form-control input-sm" />
					</div>
				</div>
				<div class="col-sm-6">
					<div class="form-group">
						<label>Минимальное количество визитов для продажи на бирже (шт.):</label>
						<input type="number" name="market_min" value="<?php echo $set['market_min']; ?>" class="form-control input-sm" />
					</div>
				</div>
				<div class="clearfix"></div>
			</div>
			<div class="panel panel-default">
				<div class="panel-heading"><strong>Стоимость просмотра (визитов):</strong></div>
				<div class="panel-body">
					<div class="row">
						<?php foreach ($set['price'] as $k => $v) { 
							$sec = empty($k) ? 'Без тайм.' : $k.' сек.';
							?>
						<div class="col-sm-4 col-xs-6 col-lg-2">
							<div class="form-group">
								<label><?php echo $sec; ?></label>
								<input class="form-control" type="text" name="price[<?php echo $k; ?>]" value="<?php echo $v; ?>" />
							</div>
						</div>
						<?php } ?>
					</div>
				</div>
			</div>
			<p><button type="submit" class="btn btn-lg btn-danger" name="up">Сохранить изменения</button></p>
		</div>
	</div>
</form>
<?php 
	echo (empty($set['cron_ok'])) ? '<small>(Cron не работает)</small>' : '<small>(Последний раз cron отработал: '.date('d.m.Y H:i',$set['cron_ok']).')</small>';