<?php
namespace models\moduls;
if ( ! defined('F')) exit('Нет доступа!');
require_once(F."models/Base_model.php");
class Vk_model extends \models\Base_model
{
    var $data;
    var $count;
    var $set;
    public $r_money_def = '15';
    private $METHOD_URL = 'https://api.vk.com/method/';
    function __construct(){
        $this->data = array();
        $this->count = 0;
        $this->set = getConf('mod_vk');
    }
    /******************************************/
    	public function Gets($f = array(), $startRowIndex=0, $maximumRows=FALSE,$desc = NULL)
        {
            $ret = new Vk_model;
            $conn = $this->con();
            $where = '';
            $lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 300';
            if(empty($desc)){
                if(!empty($f['adm']))
                    $desc = "IF(r.Approved = 0,  1,  999), r.`Id` DESC";
                else
                    $desc = 'r.`Id` DESC';
            }
            else
            {
                $desc = $conn->real_escape_string($desc);
                $ar = explode(' ', trim($desc));
                if (isset($ar[1]))
                    $desc = 'r.`'.$ar[0].'` DESC';
                else
                    $desc = 'r.`'.$ar[0].'`';
            }
            if(!empty($f)){
                $w = array();
                if(isset($f['s_Id']))
                    array_push($w, "r.Id = ".(int)$f['s_Id']);  
                if(isset($f['UserId']))
                    array_push($w, "r.UserId = ".(int)$f['UserId']);  
                if(isset($f['Active']))
                    array_push($w, "r.Active = ".(int)$f['Active']);  
                if(isset($f['Approved']))
                    array_push($w, "r.Approved = ".(int)$f['Approved']); 
                if(isset($f['s'])){
                    $s = $conn->real_escape_string($f['s']);
                    array_push($w, "(r.`ItemId` LIKE '%{$s}%' OR r.`OwernId` LIKE '%{$s}%' OR r.`Title` LIKE '%{$s}%')");                
                }
                /****************************************************/
                if(!empty($w)){
                    $where = ' WHERE ' .implode(' AND ', $w);
                    unset($w);
                }
            }
            if(empty($f['adm']))
           		$q = "SELECT * FROM `mod_vk` as r {$where} ORDER BY {$desc} {$lim}";
           	else
           		$q = "SELECT r.*, u.Login as UserLogin, u.MoneyR as MoneyR FROM `mod_vk` as r LEFT JOIN user as u ON(u.Id = r.UserId) {$where} ORDER BY {$desc} {$lim}";
            $query = $conn->query($q);
            //die($q);
            if (!empty($query) && $query->num_rows)
            {
                $ret->data = $this->convertList($query);
                if($maximumRows){
                    $query2 = $conn->query("SELECT COUNT(*) FROM `mod_vk` as r {$where}");
                    if(!empty($query2) && $query2->num_rows){
                        $ret->count = (int)$query2->fetch_array()[0];
                        $query2->close();
                    }
                }
            }
            $conn->close();
            return $ret;
        }
        public  function GetByID($id,$adm = FALSE)
        {
            $id = (int)$id;
            $ret = NULL;
            $conn = $this->con();
            $w = 'WHERE Id = '.(int)$id;
            $q = $adm ? "SELECT r.*, u.Login as UserLogin FROM `mod_vk` as r LEFT JOIN user as u ON(u.Id == r.UserId) {$w} LIMIT 1" : "SELECT * FROM `mod_vk` {$w} LIMIT 1";
            //die($q);
            $query = $conn->query($q);
            if (!empty($query) && $query->num_rows)
                $ret = $this->convert($query);
            $conn->close();
            return $ret;
        }
        public  function GetByID_plus($id,$UserId = NULL)
        {
            $id = (int)$id;
            $ret = NULL;
            $conn = $this->con();
            $w = "r.`Id` = {$id} ";
            if(isset($UserId))
                $w .= " AND r.UserId = ".(int)$UserId;
            $q = "SELECT r.*, u.Money, u.MoneyR, u.Visit FROM `mod_vk` as r LEFT JOIN user as u ON(r.UserId = u.Id) WHERE {$w} LIMIT 1";
            //echo $q;
            $query = $conn->query($q);
            if (!empty($query))
                $ret = $this->convert($query);
            $conn->close();
            return $ret;
        }
        function ch($ItemId,$OwernId){

        }
    /*****************ins/up***********************/    	
        public  function Update($dat, $adm = FALSE)
        {
            $ret = FALSE;
            if(!$adm && !$GLOBALS['user_logined'])
                return FALSE;
            //var_dump($dat);die();
            $data = array();
            $id = 0;
            if (isset($dat['Id'])) {
                $id=(int)$dat['Id'];
            }
            else
                return false;

            if(!empty($dat['ChOk'])){
                if(isset($dat['OwernId']))
                    $data['OwernId'] = (int)$dat['OwernId'];
                /*if(isset($dat['Type'])){
                    $data['Type'] = (int)$dat['Type'];
                }*/
                if(!empty($dat['ItemId'])){
                    $data['ItemId'] = (int)$dat['ItemId'];
                }
                $data['ChOk'] = (int)$dat['ChOk'];
            }

            if(isset($dat['Title']))
                $data['Title'] = mav_htmltotext(trim($dat['Title']));
            if(isset($dat['Body']))
                $data['Body'] = mav_htmltotext(trim($dat['Body']));
            if(isset($dat['UserId']))
                $data['UserId'] = (int)$dat['UserId'];
            if(isset($dat['Approved']))
                $data['Approved'] = (int)$dat['Approved'];
            if(isset($dat['Active']))
                $data['Active'] = (int)$dat['Active'];

            if(isset($dat['Pol']))
                $data['Pol'] = (int)$dat['Pol'];
            if(isset($dat['Vozr_min']))
                $data['Vozr_min'] = (int)$dat['Vozr_min'];
            if(isset($dat['Vozr_max']))
                $data['Vozr_max'] = (int)$dat['Vozr_max'];

            if(isset($dat['S_views']))
                $data['S_views'] = (int)$dat['S_views'];
            if(isset($dat['S_trata']))
                $data['S_trata'] = (float)$dat['S_trata'];

            if(isset($dat['B_trata']))
                $data['B_trata'] = (float)$dat['B_trata'];
            if(isset($dat['B_money']))
                $data['B_money'] = (float)$dat['B_money'];
            if(isset($dat['B_type']))
                $data['B_type'] = (int)$dat['B_type'];

            if(isset($dat['AddDate']))
                $data['AddDate'] = (int)$dat['AddDate'];
            if(isset($dat['ApprovedComm']))
                $data['ApprovedComm'] = mav_htmltotext(trim($dat['ApprovedComm']));
            $where_ins = ($adm) ? $id : array('Id' => $id, 'UserId' => $GLOBALS['user_login']->data['Id']);
            if(!empty($data))
                $ret = $this->b_update('mod_vk',$data,$where_ins);
            if($ret && isset($dat['reg']) && is_array($dat['reg'])){                
                $conn = $this->con();
                $conn->query("DELETE FROM `mod_vk_reg` WHERE `RId` = {$id}");
                $conn->close();
                foreach ($dat['reg'] as $val) {
                    $this->b_insert('mod_vk_reg',array(
                        'RId' => $id,
                        'Obl' => (int)$val['Obl'],
                        'Country' => $val['Country'],
                        ));
                }
            }
            if(!empty($dat['stat'])){
                $ar_stat = array(
                    'RId' => $id,
                    'UserId' => (($GLOBALS['user_logined']) ? $GLOBALS['user_login']->data['Id'] : 0),
                    'AddDate' => time()/*,
                    'Ip' => sprintf('%u', ip2long(IP)),*/
                );
                if(isset($dat['stat_ok']))
                    $ar_stat['Ok'] = $dat['stat_ok'];
                $this->b_insert('mod_vk_stat',$ar_stat,0);
            } 
            return $ret;
        }
        public function Insert($dat)
        {
            if(empty($dat['ItemId']) || empty($dat['Title']) || empty($dat['Type']) || empty($dat['UserId']))
                return FALSE;
            $data = array();
            $data['UserId'] = (int)$dat['UserId'];
            $data['Type'] = (int)$dat['Type'];
            $data['Title'] = mav_htmltotext(trim($dat['Title']));            
            $data['ItemId'] = (int)$dat['ItemId'];
            $data['ChOk'] = 1;
            if(isset($dat['OwernId']))
                $data['OwernId'] = (int)$dat['OwernId'];
            else
                $data['OwernId'] = 0;
            if(isset($dat['Body']))
                $data['Body'] = mav_htmltotext(trim($dat['Body']));
            if(isset($dat['Pol']))
                $data['Pol'] = (int)$dat['Pol'];
            if(isset($dat['Vozr_min']))
                $data['Vozr_min'] = (int)$dat['Vozr_min'];
            if(isset($dat['Vozr_max']))
                $data['Vozr_max'] = (int)$dat['Vozr_max'];
            if(isset($dat['S_views']))
                $data['S_views'] = (int)$dat['S_views'];
            if(isset($dat['S_trata']))
                $data['S_trata'] = (float)$dat['S_trata'];
            if(isset($dat['B_type']))
                $data['B_type'] = (int)$dat['B_type'];
            if(isset($dat['B_trata']))
                $data['B_trata'] = (float)$dat['B_trata'];
            if(isset($dat['B_money']))
                $data['B_money'] = (float)$dat['B_money'];         
            $data['Approved'] = isset($dat['Approved']) ? (int)$dat['Approved'] : 0;
            $data['Active'] = isset($dat['Active']) ? (int)$dat['Active'] : 1;
            $data['AddDate'] = time();
                    //var_dump($data);
            $id = $this->b_insert('mod_vk',$data,0);
            if($id){
                if(isset($dat['reg']) && is_array($dat['reg'])){
                    foreach ($dat['reg'] as $val) {
                        $this->b_insert('mod_vk_reg',array(
                            'RId' => $id,
                            'Obl' => (int)$val['Obl'],
                            'Country' => $val['Country'],
                            ),0);
                    }
                }
            }
            return $id;
        }
        public function UpChOk($Id,$ChOk){
            return $this->b_update('mod_vk',array('ChOk' => (int)$ChOk),(int)$Id);
        }
        public  function Delete($id,$adm = FALSE)
        {
        	global $user_logined,$user_login;        	
            $conn = $this->con();
            $id=(int)$id;
            if($adm)
            	$q = "DELETE FROM `mod_vk` WHERE `Id` = {$id}";
            else{
            	if(!$user_logined)
        			return FALSE;
            	$q = "DELETE FROM `mod_vk` WHERE `Id` = {$id} AND `UserId` = {$user_login->data['Id']}";
            }
            $conn->query($q);
            $ret = $conn->affected_rows;
            if($ret){
                $im = $this->GetImg($id);
                if(!empty($im))
                    unlink(F.$im);
            }
            $conn->close();
            return $ret;
        }
    /*****************Дополнительные методы*********/
        public  function GetReg($id){
            $id = (int)$id;
            $ret = array();
            $conn = $this->con();
            $q = "SELECT rk.*,g_obl.Title as OblTitle, g_con.Title as CountryTitle FROM mod_vk_reg as rk
            LEFT JOIN GeoIp_obl as g_obl on (g_obl.Id = rk.Obl)
            LEFT JOIN GeoIp_country as g_con on (g_con.Id = rk.Country)
            WHERE rk.`RId` = $id";
            $query = $conn->query($q);
            if (!empty($query) && $query->num_rows)
            {
                while($row = $query->fetch_assoc())
                    array_push($ret,$row);
                $query->close();
            }
            $conn->close();
            return $ret;
        }
    /******************Stat*****************************/
        public function InsertStat($dat)
        {
            if(empty($dat['RId']) || !$GLOBALS['user_logined'])
                return FALSE;
            return $this->b_insert('mod_vk_stat',array(
                'RId' => (int)$dat['RId'],
                'UserId' => (($GLOBALS['user_logined']) ? $GLOBALS['user_login']->data['Id'] : 0),
                'AddDate' => time(),
                'Ok' => empty($dat['Ok']) ? 0 : 1,
                ));
        }
        public function UpdateStat($dat,$Ok = 1)
        {
            if(empty($dat['Id']) || !$GLOBALS['user_logined'])
                return FALSE;
            $Ok = (int)$Ok;
            $conn = $this->con();
            $sql = "UPDATE `mod_vk_stat` SET Ok = {$Ok} WHERE `RId` = {$dat['Id']} AND UserId = {$GLOBALS['user_login']->data['Id']}";
            $conn->query($sql);
            $ret = $conn->affected_rows;
            if($ret && isset($this->set['items']['item'.$dat['Type']])){
                $price = $this->set['items']['item'.$dat['Type']]['price'];
                $sql = "UPDATE `mod_vk` SET 
                    `S_views` = `S_views`+1, 
                    `B_trata` = `B_trata` + {$price}, 
                    `S_trata` = S_trata + {$price}
                    WHERE `Id` = {$dat['Id']}";
                //die($sql);
                $conn->query($sql);
            }
            $conn->close();
            return $ret;
        }
        public function DeleteStatUser($id)
        {
            $conn = $this->con();
            $id = (int)$id;
            $sql = "DELETE FROM `mod_vk_stat` WHERE `RId` = {$id} AND UserId = {$GLOBALS['user_login']->data['Id']} AND `Ok` = 0";
            $ret = $conn->query($sql);
            $conn->close();
            return $ret;
        }
        public function DeleteStat($id)
        {
            $conn = $this->con();
            $id = (int)$id;
            $sql = "DELETE FROM `mod_vk_stat` WHERE `RId` = {$id} AND UserId = {$GLOBALS['user_login']->data['Id']}";
            $ret = $conn->query($sql);
            $conn->close();
            return $ret;
        }
    /*****************ForClick*********************/ 
        public  function GetByIDActive($id)
        {
            global $user_m,$setting,$user_logined,$user_login;
            $conn = $this->con();
            $ret = NULL;
            $id = (int)$id;
            $mp = 0;
            foreach ($this->set['items'] as $val) {
                if($val['price'] > $mp)
                    $mp = $val['price'];
            }
            $q = "SELECT r.*, IFNULL(s.Ok,'-1') Ok 
            FROM `mod_vk` as r
            LEFT JOIN `mod_vk_stat` as s on(r.Id = s.RId AND s.UserId = {$user_login->data['Id']})               
            LEFT JOIN `user` as u on(r.UserId = u.Id)            
            WHERE 
                r.Id = {$id} AND r.Active = 1 AND r.Approved = 1 AND u.Active = '1' AND r.ChOk > 0
                AND (r.B_type = 1 OR r.B_trata <= B_money)
                AND u.MoneyR > {$mp}
            LIMIT 1";
            $query = $conn->query($q);
            if (!empty($query) &&  $query->num_rows)    
                $ret = $this->convert($query);
            return $ret;            
        }
        public function GetByID_S($id){
            global $user_m,$setting,$user_logined,$user_login;
            $id = (int)$id;
            $ret = NULL;
            $conn = $this->con();
            $q = "SELECT r.*, IFNULL(s.Ok,'-1') Ok, u.Money, u.MoneyR, u.Visit 
                    FROM `mod_vk` as r
                    LEFT JOIN `mod_vk_stat` as s on(r.Id = s.RId AND s.UserId = {$user_login->data['Id']})
                    LEFT JOIN user as u ON(r.UserId = u.Id)
                    WHERE r.`Id` = {$id} LIMIT 1";
            $query = $conn->query($q);
            if (!empty($query) &&  $query->num_rows)
                $ret = $this->convert($query);
            $conn->close();
            return $ret;
        }
        public function GetNext()
        {
            global $user_m,$setting,$user_logined,$user_login;
            $conn = $this->con();
            $ret = array();
            $mp = 0;
            foreach ($this->set['items'] as $val) {
                if($val['price'] > $mp)
                    $mp = $val['price'];
            }
            //LEFT JOIN `mod_vk_reg` as reg on(r.Id = reg.RId)  
            //$tek_time = time() - $this->set['time'] - 1;
            $q = "SELECT r.*, IF(s.Ok = 0,1,0) InWork 
            FROM `mod_vk` as r
            LEFT JOIN `mod_vk_stat` as s on(r.Id = s.RId AND s.UserId = {$user_login->data['Id']})               
            LEFT JOIN `user` as u on(r.UserId = u.Id)            
            WHERE 
                r.Active = 1 AND r.Approved = 1 AND u.Active = '1' AND r.ChOk > 0
                AND (r.B_type = 1 OR r.B_trata <= B_money)
                AND u.MoneyR > {$mp}
                AND (s.RId IS NULL OR s.Ok = 0)
            ORDER BY RAND() LIMIT 20";
            $query = $conn->query($q);
            if (!empty($query) &&  $query->num_rows)    
                $ret = $this->convertList($query);
            return $ret;
        }
    /*****************SLUG*************************/
        private function convert(&$query)
        {
            $row = $query->fetch_assoc();
            if(empty($row)){
                $query->close();
                return NULL;
            }
            else
            {
                $query->close();
                if(isset($row['Type'])){
                    $tid = isset($this->set['items']["item{$row['Type']}"]) ? $row['Type'] : 1;
                    $row['ItemType'] = $this->set['items']["item{$tid}"]['ItemType'];
                    $row['Action'] = $this->set['items']["item{$tid}"]['Action'];
                    if(isset($row['ItemId'], $row['OwernId']))
                        $row['Url'] = $this->ApiUrlBuilder($row['ItemId'],$row['OwernId'],$row['Type']);
                }
                return $row;
            }
        }
        private function convertList(&$query)
        {
            $ret = array();
            while($row = $query->fetch_assoc()){
                if(isset($row['Type'])){
                    $tid = isset($this->set['items']["item{$row['Type']}"]) ? $row['Type'] : 1;
                    $row['ItemType'] = $this->set['items']["item{$tid}"]['ItemType'];
                    $row['Action'] = $this->set['items']["item{$tid}"]['Action'];
                    if(isset($row['ItemId'], $row['OwernId']))
                        $row['Url'] = $this->ApiUrlBuilder($row['ItemId'],$row['OwernId'],$row['Type']);
                }
                array_push($ret, $row);
            }
            $query->close();
            return $ret;
        }
    /*******************АПИ********************/
            function ApiResp($method,$param,$key = FALSE){
                $rez = NULL;
                $kl = !empty($key) ? $key : $this->set['servis_key'];
                $p = array();
                foreach ($param as $k => $v)
                    array_push($p, "{$k}={$v}");
                //die("{$this->METHOD_URL}{$method}?".implode('&', $p)."&access_token={$kl}&v={$this->set['api_vers']}");
                $ret = file_get_contents("{$this->METHOD_URL}{$method}?".implode('&', $p)."&access_token={$kl}&v={$this->set['api_vers']}");
                if(!empty($ret))
                    $ret = json_decode($ret);
                if(!empty($ret)){
                    if(!empty($ret->response)){
                        $rez = $ret->response;
                    }
                    elseif (!empty($ret->error)) {
                        //$ret->error->error_code

                        //Предусмотреть превышение лимита.... https://vk.com/dev/errors
                
                        /******************************************/
                        $f = fopen(F.'system/log/vk_api_log', 'a+');
                        if($f){
                            $z = date('d.m.Y H:i')." - Код ошибки:{$ret->error->error_code} ({$ret->error->error_msg})\n";
                            fwrite($f, $z);
                            fclose($f);
                        }
                        /*******************************************/
                    }
                }
                return $rez;
            }
            function ApiUrlBuilder($ItemId,$OwernId,$Type){
                $ret='https://vk.com';
                $item = array();
                if((isset($this->set['items']['item'.$Type])))
                    $item = $this->set['items']['item'.$Type];
                else
                    return $ret;
                if($item['ItemType'] == 'photo')
                    $ret = "https://vk.com/photo{$OwernId}_{$ItemId}";
                elseif($item['ItemType'] == 'video')
                    $ret = "https://vk.com/video{$OwernId}_{$ItemId}";
                elseif($item['ItemType'] == 'wall')
                    $ret = "https://vk.com/wall{$OwernId}_{$ItemId}";
                elseif($item['ItemType'] == 'group')
                    $ret = "https://vk.com/public{$ItemId}";
                elseif($item['ItemType'] == 'user')
                    $ret = "https://vk.com/id{$ItemId}";
                return $ret;
            }
            function ApiParseUrlItem($url,$tip,$chek = FALSE){
                $ret = array('ItemId' => 0, 'OwernId'=>0, 'name'=>'','url'=>'','foto'=>'','err'=>'Элемент не найден :(');
                $item = array();
                if((isset($this->set['items']['item'.$tip])))
                    $item = $this->set['items']['item'.$tip];
                else{
                    $ret['err'] = 'Неизвестный тип элемента';
                    return $ret;
                }
                if($item['ItemType'] == 'photo'){
                    if(preg_match('~photo(\-?[0-9]+)_([0-9]+)~ius', $url, $ar)){
                        $ret['ItemId'] = $ar[2];
                        $ret['OwernId'] = $ar[1];
                        $ret['url'] = 'https://vk.com/'.$ar[0];
                        if($chek){
                            if(($t = $this->ApiResp('photos.getById',array('photos'=>"{$ret['OwernId']}_{$ret['ItemId']}")))){
                                //var_dump($t);die();
                                /*if(isset($t['sizes']) && isset($t['sizes'][0]))
                                    $ret['foto'] = $t['sizes'][0]->url;*/
                                $ret['err'] = 'Фотография найдена';
                            }
                            else{
                                $ret['ItemId'] = 0;
                                $ret['err'] = 'Фотография не найдена. Проверьте адрес';
                            }
                        }
                        //https://vk.com/public125070035?z
                    }
                }
                elseif($item['ItemType'] == 'video'){
                    if(preg_match('~video(\-?[0-9]+)_([0-9]+)~ius', $url, $ar)){
                        $ret['ItemId'] = $ar[2];
                        $ret['OwernId'] = $ar[1];
                        $ret['url'] = 'https://vk.com/'.$ar[0];
                        if($chek){
                            $ret['err'] = 'Видео найдено';
                            /*$t = $this->ApiResp('video.get',array('owner_id'=>$ret['OwernId'],'videos'=>"{$ret['OwernId']}_{$ret['ItemId']}"));
                            var_dump($t);die();
                            if(!empty($t) && !empty($t['items'])){
                                $t = $t['items'][0];
                                $ret['err'] = 'Видео найдено';
                            }
                            else{
                                $ret['ItemId'] = 0;
                                $ret['err'] = 'Видео не найдено. Проверьте адрес';
                            }*/
                        }
                    }
                }
                elseif($item['ItemType'] == 'wall'){
                    if(preg_match('~wall(\-?[0-9]+)_([0-9]+)~ius', $url, $ar)){
                        $ret['ItemId'] = $ar[2];
                        $ret['OwernId'] = $ar[1];
                        $ret['url'] = 'https://vk.com/'.$ar[0];
                        if($chek){
                            if(($t = $this->ApiResp('wall.getById',array('posts'=>"{$ret['OwernId']}_{$ret['ItemId']}")))){
                                $ret['err'] = 'Запись найдена';
                            }
                            else{
                                $ret['ItemId'] = 0;
                                $ret['err'] = 'Запись не найдена. Проверьте адрес';
                            }
                        }
                    }
                }                
                elseif($item['ItemType'] == 'group'){
                    $t = $this->ApiGetIdByName($url);
                    if(!empty($t)){
                        if($t->type == 'application' || $t->type == 'user')
                            $ret['err'] = 'Это страница пользователя или приложения. Должен быть url-адрес группы';
                        else{
                            $ret['ItemId'] = (int)$t->object_id;
                            $ret['url'] = "https://vk.com/public{$ret['ItemId']}";
                            $ret['err'] = 'Группа найдена';                            
                        }
                    }
                }
                elseif($item['ItemType'] == 'user'){
                    $t = $this->ApiGetIdByName($url);
                    if(!empty($t)){
                        if($t->type == 'user'){
                            $ret['ItemId'] = (int)$t->object_id;
                            $ret['err'] = 'Пользователь найден';
                        }
                        else
                            $ret['err'] = 'Это страница группы или приложения. Должен быть url-адрес страницы пользователя';
                    }
                }
                if(!empty($ret['ItemId']))
                    $ret['Err'] = '';
                return $ret;
            }
            function ApiGetIdByName($name){
                $name = trim(parse_url($name,PHP_URL_PATH),'/');
                $t = explode('/', $name);
                $name = $t[0];
                $name = preg_replace('~[^a-zA-Zа-яА-Я0-9\_\-]~ius', '', $name);
                //die($name);
                $ret = $this->ApiResp('resolveScreenName',array('screen_name'=>$name));
                if(is_array($ret))
                    $ret = $ret[0];
                return $ret;
            }
            function ApiFullInfo($name){ 
                $item = $this->ApiGetIdByName($name);
                if(empty($item))
                    return $item;
                $m = '';
                $p = array();
                if($item->type == 'user'){
                    $m = 'users.get';
                    $p['user_id'] = $item->object_id;
                    $p['fields'] = 'id,followers_count,first_name,last_name,deactivated,is_closed,domain,photo_100';
                }
                elseif($item->type == 'group' || $item->type == 'page'){
                    $m = 'groups.getById';
                    $p['group_id'] = $item->object_id;
                    $p['fields'] = 'members_count,is_closed,deactivated,id,screen_name,type,photo_100';                    
                }
                else
                    return $item;
                $ret = $this->ApiResp($m,$p);
                if(is_array($ret))
                    $ret = $ret[0];
                return $ret;
            }
            function ApiChLike($u,$r){
                $rez = FALSE;
                if($r['ItemType'] == 'wall')
                    $r['ItemType'] = 'post';
                $ret = $this->ApiResp('likes.isLiked',array('user_id'=>$u['VkId'],'type'=>$r['ItemType'],'item_id'=>$r['ItemId'],'owner_id'=>$r['OwernId']),$u['Kl']);
                if(!empty($ret)){
                    if($r['Action'] == 'repost')
                        $rez = !empty($ret->copied) ? TRUE : FALSE;
                    else
                        $rez = !empty($ret->liked) ? TRUE : FALSE;
                }
                return $rez;
            }
            function ApiChGroupMembers($GroupId,$u){ // учасники группы
                $ret = $this->ApiResp('groups.isMember',array('user_id'=>$u['VkId'],'group_id'=>$GroupId),$u['Kl']);
                return empty($ret) ? FALSE : TRUE;

            }
            function ApiChUserFriends($UId,$u){ //друзья пользователя    
                $rez = FALSE;
                $ret = $this->ApiResp('friends.getRecent',array('count'=>50),$u['Kl']);
                if(!empty($ret)){            
                    if(in_array($UId, $ret))
                        $rez = TRUE;
                }
                return $rez;
            }
        /***************Fdnjhbpfwbz*****************/
            public function ApiUrlToken(){
                $url = 'https://oauth.vk.com/authorize?'.http_build_query(array(
                    'response_type' => "code",
                    'client_id'     => $this->set['client_id'],
                    'redirect_uri'  => PROT.$_SERVER['SERVER_NAME'].'/earn/vk',
                    'display'       => 'page',
                    'v'       => $this->set['api_vers'],
                    'scope'         => 'friends', //array('offline','groups','friends','photos')
                ));
                return $url;
            }
            public function ApiGetToken($code){
                $url = 'https://oauth.vk.com/access_token?'.http_build_query(array(
                    'code'          => $code,
                    'client_id'     => $this->set['client_id'],
                    'redirect_uri'  => PROT.$_SERVER['SERVER_NAME'].'/earn/vk',
                    'client_secret' => $this->set['secret_key'],
                    'v'       => $this->set['api_vers'],
                    'scope'   => 'friends',
                ));
                $json = file_get_contents($url);
                //var_dump($json);die();
                $json = json_decode($json,1);
                if(isset($json['response'])) 
                    return $json['response'];
                return $json;
            }
    /**************USER****************************/
        /***************** get *************************/    
            public function uGets($f = array(), $startRowIndex=0, $maximumRows=NULL,$desc = NULL)
            {
                $conn = $this->con();
                $ret = new Vk_model;
                $lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 300';
                $where = '';

                if(empty($desc))
                    $desc = 'r.`Id` DESC';
                else
                {
                    $desc = $conn->real_escape_string($desc);
                    $ar = explode(' ', trim($desc));
                    if (isset($ar[1]))
                        $desc = 'r.`'.$ar[0].'` DESC';
                    else
                        $desc = 'r.`'.$ar[0].'`';
                }
                if(!empty($f)){
                    if(isset($f['Id']))
                        array_push($w, "r.Id = ".(int)$f['Id']); 
                    if(isset($f['VkId']))
                        array_push($w, "r.VkId = ".(int)$f['VkId']);  
                    if(isset($f['Active']))
                        array_push($w, "r.Active = ".(int)$f['Active']); 
                }
                $q = "SELECT * FROM `mod_vk_user` as r {$where} ORDER BY {$desc} {$lim}";
                $query = $conn->query($q);
                //echo $q;
                if (!empty($query) && $query->num_rows)
                {
                    $ret->data = $this->convertList($query);
                if($maximumRows){
                    $query2 = $conn->query("SELECT COUNT(*) FROM `mod_vk_user` as r {$where}");
                    if(!empty($query2) && $query2->num_rows){
                        $ret->count = (int)$query2->fetch_array()[0];
                        $query2->close();
                    }
                }
                }
                $conn->close();
                return $ret;
            } 
            public  function uGetByID($id = FALSE) { //GetUs chek
                global $user_logined, $user_login;
                $ret = NULL;
                if(!$id && $user_logined)
                    $id = $user_login->data['Id'];
                else
                    $id = (int)$id;
                if(empty($id))
                    return $ret;
                $conn = $this->con();
                $q = "SELECT * FROM `mod_vk_user` WHERE Id = {$id} LIMIT 1";
                $query = $conn->query($q);
                if (!empty($query) && $query->num_rows){
                    $ret = $query->fetch_assoc();
                    $query->close();
                }
                $conn->close();
                return $ret;
            }
            public  function uchek() { //GetUs chek
                $ret = FALSE;
                $conn = $this->con();
                $q = "SELECT Id FROM `mod_vk_user` WHERE Id = {$user_login->data['Id']} LIMIT 1";
                $query = $conn->query($q);
                if (!empty($query) && $query->num_rows)
                    $ret = TRUE;
                $conn->close();
                return $ret;
            }
        /***************** ins/up *************************/
            public function uInsert($dat)
            {
                global $user_login, $user_logined,$setting;
                $ret = FALSE;
                if(!$user_logined)
                    return $ret;
                $data['VkId'] = trim($dat['VkId']);
                $data['Kl'] = trim($dat['Kl']);
                $data['Active'] = isset($dat['Active']) ? (int)$dat['Active'] : 1;

                if($this->uchek())
                    $ret = $this->b_update('mod_vk_user',$data,$user_login->data['Id']);
                else{
                    $data['Id'] = $user_login->data['Id'];
                    $ret = $this->b_insert('mod_vk_user',$data);
                }
                return $ret;
            }
            public  function uDelete($id = FALSE){ //DeleteUs
                global $user_login, $user_logined,$setting;
                if(!$id)
                    $id = $user_login->data['Id'];
                else
                    $id = (int)$id;
                if(empty($id))
                    return FALSE;
                $conn = $this->con();
                $id=(int)$id;
                $ret = $conn->query("DELETE FROM `mod_vk_user` WHERE `Id` = {$id}");
                $conn->close();
                return $ret;
            }  
    /*******************cron***************************/        
        public function cron(){ // раз в 4-5 утра
            $time = time();
            if($this->set['cron_ok'] < ($time - 60*60*24)){
                if(date('H')  >  3){            
                    /*************отрабатываем**************************/
                        $conn = $this->con();        
                        $ret = $conn->query("UPDATE `mod_vk` SET `B_trata` = 0 WHERE `B_type` = 2");
                        $sut = $time - 60*60*24*30*3;
                        $ret = $conn->query("DELETE FROM `mod_vk_stat` WHERE `AddDate` < {$sut}");
                        $conn->close();
                    /*********запись об успехе****************/
                        $t = $this->set;
                        if(!empty($t)){
                            $t['cron_ok'] = $time;
                            setConf('vk',$t);
                        }
                    /****************************************/
                }
            }
        }
}