<?php 
    /************************************/
    global $user_logined, $user_login, $user_m, $setting;
?>
<!--includeHeader-->
<style type="text/css">
	.block-view{
		background-color: #d7e7ff;color: #3c763d, 80%;
		padding: 15px 0;margin-bottom: 5px; width: 100%;
		border: 1px solid #bbdba1;
		display: table; position: relative;
	}
	.block-view-text{margin-left: 25px;}
	.block-view h3{
		padding: 0; margin: 0; vertical-align: middle;
	}
	.block-view-text span{color:#5f5e5e}
	.block-view-icon{vertical-align: middle; margin-top: 2px; float: left;}
	.block-view-btn .btn-none{margin: 5px;color: #3c763d;}
	.block-view-btn .dropdown{display: inline-block;}
	.block-view-visited{
		background-color: #f2f2f2;border-color: #ccc; text-decoration: line-through
	}
	.block-view-visited, .block-view-visited span, .block-view-visited a{color:#b0b0b0;}
	.block-view-col{
		padding: 10px;
	}
	.block-view-col-tlt{
		margin: 5px -10px;
		background-color: #6e93b9;
		font-size:18px;
	}
	.block-view-col-tlt > a{display: table;width: 100%;}
	.block-view-col-tlt > a:hover,.block-view-col-tlt > a:focus{text-decoration: none;}
	.block-view-col h3{
		font-size:18px;
		display: table-cell;vertical-align: middle;
		height: 50px;
		padding-bottom: 3px;
		color: #fff; padding: 5px 15px;
	}
	.block-view-col-body{
		height: 100px;overflow: hidden;
		word-break: break-all;
		hyphens: auto;
		-moz-hyphens: auto;
	    -webkit-hyphens: auto;
	    -ms-hyphens: auto;overflow: hidden;
	}
	.block-view-col .block-view-btn{float: right;}
	.block-view-col .alert{
		border:none;
		margin: 0 -10px;
	    font-size: 13px;
	    padding: 5px 10px;
	}
</style>
<!--/includeHeader-->
<article>
	<h1><?php echo $Title ?></h1>
	<?php echo $Body ?>
	<?php if(!$user_logined) { ?>
	<?php include HTML.'no_auth.php'; ?>
	<?php } echo $feed; ?>
	<?php if(empty($r_m->set['active'])) { ?>
	<div class="alert alert-warning"><strong>Модуль временно не работает. Приносим извинения за неудобства</strong></div>
	<?php } else { if(empty($vk_user)){ ?>
		<div class="panel panel-default">
			<div class="panel-body" style="text-align: center;">
				<p><strong>Для того что бы начать зарабатывать, Вам нужно авторизироваться в приложении VK</strong></p>
				<p><form method="post"><button type="submit" name="authvk" value="1" class="btn btn-success"><i class="fa fa-vk"></i> &nbsp;Авторизироваться</button></form></p>
			</div>
		</div>
	<?php } else { ?>
		<div class="panel panel-default">
			<div class="panel-body" style="text-align: center;">
				<p><strong>Вы успешно авторизированы в ВК</strong></p>
				<p><form method="post"><button onclick="return confirm('Подтвердите удаление');" type="submit" name="authvkdel" value="1" class="btn btn-danger"><i class="fa fa-times"></i> &nbsp; Удалить свои данные ВК</button></form></p>
			</div>
		</div>
		<div class="panel panel-default"><div class="panel-body" style="padding: 10px;">
		<?php if(!empty($items)) { //http://www.google.com/s2/favicons?domain=maviko.net 
			foreach ($items as $val) {
				$item = NULL;
				if((isset($r_m->set['items']['item'.$val['Type']])))
                    $item = $r_m->set['items']['item'.$val['Type']];
                else{
                	continue;
                	// Что-то сделать
                }
                $sum = round(($item['price']*($r_m->set['z_per']/100)),3);  

			?>
				<div class="col-lg-4 col-sm-6" style="padding: 5px;">
					<section class="block-view block-view-col">
						<div class="block-view-col-tlt"><a href="<?php echo $val['Url'] ?>" target="_blank" title="Перейти на страницу задания"><h3><?php echo $val['Title']; ?></h3></a></div>
						<div class="block-view-col-body"><?php echo $val['Body']; ?></div>
						
						<div style="font-size: 13px;">
							<div style="float: right;"><strong title="Оплата" data-toggle="tooltip"><i class="fa fa-money"></i> <?php echo $sum; ?> <?php $setting['main']['cur']['z']; ?></strong></div>
							<div style="padding-right: 50px;height: 35px;line-height: 0.9;"><span class="text-warning" title="Категория" data-toggle="tooltip"><i class="fa fa-bars"></i> <strong><?php echo $item['title']; ?></strong></span></div>
						</div>

						<div class="block-view-btn">
							<button onclick="send_bug(<?php echo $val['Id']; ?>,'<?php echo $val['Title']; ?>');" class="btn-none" title="Пожаловаться"><i class="text-warning fa fa-exclamation-triangle"></i></button>						
						</div>
						<div style="height: 40px;" id="check_load_<?php echo $val['Id']; ?>">
							<?php if($val['InWork'] > 0){ ?>					
							<button onclick="task_ch(<?php echo $val['Id']; ?>);" data-toggle="tooltip" data-placement="bottom" type="button" class="btn btn-warning" title="Проверить выполнение задания">Проверить</button> 
							<button onclick="task_del(<?php echo $val['Id']; ?>);" data-toggle="tooltip" data-placement="bottom" type="button" class="btn btn-default" title="Отказаться от выполнения"><i class="fa fa-times"></i></button>
							<?php } else { ?>
							<button onclick="task_take('<?php echo $val['Url']; ?>',<?php echo $val['Id']; ?>);" class="btn-success btn"><i class="fa fa-check"></i> Выполнить</button>
							<?php } ?>
						</div>
					</section>
				</div>
			<?php } ?>
		<?php } else { ?>
			<div style="padding: 35px; color:gray;text-align: center;"><em>Нет заданий ВК :(</em></div>
			<p style="text-align: center;">
				<a href="<?php echo URLpage; ?>" class="btn btn-info btn-lg"><i class="fa fa-refresh"></i> &nbsp; Обновить список</a>
			</p>
		<?php } ?>
		<div class="clearfix"></div>
		</div></div>
	<?php } ?>
  <aside class="mymod-overlay" id="send_bug">
      <div class="mymod-table">
          <div class="mymod-cell">
            <div class="mymod-modal">
                <a href="#close" onclick="return mymod();" class="mymod-close"></a>
                <h2 class="show_order-h2">Жалоба на ВКонтакте</h2>
                <p><strong>ВКонтакте №<span id="send_bug_id_t"></span> </strong> - <span id="send_bug_title"></span></p>
                <form action="aj/mail_z" onsubmit="submit_send('send_bug_send');return false;" id="send_bug_send">
                	<input type="hidden" id="send_bug_id" name="Tema" value="ВКонтакте. Жалоба на элемент" />
                	<input type="hidden" name="Fio" value="<?php echo ($user_logined) ? $user_login->data['Login'] : 'Аноним'; ?>" />
	                <div class="form-group">
	                    <label>Дополнительная информация:</label>
	                    <div class="input-group">
	                      <span class="input-group-addon"><i class="fa fa-pencil"></i></span>
	                      <textarea id="send_bug_textarea" name="Body" class="form-control" id="order-mes" placeholder="Сообщение" rows="4"></textarea>
	                    </div>
	                </div>
	                <div style="text-align:center; margin:25px;"><button type="submit" class="btn btn-lg btn-danger" >Отправить</button> </div>
                </form>
             </div>
          </div>
      </div>
  </aside>
<!--includeFuter-->
	<script>
		function send_bug(id,title){
			var e = $('#send_bug');
			e.find('#send_bug_title').html(title);
			e.find('#send_bug_id').val("ВКонтакте. Жалоба на элемент №"+id);
			e.find('#send_bug_id_t').html(id);
			e.find('#send_bug_textarea').val("ВКонтакте №"+id+" нарушает правила пользования сервисом");
			e.fadeIn(300);
		}
		function task_take(u,id){
			window.open(u);				
			$('#ajaxProgress').show();
			$('#check_load_'+id).load(document.location.href,{task_take:id},function(){$('#ajaxProgress').hide();});
		}
		function task_ch(id){	
			$('#ajaxProgress').show();
			$('#check_load_'+id).load(document.location.href,{task_ch:id},function(){$('#ajaxProgress').hide();});				
		}
		function task_del(id){
			$('#ajaxProgress').show();
			$('#check_load_'+id).load(document.location.href,{task_del:id},function(){$('#ajaxProgress').hide();});		
		}
		$('.block-view-a').click(function(event) {
			$(this).parents('.block-view').addClass('block-view-visited');
		});
	</script>
<!--/includeFuter-->
    <?php } ?>
</article>
  <aside class="mymod-overlay" id="send_bug">
      <div class="mymod-table">
          <div class="mymod-cell">
            <div class="mymod-modal">
                <a href="#close" onclick="return mymod();" class="mymod-close"></a>
                <h2 class="show_order-h2">Заблокировать ролик</h2>
                <p><strong class="text-danger">Ролик/Канал № <span id="send_bug_id_t"></span> больше показываться Вам не будет</strong></p>
                <form action="aj/mail_z" onsubmit="submit_send('send_bug_send');return false;" id="send_bug_send">
                	<input type="hidden" id="send_bug_id" name="Tema" value="Оплачиваемые просмотры. Жалоба на сайт" />
                	<input type="hidden" name="Fio" value="<?php echo ($user_logined) ? $user_login->data['Login'] : 'Аноним'; ?>" />
	                <div class="form-group">
	                    <label>Дополнительная информация:</label>
	                    <div class="input-group">
	                      <span class="input-group-addon"><i class="fa fa-pencil"></i></span>
	                      <textarea id="send_bug_textarea" name="Body" class="form-control" id="order-mes" placeholder="Сообщение" rows="4"></textarea>
	                    </div>
	                </div>
	                <div style="text-align:center; margin:25px;"><button type="submit" class="btn btn-danger" >Отправить</button> <button type="submit" class="btn btn-default" type="button" onclick="return mymod();">Закрыть</button></div>
                </form>
             </div>
          </div>
      </div>
  </aside>