<?php 
namespace controls\youtube {
    defined('F') OR exit('No direct access allowed!');
    require_once(F."models/pages/Pages_model.php");
    function r()
    {   
        global $URLparam,$user_logined, $user_login, $user_m, $setting;
        require_once(F."/moduls/youtube/models/Youtube_model.php");
        $r_m = new \models\moduls\Youtube_model;

        if(isset($_POST['chek_item'],$_POST['chek_item_type'])){
            $ret = array('ok'=>0,'err'=>'Element not found :(');
            if(!isset($r_m->set['items'][$_POST['chek_item_type']])){
                $ret['err'] = 'Unknown element type';
                echo json_encode($ret, JSON_UNESCAPED_UNICODE);
                die();
            }
            $tip = $r_m->set['items'][$_POST['chek_item_type']]['tip'];
            $t = ($tip == 'video') ? $r_m->api_video_stat($_POST['chek_item']) : $r_m->api_chanel_stat($_POST['chek_item']);
            if(empty($t))
                $ret['err'] = ($tip == 'video') ? 'Video not found' : "Channel not found";
            else{
                if($tip == 'video'){
                    $ret['ok'] = 1;
                    $ret['err'] = 'Video found!';
                }
                else{
                    if($t['subscriberCount'] > 999){
                        $ret['err'] = 'This channel has more than 1000 subscribers. We cannot add new subscribers for you :(';
                    }
                    elseif($t['hiddenSubscriberCount']){
                        $ret['err'] = 'The number of subscribers is hidden on this channel. Please open the statistics.';
                    }
                    else{
                        $ret['ok'] = 1;
                        $ret['err'] = 'Channel found!';
                    }
                }
            }
            echo json_encode($ret, JSON_UNESCAPED_UNICODE);
            die();
        }

        $dat = array();       
        $mod = 'ryoutube';
        $view = '/moduls/youtube/views/r';
        $data = array();
        $aj = !empty($_POST['aj']) ? TRUE : FALSE;
        $dat['feed'] = form_redirect();
        /********************************************/
        $art_m = new \models\pages\Pages_model;
        $art = $art_m->GetById('ryoutube',TRUE);
        if(empty($art))
            $art = array('Title'=>'YouTube Subscriptions, Likes','Body'=>'','MetaKey'=>'YouTube Subscriptions, Likes','MetaDesc'=>'YouTube Subscriptions, Likes');
        /********************************************/
        if($user_logined){
            /***********************up_ins***************************/
                if(isset($_POST['show_item'])){
                    $ar = array();
                    $ar['add'] = TRUE;
                    $ar['r_m'] = &$r_m;
                    if(!empty($_POST['show_item'])){
                        $t = $r_m->GetByID($_POST['show_item']);
                        if(!empty($t) && $t['UserId'] == $user_login->data['Id']){
                            $t['B_type'] = (int)$t['B_type'];
                            $t['Reg'] = $r_m->GetReg($t['Id']);
                            $ar['add'] = FALSE;
                            $ar = array_merge($ar,$t);
                        }
                    }
                    \view\content_show('/moduls/youtube/views/r_item', $ar);
                    die();
                }
                if(isset($_POST['Active_up'],$_POST['ItemId'])){
                    if($r_m->Update(array('Id'=>$_POST['ItemId'],'Active'=>$_POST['Active_up'])))
                        $dat['feed'] = form_redirect_send('<div class="alert alert-success">Data successfully updated!</div>');
                    else
                        $dat['feed'] = form_redirect_send('<div class="alert alert-danger">An error occurred, please check the entered data and try again!</div>');
                }
                if(isset($_POST['Price_up'],$_POST['ItemId'])){
                    if($r_m->Update(array('Id'=>$_POST['ItemId'],'Price'=>$_POST['Price_up']))){
                        if($_POST['Price_up'] < 1 && isset($_POST['url']) && empty($r_m->GetImg($_POST['ItemId']))){
                            if(copy('http://mini.s-shot.ru/?' . $_POST['url'],  F."system/temp/pr_scrin_{$_POST['ItemId']}")){
                                $t = exif_imagetype(F."system/temp/pr_scrin_{$_POST['ItemId']}");
                                if($t == IMAGETYPE_JPEG)
                                    copy(F."system/temp/pr_scrin_{$_POST['ItemId']}",  F."assets/mod/youtube/site_screen/{$_POST['ItemId']}.jpg");
                                elseif($t == IMAGETYPE_PNG)
                                    copy(F."system/temp/pr_scrin_{$_POST['ItemId']}",  F."assets/mod/youtube/site_screen/{$_POST['ItemId']}.png");
                                unlink(F."system/temp/pr_scrin_{$_POST['ItemId']}");
                            }
                        }
                        $dat['feed'] = form_redirect_send('<div class="alert alert-success">Data successfully updated!</div>');
                    }
                    else
                        $dat['feed'] = form_redirect_send('<div class="alert alert-danger">An error occurred, please check the entered data and try again!</div>');
                }
                if(isset($_POST['b_null'])){
                    if($r_m->Update(array('Id'=>$_POST['b_null'],'B_trata'=>0)))
                        $dat['feed'] = form_redirect_send('<div class="alert alert-success">Data successfully updated!</div>');
                    else
                        $dat['feed'] = form_redirect_send('<div class="alert alert-danger">An error occurred, please check the entered data and try again!</div>');
                }
                if(isset($_POST['Update'])){
                    $ar = $_POST;
                    $ar['Id'] = $_POST['Update'];
                    $ar['Refer'] = (!empty($_POST['Refer'])) ? 1 : 0;
                    $ar['Active'] = empty($ar['Active']) ? 0 : 1;
                    $ar['reg'] = array();
                    if($ar['Approved'] < 0 || $r_m->set['moderat'])
                        $ar['Approved'] = 0;
                    else
                        unset($ar['Approved']);
                    if(isset($ar['reg_country']) && is_array($ar['reg_country'])){
                        foreach ($ar['reg_country'] as $k => $val) {
                            $t = array();
                            $t['Country'] = $val;
                            if(isset($ar['reg_obl'][$k]))
                                $t['Obl'] = $ar['reg_obl'][$k];
                            array_push($ar['reg'], $t);
                            unset($t);
                        }
                    }
                    if($r_m->Update($ar)){
                        $dat['feed'] = '<div class="alert alert-success">Data successfully updated!</div>';
                        form_redirect_send($dat['feed']);
                    }
                    else
                        $dat['feed'] = form_redirect_send('<div class="alert alert-danger">An error occurred, please check the entered data and try again!</div>');
                }
                elseif(isset($_POST['Insert'])){
                    $ar = $_POST;
                    $ar['UserId'] = $user_login->data['Id'];
                    $ar['B_trata'] = 0;
                    $ar['reg'] = array();
                    $ar['Refer'] = (!empty($_POST['Refer'])) ? 1 : 0;
                    $ar['Approved'] = ($r_m->set['moderat']) ? 0 : 1;
                    $ar['Active'] = empty($ar['Active']) ? 0 : 1;
                    if(isset($ar['reg_country']) && is_array($ar['reg_country'])){
                        foreach ($ar['reg_country'] as $k => $val) {
                            $t = array();
                            $t['Country'] = $val;
                            if(isset($ar['reg_obl'][$k]))
                                $t['Obl'] = $ar['reg_obl'][$k];
                            array_push($ar['reg'], $t);
                            unset($t);
                        }
                    }
                    if(($ins_id = $r_m->Insert($ar))){
                        $dat['feed'] = form_redirect_send('<div class="alert alert-success">Advertisement added!</div>');
                    }
                    else
                        $dat['feed'] = form_redirect_send('<div class="alert alert-danger">An error occurred, please check the entered data and try again!</div>');
                }
                elseif(isset($_POST['DeletItem'])){
                    if($r_m->Delete($_POST['DeletItem']))
                        $dat['feed'] = form_redirect_send('<div class="alert alert-success">Data successfully updated!</div>');
                    else
                        $dat['feed'] = form_redirect_send('<div class="alert alert-danger">An error occurred, please check the entered data and try again!</div>');
                }
            /**************Selection filter****************/
                $url_build = array();
                $filtr = array('UserId' => $user_login->data['Id']);
                //$url_build = $filtr;
            /**************Pagination***********************/
                $pagevis = 30;
                $startpag = 1;
                if(isset($_POST['startpag']))
                    $startpag = (int)$_POST['startpag'];
                elseif(isset($_GET['startpag']) && empty($_POST['aj'])) 
                    $startpag = (int)$_GET['startpag'];
                if(!$startpag)
                    $startpag = 1;
                elseif($startpag > 1)
                    $url_build['startpag'] = $startpag;
                $dat['startpag'] = $startpag;
                $startpag = ($startpag-1)*$pagevis;
            /**************Sorting**********************/
                $dat['sort'] = '';
                if(isset($_POST['sort']))
                    $dat['sort'] = $_POST['sort'];
                elseif (isset($_GET['sort']) && empty($_POST['aj'])) 
                    $dat['sort'] = $_GET['sort'];
                if(!empty($dat['sort']))
                    $url_build['sort'] = $dat['sort'];         
            /**********************************/
                $dat['items'] = $r_m->Gets($filtr,$startpag, $pagevis, $dat['sort']);
                $dat['pager'] = ($dat['items']->count > $pagevis) ? \view\getpager($startpag,$pagevis,$dat['items']->count, '', 'pager') : '';
                $dat['url_build'] = empty($url_build) ? URLpage : URLpage.'?'.urldecode(http_build_query($url_build));
                $dat['filtr'] = $filtr;
                unset($filtr,$url_build,$startpag);
                $dat['aj'] = $aj;
                $dat['r_m'] = &$r_m;
            /**************************************************/
        }
        /*****************Breadcrumbs***************/         
            $tbred = '';
            $data['breadcrumbs'] = '<li><a href="/" title="Home">Home</a></li> ';
            if(!empty($art['ParentArt'])){
                $tek = $art['ParentArt'];
                while(1){
                    $tbred .= '<li><a href="'.$tek['Url'].'" title="'.$tek['Title'].'">'.$tek['Title'].'</a></li> ' . $tbred;
                    if(empty($tek['ParentArt']))
                        break;
                    $tek = $tek['ParentArt'];
                }
            }
            $data['breadcrumbs'] .= $tbred."<li>{$art['Title']}</li>";
        /************************************************/
        $dat['Title'] = $art['Title'];
        $dat['Body'] = $art['Body'];
        if(!empty($aj)){
            \view\content_show($view, $dat);
            die();
        }
        $data['content'] = \view\content_show($view, $dat, TRUE);
        $data['Title'] = !empty($art['MetaTitle']) ? $art['MetaTitle'] : $art['Title'];
        $data['Desc'] = $art['MetaDesc'];
        $data['Key'] = $art['MetaKey'];
        /*$data['og_type'] = 'article';
        $data['og_image'] = "";*/
        return $data;
    }
}