<?php
namespace models\moduls;
if ( ! defined('F')) exit('Нет доступа!');
require_once(F."models/Base_model.php");


  //`Type` enum('like','subscr','dislike','view','comment') NOT NULL DEFAULT '1',


class Youtube_model extends \models\Base_model
{
    var $data;
    var $count;
    var $set;
    public $r_money_def = '15';
    function __construct(){
        $this->data = array();
        $this->count = 0;
        $this->set = getConf('mod_youtube');
    }
    /******************************************/
    	public function Gets($f = array(), $startRowIndex=0, $maximumRows=FALSE,$desc = NULL)
        {
            $ret = new Youtube_model;
            $conn = $this->con();
            $where = '';
            $lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 300';
            if(empty($desc)){
                if(!empty($f['adm']))
                    $desc = "IF(r.Approved = 0,  1,  999), r.`Id` DESC";
                else
                    $desc = 'r.`Id` DESC';
            }
            else
            {
                $desc = $conn->real_escape_string($desc);
                $ar = explode(' ', trim($desc));
                if (isset($ar[1]))
                    $desc = 'r.`'.$ar[0].'` DESC';
                else
                    $desc = 'r.`'.$ar[0].'`';
            }
            if(!empty($f)){
                $w = array();
                if(isset($f['Id']))
                    array_push($w, "r.Id = ".(int)$f['Id']);  
                if(isset($f['UserId']))
                    array_push($w, "r.UserId = ".(int)$f['UserId']);  
                if(isset($f['Active']))
                    array_push($w, "r.Active = ".(int)$f['Active']);  
                if(isset($f['Approved']))
                    array_push($w, "r.Approved = ".(int)$f['Approved']); 
                if(isset($f['s'])){
                    $s = $conn->real_escape_string($f['s']);
                    array_push($w, "(r.`Url` LIKE '%{$s}%' OR r.`Title` LIKE '%{$s}%')");                
                }
                /****************************************************/
                if(!empty($w)){
                    $where = ' WHERE ' .implode(' AND ', $w);
                    unset($w);
                }
            }
            if(empty($f['adm']))
           		$q = "SELECT * FROM `mod_youtube` as r {$where} ORDER BY {$desc} {$lim}";
           	else
           		$q = "SELECT r.*, u.Login as UserLogin, u.MoneyR as MoneyR FROM `mod_youtube` as r LEFT JOIN user as u ON(u.Id = r.UserId) {$where} ORDER BY {$desc} {$lim}";
            $query = $conn->query($q);
            //die($q);
            if (!empty($query) && $query->num_rows)
            {
                $ret->data = $this->convertList($query);
                if($maximumRows){
                    $query2 = $conn->query("SELECT COUNT(*) FROM `mod_youtube` as r {$where}");
                    if(!empty($query2) && $query2->num_rows){
                        $ret->count = (int)$query2->fetch_array()[0];
                        $query2->close();
                    }
                }
            }
            $conn->close();
            return $ret;
        }
        public  function GetByID($id,$adm = FALSE)
        {
            $id = (int)$id;
            $ret = NULL;
            $conn = $this->con();
            $w = 'WHERE Id = '.(int)$id;
            $q = $adm ? "SELECT r.*, u.Login as UserLogin FROM `mod_youtube` as r LEFT JOIN user as u ON(u.Id == r.UserId) {$w} LIMIT 1" : "SELECT * FROM `mod_youtube` {$w} LIMIT 1";
            //die($q);
            $query = $conn->query($q);
            if (!empty($query) && $query->num_rows)
                $ret = $this->convert($query);
            $conn->close();
            return $ret;
        }
        public  function GetByID_plus($id,$UserId = NULL)
        {
            $id = (int)$id;
            $ret = NULL;
            $conn = $this->con();
            $w = "r.`Id` = {$id} ";
            if(isset($UserId))
                $w .= " AND r.UserId = ".(int)$UserId;
            $q = "SELECT r.*, u.Money, u.MoneyR, u.Visit FROM `mod_youtube` as r LEFT JOIN user as u ON(r.UserId = u.Id) WHERE {$w} LIMIT 1";
            //echo $q;
            $query = $conn->query($q);
            if (!empty($query))
                $ret = $this->convert($query);
            $conn->close();
            return $ret;
        }
    /*****************ins/up***********************/    	
        public  function Update($dat, $adm = FALSE)
        {
            $ret = FALSE;
            if(!$adm && !$GLOBALS['user_logined'])
                return FALSE;
            //var_dump($dat);die();
            $data = array();
            $id = 0;
            if (isset($dat['Id'])) {
                $id=(int)$dat['Id'];
            }
            else
                return false;
            if(isset($dat['Url'])){
                $data['Url'] = mav_htmltotext(trim($dat['Url']));                    
                /*if(!preg_match('~^(?:https?:)?//.*~ius', $data['Url']))
                    $data['Url'] = 'http://'.ltrim($data['Url'], '/');*/
            }
            if(isset($dat['Title']))
                $data['Title'] = mav_htmltotext(trim($dat['Title']));
            if(isset($dat['Body']))
                $data['Body'] = mav_htmltotext(trim($dat['Body']));
            if(isset($dat['UserId']))
                $data['UserId'] = (int)$dat['UserId'];
            if(isset($dat['Approved']))
                $data['Approved'] = (int)$dat['Approved'];
            if(isset($dat['Active']))
                $data['Active'] = (int)$dat['Active'];

            if(isset($dat['Pol']))
                $data['Pol'] = (int)$dat['Pol'];
            if(isset($dat['Vozr_min']))
                $data['Vozr_min'] = (int)$dat['Vozr_min'];
            if(isset($dat['Vozr_max']))
                $data['Vozr_max'] = (int)$dat['Vozr_max'];

            if(isset($dat['S_views']))
                $data['S_views'] = (int)$dat['S_views'];
            /*if(isset($dat['S_click']))
                $data['S_click'] = (int)$dat['S_click'];*/
            if(isset($dat['S_trata']))
                $data['S_trata'] = (float)$dat['S_trata'];

            if(isset($dat['B_type']))
                $data['B_type'] = (int)$dat['B_type'];
            if(isset($dat['B_trata']))
                $data['B_trata'] = (float)$dat['B_trata'];
            if(isset($dat['B_money']))
                $data['B_money'] = (float)$dat['B_money'];

            if(isset($dat['AddDate']))
                $data['AddDate'] = (int)$dat['AddDate'];

            if(isset($dat['Type']) && $this->set['items'][$dat['Type']])
                $data['Type'] = $dat['Type'];
            if(isset($dat['Price'])){
                $data['Price'] = isset($this->set['items']['view']['price'][$dat['Price']]) ? $dat['Price'] : $this->r_money_def;
            }

            /*if(isset($dat['ChOk']))
                $data['ChOk'] = (int)$dat['ChOk'];*/

            if(isset($data['Type'],$data['Url'])){
                $t = ($this->set['items'][$data['Type']]['tip'] == 'video') ? $this->api_video_stat($data['Url']) : $this->api_chanel_stat($data['Url']);
                if(empty($t))
                    $data['ChOk'] = 0;
                else{
                    if($this->set['items'][$data['Type']]['tip'] == 'video')
                        $data['ChOk'] = 1;
                    else
                        $data['ChOk'] = ($t['subscriberCount'] > 999 || $t['hiddenSubscriberCount']) ? 0 : 1;
                }
            }

            if(isset($dat['ApprovedComm']))
                $data['ApprovedComm'] = mav_htmltotext(trim($dat['ApprovedComm']));
            
            $where_ins = ($adm) ? $id : array('Id' => $id, 'UserId' => $GLOBALS['user_login']->data['Id']);
            if(!empty($data))
                $ret = $this->b_update('mod_youtube',$data,$where_ins);

            if($ret && isset($dat['reg']) && is_array($dat['reg'])){                
                $conn = $this->con();
                $conn->query("DELETE FROM `mod_youtube_reg` WHERE `RId` = {$id}");
                $conn->close();
                foreach ($dat['reg'] as $val) {
                    $this->b_insert('mod_youtube_reg',array(
                        'RId' => $id,
                        'Obl' => (int)$val['Obl'],
                        'Country' => $val['Country'],
                        ));
                }
            }      
            if(!empty($dat['stat'])){
                $ar_stat = array(
                    'RId' => $id,
                    'UserId' => (($GLOBALS['user_logined']) ? $GLOBALS['user_login']->data['Id'] : 0),
                    'AddDate' => time(),
                    'Ip' => sprintf('%u', ip2long(IP)),
                );
                if(isset($dat['stat_ok']))
                    $ar_stat['Ok'] = $dat['stat_ok'];
                $this->b_insert('mod_youtube_stat',$ar_stat,0);
            } 
            return $ret;
        }
        public function Insert($dat)
        {
            if(empty($dat['Url']) || empty($dat['Title']) || empty($dat['Type']) || empty($dat['UserId']))
                return FALSE;
            $data = array();
            if(isset($dat['Url'])){
                $data['Url'] = mav_htmltotext(trim($dat['Url']));                    
                /*if(!preg_match('~^(?:https?:)?//.*~ius', $data['Url']))
                    $data['Url'] = 'http://'.ltrim($data['Url'], '/');*/
            }
            if($this->set['items'][$dat['Type']])
                $data['Type'] = $dat['Type'];
            else
                $data['Type'] = 'view';


            $t = ($this->set['items'][$data['Type']]['tip'] == 'video') ? $this->api_video_stat($data['Url']) : $this->api_chanel_stat($data['Url']);
            if(empty($t))
                $data['ChOk'] = 0;
            else{
                if($this->set['items'][$data['Type']]['tip'] == 'video')
                    $data['ChOk'] = 1;
                else
                    $data['ChOk'] = ($t['subscriberCount'] > 999 || $t['hiddenSubscriberCount']) ? 0 : 1;
            }

            $data['Title'] = mav_htmltotext(trim($dat['Title']));
            $data['UserId'] = (int)$dat['UserId'];
            if(isset($dat['Body']))
                $data['Body'] = mav_htmltotext(trim($dat['Body']));
            if(isset($dat['Pol']))
                $data['Pol'] = (int)$dat['Pol'];
            if(isset($dat['Vozr_min']))
                $data['Vozr_min'] = (int)$dat['Vozr_min'];
            if(isset($dat['Vozr_max']))
                $data['Vozr_max'] = (int)$dat['Vozr_max'];
            if(isset($dat['S_views']))
                $data['S_views'] = (int)$dat['S_views'];
            /*if(isset($dat['S_click']))
                $data['S_click'] = (int)$dat['S_click'];*/
            if(isset($dat['S_trata']))
                $data['S_trata'] = (float)$dat['S_trata'];
            if(isset($dat['B_type']))
                $data['B_type'] = (int)$dat['B_type'];
            if(isset($dat['B_trata']))
                $data['B_trata'] = (float)$dat['B_trata'];
            if(isset($dat['B_money']))
                $data['B_money'] = (float)$dat['B_money'];         
            /*$data['Refer'] = isset($dat['Refer']) ? (int)$dat['Refer'] : 0;*/
            $data['Approved'] = isset($dat['Approved']) ? (int)$dat['Approved'] : 0;
            $data['Active'] = isset($dat['Active']) ? (int)$dat['Active'] : 1;
            $data['AddDate'] = time();
            $data['Price'] = isset($dat['Price'],$this->set['items'][$data['Type']]['price'][$dat['Price']]) ? $dat['Price'] : $this->r_money_def;
            /*$data['Price'] = isset($dat['Price'],$this->set['price'][$dat['Price']]) ? $dat['Price'] : $this->r_money_def;*/
            //var_dump($data); die();
            $id = $this->b_insert('mod_youtube',$data,0);
            if($id){
                if(isset($dat['reg']) && is_array($dat['reg'])){
                    foreach ($dat['reg'] as $val) {
                        $this->b_insert('mod_youtube_reg',array(
                            'RId' => $id,
                            'Obl' => (int)$val['Obl'],
                            'Country' => $val['Country'],
                            ),0);
                    }
                }
            }
            return $id;
        }
        public function UpChOk($Id,$ChOk){
            return $this->b_update('mod_youtube',array('ChOk' => (int)$ChOk),(int)$Id);
        }
        /*public function InsertStat($dat){
            $id = $this->b_insert('mod_youtube_stat',$data,0);
            return $id;
        }*/
        public  function Delete($id,$adm = FALSE)
        {
        	global $user_logined,$user_login;        	
            $conn = $this->con();
            $id=(int)$id;
            if($adm)
            	$q = "DELETE FROM `mod_youtube` WHERE `Id` = {$id}";
            else{
            	if(!$user_logined)
        			return FALSE;
            	$q = "DELETE FROM `mod_youtube` WHERE `Id` = {$id} AND `UserId` = {$user_login->data['Id']}";
            }
            $conn->query($q);
            $ret = $conn->affected_rows;
            /*if($ret){
                $im = $this->GetImg($id);
                if(!empty($im))
                    unlink(F.$im);
            }*/
            $conn->close();
            return $ret;
        }
    /*****************Дополнительные методы*********/
        public function IncrementViev($id){
            $conn = $this->con();
            $id = $conn->real_escape_string($id);
            $ret = $conn->query("UPDATE `mod_youtube` SET `S_views` = `S_views` + 1 WHERE `Id` IN ({$id})");
            $conn->close();
            return $ret;
        }
        public function ClickUpdate($RId, $type, $Ok = 1)
        {
            global $user_m, $URLparam, $setting, $user_logined, $user_login;
            if(!$user_logined || !isset($this->set['items'][$type]))
                return FALSE;
            $Ok = (int)$Ok;
            $conn = $this->con();
            $ret = $conn->query("DELETE FROM `mod_youtube_tek` WHERE `UserId` = ".$user_login->data['Id']);
            $conn->query("INSERT INTO `mod_youtube_stat` (`RId`,`UserId`,`AddDate`,`Ip`,`Ok`) VALUES ({$RId}, {$user_login->data['Id']},".time().",".sprintf('%u', ip2long(IP)).",{$Ok})");
            if($Ok){
                $price = 0;
                if($type == 'view'){
                    $qe = $conn->query("SELECT Price FROM `mod_youtube` WHERE Id = {$RId} LIMIT 1");
                    if (!empty($qe) && $qe->num_rows){
                        $row = $qe->fetch_assoc();
                        $price = $this->set['items']['view']['price'][$row['Price']];
                    }
                }
                else
                    $price = $this->set['items'][$type]['price'];
                $sql = "UPDATE `mod_youtube` SET 
                    `S_views` = `S_views`+1, 
                    `B_trata` = `B_trata` + {$price}, 
                    `S_trata` = S_trata + {$price}
                    WHERE `Id` = {$RId}";
                //die($sql);
                $ret = $conn->query($sql);
            }
            $conn->close();
            return $ret;
        }
        public  function GetReg($id){
            $id = (int)$id;
            $ret = array();
            $conn = $this->con();
            $q = "SELECT rk.*,g_obl.Title as OblTitle, g_con.Title as CountryTitle FROM mod_youtube_reg as rk
            LEFT JOIN GeoIp_obl as g_obl on (g_obl.Id = rk.Obl)
            LEFT JOIN GeoIp_country as g_con on (g_con.Id = rk.Country)
            WHERE rk.`RId` = $id";
            $query = $conn->query($q);
            if (!empty($query) && $query->num_rows)
            {
                while($row = $query->fetch_assoc())
                    array_push($ret,$row);
                $query->close();
            }
            $conn->close();
            return $ret;
        }
    /*****************ForClick*********************/ 
        public function GetNextCount($type){
            global $user_m,$setting,$user_logined,$user_login;
            $conn = $this->con();
            $ret = 0;
            $type = $conn->real_escape_string(trim($type));
            if(!isset($this->set['items'][$type]))
                return $ret;

            $tek_time = time() - $this->set['time'] - 1;


            $w_p = '';
            if($type == 'view'){
                foreach ($this->set['items'][$type]['price'] as $k => $v) {
                    $w_p .= " (r.Price = '{$k}' AND u.MoneyR > {$v}) OR";
                }
                $w_p = substr($t, 0, strripos($w_p, 'OR'));
                $w_p = " AND ({$w_p})";
            }
            else{
                $w_p = "AND u.MoneyR > {$this->set['items'][$type]['price']}";
            }

            $q = "SELECT count(*) 
            FROM `mod_youtube` as r
            LEFT JOIN `mod_youtube_stat` as s on(r.Id = s.RId AND s.UserId = {$user_login->data['Id']})
            LEFT JOIN `mod_youtube_tek` as tek on(tek.UserId = {$user_login->data['Id']} AND tek.AddDate > {$tek_time})
            LEFT JOIN `mod_youtube_reg` as reg on(r.Id = reg.RId)                    
            LEFT JOIN `user` as u on(r.UserId = u.Id)            
            WHERE 
                r.Active = 1 AND r.Approved = 1 AND u.Active = '1' AND r.ChOk > 0 AND Type = '{$type}'
                AND (r.B_type = 1 OR r.B_trata <= B_money)
                {$w_p}
                AND s.RId IS NULL
                AND tek.RId IS NULL";

            $query = $conn->query($q);
            if (!empty($query) &&  $query->num_rows){
                $ret->count = (int)$query->fetch_array()[0];
                $query->close();
            }
            return $ret;
        }
        public function GetNext($type)
        {
            global $user_m,$setting,$user_logined,$user_login;
            $conn = $this->con();
            $ret = array();
            $type = $conn->real_escape_string(trim($type));
            if(!isset($this->set['items'][$type]))
                return $ret;
            $w_p = '';
            $join = '';
            if($type == 'view'){
                $sut = time() - 60*60*$this->set['interval'];
                $join = "LEFT JOIN `mod_youtube_stat` as s on(r.Id = s.RId AND s.UserId = {$user_login->data['Id']} AND s.AddDate > {$sut})";
                foreach ($this->set['items'][$type]['price'] as $k => $v) {
                    $w_p .= " (r.Price = '{$k}' AND u.MoneyR > {$v}) OR";
                }
                $w_p = substr($w_p, 0, strripos($w_p, 'OR'));
                $w_p = " AND ({$w_p})";
            }
            else{
                $join = "LEFT JOIN `mod_youtube_stat` as s on(r.Id = s.RId AND s.UserId = {$user_login->data['Id']})";
                $w_p = "AND u.MoneyR > {$this->set['items'][$type]['price']}";
            }
            $tek_time = time() - $this->set['time'] - 1;
            $q = "SELECT r.* 
            FROM `mod_youtube` as r
            {$join}
            LEFT JOIN `mod_youtube_tek` as tek on(tek.RId = r.Id AND tek.AddDate > {$tek_time})                  
            LEFT JOIN `user` as u on(r.UserId = u.Id)            
            WHERE 
                r.Active = 1 AND r.Approved = 1 AND u.Active = '1' AND r.ChOk > 0 AND Type = '{$type}'
                AND (r.B_type = 1 OR r.B_trata <= B_money)
                {$w_p}
                AND s.RId IS NULL
                AND tek.RId IS NULL
            ORDER BY RAND() LIMIT 1";
            //die($q);
            $query = $conn->query($q);
            if (!empty($query) &&  $query->num_rows)    
                $ret = $this->convert($query);
            return $ret;
        }
    /*****************tek***************************/    
        public function GetTek($RId = 0, $time = FALSE){            
            global $user_m, $URLparam, $setting,$user_logined,$user_login; 
            if(!$user_logined)
                return FALSE;
            $ret = NULL;
            $conn = $this->con();
            $q = "SELECT t.*,r.Url,r.Type, r.Price as Price FROM `mod_youtube_tek` as t 
            LEFT JOIN `mod_youtube` as r ON (t.RId = r.Id)
            WHERE t.`UserId` = {$user_login->data['Id']}";
            if($RId)
                $q .= ' AND RID = '.(int)$RId;
            $query = $conn->query("{$q} ORDER BY t.`AddDate` DESC LIMIT 1");
            //die("{$q} ORDER BY t.`AddDate` DESC LIMIT 1");
            if (!empty($query)){
                $row = $query->fetch_assoc();
                /*if($time){
                    if($row['AddDate'] >= (time()-$this->set['time']-1))
                        $ret = $row;
                }
                else*/
                    $ret = $row;
            }
            $conn->close();
            return $ret;
        }
        public function InsertTek($RId,$Count){
            global $user_m, $URLparam, $setting,$user_logined,$user_login; 
            if(!$user_logined)
                return FALSE;
            $data = array();
            $data['RId'] = (int)$RId;
            $data['UserId'] = $user_login->data['Id'];
            $data['AddDate'] = time();
            $data['Count'] = (int)$Count;
            $id = $this->b_insert('mod_youtube_tek',$data,0);
        }
        public  function DeleteTek()
        {
            global $user_m, $URLparam, $setting,$user_logined,$user_login; 
            if(!$user_logined)
                return FALSE;
            $conn = $this->con();
            $ret = $conn->query("DELETE FROM `mod_youtube_tek` WHERE `UserId` = {$user_login->data['Id']}");
            $conn->close();
            return $ret;
        }
    /*****************SLUG*************************/
        private function convert(&$query)
        {
            $row = $query->fetch_assoc();
            if(empty($row)){
                $query->close();
                return NULL;
            }
            else
            {
                $query->close();
                return $row;
            }
        }
        private function convertList(&$query)
        {
            $ret = array();
            while($row = $query->fetch_assoc())
                array_push($ret, $row);
            $query->close();
            return $ret;
        }        
    /*******************АПИ***************************/
        // $this->set['ApiKey']
        function api_video_stat($id){
            $ret = FALSE;
            $t = json_decode(file_get_contents("https://www.googleapis.com/youtube/v3/videos?part=statistics&id={$id}&key={$this->set['ApiKey']}"),1);
            if(!empty($t) && !empty($t['items']) && !empty($t['items'][0])){
                $ret = $t['items'][0]['statistics'];
            }
            /*viewCount   "256229"
            likeCount   "28961"
            dislikeCount    "405"
            favoriteCount   "0"
            commentCount    "2585"*/
            return $ret;
        }
        function api_chanel_stat($id){
            $ret = FALSE;
            $t = json_decode(file_get_contents("https://www.googleapis.com/youtube/v3/channels?part=statistics&id={$id}&key={$this->set['ApiKey']}"),1);
            if(!empty($t) && !empty($t['items']) && !empty($t['items'][0])){
                $ret = $t['items'][0]['statistics'];
            }
            /*viewCount "290883526"
            commentCount    "0"
            subscriberCount "427000"
            hiddenSubscriberCount   false
            videoCount  "17573"*/
            return $ret;
        }
    /*******************cron***************************/        
        public function cron(){ // раз в 4-5 утра
            global $user_m,$setting,$user_logined,$user_login;
            $time = time();
            if($this->set['cron_ok'] < ($time - 60*60*24)){
                if(date('H')  >  3){                    
                    /*************отрабатываем**************************/
                        $conn = $this->con();
                        $ret = $conn->query("UPDATE `mod_youtube` SET `B_trata` = 0 WHERE `B_type` = 2");
                        $sut = $time - 60*60*24*30;
                        $ret = $conn->query("DELETE FROM `mod_youtube_stat` WHERE `AddDate` < {$sut}");
                        $sut = $time - $this->set['time'] - 1;
                        $ret = $conn->query("DELETE FROM `mod_youtube_tek` WHERE `AddDate` < {$sut}");
                        $conn->close();
                    /*********запись об успехе****************/
                        $t = $this->set;
                        if(!empty($t)){
                            $t['cron_ok'] = $time;
                            setConf('youtube',$t);
                        }
                    /****************************************/
                }
            }
        }

}