<?php 
    /************************************/
    global $user_logined, $user_login, $user_m, $setting;
?>
<style>
    #prserf_info_body{}
    #prserf_info_timer{text-align: center;color: #FE7E01; font-size: 22px;padding: 15px 0;}
    #prserf_info_timer .fa-pulse{font-size: 60px;}
    .prserf_info_title a{
        font-size: 28px;font-weight: bold;color: #e95717; 
    }
    .prserf_info_title{margin-bottom: 5px;}
    .prserf_info_text{font-size: 18px;}
    .prserf_info_text small{font-size: 14px; text-decoration: underline;}
    .prserf_info_text small.text-danger{color: #a94442;text-decoration:none;}

    .prserf_info_tipbtn{border-bottom: solid 1px #ddd;display: table;width: 100%;}
    .prserf_info_tipbtn .cell{padding: 15px;color: #337AB7;}
    .prserf_info_tipbtn .cell.active{background: #337AB7; color: #fff;}

    .ytimer{font-size: 40px;color: #428bca;}
</style>
<article>
    <h1><?php echo $Title ?></h1>
    <?php echo $Body ?>
    <?php if(!$user_logined) { ?>
    <?php include HTML.'no_auth.php'; ?>
    <?php } else { echo $feed; ?>
    <?php if(empty($r_m->set['active'])) { ?>
    <div class="alert alert-warning"><strong>The module is temporarily unavailable. We apologize for the inconvenience.</strong></div>
    <?php } else { ?>
        <div id="prserf_alert" class="alert alert-danger" style="display: none;"></div>
            <input type="hidden" id="prserf_tip" value="like" />
            <div class="panel panel-default">
                <div class="prserf_info_tipbtn">
                    <a href="#" onclick="return tip_change('view',this);" type="button" class="cell text-center btn-none active">
                        <i class="fa fa-eye"></i>  Views
                    </a>
                    <a href="#" onclick="return tip_change('like',this);" type="button" class="cell text-center btn-none">
                        <i class="fa fa-heart-o"></i>  Likes
                    </a>
                    <a href="#" onclick="return tip_change('subscr',this);" type="button" class="cell text-center btn-none">
                        <i class="fa fa-pencil"></i>  Subscriptions
                    </a>
                </div>
                <div class="panel-body text-center">
                    <div data-itemtype="view">
                        <div style="margin-bottom: 25px;" id="view_player_desc"></div>
                        <div id="view_player"></div>
                        <div style="padding-top: 35px;text-align: center;">
                            <div class="ytimer"></div>
                            <div id="view_player_btn">
                                <button onclick="view_start();" type="button" style="text-transform: uppercase;" class="btn btn-lg btn-success"><i class="fa fa-check"></i>  Start viewing</button>
                            </div>
                            <div id="view_player_skipbag"></div>
                        </div>
                    </div>
                    <div data-itemtype="like" style="display: none;">
                        <div style="text-align: left;font-style: italic;">
                            <div class="prserf_info_tip prserf_info_like"><p>Like the video and watch it until the pop-up window closes.</p></div>
                            <div class="prserf_info_tip prserf_info_subscr" style="display: none;"><p>Subscribe to the channel and close the pop-up window.</p></div>
                        </div>
                        <div id="prserf_info_body" style="display: inline-block;text-align: left;"></div>
                        <div id="prserf_info_timer"></div>
                        <div id="prserf_info_btn"><button onclick="prserf_start();" type="button" style="text-transform: uppercase;" class="btn btn-lg btn-success"><i class="fa fa-check"></i>  Start</button></div>
                    </div>
                </div>
            </div>
<script>
        var tag = document.createElement('script');
        tag.src = "https://www.youtube.com/iframe_api";
        var firstScriptTag = document.getElementsByTagName('script')[0];
        firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);
        var player;
        var player_api_load = false;
        function onYouTubeIframeAPIReady() {
            player_api_load = true;
        }
        function stopVideo(){player.stopVideo();}
        function onPlayerStateChange(event) {vpstatus = (event.data == YT.PlayerState.PLAYING) ? true : false;}
        function onPlayerReady(event) {vpstatus = (event.data == YT.PlayerState.PLAYING) ? true : false;event.target.setVolume(100);event.target.playVideo();}
        /*var vdata = {ok:0};
        var vtimerId;*/
        var vpstatus = false;
        var vtimerId;
        var ytimer = $('.ytimer');
        var view_player_skipbag = $('#view_player_skipbag');
        var nextbtn  = $('#view_player_btn');
        function view_start(){
            if(player_api_load){
                var tip = 'view';
                ytimer.html('');
                view_player_skipbag.html('');
                $('#view_player').html('');
                $('#view_player_desc').html('');
                if(player){
                    player.destroy();
                    player = false;
                }
                if(vtimerId)
                    clearTimeout(vtimerId);
                $.ajax({
                    url: document.location.href,
                    type: "POST",
                    async: false,
                    dataType: 'json',
                    data: {GetItem : 'view'},
                    success: function(d){
                        if(d.ok > 0){
                            sec = d.time;
                            $('#view_player_desc').html('<div class="prserf_info_title"><a href="'+d.Url+'" target="_blank">'+d.Title+'</a></div><div class="prserf_info_text">'+d.Body+'</div>');
                            var pw = $('#view_player').width();
                            if(pw > 640)
                                pw = 640;
                            ph = Math.round(pw*0.5625)+1;
                            player = new YT.Player('view_player', {
                                height: ph,
                                width: pw,
                                videoId: d.Kod,
                                events: {
                                    'onReady': onPlayerReady,
                                    'onStateChange': onPlayerStateChange
                                }
                            });
                            view_player_skipbag.html('<hr /><div><a href="'+d.Url+'" target="_blank"><small>Go to YouTube</small></a>   <button onclick="view_skip('+d.Id+')" class="btn-none"><small class="text-info"><i class="fa fa-exchange"></i> Skip video</span></button><br /><button onclick="send_bug('+d.Id+','+"'"+tip+"'"+')" class="btn-none"><small  class="text-danger"><i class="fa fa-exclamation-triangle"></i> Report</span></button></div>');
                            vtimerId = setTimeout(
                                function vtick() {
                                    if(d.time < 1){
                                        clearTimeout(vtimerId);
                                        ytimer.html('<i class="fa fa-fw fa-pulse fa-spinner"></i>');
                                        nextbtn.load(document.location.href,{view_panel:d.Id},function(){ytimer.html('');});
                                    }
                                    else{
                                        if(vpstatus){
                                            d.time--;
                                            ytimer.html(d.time);
                                            nextbtn.html('<p style="padding:15px;">Watch the video while the countdown is running</p>');
                                        }
                                        else{
                                            nextbtn.html('<p style="padding:15px;"><strong>Video stopped!</strong><br /> Play the video and watch it for at least '+d.time+' sec.</p>');
                                            //message "video stopped, play the video to get money"
                                        }
                                        vtimerId = setTimeout(vtick, 1000);
                                    }
                                }
                            , 1000);

                        }
                        else{
                            $('#view_player_desc').html('<p><em>No videos available :(</em></p>');
                            $('#view_player_btn').html('<button onclick="view_start();" type="button" style="text-transform: uppercase;" class="btn btn-lg btn-success"><i class="fa fa-check"></i>  Check</button>');
                        }
                    }
                });
            }
            else{
                $('#view_player_desc').html('<div class="alert alert-danger"><strong>Loading error!</strong> Try again or refresh the page</div>');
            }
        }
        function view_skip(id){
            $.ajax({
                url: document.location.href,
                type: "POST",
                data: {'block':id,'block_tip':'view'}
            });
            view_start();
        }
        function view_click_ok(i,k,x,y){
            $.ajax({
                url: document.location.href,
                type: "POST",
                dataType: 'json',
                type: "POST",
                data: {'view_click':i,k:k,x:x,y:y},
                success: function(d){
                    if(d.status > 0){
                        nextbtn.html('<p><strong class="text-success">View counted</strong></p>');
                        setTimeout(function(){view_start();},2000);
                    }
                    else{
                        nextbtn.html('<p><strong class="text-danger">'+d.mess+'</strong></p>');
                        setTimeout(function(){view_start();},2000);
                    }
                }
            });
        }       
        //setTimeout(() => window.open('http://google.com'), 500);
        var prserf_timabool;
        var rwin = false;
        function tip_change(tip,el){
            $('.prserf_info_tipbtn .cell').removeClass('active');
            $(el).addClass('active');
            $('#prserf_tip').val(tip);
            if(tip == 'view'){
                $('[data-itemtype=like]').hide();
                $('[data-itemtype=view]').show();
            }else{
                $('[data-itemtype=like]').show();
                $('[data-itemtype=view]').hide();
                $('.prserf_info_tip').hide();
                $('.prserf_info_'+tip).show();
            }
            return false;
        }
        function prserf_start(){
            prserf_timabool = true;
            $('#prserf_info_body').html('');
            $('#prserf_info_timer').html('');
            $('#prserf_info_btn').html('<span class="text-success"><i class="fa fa-fw fa-pulse fa-spinner"></i> Getting data ...</span>');
            prserf_get();
        }
        function prserf_get(){
            var tip = $('#prserf_tip').val();
            if(!prserf_timabool)
                return false;
            $.ajax({
                url: document.location.href,
                type: "POST",
                async: false,
                dataType: 'json',
                data: {GetItem : tip},
                success: function(d){
                    if(d.ok > 0){
                        var params = 'scrollbars=yes,resizable=yes,status=no,toolbar=no,menubar=no,width=600,height=400,';
                        rwin = window.open(d.Url,'YouTube',params);
                        if(!rwin){
                            $('#prserf_info_body').html('<p><strong>Could not open window!</strong> Disable pop-up blocker.</p>');
                            $('#prserf_info_timer').html('');
                            $('#prserf_info_btn').html('<p><button onclick="prserf_start();" type="button" style="text-transform: uppercase;" class="btn btn-success"><i class="fa fa-check"></i>  Check</button></p>');
                            //prserf_stop();                      
                        }
                        else{
                            $('#prserf_info_body').html('<div class="prserf_info_title"><a href="'+d.Url+'" target="_blank">'+d.Title+'</a></div><div class="prserf_info_text">'+d.Body+'<div><a href="'+d.Url+'" target="_blank"><small>Go to YouTube</small></a>   <button onclick="send_bug('+d.Id+','+"'"+tip+"'"+')" class="btn-none"><small class="text-danger"><i class="fa fa-exclamation-triangle"></i> Don\'t show</span></button></div></div>');
                            $('#prserf_info_timer').html('');
                            $('#prserf_info_btn').html('');
                            var sec = d.Time;
                            timerId_view = setTimeout(
                                function tick_view() {
                                    if(!rwin || rwin.closed){
                                        ch_ok(d);   
                                    }
                                    else{
                                        if(!sec){
                                            ch_ok(d);
                                            if(rwin && !rwin.closed)
                                                rwin.close();
                                        }
                                        else{
                                            $('#prserf_info_timer').html('View: '+sec+' sec.');
                                            sec--;
                                            timerId_view = setTimeout(tick_view, 1000);
                                        }
                                    }
                                }, 1000
                            );
                        }
                    }
                    else{
                        /*$('#prserf_info_body').html('');
                        $('#prserf_info_timer').html('');
                        $('#prserf_info_btn').html('');*/
                        $('#prserf_info_body').html('<p><em>No videos available :(</em></p>');
                        $('#prserf_info_timer').html('');
                        $('#prserf_info_btn').html('<p><button onclick="prserf_start();" type="button" style="text-transform: uppercase;" class="btn btn-success"><i class="fa fa-check"></i>  Check</button></p>');
                    }
                }
            });
        }


        function ch_ok(d){
            $.ajax({
                url: document.location.href,
                type: "POST",
                data: {'ch_ok':d.Id},
                success: function(ok){
                    ok = parseInt(ok);
                    if(ok){
                        $('#prserf_info_timer').html('<p><span class="text-success"><i class="fa fa-fw fa-check"></i> Earned '+d.Price+' rub.</span></p>');
                        $('#prserf_info_btn').html('<p><button onclick="prserf_start();" type="button" style="text-transform: uppercase;" class="btn btn-success">Next   <i class="fa fa-angle-double-right"></i></button></p>');
                    }
                    else{
                        $('#prserf_info_timer').html('<p><span class="text-danger"><i class="fa fa-exclamation-triangle"></i> You did not complete the action :(</span></p>');
                        $('#prserf_info_btn').html('<p><button onclick="prserf_start();" type="button" style="text-transform: uppercase;" class="btn btn-success">Next   <i class="fa fa-angle-double-right"></i></button></p>');
                    }
                }
            });
        }
        function send_bug(id,tip){
            $.ajax({
                url: document.location.href,
                type: "POST",
                data: {'block':id,'block_tip':tip}
            });
            var e = $('#send_bug');
            e.find('#send_bug_id').val("Views. Complaint about video/channel №"+id);
            e.find('#send_bug_id_t').html(id);
            e.find('#send_bug_textarea').val("Video №"+id+" violates the terms of service");
            e.fadeIn(300);
        }
    </script>
<?php } } ?>
</article>
    <aside class="mymod-overlay" id="send_bug">
        <div class="mymod-table">
            <div class="mymod-cell">
                <div class="mymod-modal">
                    <a href="#close" onclick="return mymod();" class="mymod-close"></a>
                    <h2 class="show_order-h2">Block video</h2>
                    <p><strong class="text-danger">Video/Channel № <span id="send_bug_id_t"></span> will no longer be shown to you</strong></p>
                    <form action="aj/mail_z" onsubmit="submit_send('send_bug_send');return false;" id="send_bug_send">
                        <input type="hidden" id="send_bug_id" name="Tema" value="Paid views. Website complaint" />
                        <input type="hidden" name="Fio" value="<?php echo ($user_logined) ? $user_login->data['Login'] : 'Anonymous'; ?>" />
                        <div class="form-group">
                            <label>Additional information:</label>
                            <div class="input-group">
                                <span class="input-group-addon"><i class="fa fa-pencil"></i></span>
                                <textarea id="send_bug_textarea" name="Body" class="form-control" id="order-mes" placeholder="Message" rows="4"></textarea>
                            </div>
                        </div>
                        <div style="text-align:center; margin:25px;"><button type="submit" class="btn btn-danger" >Send</button> <button type="submit" class="btn btn-default" type="button" onclick="return mymod();">Close</button></div>
                    </form>
                </div>
            </div>
        </div>
    </aside>