<?php 
	/************************************/
	global $user_logined, $user_login, $user_m, $setting;

if(empty($ps)) { ?>
	<div style="margin: 35px 0;"><em>Payment system not selected</em></div>
	<p>
		<button onclick="moneyout_step(1,0); return false;" type="button" class="btn btn-default"><i class="fa fa-long-arrow-left fa-fw"></i> Back</button>
	</p>
<?php } else {	
		$tmoney = (int)$user_login->data['Money'];
		//($ps['Cur'] != 'RUB')
		$komm = ($ps['PerIn'] < 0) ? $ps['PerIn'] * -1 : 0;
		$bonus = ($ps['PerIn'] > 0) ? $ps['PerIn'] : 0;
		$cur_kof = ($ps['Cur'] != 'RUB') ? $curs[$ps['Cur']] : 1;

		$tmoney_z = $cur_kof*(100+(100*($ps['PerIn']/100)));

		$s_min = $ps['MinIn'];
		if($ps['MinIn'] > 0 && $ps['Cur'] != 'RUB')
			$s_min = round($ps['MinIn']/$cur_kof, 0, PHP_ROUND_HALF_UP);

	?>
	<form method="post">
		<input type="hidden" name="PaySys" value="<?php echo $ps['Id']; ?>" />
		<div style="font-size: 18px; margin-bottom: 15px;" class="text-danger"><strong>Payment System: <?php echo $ps['Title']; ?></strong></div>
		<div class="alert" style="font-size: 14px; font-weight: bold;">
			Minimum top-up amount: <?php echo $ps['MinIn'].' '.$ps['Cur']; ?>	
			<?php if($ps['MinIn'] > 0 && $ps['Cur'] != 'RUB') echo "<small>({$s_min} rub.)</small>"; ?>
			<br />
			Commission: <?php echo $komm; ?>%
			<?php if($bonus > 0) echo "<div class=\"text-danger\"><strong>Bonus: +{$bonus}%</strong></div>"; ?>
			<?php if($ps['Cur'] != 'RUB') echo "<div>Exchange Rate: 1 {$ps['Cur']} = {$curs[$ps['Cur']]} RUB</div>"; ?>
		</div>
		<div class="form-group">
			<label>Amount in <?php echo $ps['Cur']; ?>:</label> <small>(without kopecks)</small>
			<div class="input-group">
				<input min="<?php echo $s_min; ?>" type="number" onchange="moneyout_sz(this);" value="100" name="Summa" class="form-control" />
				<span class="input-group-addon" title="To be credited"><span class="hidden-xs">To be credited: </span><span id="moneyout_sz"><?php echo number_format($tmoney_z, 2,","," " ); ?></span> RUB</span>
			</div>
		</div>
		<p>
			<button onclick="moneyout_step(1,0); return false;" type="button" class="btn btn-default"><i class="fa fa-long-arrow-left fa-fw"></i> Back</button> &nbsp;&nbsp; <button type="submit" name="moneyin" class="btn btn-danger">Top up <i class="fa fa-fw fa-sign-in"></i></button>
		</p>
	</form>
<script>
	function moneyout_sz(el) {
		var s = $(el).val()*1;
		var r = <?php echo round($cur_kof,5); ?>*(s+s*<?php echo round($ps['PerIn']/100, 5); ?>);
		$('#moneyout_sz').html(r.toFixed(2));
	}
</script>
<?php } ?>