<?php
namespace models;
if ( ! defined('X_F')) exit('No direct script access allowed!');
require_once(F."models/pages/Pages_model.php");

class AdmPages_model extends \models\pages\Pages_model
{
    /**************Update/Insert************************/
    public function Update($dat)
    {
        $ret = false;
        $data = array();
        $data2 = array();
        $Title = '';
        $id = 0;
        if (!empty($dat['Id'])) {
            $id=(int)$dat['Id'];
        }
        else
            return false;
        if(isset($dat['Title'])){
            if(empty($dat['Title']))
                return 0;
            $Title = $dat['Title'];
            $data['Title'] = mav_htmltotext(trim($Title));
            $data2['Text_s'] = $data['Title'];
        }
        if(isset($dat['Body']))
            $data2['Body'] = chHtmlTag($dat['Body'],0);
        if(isset($dat['UserId']))
            $data['UserId'] = (int)($dat['UserId']);
        if(isset($dat['Image']))
            $data2['Image'] = trim(ltrim($dat['Image'],'/'));
        if(isset($dat['ParentId']) && $dat['ParentId'] != $id)
            $data['ParentId'] = (int)$dat['ParentId']; 
        if(isset($dat['Abstract']))
            $data['Abstract'] = mav_htmltotext(trim($dat['Abstract']));
        if(isset($dat['Active']))
            $data['Active'] = (int)$dat['Active'];
        if(isset($dat['MetaTitle']))
            $data2['MetaTitle'] = mav_htmltotext(trim($dat['MetaTitle']));
        if(isset($dat['MetaDesc']))
            $data2['MetaDesc'] = mav_htmltotext(trim($dat['MetaDesc']));
        if(isset($dat['MetaKey']))
            $data2['MetaKey'] = mav_htmltotext(trim($dat['MetaKey']));
        if(isset($dat['Template']))
            $data2['Template'] = mav_htmltotext(trim($dat['Template']));
        if(isset($dat['Sort']))
            $data['Sort'] = (int)$dat['Sort'];
        if(isset($dat['CommOk']))
            $data2['CommOk'] = (int)$dat['CommOk'];
        if(isset($dat['RatOk']))
            $data2['RatOk'] = (int)$dat['RatOk'];
        if(isset($dat['Name'])){
            $name = $dat['Name'];
            if(empty($name)){
                if(empty($Title))
                    return FALSE;
                $name = $Title;
            }
            // Truncate long names. Max length 245 characters
            $name = mb_strtolower(trim($name));
            $name = preg_replace('~\s+~usi', '_', $name);
            $name = preg_replace('~[^aA-zZаА-яЯ0-9\-_]~usi', '', $name);
            if(empty($name))
                return false;
            if(mb_strlen($name) > 399)
                $name = mb_substr($name, 0, 399);
            $t_count = 2;
            $t_name = $name;
            while ($this->chekName($t_name, $id)) {
                $t_name = $name.$t_count;
                $t_count++;
            }
            $data['Name'] = $t_name;
        }
        if(!empty($data)){
            $ret = $this->b_update('Articles',$data,$id,0);
            if($ret && isset($data['ParentId'])){
                $sq_p_id = '';
                if(!empty($data['ParentId'])){
                    foreach ($this->getParentsId($data['ParentId']) as $val) {                    
                        $sq_p_id .= "({$id},{$val}),";
                    }
                }
                $conn = $this->con();
                $conn->query("DELETE FROM `Articles_CatsId` WHERE `ArtId` = {$id}");
                if(!empty($sq_p_id))
                    $conn->query("INSERT INTO `Articles_CatsId` (`ArtId`,`CatId`) VALUES ".trim($sq_p_id,','));
                $conn->close();
            }
        }
        if(!empty($data2)){
            $ret = $this->b_update('Articles_body',$data2,$id,0);
            if(!empty($ret) && isset($data2['Image'])){
                $this->image_resize($data2['Image'],$id);
            }
        }
        if(isset($dat['tags'])){
            $conn = $this->con();
            $conn->query("DELETE FROM `Articles_kl_tags` WHERE `ArtId` = {$id}");
            $conn->close();
            if(!empty($dat['tags']) && is_array($dat['tags'])){
                $dat['tags'] = array_unique($dat['tags']);
                foreach ($dat['tags'] as $val){
                    $val = (int)$val;
                    $ret = $this->b_insert('Articles_kl_tags',array('TagId'=>$val,'ArtId'=>$id),0);
                }
            }
        }
        //$this->SetMenu();
        return $ret;
    }

    public function Insert($dat)
    {
        $id = 0;
        $data = array();
        $data2 = array();
        if(empty($dat['Title']))
            return $id;
        $data['Title'] = mav_htmltotext(trim($dat['Title']));
        $name = $data2['Text_s'] = $data['Title'];

        if(isset($dat['Image']))
            $data2['Image'] = trim(ltrim(($dat['Image']),'/'));
        if(isset($dat['Body'])){
            $data2['Body'] = chHtmlTag($dat['Body']);
        }
        else
            $data2['Body'] = "";
        if(isset($dat['UserId']))
            $data['UserId'] = (int)($dat['UserId']);
        if(isset($dat['ParentId']))
            $data['ParentId'] = (int)$dat['ParentId'];
        else
            $data['ParentId'] = 0;
        if(isset($dat['Abstract']))
            $data['Abstract'] = mav_htmltotext(trim($dat['Abstract']));
        else
            $data['Abstract'] = "";           
        if(isset($dat['Active']))
            $data['Active'] = (int)$dat['Active'];
        if(isset($dat['MetaDesc']))
            $data2['MetaDesc'] = mav_htmltotext(trim($dat['MetaDesc']));
        else
            $data2['MetaDesc'] = "";
        if(isset($dat['MetaTitle']))
            $data2['MetaTitle'] = mav_htmltotext(trim($dat['MetaTitle']));
        else
            $data2['MetaTitle'] = "";
        if(isset($dat['MetaKey']))
            $data2['MetaKey'] = mav_htmltotext(trim($dat['MetaKey']));
        else
            $data2['MetaKey'] = "";
        if(isset($dat['Template']))
            $data2['Template'] = mav_htmltotext(trim($dat['Template']));
        if(isset($dat['CommOk']))
            $data2['CommOk'] = (int)$dat['CommOk'];
        if(isset($dat['RatOk']))
            $data2['RatOk'] = (int)$dat['RatOk'];

        if(isset($dat['Sort']))
            $data['Sort'] = (int)$dat['Sort'];
        else
            $data['Sort'] = $this->LastSort()+1;
        /*************name*************************/
        if(!empty($dat['Name']))
            $name = $dat['Name'];
        $name = mb_strtolower(trim($name));
        if(mb_strlen($name) > 399){
            $name = mb_substr($name, 0, 399);
            $prb = mb_strripos($name, ' ');
            if($prb > 10)
                $name = mb_substr($name, 0, $prb);
        }
        $name = preg_replace('~\s+~usi', '_', $name);
        $name = preg_replace('~[^aA-zZаА-яЯ0-9\-_]~usi', '', $name);
        if(empty($name))
            return false;
        $t_count = 2;
        $t_name = $name;
        while ($this->chekName($t_name)) {
            $t_name = $name.$t_count;
            $t_count++;
        }
        $data['Name'] = $t_name;
        /************************************************/
        $data['Statik'] = 0;
        $data['AddDate'] = !empty($dat['AddDate']) ? (int)$dat['AddDate'] : time();
        $id = $this->b_insert('Articles',$data,0);
        //var_dump($id);die();
        if($id){
            $data2['Id'] = $id;
            if($this->b_insert('Articles_body',$data2,0)){//in case of unsuccessful insertion
                if(!empty($data2['Image'])){
                    $this->image_resize($data2['Image'],$id);
                }
            }          
            if(!empty($data['ParentId'])){
                $sq_p_id = '';
                foreach ($this->getParentsId($data['ParentId']) as $val) {
                    $sq_p_id .= "({$id},{$val}),";
                }
                $conn = $this->con();
                $conn->query("INSERT INTO `Articles_CatsId` (`ArtId`,`CatId`) VALUES ".trim($sq_p_id,','));
                $conn->close();
            }
            if(!empty($dat['tags']) && is_array($dat['tags'])){
                $dat['tags'] = array_unique($dat['tags']);
                foreach ($dat['tags'] as $val){
                    $val = (int)$val;
                    $ret = $this->b_insert('Articles_kl_tags',array('TagId'=>$val,'ArtId'=>$id),0);
                }
            }
            //$this->SetMenu();
        }
        return $id;
    }

    public function Delete($id)
    {
        $conn = $this->con();
        $ret = FALSE;
        $id=(int)$id;
        if($id){
            $ret = $conn->query("DELETE FROM `Articles` WHERE `Id` = {$id}");
            if($ret){
                $conn->query("DELETE FROM `Articles_body` WHERE `Id` = {$id}");
                $this->image_resize('',$id);
                $conn->close();
                foreach ($this->getChildId($id) as $val)
                    $this->Delete($val);
                //$this->SetMenu();
            }
            else
                $conn->close();
        }
        else
            $conn->close();
        return $ret;
    }

    function sliderOn($id){
        return $this->b_insert('Articles_sale_slider',array('Id'=>(int)$id),0);
    }

    function sliderOff($id){
        $conn = $this->con();
        $ret = $conn->query("DELETE FROM `Articles_sale_slider` WHERE `Id` = ".(int)$id);
        $conn->close();
        return $ret;
    }

    function newOn($id){
        return $this->b_insert('Articles_sale_new',array('Id'=>(int)$id),0);
    }

    function newOff($id){
        $conn = $this->con();
        $ret = $conn->query("DELETE FROM `Articles_sale_new` WHERE `Id` = ".(int)$id);
        $conn->close();
        return $ret;        
    }

    /************************Additional Gets********************************/
    private function LastSort(){
        $ret = 0;
        $conn = $this->con();   
        $query = $conn->query("SELECT `Sort` FROM `Articles` ORDER BY `Sort` DESC LIMIT 1");
        if (!empty($query) && $query->num_rows){
            $row = $query->fetch_assoc();
            if(!empty($row) && !empty($row['Sort']))
                $ret = $row['Sort'];
            $query->close();
        }
        return $ret;
    }

    private function getParentsId($id, $ret = array()){
        $id = (int)$id;
        array_push($ret,$id);
        $conn = $this->con();
        $query = $conn->query("SELECT `ParentId` FROM Articles WHERE `Id` = {$id} LIMIT 1");
        $conn->close();
        if (!empty($query) && $query->num_rows){
            $row = $query->fetch_assoc();
            if(!empty($row) && !empty($row['ParentId']))
                $ret = $this->getParentsId($row['ParentId'], $ret);
        }
        return $ret;
    }

    /***************Comments*******************************/
    function GetCommByID($id)
    {
        $conn = $this->con();
        $ret = NULL;
        $q = "SELECT * FROM `Articles_comment`  WHERE `Id` = ".(int)$id;
        $query = $conn->query($q);
        $conn->close();
        if (!empty($query) && $query->num_rows){         
            $row = $query->fetch_assoc();
            if(empty($row)) // This condition "if(empty($row)) $ret = $row;" seems to be a logical error, it should probably be if(!empty($row))
                $ret = $row; // Assuming it should assign $row to $ret if $row is NOT empty
            $query->close();
        }
        return $ret; 
    }

    public function DeleteComm($id)
    {
        $conn = $this->con();
        $ret = FALSE;
        $id=(int)$id;
        if($id){
            $ret = $conn->query("DELETE FROM `Articles_comment` WHERE `Id` = {$id}");
            if($ret){
                $conn->close();
                foreach ($this->getCommChildId($id) as $val)
                    $this->DeleteComm($val);
            }
            else
                $conn->close();
        }
        else
            $conn->close();
        return $ret;
    }

    protected function getCommChildId($id){
        $ret = array();
        $conn = $this->con();
        $query = $conn->query("SELECT `Id` FROM Articles_comment WHERE ParentId = ".(int)$id);
        $conn->close();
        if (!empty($query) && $query->num_rows)
        {
            while($row = $query->fetch_assoc()){
                if($row['Id'] > 0)
                    array_push($ret, $row['Id']);
            }
            $query->close();
        }
        return $ret;
    }
}