<div class="mymod-overlay imem_mod" style="display: block;">
    <div class="mymod-table">
        <div class="mymod-cell">
            <div class="mymod-modal" style="min-width: 40%;">
                <a href="#close" onclick="return mymod();" class="mymod-close"></a>
                <h1>Edit Data</h1>
                <form method="post" enctype="multipart/form-data">
                    <div class="panel panel-default">
                        <div class="panel-body">
<?php if($Name != 'reinvest'){ ?>
                            <div class="form-group">
                                <label>Name:</label><br />
                                <small>(Will be shown to users)</small>
                                <input value="<?php echo $Title; ?>" class="form-control input-sm" type="text" name="Title" />
                            </div>
                            <div class="form-group">
                                <label>Description:</label><br />
                                <small>(Will be shown to users)</small>
                                <textarea rows="2" name="Info" class="form-control input-sm"><?php echo $Info; ?></textarea>
                            </div>
                            <?php if($Name != 'card') { ?>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Wallet or Merchant Number:</label>
                                        <input value="<?php echo $Number; ?>" class="form-control input-sm" type="text" name="Number" />
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Currency:</label>
                                        <select name="Cur" class="form-control input-sm">
                                            <?php foreach ($curs as $ck => $v_ck) {
                                                $s = ($ck == $Cur) ? 'selected="selected"' : '';
                                                echo "<option value=\"{$ck}\" {$s}>{$ck}</option>";
                                            } ?>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Secret Key:</label>
                                        <input value="<?php echo $SecretKey; ?>" class="form-control input-sm" type="text" name="SecretKey" />
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Public Key:</label>
                                        <input value="<?php echo $PublicKey; ?>" class="form-control input-sm" type="text" name="PublicKey" />
                                    </div>
                                </div>
                            </div>
                            <?php } else echo '<p class="alert alert-info"><i class="fa fa-info-circle"></i> &nbsp; <em>For top-ups via card, the Yandex.Money payment system is used. Funds are transferred to your Yandex.Wallet. The wallet must be identified, and acceptance of payments to Yandex.Money must be configured.</em></p>'; ?>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Min. Deposit Amount:</label>
                                        <input value="<?php echo $MinIn; ?>" class="form-control input-sm" type="text" name="MinIn" />
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Min. Withdrawal Amount:</label>
                                        <input value="<?php echo $MinOut; ?>" class="form-control input-sm" type="text" name="MinOut" />
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Deposit Percentage: *</label>
                                        <div class="input-group"><input value="<?php echo $PerIn; ?>" class="form-control input-sm" type="text" name="PerIn" /><span class="input-group-addon">%</span></div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Withdrawal Percentage: *</label>
                                        <div class="input-group"><input value="<?php echo $PerOut; ?>" class="form-control input-sm" type="text" name="PerOut" /><span class="input-group-addon">%</span></div>
                                    </div>
                                </div>
                            </div>
                            <div class="clearfix"></div>
                            <div style="margin-bottom: 25px;"><small class="text-danger">* if the value is negative - deduction percentage (commission); positive - accrual (bonus)</small></div>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label style="width: 100%" class="btn btn-default"><input type="checkbox" name="OnIn" <?php if($OnIn > 0) echo 'checked="checked"'; ?> /> Deposit</label>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label style="width: 100%" class="btn btn-default"><input type="checkbox" name="OnOut" <?php if($OnOut > 0) echo 'checked="checked"'; ?> /> Withdrawal</label>
                                    </div>
                                </div>
                            </div>

                            <?php if($Name != 'card' && $Api) { ?>
                            <div class="panel panel-default">
                                <div class="panel-heading">API Transfer Settings</div>
                                <div class="panel-body">
                                    <?php if($Name == 'payeer') { ?>
                                    <div class="form-group">
                                        <label>API Wallet Number:</label>
                                        <input placeholder="Wallet Number" value="<?php echo $ApiAk; ?>" class="form-control input-sm" type="text" name="ApiAk" />
                                    </div>
                                    <?php } ?>
                                    <div class="form-group">
                                        <label>API ID:</label>
                                        <input placeholder="API ID" value="<?php echo $ApiId; ?>" class="form-control input-sm" type="text" name="ApiId" />
                                    </div>
                                    <div class="form-group">
                                        <label>API Key:</label>
                                        <input placeholder="API Key" value="<?php echo $ApiKey; ?>" class="form-control input-sm" type="text" name="ApiKey" />
                                    </div>
                                    <div class="form-group">
                                        <label class="btn btn-default btn-sm"><input type="checkbox" name="ApiOn" <?php if($ApiOn > 0) echo 'checked="checked"'; ?> /> <?php echo ($ApiOn > 0) ? 'Deactivate API transfers' : 'Activate API transfers'; ?></label>
                                    </div>

                                    <div class="form-group">
                                        <label class="btn btn-default btn-sm"><input type="checkbox" name="AutoPayOn" <?php if($AutoPayOn > 0) echo 'checked="checked"'; ?> /> <?php echo ($AutoPayOn > 0) ? 'Deactivate automatic payouts' : 'Activate automatic payouts'; ?></label>
                                    </div>

                                    <?php if($Name == 'yandexmoney') { ?>
                                    <div class="alert alert-warning">
                                        <?php if(empty($ApiToken)) { ?>
                                        <div style="margin-bottom: 5px;">To work with Yandex.Money API, you need to get a token.</div>
                                        <a href="<?php echo X_URL.'/config/ps_token'; ?>">Get token</a>
                                        <?php } else { ?>
                                        <div class="text-danger"><strong>Token installed.</strong> <small>(<a href="<?php echo X_URL.'/config/ps_token'; ?>">Reinstall</a>)</small></div>
                                        <?php } ?>
                                    </div>
                                    <?php } ?>

                                </div>
                            </div>
                            <?php } ?>
<?php /***********************Reinvest**********************************/ } else { ?>

                                    <div class="form-group">
                                        <label>Min. amount to transfer from main to advertising balance:</label>
                                        <input value="<?php echo $MinIn; ?>" class="form-control input-sm" type="text" name="MinIn" />
                                    </div>
                                    <div class="form-group">
                                        <label>Min. amount to transfer from advertising to main balance:</label>
                                        <input value="<?php echo $MinOut; ?>" class="form-control input-sm" type="text" name="MinOut" />
                                    </div>

                                    <div class="form-group">
                                        <label>Percentage for transfer from main to advertising balance: *</label>
                                        <div class="input-group"><input value="<?php echo $PerIn; ?>" class="form-control input-sm" type="text" name="PerIn" /><span class="input-group-addon">%</span></div>
                                    </div>                                    <div class="form-group">
                                        <label>Percentage for transfer from advertising to main balance: *</label>
                                        <div class="input-group"><input value="<?php echo $PerOut; ?>" class="form-control input-sm" type="text" name="PerOut" /><span class="input-group-addon">%</span></div>
                                    </div>
                            <div class="clearfix"></div>
                            <div style="margin-bottom: 25px;"><small class="text-danger">* if the value is negative - deduction percentage (commission); positive - accrual (bonus)</small></div>

                                    <div class="form-group">
                                        <label style="width: 100%" class="btn btn-default"><input type="checkbox" name="OnIn" <?php if($OnIn > 0) echo 'checked="checked"'; ?> /> Allow transfer from main to advertising balance</label>
                                    </div>

                                    <div class="form-group">
                                        <label style="width: 100%" class="btn btn-default"><input type="checkbox" name="OnOut" <?php if($OnOut > 0) echo 'checked="checked"'; ?> /> Allow transfer from advertising to main balance</label>
                                    </div>


        <div class="form-group">
            <label style="width: 100%" class="btn btn-default"><input type="checkbox" name="AutoPayOn" <?php if($AutoPayOn > 0) echo 'checked="checked"'; ?> /> <?php echo ($AutoPayOn > 0) ? 'Deactivate automatic transfer' : 'Activate automatic transfer'; ?></label>
        </div>
<?php /*********************************************************/ } ?>

                            <p style="text-align: center;">
                                <button onclick="return validator('article');" name="Update" value="<?php echo $Id; ?>" type="submit" class="btn btn-lg btn-danger"><i class="fa fa-refresh"></i> Update</button>
                            </p>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>