<?php
  global $URLparam, $setting;
?><!DOCTYPE html>
<html lang="en">
  <head>
    <base href="<?php echo PROT."{$_SERVER['SERVER_NAME']}/" ?>" />
    <link rel="shortcut icon" href="<?php echo $setting['main']['favicon']; ?>" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title><?php echo $Title; ?></title>
    <link rel="stylesheet" type="text/css" href="assets/css/adm/style.css?id=3" />
    <script src="assets/js/jqery.3.4.1.js"></script>
    <script src="assets/js/mav_include.js"></script>
    <script src="assets/js/mav_start.js"></script>
    <meta name="robots" content="noindex, nofollow"/>
    <meta name="robots" content="none"/>
  </head>
  <body>
    <header class="header">
      <div class="container-fluid container_tbl">
          <div class="header_r">
            <a href="/" target="_blank" title="Go to website"><i class="fa fa-fw fa-globe"></i> <span class="hidden-xs">Go to website</span></a> &nbsp; &nbsp;
            <a class="header_a_bloc" href="<?php echo X_URL; ?>/logout" title="Logout"><i class="fa fa-fw fa-sign-out"></i> <span class="hidden-xs">Logout</span></a><br />
          </div>
          <div class="header_l">              
            <a class="hidden-xs hidden-sm" href="<?php echo X_URL; ?>"><strong>Control Panel</strong></a> 
            </div>
          <div style="text-align: center;">
            <div class="header_notif" style="">
                <button data-toggle="dropdown" aria-expanded="false" role="navigation" class="dropdown-toggle header_notif_drop btn btn-default ">
                <span style="font-size: 18px;"><i class="fa fa-bell-o"></i></span>
                <span class="header_notif_count">0</span>
              </button>
              <ul class="dropdown-menu dropdown-menu-right" id="note_container">
                <li style="padding: 10px 15px;text-align: center;border-bottom: 1px solid #eee;padding-bottom: 5px;margin-bottom: 5px;"><strong>Notifications</strong></li>
                <li><a href="<?php echo X_URL; ?>/zayavki">New requests from site - <span class="zayavki_count">0</span></a></li>
                <li><a href="<?php echo X_URL; ?>/zayavki">Withdrawal requests - <span class="moneyout_count">0</span></a></li>
                <li><a href="<?php echo X_URL; ?>/zayavki">Deposits - <span class="moneyin_count">0</span></a></li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </header>
    <div class="content">
        <div class="content_left">
            <button onclick="left_nav();" class="btn-none usernav_close"><i class="fa fa-fw fa-chevron-right"></i></button>
            <div class="content_left_scrol">
                <div class="usernav">          
                    <h3>Requests</h3>
                      <ul>
                        <li><div class="note_nav note_nav_zayavki"></div><a href="/<?php echo X_URL; ?>/zayavki"><span class="navhend"></span><i class="fa fa-fw fa-pencil-square-o"></i> &nbsp; Site Requests</a></li>
                    </ul>
                    <h3>Settings</h3>
                    <ul>
                        <li><a href="/<?php echo X_URL; ?>/config"><span class="navhend"></span><i class="fa fa-fw fa-cogs"></i> &nbsp; Configuration</a></li>
                        <li><a href="/<?php echo X_URL; ?>/config/ps"><span class="navhend"></span><i class="fa fa-fw fa-money"></i> &nbsp; Payment System Settings</a></li>
                        <li><a href="/<?php echo X_URL; ?>/config/smtp"><span class="navhend"></span><i class="fa fa-fw fa-envelope-o"></i> &nbsp; Email Sending</a></li>
                        <li><a href="/<?php echo X_URL; ?>/config/rout"><span class="navhend"></span><i class="fa fa-fw fa-file-o"></i> &nbsp; Third-Party Files</a></li>
                        <li><a href="/<?php echo X_URL; ?>/config/js"><span class="navhend"></span><i class="fa fa-fw fa-code"></i> &nbsp; JS-Scripts</a></li>
                        <li><a href="/<?php echo X_URL; ?>/xuser"><span class="navhend"></span><i class="fa fa-fw fa-user"></i> &nbsp; Administrators</a></li>
                        <li><a href="/<?php echo X_URL; ?>/config/stat"><span class="navhend"></span><i class="fa fa-fw fa-bar-chart"></i> &nbsp; Statistics</a></li>
                        </ul>
                    <h3>Page Management</h3>
                    <ul>
                        <li><a href="/<?php echo X_URL; ?>/pages"><span class="navhend"></span><i class="fa fa-fw fa-files-o"></i> &nbsp; Pages</a></li>
                        <li><a href="/<?php echo X_URL; ?>/pages/add"><span class="navhend"></span><i class="fa fa-fw fa-plus"></i> &nbsp; Add Page</a></li>
                        <li><a href="/<?php echo X_URL; ?>/pages/comments"><span class="navhend"></span><i class="fa fa-fw fa-comments"></i> &nbsp; Comments</a></li>
                        <li><a href="/<?php echo X_URL; ?>/nav"><span class="navhend"></span><i class="fa fa-fw fa-list"></i> &nbsp; Menu</a></li>
                    </ul>
                    <h3>Users</h3>
                    <ul>
                        <li><a href="/<?php echo X_URL; ?>/user"><span class="navhend"></span><i class="fa fa-fw fa-users"></i> &nbsp; Users</a></li>
                        <li><a href="/<?php echo X_URL; ?>/user/auth_log"><span class="navhend"></span><i class="fa fa-fw fa-sign-in"></i> &nbsp; Auth Log</a></li>
                        <li><a href="/<?php echo X_URL; ?>/user/narush"><span class="navhend"></span><i class="fa fa-fw fa-exclamation-triangle"></i> &nbsp; Violators</a></li>
                        <li><a href="/<?php echo X_URL; ?>/user/capt_log"><span class="navhend"></span><i class="fa fa-fw fa-barcode"></i> &nbsp; Captcha Log</a></li>

                    </ul>
                    <h3>Finance</h3>
                    <ul>
                        <li><div class="note_nav note_nav_moneyin"></div><a href="/<?php echo X_URL; ?>/money/in"><span class="navhend"></span><i class="fa fa-fw fa-money"></i> &nbsp; Account Deposits</a></li>
                        <li><div class="note_nav note_nav_moneyout"></div><a href="/<?php echo X_URL; ?>/money/out"><span class="navhend"></span><i class="fa fa-fw fa-credit-card"></i> &nbsp; Withdrawal Requests</a></li>
                        <li><a href="/<?php echo X_URL; ?>/money/stat"><span class="navhend"></span><i class="fa fa-fw fa-bar-chart"></i> &nbsp; Statistics</a></li>
                    </ul>
                    <h3>Misc</h3>
                    <ul>
                        <li><a href="/<?php echo X_URL; ?>/other/image"><span class="navhend"></span><i class="fa fa-fw fa-image"></i> &nbsp; Images</a></li>
                        <li><a href="/<?php echo X_URL; ?>/other/docs"><span class="navhend"></span><i class="fa fa-fw fa-folder"></i> &nbsp; Files</a></li>
                        <li><a href="/<?php echo X_URL; ?>/other/banner_frame"><span class="navhend"></span><i class="fa fa-fw fa-code"></i> &nbsp; Banner in Frame</a></li>
                        <li><a href="/<?php echo X_URL; ?>/other/icons"><span class="navhend"></span><i class="fa fa-fw fa-fort-awesome"></i> &nbsp; Icons</a></li>
                    </ul>
                    <?php foreach ($mod_nav as $val) { ?>
                    <h3><?php echo $val['Title']; ?></h3>
                    <ul>
                        <?php foreach ($val['Items'] as $k => $v) { ?>
                            <li><a href="/<?php echo X_URL; ?>/<?php echo $v; ?>"><span class="navhend"></span><i class="fa fa-fw fa-angle-right"></i> &nbsp; <?php echo $k; ?></a></li>
                        <?php } ?>
                    </ul>
                    <?php } ?>
                </div>
            </div>
        </div>
        <div class="content_page" id="ajax_load">
          <?php echo $Content; ?>
        </div>
    </div>
    <div class="clearfix"></div>
    <div class="footer">
        <a href="https://cashclix.ru/marketshop" target="_blank">CashClix.ru - ready-made scripts and modules for your website.</a>
    </div>
    <aside class="mymod-overlay" id="ajaxProgress">
        <div class="mymod-table">
              <div class="mymod-cell">
                  <div class="mymod-modal" style="min-width: 20%;">
                      <div style="text-align: center;">
                        <i class="fa fa-fw fa-pulse fa-spinner fa-5x"></i>
                      </div>
                </div>
              </div>
          </div>
    </aside>
    <script type="text/javascript">
        function left_nav() {$('.content_left').toggleClass('content_left_vis');}
        $(document).ready(function () {
            $('[data-toggle="tooltip"]').tooltip();          
            if($(window).width() < 992){
                $(document).click(function(e){if ($(e.target).closest(".content_left").length) return;$('.content_left').removeClass('content_left_vis');e.stopPropagation();});
                $('.content_left_scrol').scrollbar();
            }
           /*********nav*************/
            var a_nav = $('.usernav').find('[href="<?php echo URLpage; ?>"]');
            if(a_nav.length > 0){
            $('.usernav-a-selected').removeClass('usernav-a-selected');
            $('.navhend').html('');
            a_nav.addClass('usernav-a-selected');
            a_nav.find('.navhend').html('&nbsp;&nbsp;<i class="fa fa-hand-o-right"></i>');
            }
            $(".tabs").lightTabs({});
            mav_note();
            var timerId = setTimeout(function tick() {
            _mav_note(1);      
            timerId = setTimeout(tick, 30000);
            }, 30000);
        });
        function mav_note(){_mav_note(0);}
        function titlenote(e){
            document.title = (e > 0) ? '!!!...Attention!' : 'New notification!';
        }
        function _mav_note(e){
            var n1 = parseInt($('.header_notif_count').html());
            $.ajax({
                url: '<?php echo X_URL; ?>/helpers/notification',
                type: "POST",   
                dataType: 'json',
                data: {},
                success: function(d){
                    if(d.ok > 1){
                      $('#serverconnecterror').hide(300);
                        if(d.all){
                            $('.header_notif').addClass('header_notif_active');
                            $('.header_notif_count').html(d.all);   
                            if(e > 0 && d.all > n1){
                                var sound = new Audio();
                                sound.pause();
                                sound.currentTime = 0;
                                sound.src = 'assets/audio/3.wav';
                                sound.play();
                                var ttite = true;
                                var tcount = 10;
                                var tektitle = document.title;
                                var timerId2 = setTimeout(function tick2() {
                                  ttite = !ttite;
                                  titlenote(ttite);   
                                  if(tcount){
                                      tcount--;
                                      timerId2 = setTimeout(tick2, 500);
                                  }
                                  else{
                                      clearTimeout(timerId2);
                                      document.title = tektitle;
                                    }
                                }, 500);
                            }
                        }
                        else{
                            $('.header_notif').removeClass('header_notif_active');
                            $('.header_notif_count').html(d.all);   
                        }
                        if(d.zayavki > 0){
                            $('.zayavki_count').html(d.zayavki);            
                            $('.note_nav_zayavki').html('<i class="fa fa-bell"></i>'+d.zayavki);
                        }
                        else{
                            $('.zayavki_count').html(0);    
                            $('.note_nav_zayavki').html('');
                        }



                        if(d.zayavki > 0){
                            $('.upd_count').html(d.zayavki);            
                            $('.note_nav_upd').html('<i class="fa fa-bell"></i>'+d.zayavki);
                        }
                        else{
                            $('.task_upd').html(0);    
                            $('.note_nav_upd').html('');
                        }

                        if(d.moneyout > 0){
                            $('.moneyout_count').html(d.moneyout);            
                            $('.note_nav_moneyout').html('<i class="fa fa-bell"></i>'+d.moneyout);
                        }
                        else{
                            $('.moneyout_count').html(0);    
                            $('.note_nav_moneyout').html('');
                        }

                        if(d.moneyin > 0){
                            $('.moneyin_count').html(d.moneyin);            
                            $('.note_nav_moneyin').html('<i class="fa fa-bell"></i>'+d.moneyin);
                        }
                        else{
                            $('.moneyin_count').html(0);    
                            $('.note_nav_moneyin').html('');
                        }




                    }
                    else{$('#serverconnecterror').show(300);}
                },
                error: function(){$('#serverconnecterror').show(300);}
            });       
        }
    </script>
    <?php echo $OtherFooter; ?>
    <div class="alert alert-danger" id="serverconnecterror" style="border-radius: 0;position: fixed; bottom: 0;width: 100%;left: 0;right: 0;text-align: center;display: none;margin: 0;"><strong><i class="fa fa-times"></i>&nbsp; Server connection lost!</strong> Please refresh the page</div>
    <div class="mav_alert" id="mav_alert">
      <button onclick="return mav_alert_close();" type="button" class="mav_alert_close btn-none"><i class="fa fa-times"></i></button>
      <h3><i class="fa fa-fw fa-exclamation-triangle"></i> Message</h3>
      <span id="mav_alert_text"></span>
    </div>

  </body>
</html>