<h1>Account Deposits</h1>
<div class="feedok"><?php echo $feed; ?></div>
<div class="items_filtr">
	<div class="col-sm-12">
		<div class="form-group">	
			<label>Search by User ID:</label>		
			<input data-dataform="" type="text" placeholder="By User ID" <?php if(!empty($filtr['UserId'])) echo "value=\"{$filtr['UserId']}\""; ?> name="UserId" class="form-control input-sm" />
		</div>
	</div>
	<input type="hidden" id="startpag" data-dataform="" name="startpag" value="<?php echo $startpag; ?>">
	<input type="hidden" id="sort" data-dataform="" name="sort" value="<?php echo $sort; ?>">
	<input type="hidden" id="url_build" name="url_build" value="<?php echo $url_build; ?>">
	<div class="clearfix"></div>
	<p style="text-align: center;">
		<button type="button" class="btn btn-default" onclick="items_filtr();"><i class="fa fa-filter"></i> Go</button>
		<button type="button" class="btn btn-default" onclick="items_filtr_clear();"><i class="fa fa-times"></i> Clear</button>
	</p>
</div>
<div class="panel panel-default">	
	<?php if(empty($items) || empty($items['data'])) { ?>
	<div class="panel-body">
	<p style="text-align: center;">
		<em>No data</em>
	</p>
	</div>
	<?php } else { ?>
	<div class="table-responsive">
		<table class="table table-striped table-hover table-condensed">
			<thead>
				<tr>
					<th><button onclick="return sortitem('Id',this);" class="btn-link btn_sort">№ <?php if($sort == 'Id') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Id DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
					<th><button onclick="return sortitem('UserId',this);" class="btn-link btn_sort">User <?php if($sort == 'UserId') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'UserId DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>						
					<th><button onclick="return sortitem('Amount',this);" class="btn-link btn_sort">Amount <?php if($sort == 'Amount') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Amount DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>				
					<th><button onclick="return sortitem('PaySys',this);" class="btn-link btn_sort">Method <?php if($sort == 'PaySys') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'PaySys DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
					<th><button onclick="return sortitem('AddDate',this);" class="btn-link btn_sort">Date <?php if($sort == 'AddDate') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'AddDate DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
					<th><button onclick="return sortitem('Ok',this);" class="btn-link btn_sort">Success <?php if($sort == 'Ok') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Ok DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
					<th>New</th>
				</tr>
			</thead>
			<tbody>
			<?php foreach($items['data'] as $val){ ?>
				<tr>
					<td>					 	
						<?php echo $val['Id']; ?>
					</td>
					<td>
						<strong><?php echo $val['Login']; ?></strong> (<small><a title="Go to user page" href="<?php echo X_URL.'/user/edit_'.$val['UserId']; ?>">ID <?php echo $val['UserId']; ?></a></small>)<br />
						</td>
					<td>					 	
						<?php echo $val['Amount']; ?>
					</td>
					<td>					 	
						<?php echo $val['PSTitle']; ?>
					</td>
					<td>					 	
						<?php echo Date('d.m.Y H:i',$val['AddDate']); ?>
					</td>
					<td>					 	
						<?php echo ($val['Ok'] > 0) ? '<strong class="text-success">Yes</strong>' : '<strong class="text-danger"><i class="fa fa-exclamation-triangle"></i> Error</strong><br /><small>'.$val['Err'].'</small>'; ?>
					</td>
					<td>
						<?php if($val['New'] > 0) { ?>
						<label class="btn btn-sm btn-success"><input type="checkbox" checked="checked" onchange="status_change(<?php echo $val['Id']; ?>,0)"> Yes</label>
						<?php } else { ?>
						<label class="btn btn-sm btn-default"><input type="checkbox" onchange="status_change(<?php echo $val['Id']; ?>,1)"> No</label>
						<?php } ?>
					</td>
				</tr>
			<?php } ?>
			</tbody>
		</table>
	</div>
	<?php echo $pager; ?>
	<?php } ?>
</div>
<script>
	function items_filtr(){
		$('#startpag').val(1);
		var formData = getFormData_el('[data-dataform]');
    	dataload(formData);
    	return false;
	}
	function items_filtr_clear(){	
		//$([chosen]).chosen("destroy");
		$('.items_filtr select option').removeAttr('selected');
		$('.items_filtr select option:first-child').attr('selected','selected');
		$('.items_filtr select option').prop('selected',false);
		$(".items_filtr input[type=text]").val('');
		$('.items_filtr input[type=checkbox]').removeAttr('checked');
		$('.items_filtr input[type=checkbox]').prop('checked',false);
		//$("[chosen]").chosen({no_results_text: "No value found!"});
    	return items_filtr();
	}
	function pager(pag){
		$('#startpag').val(pag);
		var formData = getFormData_el('[data-dataform]');	
    	dataload(formData);	
        return false;
    }
	function sortitem(el,e){
		$('.btn_sort').find('.fa').remove();
		if($('#sort').val() == el)
			el += ' DESC';
		$('#sort').val(el);
        items_filtr();
        return false;
	}
    function dataload(formData){
    	$('#ajaxProgress').show();
		formData.append('aj',1);
		$.ajax({
	        url: document.location.href,
	        type: "POST",
	        cache: false,
	        contentType: false,
	        processData: false,         
	        data: formData,
	        success: function(content){
	            $('#ajax_load').html(content);
	            $('#ajaxProgress').hide();
	            window.history.pushState(null, null, $('#url_build').val());
	            mav_note();
	        }
    	});
		return false;
    }       
	function status_change(id,st){
		var formData = getFormData_el('[data-dataform]');		
		formData.append('Status_up',st);
		formData.append('ItemId',id);
    	dataload(formData);
    	return false;
	}
</script>