<?php 
	global $setting; 
$ar_mes = array(
		0 => '',
		1 => 'January',
		2 => 'February',
		3 => 'March',
		4 => 'April',
		5 => 'May',
		6 => 'June',
		7 => 'July',
		8 => 'August',
		9 => 'September',
		10 => 'October',
		11 => 'November',
		12 => 'December',
	);

?>
<h1>Statistics</h1>
<div class="row">
	<div class="col-md-6">
		<div class="panel panel-default" style="display: table;">
			<div class="panel-heading"><strong>Daily Statistics:</strong></div>
			<table class="table table-bordered" style="width: auto;">
				<thead>
					<tr>
						<th>Date</th>
						<th>Income</th>
						<th>Expense</th>
						<th>Amount</th>
						<th>Coefficient</th>
					</tr>
				</thead>
				<tbody>
				<?php 

					$i_in = 0;
					$i_out = 0;

					$w_in = 0;
					$w_out = 0;

					$tek_mess = 0;

					foreach ($stat as $key => $value) {									
						$m = explode('.', $key);
						$m = (int)$m[1];
						/*if($tek_mess !== $m){
							$tek_mess = $m;
							if(!empty($i_out)){
								?>
								<tr class="danger">				
									<th><?php echo $ar_mes[$tek_mess+1]; ?></th>
									<th><?php echo number_format($i_in, 2,","," "); ?></th>
									<th><?php echo number_format($i_out, 2,","," "); ?></th>
									<th><?php echo number_format($i_in - $i_out, 2,","," "); ?></th>
									<th><?php echo number_format($i_in/$i_out, 2,","," "); ?></th>
								</tr>
								<?php
							}
							$i_in = 0;
							$i_out = 0;
						}*/
						if((int)$value['N'] === 7){							
							?>
							<tr class="danger">				
								<th>Week</th>
								<th><?php echo number_format($w_in, 2,","," "); ?></th>
								<th><?php echo number_format($w_out, 2,","," "); ?></th>
								<th><?php echo number_format($w_in - $w_out, 2,","," "); ?></th>
								<th><?php echo (empty($value['out']) || empty($value['in'])) ? 0 : number_format($value['in']/$value['out'], 2,","," "); ?></th>
							</tr>
								<?php
							$w_in = 0;
							$w_out = 0;
						}
						$tr_class = '';
						$i_in += $value['in'];
						$i_out += $value['out'];
						$w_in += $value['in'];
						$w_out += $value['out'];
						if(($value['in'] - $value['out']) < 0)
							$tr_class = ' warning';
					?>
					<tr class="<?php echo $tr_class; ?>">
						<th><?php echo $key; ?></th>
						<td><?php echo number_format($value['in'], 2,","," "); ?></td>
						<td><?php echo number_format($value['out'], 2,","," "); ?></td>
						<td><?php echo number_format($value['in'] - $value['out'], 2,","," "); ?></td>
						<td><?php echo (empty($value['out']) || empty($value['in'])) ? 0 : number_format($value['in']/$value['out'], 2,","," "); ?></td>
					</tr>
				<?php } ?>
				</tbody>
				<tfoot>
					<tr>				
						<th></th>
						<th><?php echo number_format($i_in, 2,","," "); ?></th>
						<th><?php echo number_format($i_out, 2,","," "); ?></th>
						<th><?php echo number_format($i_in - $i_out, 2,","," "); ?></th>
						<th><?php echo (empty($i_in) || empty($i_out)) ? 0 : number_format($i_in/$i_out, 2,","," "); ?></th>
					</tr>
				</tfoot>
			</table>
		</div>
	</div>
	<div class="col-md-6">
		<div class="panel panel-default" style="display: table;">
			<div class="panel-heading"><strong>Monthly Statistics:</strong></div>
			<table class="table table-bordered" style="width: auto;">
				<thead>
					<tr>
						<th>Date</th>
						<th>Income</th>
						<th>Expense</th>
						<th>Amount</th>
						<th>Coefficient</th>
					</tr>
				</thead>
				<tbody>
				<?php 
					foreach ($stat_m as $key => $value) { 
						$m_title = explode('.', $key);
						$m_title = (int)$m_title[0];
						$m_title = $ar_mes[$m_title];
						$tr_class = '';
						if(($value['in'] - $value['out']) < 0)
							$tr_class = 'class="warning"';
					?>
					<tr <?php echo $tr_class; ?>>
						<th><?php echo "{$m_title}<br /><small>$key</small>"; ?></th>
						<td><?php echo number_format($value['in'], 2,","," "); ?></td>
						<td><?php echo number_format($value['out'], 2,","," "); ?></td>
						<td class="text-danger"><strong><?php echo number_format($value['in'] - $value['out'], 2,","," "); ?></strong></td>
						<td><?php echo (empty($value['out']) || empty($value['in'])) ? 0 : number_format($value['in']/$value['out'], 2,","," "); ?></td>
					</tr>
				<?php } ?>
				</tbody>
			</table>
		</div>
	</div>
</div>
<?php