<h1 style="text-align: left;"><?php echo $nav['Title']; ?></h1>
<p>To include the menu in the template, use the code: <i><code>&lt;?php include F.'system/nav_<?php echo $nav['Name'] ?>'; ?&gt;</code></i></p>
<div class="feedok"><?php echo $feed; ?></div>
<div class="form-group">
	<div class="input-group">
		<label class="input-group-addon">Go to menu:</label>
		<select onchange="items_filtr();" data-dataform="" name="NavId" class="form-control">
			<?php foreach ($navs as $key => $val){
				$s = ($key == $filtr['NavId']) ? 'selected="selected"' : '';
				echo "<option {$s} value=\"{$key}\">{$val['Title']}</option>";
			}
			?>
		</select>
	</div>
</div>
<input type="hidden" id="url_build" name="url_build" value="<?php echo $url_build; ?>">
<div style="padding-bottom: 15px;"><button onclick="show_item(0,<?php echo $filtr['NavId']; ?>);" class="btn btn-success"><i class="fa fa-plus-square"></i> &nbsp; Add menu item</button></div>

<div class="panel panel-default">	
	<?php if(empty($nav_items)) { ?>
	<div class="panel-body">
	<p style="text-align: center;">
		<em>No menu items</em>
	</p>
	</div>
	<?php } else { ?>
	<div class="table-responsive">
		<table class="table table-striped table-hover table-condensed">
			<thead>
				<tr>
					<th>Title</th>						
					<th>Active</th>
					<th>Sort Order</th>
					<th></th>
				</tr>
			</thead>
			<tbody>
			<?php foreach($nav_items as $val){ 
				$cl = '';
				$fa = '';
				if($val['lv'] > 0){
					$cl = 'style="padding-left: '.(($val['lv'])*40).'px;"';
					$fa = '<i style="margin-left: '.(($val['lv'])*-15).'px;color: gray;" class="fa fa-level-down"></i>';
				}

				$url = $val['Url'];
				if(strpos($url,'http') === FALSE)
					$url = PROT.$_SERVER['SERVER_NAME'].'/'.trim($val['Url'],'/');
				?>
				<tr>
					<td <?php echo $cl; ?>>
					 	<?php echo $fa; ?>
						<?php echo $val['Title']; ?>
						<br /><a target="_blank" href="<?php echo $val['Url']; ?>" title="Open page"><small id="urlcopy_<?php echo $val['Id']; ?>"><?php echo $url; ?></small></a>
						
						<?php if(!empty($val['Ch_Child'])) echo '<div style="padding-top: 10px"><a href="'.X_URL.'/pages?ParentId='.$val['Id'].'" class="btn btn-xs btn-info">Go to child pages &nbsp; <i class="fa fa-level-down"></i></a></div>'; ?>
					</td>
					<td>
						<?php if($val['Active'] > 0) { ?>
						<label class="btn btn-sm btn-success"><input type="checkbox" checked="checked" onchange="act_change(<?php echo $val['Id']; ?>,0)"></label>
						<?php } else { ?>
						<label class="btn btn-sm btn-default"><input type="checkbox" onchange="act_change(<?php echo $val['Id']; ?>,1)"></label>
						<?php } ?>
					</td>
					<td><input type="number" class="form-control" style="max-width:85px;" onchange="sort_change(<?php echo $val['Id']; ?>,this);" value="<?php echo $val['Sort']; ?>" /></td>
					<td style="width: 100px;">
						<button onclick="show_item(<?php echo $val['Id'].','.$filtr['NavId']; ?>);" data-toggle="tooltip" title="Edit" class="btn btn-warning"><i class="fa fa-pencil"></i></button>
						<button data-toggle="tooltip" title="Delete" onclick="delet_item(<?php echo $val['Id']; ?>,<?php echo $val['ch_child'] ? 1 : 0; ?>)" type="sybmit" class="btn btn-danger"><i class="fa fa-trash"></i></button>
					</td>
				</tr>
			<?php } ?>
			</tbody>
		</table>
	</div>
	<?php } ?>
</div>
<div class="mymod-overlay" id="mod_confirm_del">
    <div class="mymod-table">
        <div class="mymod-cell">
            <div class="mymod-modal" style="text-align: center;">
            	<div class="alert alert-danger" style="font-size: 20px;margin: 0; padding: 35px 25px;color: #7b2321;">
            		<div class="mod_confirm_del_text"></div>
	            		<p>
	            			<input type="hidden" id="mod_confirm_del_id" value="0"; />
	            			<button style="margin: 15px 10px 0 10px;" class="btn btn-lg btn-danger" onclick="return _delet_item();" type="button">Delete</button>
	            			<button style="margin: 15px 10px 0 10px;" class="btn btn-lg btn-default" onclick="return mymod();" type="button">Cancel</button>
	            		</p>
            	</div>
            </div>
        </div>
    </div>
</div>
<div id="show_item"></div>
<script>
	function show_item(id,nav){
    	$('#ajaxProgress').show();
    	$('#show_item').load(document.location.href,{show_item:id,show_item_nav:nav},function(){$('#ajaxProgress').hide();});
		return false;
	}	
	function items_filtr(){
		$('#startpag').val(1);
		var formData = getFormData_el('[data-dataform]');
    	dataload(formData);
    	return false;
	}
	function items_filtr_clear(){	
		//$([chosen]).chosen("destroy");
		$('.items_filtr select option').removeAttr('selected');
		$('.items_filtr select option:first-child').attr('selected','selected');
		$('.items_filtr select option').prop('selected',false);
		$(".items_filtr input[type=text]").val('');
		$('.items_filtr input[type=checkbox]').removeAttr('checked');
		$('.items_filtr input[type=checkbox]').prop('checked',false);
		//$("[chosen]").chosen({no_results_text: "Value not found!"});
    	return items_filtr();
	}
    function dataload(formData){
    	$('#ajaxProgress').show();
		formData.append('aj',1);
		$.ajax({
	        url: document.location.href,
	        type: "POST",
	        cache: false,
	        contentType: false,
	        processData: false,         
	        data: formData,
	        success: function(content){
	            $('#ajax_load').html(content);
	            $('#ajaxProgress').hide();
	            window.history.pushState(null, null, $('#url_build').val());
	            //mav_note();
	        }
    	});
		return false;
    }       
	function act_change(id,st){
		var formData = getFormData_el('[data-dataform]');		
		formData.append('Up_active',st);
		formData.append('Id',id);
    	dataload(formData);
    	return false;
	}
	function delet_item(id,ch){
		var text = 'Confirm menu item deletion';
		if(ch)
			text += '<p><strong>Attention!!!</strong> The menu item contains child elements. All of them will be deleted.</p>';
		$('#mod_confirm_del_id').val(id);
		$('.mod_confirm_del_text').html(text);
		$('#mod_confirm_del').show();
		return false;
	}
	function _delet_item(){
		var formData = getFormData_el('[data-dataform]');		
		formData.append('DelId',$('#mod_confirm_del_id').val());
    	dataload(formData);
    	return false;
    }
	function sort_change(id,el){
		var formData = getFormData_el('[data-dataform]');		
		formData.append('Up_sort',$(el).val());
		formData.append('Id',id);
    	dataload(formData);
    	return false;
	}
</script>