<h1 style="text-align: left;">Website Applications</h1>
<div class="feedok"><?php echo $feed; ?></div>
<div class="items_filtr">
	<div class="col-sm-6">
		<div class="form-group">	
			<label>Search phrase:</label>		
			<input data-dataform="" type="text" placeholder="Search by name, email address" <?php if(!empty($filtr['s'])) echo "value=\"{$filtr['s']}\""; ?> name="s" class="form-control input-sm" />
		</div>
	</div>
	<div class="col-sm-6">
		<div class="form-group">	
			<label>Status:</label><br />
			<label class="btn btn-sm btn-default"><input data-dataform="" <?php if(isset($filtr['Status'])) echo 'checked="checked"'; ?> type="checkbox" name="Status" /> Unread only</label>
			&nbsp;&nbsp;
			<label class="btn btn-sm btn-default"><input data-dataform="" <?php if(isset($filtr['Arhiv'])) echo 'checked="checked"'; ?> type="checkbox" name="Arhiv" /> Deleted only</label>	
		</div>
	</div>
	<div class="col-md-6">
		<div class="form-group">
			<div class="input-group">
				<span class="input-group-addon"><i class="fa fa-calendar"></i> Date from:</span>
				<input type="text" data-dataform="" name="dateot" data-calendardate="" <?php if(!empty($filtr['dateot'])) echo "value=\"{$filtr['dateot']}\""; ?> class="form-control input-sm" />
			</div>
			<small>(Format: dd.mm.yyyy)</small>
		</div>
	</div>
	<div class="col-md-6">
		<div class="form-group">
			<div class="input-group">
				<span class="input-group-addon"><i class="fa fa-calendar"></i> Date to:</span>
				<input <?php if(!empty($filtr['datedo'])) echo "value=\"{$filtr['datedo']}\""; ?> type="text" name="datedo" data-dataform="" data-calendardate="" class="form-control input-sm" />
			</div>
			<small>(Format: dd.mm.yyyy)</small>
		</div>
	</div>
	<input type="hidden" id="startpag" data-dataform="" name="startpag" value="<?php echo $startpag; ?>">
	<input type="hidden" id="sort" data-dataform="" name="sort" value="<?php echo $sort; ?>">
	<input type="hidden" id="url_build" name="url_build" value="<?php echo $url_build; ?>">
	<div class="clearfix"></div>
	<p style="text-align: center;">
		<button type="button" class="btn btn-default" onclick="items_filtr();"><i class="fa fa-filter"></i> Go</button>
		<button type="button" class="btn btn-default" onclick="items_filtr_clear();"><i class="fa fa-times"></i> Clear</button>
	</p>
</div>

<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">List of Applications</h3>
	</div>
	<div class="panel-body" id="kont_load_tbl">
		<?php if(empty($items) || empty($items->data)) { ?>
		<p style="text-align: center;">
			<em>No applications</em>
		</p>
		<?php } else { ?>
		<div class="table-responsive">
			<table class="table table-striped table-hover table-condensed">
				<thead>
					<tr>
						<th><button onclick="return sortitem('Id',this);" class="btn-link btn_sort">№ <?php if($sort == 'Id') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Id DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
						<th><button onclick="return sortitem('Status',this);" class="btn-link btn_sort">New <?php if($sort == 'Status') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Status DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
						<th><button onclick="return sortitem('Fio',this);" class="btn-link btn_sort">Full Name <?php if($sort == 'Fio') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Fio DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
						<th><button onclick="return sortitem('Tema',this);" class="btn-link btn_sort">Subject <?php if($sort == 'Tema') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Tema DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
						<th><button onclick="return sortitem('Date',this);" class="btn-link btn_sort">Date <?php if($sort == 'Date') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Date DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
						<th></th>
					</tr>
				</thead>
				<tbody>
				<?php foreach($items->data as $val){ ?>
					<tr <?php echo ($val['Status'] > 0) ? 'class="warning"' : ''; ?> id="ord_tr<?php echo $val['Id']; ?>">
						<td style="width: 105px;"><button title="View" class="btn-link" onclick="show_item(<?php echo $val['Id']; ?>)">Application №<?php echo $val['Id']; ?></button></td>
						<td>
							<?php if($val['Status'] > 0) { ?>
							<label class="btn btn-sm btn-danger"><input type="checkbox" checked="checked" onchange="status_change(<?php echo $val['Id']; ?>,0)"> Yes</label>
							<?php } else { ?>
							<label class="btn btn-sm btn-default"><input type="checkbox" onchange="status_change(<?php echo $val['Id']; ?>,1)"> No</label>
							<?php } ?>
						</td>
						<td>
							<?php echo $val['Fio']; ?>
							<?php 
								if(!empty($val['Number'])) echo "<br /><small>Tel: {$val['Number']}</small>";
								if(!empty($val['Email'])) echo "<br /><small>E-mail: {$val['Email']}</small>";
							?>
						</td>
						<td><button title="View" class="btn-link" onclick="show_item(<?php echo $val['Id']; ?>)"><?php echo $val['Tema']; ?></button>
						</td>
						<td><?php echo date('d.m.Y H:i',$val['Date']); ?></td>
						<td style="width: 100px;">
							<button onclick="show_item(<?php echo $val['Id']; ?>);" type="button" title="View" class="btn btn-info"><i class="fa fa-eye"></i></button>
							<?php if(!(int)$val['Arhiv']) { ?>
							<button title="Delete" onclick="delet_z(<?php echo $val['Id']; ?>,1);" type="sybmit" class="btn btn-danger"><i class="fa fa-trash"></i></button>
							<?php } else { ?>
							<button title="Restore" onclick="delet_z(<?php echo $val['Id']; ?>,0);" type="sybmit" class="btn btn-default"><i class="fa fa-reply"></i></button>
							<?php } ?>
						</td>
					</tr>
				<?php } ?>
				</tbody>
			</table>
		</div>
		<?php echo $pager; ?>
		<?php } ?>
	</div>
</div>
<div id="show_item"></div>
<?php if(!$aj){ ?>
<script src="/assets/js/ui_complit_picer/jquery-ui.min.js"></script>
<?php } ?>
<script>
    $(document).ready(function () {
    	$('head').append('<link rel="stylesheet" href="/assets/js/ui_complit_picer/jquery-ui.min.css" />');
	    $('[data-calendardate]').datepicker();
	});
	function show_item(id){
    	$('#ajaxProgress').show();
    	$('#show_item').load(document.location.href,{show_item:id},function(){$('#ajaxProgress').hide();});
		return false;
	}
	function items_filtr(){
		$('#startpag').val(1);
		var formData = getFormData_el('[data-dataform]');
    	dataload(formData);
    	return false;
	}
	function items_filtr_clear(){	
		//$([chosen]).chosen("destroy");
		$('.items_filtr select option').removeAttr('selected');
		$('.items_filtr select option:first-child').attr('selected','selected');
		$('.items_filtr select option').prop('selected',false);
		$(".items_filtr input[type=text]").val('');
		$('.items_filtr input[type=checkbox]').removeAttr('checked');
		$('.items_filtr input[type=checkbox]').prop('checked',false);
		//$("[chosen]").chosen({no_results_text: "Value not found!"});
    	return items_filtr();
	}
	function pager(pag){
		$('#startpag').val(pag);
		var formData = getFormData_el('[data-dataform]');	
    	dataload(formData);	
        return false;
    }
	function sortitem(el,e){
		if($('#sort').val() == el)
			el += ' DESC';
		$('#sort').val(el);
        items_filtr();
        return false;
	}
    function dataload(formData){
    	$('#ajaxProgress').show();
		formData.append('aj',1);
		$.ajax({
	        url: document.location.href,
	        type: "POST",
	        cache: false,
	        contentType: false,
	        processData: false,         
	        data: formData,
	        success: function(content){
	            $('#ajax_load').html(content);
	            $('#ajaxProgress').hide();
	            window.history.pushState(null, null, $('#url_build').val());
	            mav_note();
	        }
    	});
		return false;
    }
	function status_change(id,st){
		var formData = getFormData_el('[data-dataform]');		
		formData.append('Status_up',st);
		formData.append('Id',id);
    	dataload(formData);
    	return false;
	}
	function delet_z(id,st){
		var conf = !st ? 'Confirm restoration of application №'+id+'!' : 'Confirm deletion of application №'+id+'!'; 
    	if(!confirm(conf))
    		return false;
		var formData = getFormData_el('[data-dataform]');		
		formData.append('Arhiv_up',st);
		formData.append('Id',id);
    	dataload(formData);
    	return false;
	}
</script>