var domen = 'https://rlbux.ru/';



var api_url = domen+'/earn/addon';
$(document).ready(function() {
	var key = '';
	if(localStorage.getItem('key'))
		key = localStorage.getItem('key');		
    if(key)
    	$.ajax({
    		url: api_url,
    		type: "POST",
    		data: {addonkey:key,ch_auth:1},
    		dataType: 'json',
    		success: function(data){addon_load(data);},
            error: function(){addon_load('');}
    	});
    else
        addon_load('');
});
function addon_load(data){
    if(data && data.auth){
        localStorage.setItem('key',data.key);
        let auth_html = `
            <div style="padding: 10px; font-weight: bold; text-align: center;color: #4e3106;">${data.Login}, добро пожаловать</div>
            <div style="padding-top: 15px;text-align: center;"><button title="вкл/выкл" class="btn btn-default" id="teaser_on"><span><i class="fa fa-fw fa-times"></i> Показ рекламы остановлен</span></button></div>
            <div style="background: #FC8000;color: #174417; padding: 10px 15px; margin: 25px -10px -10px -10px;">
                <div style="font-size: 12px;text-align: left;margin-bottom: 15px">На вашем счете: ${data.MoneyF} 
                    ${(data.Money >= 5) ? '&nbsp; <button data-gosite="/account/withdrawal" class="btn btn-xs btn-danger" title="Вывод средств"><i class="fa fa-fw fa-money"></i></button>' : ''}
                </div>
                <div style="text-align: center;">
                    <button title="Перейти в ЛК" data-gosite="/account" class="btn btn-xs btn-primary">Личный кабинет</button>
                    <span id="addon_logout"><button title="Выйти из системы" class="btn btn-xs btn-default" name="logout" value="1" data-addonsubmit="addon_logout"><i class="fa fa-fw fa-sign-out"></i> Выйти</button></span>
                </div>
            </div>
        `;
        $('#maincont').html(auth_html);
        chrome.browserAction.setIcon({path:"images/icon.png"});         
        //$('html,body').height(1); 
        if($('#teaser_on').length > 0){
            if(localStorage.getItem('teaser_on')){
                $('#teaser_on').attr('class', 'btn btn-success');
                $('#teaser_on').find('span').html('<i class="fa fa-fw fa-check"></i> Показ рекламы включен');
                if(!localStorage.getItem('key'))
                    chrome.browserAction.setIcon({path:"images/icon_deactive.png"});
                else
                    chrome.browserAction.setIcon({path:"images/icon.png"});             
            }
            else{
                $('#teaser_on').attr('class', 'btn btn-default');
                $('#teaser_on').find('span').html('<i class="fa fa-fw fa-times"></i> Показ рекламы остановлен');
                chrome.browserAction.setIcon({path:"images/icon_deactive.png"});
            }
        }
        $('#teaser_on').click(function(){
            if(localStorage.getItem('teaser_on')){
                localStorage.setItem('teaser_on','');
                $('#teaser_on').attr('class', 'btn btn-default');
                $('#teaser_on').find('span').html('<i class="fa fa-fw fa-times"></i> Показ рекламы остановлен');
                chrome.browserAction.setIcon({path:"images/icon_deactive.png"});
            }
            else{
                localStorage.setItem('teaser_on', '1');
                $('#teaser_on').attr('class', 'btn btn-success');
                $('#teaser_on').find('span').html('<i class="fa fa-fw fa-check"></i> Показ рекламы включен');
                if(!localStorage.getItem('key'))
                    chrome.browserAction.setIcon({path:"images/icon_deactive.png"});
                else
                    chrome.browserAction.setIcon({path:"images/icon.png"});             
            }
        });
    }
    else{
        var fedok = (data.fedok) ? `<div class="alert alert-danger">${data.fedok}</div>` : '';
        chrome.browserAction.setIcon({path:"images/icon_deactive.png"});
        let no_auth_html = `
            ${fedok}
            <div id="addon_login">
                <div class="form-group">
                    <label>Логин</label><span data-valgroup="addon_login"  data-validel="addon_login_login"  data-valtype="reqired" data-valerrormes="Укажите Ваш логин!" class="validator" >*</span>
                    <div class="input-group">
                        <span class="input-group-addon"><i class="fa fa-sign-in"></i></span>
                        <input placeholder="Введите Ваш логин!" name="login" id="addon_login_login" class="form-control" type="text" />
                    </div>
                </div>
                <div class="form-group">
                    <label>Пароль</label>
                    <span data-valgroup="addon_login"  data-validel="addon_login_pass"  data-valtype="reqired" data-valerrormes="Укажите пароль!" class="validator" >*</span>
                    <div class="input-group">
                        <span class="input-group-addon"><i class="fa fa-key"></i></span>
                        <input placeholder="Введите пароль" class="form-control" name="pass" id="addon_login_pass" type="password" />
                    </div>
                </div>
                <div style="text-align: center;padding: 10px;">    
                    <p><button type="button" data-addonsubmit="addon_login" class="btn btn btn-danger">Отправить</button></p>
                    <p><button type="button" class="btn-link" data-gosite="/password_recovery"><small>Забыли пароль?</small></button></p>
                </div>
            </div>
        `;
        $('#maincont').html(no_auth_html);
    }
   $('[data-validator]').click(function(event) {
		return validator($(this).data('validator'));
	});
   $('[data-addonsubmit]').click(function(event) {
   		var e = $(this).data('addonsubmit');
   		if(!validator(e))
   			return false;
   		var formData = new FormData();
	    el = $('#'+e).find('input[name], button[name], textarea[name], select[name]');
	    _addonform_submit(formData,el);
	    event.stopPropagation();
   		return false;
   });
   $('[data-gosite]').click(function(event) {
   		var uri = $(this).data('gosite');
		uri = domen + uri; 
		chrome.tabs.create({url: uri});
		event.stopPropagation();
		return false;
	});
}
function _addonform_submit(formData,e){
    e.each(function()
    {
        var el = $(this);
        if(!empty(el.attr('disabled')))
            return;
        var type = el.attr('type');        
        var val = '';
        if(type == 'checkbox' || type == 'radio'){
            if(!el.prop("checked"))
                return;
        }
        if(type == 'file')
            val = el.prop('files')[0];
        else
            val = el.val();
        var name = el.attr('name');
        formData.append(name,val);
    });
	if(localStorage.getItem('key'))
		formData.append('addonkey',localStorage.getItem('key'));
	else
		formData.append('addonkey','');		
    $.ajax({
		url: api_url,
		type: "POST",
        cache: false,
        contentType: false,
        processData: false, 
		data: formData,
		dataType: 'json',
        success: function(data){addon_load(data);},
        error: function(){addon_load('');}
	});
}
function validator(param){
    var ret="true";
    var ale = "";
    var valgroup = $("[data-valgroup=" + param + "]").attr("data-valtype");
    $("[data-valgroup=" + param + "]").each(function(indx, element){
        $("#" +  $(this).attr("data-validel")).removeClass('validator_form_err');
        if($("#" +  $(this).attr("data-validel")).is(":visible"))
        {
            if($(this).attr("data-valtype")=="reqired")
            {
                if(/^[\s\t\n]*$/.test($("#" +  $(this).attr("data-validel")).val()))
                {
                    ret = false;
                    $(this).show();
                    $("#" +  $(this).attr("data-validel")).addClass('validator_form_err');
                    if(!/^\s*$/.test($(this).attr("data-valerrormes")))
                      ale += $(this).attr("data-valerrormes") +"\n";
                }
                else
                {
                    $(this).hide();
                }
            }
            else if($(this).attr("data-valtype")=="reqired_duble")
            {
                var d_val = $(this).attr("data-validduble").split('|');
                var d_bool = false;
                for (var i = d_val.length - 1; i >= 0; i--) {
                    if(!/^[\s\t\n]*$/.test($("#" +  d_val[i]).val())){
                        d_bool = true;
                        break;
                    }
                }                    
                if(!d_bool)
                {
                    ret = false;
                    $(this).show();
                    $("#" +  d_val[i]).addClass('validator_form_err');
                    if(!/^\s*$/.test($(this).attr("data-valerrormes")))
                      ale += $(this).attr("data-valerrormes") +"\n";
                }
                else
                {
                    $(this).hide();
                }               
            }
            else if($(this).attr("data-valtype")=="email")
            {
                var elid =  $(this).attr("data-validel");
                if (!/^\s*$/.test($("#" + elid).val())) {
                    if(!/^[0-9aA-zZаА-яЯ][0-9aA-zZаА-яЯ\-_\.]*@[0-9aA-zZаА-яЯ\-_]+(?:\.[aA-zZаА-яЯ]+){1,4}$/.test($("#" + elid).val()))
                    {
                        ret = false;
                        $(this).show();
                        $("#" +  $(this).attr("data-validel")).addClass('validator_form_err');
                        if(!/^\s*$/.test($(this).attr("data-valerrormes")))
                          ale += $(this).attr("data-valerrormes") +"\n";
                    }
                    else
                    {
                        $(this).hide();
                    }
                }
            }
            else if($(this).attr("data-valtype")=="int")
            {
                if(!/^\d+$/.test($("#" +  $(this).attr("data-validel")).val()))
                {
                    ret = false;
                    $(this).show();
                    $("#" +  $(this).attr("data-validel")).addClass('validator_form_err');
                    if(!/^\s*$/.test($(this).attr("data-valerrormes")))
                      ale += $(this).attr("data-valerrormes") +"\n";
                }
                else
                {
                    $(this).hide();
                }
            }
            else if($(this).attr("data-valtype")=="float")
            {
                if(!/^[0-9]+([\.\,][0-9]+)?$/.test($("#" +  $(this).attr("data-validel")).val()))
               {
                    ret = false;
                    $(this).show();
                    $("#" +  $(this).attr("data-validel")).addClass('validator_form_err');
                    if(!/^\s*$/.test($(this).attr("data-valerrormes")))
                      ale += $(this).attr("data-valerrormes") +"\n";
                }
                else
                {
                    $(this).hide();
                }
            }
            else if($(this).attr("data-valtype")=="regexp")
            {
                var elid =  $(this).attr("data-validel");
                if (!/^\s*$/.test($("#" + elid).val())) {
                    $reg = new RegExp($("[data-valregexp]").attr("data-valregexp"));
                    if(!$reg.test($("#" + elid).val()))
                    {
                        ret = false;
                        $(this).show();
                        $("#" +  $(this).attr("data-validel")).addClass('validator_form_err');
                        if(!/^\s*$/.test($(this).attr("data-valerrormes")))
                          ale += $(this).attr("data-valerrormes") +"\n";
                    }
                    else
                    {
                        $(this).hide();
                    }
                }
            }
            else if($(this).attr("data-valtype")=="equals")
            {
                var elid =  $(this).attr("data-validel");
                var confelid = $(this).attr("data-valequalsid");
                if (!/^\s*$/.test($("#" + elid).val())) {

                    if($("#" + elid).val() != $("#" + confelid).val())
                    {
                        ret = false;
                        $(this).show();
                        $("#" +  $(this).attr("data-validel")).addClass('validator_form_err');
                        $("#" + confelid).addClass('validator_form_err');
                        if(!/^\s*$/.test($(this).attr("data-valerrormes")))
                          ale += $(this).attr("data-valerrormes") +"\n";
                    }
                    else
                    {
                        $(this).hide();
                    }
                }
            }
        }
    });
    if(!/^\s*$/.test(ale))
        $('#fedok').html('<div class="alert alert-danger">'+ale+'</div>');
    return ret;
}
function empty(mixed_var){
    return ( mixed_var === "" || mixed_var === null  || typeof mixed_var == "undefined"  || mixed_var === false ||
        /^[\s\n\t]*$/im.test(mixed_var+'') );
}