<?php
namespace controls\help;
defined('F') OR exit('Нет доступа!');
	function captcha(){
		$letters = '12456789AZXSWECVFRTGBNHYUJMKLP';
		$caplen = 6;
		$width = 120; $height = 22;
		$font = F.'/assets/css/fonts/Univers.ttf';
		$fontsize = 14;
		$linenum = 3;
		header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
		header("Last-Modified: " . gmdate("D, d M Y H:i:s", 10000) . " GMT");
		header("Cache-Control: no-store, no-cache, must-revalidate");
		header("Cache-Control: post-check=0, pre-check=0", false);
		header("Pragma: no-cache");
		header("Content-Type:image/png");
		$im = imagecreatetruecolor($width, $height);
		imagesavealpha($im, true);
		$bg = imagecolorallocatealpha($im, 0, 0, 0, 127);
		imagefill($im, 0, 0, $bg);
		$captcha = '';
		for ($i=0; $i<$linenum; $i++)
		{
			$color = imagecolorallocate($im, rand(0, 150), rand(0, 100), rand(0, 150)); // Случайный цвет c изображения
			imageline($im, rand(0, 20), rand(1, 50), rand(150, 180), rand(1, 50), $color);
		}
		for ($i = 0; $i < $caplen; $i++)
		{
		    $t_captcha = mb_substr($letters,rand(0, mb_strlen($letters)-1),1);
		    $captcha .= $t_captcha;
		    $x = ($width - 20) / $caplen * $i + 10;
		    $x = rand($x, $x+4);
		    $y = $height - ( ($height - $fontsize) / 2 );
		    $curcolor = imagecolorallocate( $im, rand(0, 100), rand(0, 100), rand(0, 100) );
		    $angle = rand(-25, 25);
		    imagettftext($im, $fontsize, $angle, $x, $y, $curcolor, $font, $t_captcha);

		}
		for ($i=0; $i<$linenum; $i++)
		{
			$color = imagecolorallocate($im, rand(0, 255), rand(0, 200), rand(0, 255));
			imageline($im, rand(0, 20), rand(1, 50), rand(150, 180), rand(1, 50), $color);
		}
		$_SESSION['captcha'] = $captcha;
		imagepng($im);
		imagedestroy($im);
		die();
	}
	function imagres_adm($w = 0, $h = 0, $imag ='')
	{
		if(isset($_GET['w'],$_GET['h'],$_GET['imag'])){
			$w = (int)iget('w');
			$h = (int)iget('h');
			$imag = preg_replace('~\.\.~uis', '', iget('imag'));
			if(is_file(F.$imag)){
				require_once(F."helper/classes/mav_image.php");
				$image_lib = new \mav_image();
				$config['source_image'] = F.$imag;
				$config['image_library'] = 'gd2';
				$config['create_thumb'] = FALSE;
				$config['quality'] = 60;
				$config['maintain_ratio'] = FALSE;
				$config['width'] = empty($w) ? 'auto' : $w;
				$config['height'] = empty($h) ? 'auto' : $h;
				$config['dynamic_output'] = TRUE;
				$image_lib->initialize($config);
				$image_lib->resize();
				$image_lib->clear();
			}
		}
		die();
	}
	function img_captcha(){
		if(isset($_GET['image'])){
			if(isset($_SESSION['img_captcha']) && isset($_SESSION['img_captcha']['imag']) && is_file($_SESSION['img_captcha']['imag'])){
				header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
				header("Last-Modified: " . gmdate("D, d M Y H:i:s", 10000) . " GMT");
				header("Cache-Control: no-store, no-cache, must-revalidate");
				header("Cache-Control: post-check=0, pre-check=0", false);
				header("Pragma: no-cache");
				header("Content-Type:image/png");
				// отдаем - $_SESSION['img_captcha']['imag']
				$stream = imagecreatefromjpeg($_SESSION['img_captcha']['imag']);
				imagejpeg($stream);
			}
			die();
		}
		if(isset($_GET['btn'])){
			if(isset($_SESSION['img_captcha']) && isset($_SESSION['img_captcha']['btn'][$_GET['btn']]) && is_file($_SESSION['img_captcha']['btn'][$_GET['btn']])){
				header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
				header("Last-Modified: " . gmdate("D, d M Y H:i:s", 10000) . " GMT");
				header("Cache-Control: no-store, no-cache, must-revalidate");
				header("Cache-Control: post-check=0, pre-check=0", false);
				header("Pragma: no-cache");
				header("Content-Type:image/png");
				$stream = imagecreatefromjpeg($_SESSION['img_captcha']['btn'][$_GET['btn']]);
				imagejpeg($stream);
				// отдаем - $_SESSION['img_captcha']['btn'][$_GET['btn']]	
			}
			die();
		}
	}