<?php
namespace controls\user {
    defined('F') OR exit('No access!'); // Translated from: 'Нет доступа!'
    function login($art){
        global $user_m, $URLparam,$setting,$user_logined,$user_login;
        $dat = array();      
        $view = 'user/login';
        $data = array();
        $aj = !empty($_POST['aj']) ? TRUE : FALSE;
        $dat['feed'] = form_redirect();
        //$dat['art_m'] = &$art_m;
        /******************************************************/
        $err = $user_m->chek_login_error_log();
        $ip = getIP();
        $blok = ($err > 10) ? TRUE : FALSE;
        $cap = ($err > 2 || empty(ip2long(getIP()))) ? TRUE : FALSE;
        //$cap = TRUE;
        if(!$blok){
            if(isset($_POST['btnlogin'],$_POST['login'],$_POST['pass'])) {
                $err_log = '';
                $ret = array('ok'=>0,'err'=>'<strong>An unknown error occurred!</strong> Please try again later.','capt_err'=>0,'cap'=>(int)$cap,'blok'=>(int)$blok); // Translated
                /*******************************************/
                $antispam = empty($_SESSION['antispam_ok']) ? FALSE : TRUE;
                $l = TRUE;
                if($cap){
                    $l = mav_captcha();/////////////////////////////////////////////Captcha // Translated comment
                    if(!$l){
                        unset($_SESSION['captcha']);
                        $ret['capt_err'] = 1;
                        $ret['err'] = '<strong>An error occurred!</strong> Incorrect security code!'; // Translated
                        $err_log = 'Incorrect security code!'; // Translated
                    }
                }
                if($l && $antispam){
                    $r = $user_m->Login(ipost('login'),ipost('pass'));
                    if($r[0])
                        $ret['ok'] = 1;
                    else{
                        $err++;      
                        if($err > 2){
                            $cap = TRUE; 
                            $ret['cap'] = 1;
                            if($err > 10){
                                $blok = TRUE;
                                $ret['blok'] = 1;
                            }
                        }
                        $ret['err'] = empty($r[1]) ? "<strong>An error occurred!</strong> Please try again later." : $r[1]; // Translated
                        $err_log = empty($r[1]) ? 'Unknown error' : $r[1]; // Translated
                    }
                }
                echo json_encode($ret,JSON_UNESCAPED_UNICODE);
                $user_m->InsertUserLogAuth($_POST['login'],$ret['ok'],$err_log);
                die();
            }
        }
        $dat['cap'] = $cap;
        $dat['blok'] = $blok;
        
        $data['breadcrumbs'] = '<li><a href="/">Home</a></li><li>'.$art['Title'].'</li>'; // Translated 'Главная' to 'Home'
        $data['left'] = TRUE;//\view\getleft();
        $dat['Title'] = $art['Title'];
        $dat['Body'] = $art['Body'];
        if(!empty($aj)){
            \view\content_show($view, $dat);
            die();
        }
        $data['content'] = \view\content_show($view, $dat, TRUE);
        $data['Title'] = !empty($art['MetaTitle']) ? $art['MetaTitle'] : $art['Title'];
        $data['Desc'] = $art['MetaDesc'];
        $data['Key'] = $art['MetaKey'];
        /*$data['og_type'] = 'article';
        $data['og_image'] = "";*/
        return $data;
    }
    function register($art){
        global $user_m, $URLparam,$setting,$user_logined,$user_login;
        $dat = array();      
        $view = 'user/register';
        $data = array();
        $aj = !empty($_POST['aj']) ? TRUE : FALSE;
        $dat['feed'] = form_redirect();
        //$dat['art_m'] = &$art_m;
        /******************************************************/
        if(isset($_POST['btnreg'],$_POST['login'],$_POST['pass'],$_POST['email'],$_POST['name']) && !$GLOBALS['user_logined']){
            $ret = array('ok'=>0,'err'=>'<strong>An unknown error occurred!</strong> Please try again later.','mess'=>'','capt_err'=>0); // Translated
            if(!mav_captcha()){
                $ret['err'] = 'An error occurred! Incorrect security code!'; // Translated
                unset($_SESSION['captcha']);
                $ret['capt_err'] = 1;
            }
            elseif($user_m->chek('Login',ipost('login'))){
                $ret['err'] = 'An error occurred! A user with this login already exists!'; // Translated
            }
            elseif($user_m->chek('Email',ipost('email'))){
                $ret['err'] = 'An error occurred! A user with this E-mail already exists!'; // Translated
            }                  
            else{
                $ar_ins = array('Login' => ipost('login'),'Pass' => ipost('pass'),'Email' => ipost('email'),'Fio' => ipost('name'));
                if(!empty($_POST['ref'])){
                    $r = trim(ipost('ref'));
                    $tu = $GLOBALS['user_m']->GetByLogin($r);
                    if(!empty($tu))
                    {
                        if(IP != $tu->data['Ip'] && IP != $tu->data['LastIp'])
                            $ar_ins['Ref'] = $tu->data['Id'];   
                        else  
                            $ret['mess'] = "<div class=\"alert alert-warning\">Your IP address matches the IP address of the user who invited you. Therefore, the referral is not counted!</div>"; // Translated                       
                    }
                    else
                        $ret['mess'] = "<div class=\"alert alert-warning\">User &laquo;{$r}&raquo; not found. Therefore, the referral is not counted!</div>"; // Translated
                }
                if($ins = $user_m->Insert($ar_ins))          
                {
                    unset($_SESSION['ref']);
                    $ret['ok'] = 1;
                }
                else
                    $ret['err'] = '<div class="alert alert-danger"><strong>An unknown error occurred!</strong> Please try again later.</div>'; // Translated
            }
            echo json_encode($ret,JSON_UNESCAPED_UNICODE);
            die();
        }
        /******************************************************/
        $data['breadcrumbs'] = '<li><a href="/">Home</a></li><li>'.$art['Title'].'</li>'; // Translated 'Главная' to 'Home'
        $data['left'] = TRUE;//\view\getleft();
        $dat['Title'] = $art['Title'];
        $dat['Body'] = $art['Body'];
        if(!empty($aj)){
            \view\content_show($view, $dat);
            die();
        }
        $data['content'] = \view\content_show($view, $dat, TRUE);
        $data['Title'] = !empty($art['MetaTitle']) ? $art['MetaTitle'] : $art['Title'];
        $data['Desc'] = $art['MetaDesc'];
        $data['Key'] = $art['MetaKey'];
        /*$data['og_type'] = 'article';
        $data['og_image'] = "";*/
        return $data;
    }
    function password_recovery($art){
        global $user_m, $URLparam,$setting,$user_logined,$user_login;
        $dat = array();      
        $view = 'user/passrecovery';
        $data = array();
        $aj = !empty($_POST['aj']) ? TRUE : FALSE;
        $dat['feed'] = form_redirect();
        //$dat['art_m'] = &$art_m;
        /******************************************************/
        $dat['view_form'] = TRUE;
        if (isset($_POST['btnpassrecovery'],$_POST['Email'])) {
            if(!mav_captcha()){
                unset($_SESSION['captcha']);
                $dat['feed'] = "<div class='alert alert-danger'><strong>Incorrect security code!</strong></div>"; // Translated
            }
            else{
                $err = $user_m->passrecovery1($_POST['Email']);
                if(empty($err)){
                    $_SESSION['btnpassrecovery'] = 1;
                    $dat['view_form'] = FALSE;
                    $dat['feed'] = "<div class=\"alert alert-success\">A message with further instructions has been sent to your E-mail.</div>"; // Translated
                }
                else
                    $dat['feed'] = "<div class=\"alert alert-warning\">{$err}</div>"; // Assuming $err will be in English or is a variable
            }
        }
        elseif (isset($_GET['email'],$_GET['login'],$_GET['key'])) {
            if($user_m->passrecovery2()){
                $dat['view_form'] = FALSE;
                $dat['feed'] = form_redirect_send("<div class=\"alert alert-success\">Your new password has been sent to your E-mail!</div>",URLpage); // Translated
            }
            else{
                $dat['feed'] = "<div class=\"alert alert-warning\">An error occurred!</div>"; // Translated
            }
        }
        /******************************************************/
        $data['breadcrumbs'] = '<li><a href="/">Home</a></li><li>'.$art['Title'].'</li>'; // Translated 'Главная' to 'Home'
        $data['left'] = TRUE;//\view\getleft();
        $dat['Title'] = $art['Title'];
        $dat['Body'] = $art['Body'];
        if(!empty($aj)){
            \view\content_show($view, $dat);
            die();
        }
        $data['content'] = \view\content_show($view, $dat, TRUE);
        $data['Title'] = !empty($art['MetaTitle']) ? $art['MetaTitle'] : $art['Title'];
        $data['Desc'] = $art['MetaDesc'];
        $data['Key'] = $art['MetaKey'];
        /*$data['og_type'] = 'article';
        $data['og_image'] = "";*/
        return $data;
    }
}