<?php
namespace api_pay;
require_once(F."models/user/User_model.php");
class api_pay
{
	public static function balanse_oll()
	{
		$ret = array();
	    $user_m = new \models\user\User_model;
		foreach($user_m->Gets_PaySys() as $val){
			if(!$val['Api'] || !$val['ApiOn'])
				continue;
			$ret[$val['Title']] = FALSE;
			if(is_file(F."helper/classes/api_pay/pay_{$val['Name']}.php")){
				require_once F."helper/classes/api_pay/pay_{$val['Name']}.php";
				$kl_t = "\\api_pay\\pay_{$val['Name']}";
				$cl = new $kl_t;
				$ret[$val['Title']] = $cl->Get_Balance($val);
			}
		}
		return $ret;
	}
	public static function pay_out($id)
	{
	    $user_m = new \models\user\User_model;
		$ret = array('ok' => FALSE,'err' => 'Повторите попытку позже');
		$p = $user_m->Gets_MoneyOutById($id);
		if(!empty($p)){
			$ps = $user_m->Gets_PaySysByID($p['PaySys']);
			if(!empty($ps) && $ps['Api'] && $ps['ApiOn']){
				if(is_file(F."helper/classes/api_pay/pay_{$ps['Name']}.php")){
					require_once F."helper/classes/api_pay/pay_{$ps['Name']}.php";
					$kl_t = "\\api_pay\\pay_{$ps['Name']}";
					$cl = new $kl_t();		
					$ret = $cl->SendTo($p,$ps);
					if($ret['ok']){
						if(!$user_m->Update_MoneyOut(array('Id'=>$p['Id'],'Ok'=>1,'API'=>1))){
							$ret['ok'] = FALSE;
							$ret['err'] = 'Деньги переведены, но информация не обновилась';
						}
					}
				}
				else
					$ret['err'] = 'Перевод по АПИ не поддерживается для данной ПС';
			}
			else
				$ret['err'] = 'Перевод по АПИ отключен или не поддерживается для данной ПС';
		}
		else
			$ret['err'] = 'Запрос на вывод не найден';
		return $ret;
	}
}