<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;
if ( ! defined('F')) exit('Нет доступа!');

require F.'helper/classes/mailer/PHPMailer.php';
require F.'helper/classes/mailer/Exception.php';
require F.'helper/classes/mailer/OAuth.php';
require F.'helper/classes/mailer/POP3.php';
require F.'helper/classes/mailer/SMTP.php';

function mailer_sendmail($data)
{
	$mail = new PHPMailer(true);
	try {
		$mail->setLanguage('ru');
	    $mail->SMTPDebug = 0;                                 // Enable verbose debug output
	    $mail->isSMTP();                                      // Set mailer to use SMTP
	    $mail->Host = $data['Host'];  // Specify main and backup SMTP servers
	    $mail->SMTPAuth = true;                               // Enable SMTP authentication
	    $mail->Username = $data['Login'];                 // SMTP username
	    $mail->Password = $data['Pass'];                           // SMTP password
	    $mail->SMTPSecure = 'ssl';                            // Enable TLS encryption, `ssl` also accepted
	    $mail->Port = $data['Port'];                             // TCP port to connect to
	    //Recipients
	    $mail->setFrom($data['Email'], $data['Fio']);
	    $mail->addAddress($data['To']);// ('joe@example.net', 'Joe User');     // Add a recipient
	                   // Name is optional
	    if(!empty($data['ReplyTo']))
	    	$mail->addReplyTo($data['ReplyTo']);//('info@example.com', 'Information');
	    if(!empty($data['Cc']))
	    	$mail->addCC($data['Cc']);
	    if(!empty($data['Bcc']))
	    	$mail->addBCC($data['Bcc']);

	    //Attachments
	    if(!empty($data['Attachment']) && is_array($data['Attachment']))
	    {
	    	foreach ($data['Attachment'] as $val) {
	    		$mail->addAttachment($val);
	    	}
	    }
	    //$mail->addAttachment('/tmp/image.jpg', 'new.jpg');    // Optional name

	    //Content
	    $mail->isHTML(true);                                  // Set email format to HTML

		$mail->CharSet = "utf-8";
	    $mail->Subject = $data['Tema'];
	    $mail->Body    = $data['Body'];
	    //$mail->AltBody = 'This is the body in plain text for non-HTML mail clients';
	    return $mail->send();
	} 
	catch (Exception $e){
	    return $mail->ErrorInfo;
	}
}