<?php
namespace models\order;
require_once(F."models/Base_model.php");
require_once(F."x/models/TelAndEmail_model.php");

class Zayavki_model extends \models\Base_model
{
    var $data;
    var $count;
    function __construct(){
        $this->data = array();
        $this->count = 0;
    }
    public function ChID($id)
    {
        $id = (int)$id;
        $ret = FALSE;
        $conn = $this->con();
        $query = $conn->query("SELECT Id FROM `x_Zayavki` WHERE `Id` = {$id} LIMIT 1");
        if (!empty($query) && $query->num_rows)
            $ret = TRUE;
        $conn->close();
        return $ret;
    }
    function Insert($dat){
        $data = array();
        if(empty($dat['Fio']))
            return false;
        $data['Fio'] = mav_htmltotext(trim($dat['Fio']));
        $data['UserId'] = $GLOBALS['user_logined'] ? $GLOBALS['user_login']->data['Id'] : 0;
        $data['Ip'] = sprintf('%u', ip2long(IP));
        $data['Org'] = isset($dat['Org']) ? mav_htmltotext(trim($dat['Org'])) : '';
        $data['Tema'] = isset($dat['Tema']) ? mav_htmltotext(trim($dat['Tema'])) : '';
        $data['TelId'] = isset($dat['Tel']) ? (int)$this->InsertTel(array('Number' => mav_htmltotext(trim($dat['Tel'])))) : 0;
        $data['EmailId'] = isset($dat['Email']) ? (int)$this->InsertEmail(array('Email' => mav_htmltotext(trim($dat['Email'])))) : 0;
        $data['Body'] = isset($dat['Body']) ? mav_htmltotext(trim($dat['Body'])) : '';
        $data['Date'] = isset($dat['Date']) ? (int)$dat['Date'] : time();
        $data['KontaktId'] = isset($dat['KontaktId']) ? (int)$dat['KontaktId'] : 0;
        return $this->b_insert('x_Zayavki',$data);
    }
    function convertList(&$query)
    {
        $ret = array();
        $tel_m = new \models\TelAndEmail\Tel_model;
        $row['Number'] = !empty($row['Tel']) ? $tel_m->numFormat($row['Tel']) : '';
        while($row = $query->fetch_assoc())
        {
            if(isset($row['Ip']))
                $row['Ip'] = long2ip($row['Ip']);
            array_push($ret, $row);
        }
        $query->close();
        return $ret;
    }
    function convert(&$query)
    {
        $row = $query->fetch_assoc();
        if(empty($row)){
            $query->close();
            return NULL;
        }
        else
        {
            $tel_m = new \models\TelAndEmail\Tel_model;
            $row['Number'] = !empty($row['Tel']) ? $tel_m->numFormat($row['Tel']) : '';
            if(isset($row['Ip']))
                $row['Ip'] = long2ip($row['Ip']);
            return $row;
        }   
    }
    public function InsertEmail($dat){
        $tel_m = new \models\TelAndEmail\Email_model;
        if(empty($dat['Email']))
            return 0;
        return $tel_m->Insert($dat);
    }
    public function InsertTel($dat){
        $tel_m = new \models\TelAndEmail\Tel_model;
        if(empty($dat['Number']))
            return 0;
        return $tel_m->Insert($dat);
    }
}