<?php
namespace models\pages;
if ( ! defined('F')) exit('Нет доступа!');
require_once(F."models/Base_model.php");
class Pages_model extends \models\Base_model
{
    public $srcprev_dir = 'assets/img/articles/small/';
    var $data;
    var $count;
    function __construct(){
        $this->data = array();
        $this->count = 0;
    }
    /*******************************Геты******************************************************/
	    public  function GetsActive($filtr = array(), $startRowIndex = FALSE, $maximumRows = FALSE, $desc = FALSE){
	    	$filtr['Active'] = 1;
	    	return $this->Gets($filtr, $startRowIndex, $maximumRows, $desc);
	    }
	    public  function Gets($filtr = array(), $startRowIndex = FALSE, $maximumRows = FALSE, $desc = FALSE)
	    {
	        $ret = new Pages_model();
	        $conn = $this->con();
	        $lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 300';
	        $where = '';
	        $json = '';
	        $select = '';
	        if(!empty($filtr)){
	        	if(is_array($filtr)){
	        		$f_ar = array();
	        		if(isset($filtr['ParentId'])){
	        			if(!is_array($filtr['ParentId']))
	        				$filtr['ParentId'] = explode(',', $filtr['ParentId']);
	        			for ($i=0; $i < count($filtr['ParentId']); $i++)
	        				$filtr['ParentId'][$i] = (int)$filtr['ParentId'][$i];
	        			array_push($f_ar, 'a.`ParentId` IN ('.implode(',', $filtr['ParentId']).')');
	        		}
	        		if(isset($filtr['Id'])){
	        			if(!is_array($filtr['Id']))
	        				$filtr['Id'] = explode(',', $filtr['Id']);
	        			for ($i=0; $i < count($filtr['Id']); $i++)
	        				$filtr['Id'][$i] = (int)$filtr['Id'][$i];
	        			array_push($f_ar, 'a.`Id` IN ('.implode(',', $filtr['Id']).')');
	        		}
	        		if(isset($filtr['Active']))
	        			array_push($f_ar, 'a.`Active` = '.(int)$filtr['Active']);
		            if(isset($filtr['Adm'])){
		                $json .= ' LEFT JOIN `Articles_sale_slider` as ss on(ss.Id = a.Id) ';
		                $json .= ' LEFT JOIN `Articles_sale_new` as sn on(sn.Id = a.Id) ';
		                $select .= ', IFNULL(ss.Id, 0) as sliderId , IFNULL(sn.Id, 0) as newId';
		            }
                    if(isset($filtr['Ch_Child'])){
                        $json .= ' LEFT JOIN Articles as ch_ch on(a.Id = ch_ch.ParentId) ';
                        $select .= ', IF(ch_ch.Id IS NULL, 0, 1) as Ch_Child ';
                    }
		            if(!empty($filtr['sale_slider'])){
		                if(!empty($filtr['Adm']))
		                	array_push($f_ar, 'ss.Id IS NOT NULL');
		                else
		                    $json .= ' INNER JOIN `Articles_sale_slider` as ss USING(`Id`) ';
		            }
		            if(!empty($filtr['sale_new'])){
		                if(!empty($filtr['Adm']))
		                	array_push($f_ar, 'sn.Id IS NOT NULL');
		                else
		                    $json .= ' INNER JOIN `Articles_sale_new` as sn USING(`Id`) ';
		            }
		            if(!empty($filtr['Tag'])){
		                $json .= ' LEFT JOIN `Articles_kl_tags` as tag_kl on(a.Id = tag_kl.ArtId) ';
		                $json .= ' LEFT JOIN `Articles_tags` as tag on(tag.Id = tag_kl.TagId) ';
		                array_push($f_ar, 'tag.Id = '.(int)$filtr['Tag']);
		            }
		            if(!empty($filtr['s'])){
                        if(preg_match('~^[0-9]+$~', $filtr['s']))
                            array_push($f_ar, 'a.`Id` = '.(int)$filtr['s']);
                        else{
    		                $filtr['s'] = trim($conn->real_escape_string($filtr['s']));
    		                $json .= ' LEFT JOIN `Articles_body` as b USING(`Id`) ';
    		                array_push($f_ar, "(MATCH (b.Text_s,b.Body) AGAINST ('{$filtr['s']}'))");
                        }
		            }
	        		/************************************************************/
	        		if(!empty($f_ar))
	        			$where = 'WHERE ' . implode(' AND ', $f_ar);
	        	}
	        	else
	        		$where = 'WHERE Id = '.(int)$filtr;
	        	if(empty($desc))
	                $desc = 'a.`Sort` DESC';
	            elseif($desc == 'RAND')
	                $desc = 'RAND()';
	            else
	            {
	                $ar = explode(' ', trim($desc));
	                $desc = 'a.`'.$conn->real_escape_string($ar[0]).'`'.(isset($ar[1]) ? ' DESC' : '');
	            }
	            $q = @"SELECT a.* {$select} FROM Articles as a {$json} {$where} ORDER BY {$desc} {$lim}";
                //die($q);
                $query = $conn->query($q);
	            if (!empty($query) && $query->num_rows)
	            {
	                if($maximumRows){
	                    $query2 = $conn->query("SELECT COUNT(*) FROM Articles as a {$json} {$where}");
	                    if(!empty($query2) && $query2->num_rows){
	                        $ret->count = (int)$query2->fetch_array()[0];
	                        $query2->close();
	                    }
	                }
	                $ret->data = $this->convertList($query);
	            }
	            $conn->close();
	            return $ret;
	        }
	    }
	    public function GetById($id,$name_find = FALSE)
	    {
	        $conn = $this->con();
	        $w = '';
	        if($name_find)
	            $w = " `a`.`Name` = '".$conn->real_escape_string($id)."'";
	        else
	            $w = ' `a`.`Id` = '.(int)$id;
	        $ret = NULL;
	        $q = "SELECT a.*,ab.*, a.Id as Id,
	            IF(tag_kl.ArtId IS NULL, 0, 1) as b_tag, 
	            IF(ch_ch.Id IS NULL, 0, 1) as Ch_Child 
	            FROM `Articles` as a
	            LEFT JOIN Articles as ch_ch on(a.Id = ch_ch.ParentId)	            
	            LEFT JOIN `Articles_body` as ab on(a.Id = ab.Id)
	            LEFT JOIN `Articles_kl_tags` as tag_kl on(a.Id = tag_kl.ArtId)
	            WHERE {$w} LIMIT 1";
	        /*
	            IF(a_im.Art_id IS NULL, 0, 1) as b_image, 
	            IF(a_v.Art_id IS NULL, 0, 1) as b_video, 
	            IF(a_d.ArtId IS NULL, 0, 1) as b_doc, 
				LEFT JOIN Articles_images as a_im on(a.Id = a_im.Art_id)
	            LEFT JOIN Articles_videos as a_v on(a.Id = a_v.Art_id)
	            LEFT JOIN Articles_kl_doc as a_d on(a.Id = a_d.ArtId)
	        */
	        //die($q);
	        $query = $conn->query($q);
	        if (!empty($query) && $query->num_rows){
	            $ret = $this->convert($query);
	            $ret['Tags'] = array();
	            /*$ret['Images'] = array();
	            $ret['Docs'] = array();
	            $ret['Videos'] = array();*/
	            /*if($ret['b_image'] > 0){
	                $query_dop = $conn->query("SELECT * FROM `Articles_images` WHERE `Art_id` = {$ret['Id']}  LIMIT 1000");
	                if (!empty($query_dop)){
	                    while($row = $query_dop->fetch_assoc())
	                        array_push($ret['Images'], $row);
	                    $query_dop->close();unset($query_dop);
	                }
	            }
	            if($ret['b_video'] > 0){
	                $query_dop = $conn->query("SELECT * FROM `Articles_videos` WHERE `Art_id` = {$ret['Id']}  LIMIT 1000");
	                if (!empty($query_dop)){
	                    while($row = $query_dop->fetch_assoc())
	                        array_push($ret['Videos'], $row);
	                    $query_dop->close();unset($query_dop);
	                }
	            }
	            if($ret['b_doc'] > 0){
	                require_once(F."models/Docs_model.php");
	                $docs_m = new \models\Docs_model();
	                $ret['Docs'] = $docs_m->getDocsByArt($ret['Id']);
	            }*/
	            if(!empty($ret['b_tag'])){
	                $query_dop = $conn->query("
	                    SELECT t.* FROM `Articles_tags` as t
	                    LEFT JOIN `Articles_kl_tags` as tag_kl on(t.Id = tag_kl.TagId)
	                    WHERE tag_kl.`ArtId` = {$ret['Id']} LIMIT 1000
	                    ");
	                if (!empty($query_dop)){
	                    while($row = $query_dop->fetch_assoc())
	                        $ret['Tags'][$row['Id']] = $row['Tag'];
	                    $query_dop->close();unset($query_dop);
	                }
	            }
	        }
	        $conn->close();
	        return $ret;
	    }
        public  function GetArticleByName($name){return $this->GetById($name,TRUE);}

    /************************Доп. геты********************************/
        public function GetImagePrev($id){
            return is_file(F.$this->srcprev_dir.trim($id).'.jpg') ? $this->srcprev_dir.trim($id).'.jpg' : FALSE;
        }
        public function GetsTags(){
            $conn = $this->con();       
            $query = $conn->query("SELECT * FROM `Articles_tags` ORDER BY Tag LIMIT 1000");
            $conn->close(); 
            $ret = array(); 
            if (!empty($query)){
                while($row = $query->fetch_assoc())
                    $ret[$row['Id']] = $row['Tag'];
                $query->close();
            }
            return $ret;
        }
        /*public function getFoto($id){
            $conn = $this->con();   
            $id = (int)$id;     
            $query = $conn->query("SELECT * FROM `Articles_images` WHERE `Art_id` = {$id}  LIMIT 1000");  
            $conn->close();          
            $ret = array(); 
            if (!empty($query)){
                while($row = $query->fetch_assoc())
                    array_push($ret, $row);
                $query->close();
            }
            return $ret;
        }
        public function getDocs($id){
            require_once(F."models/Docs_model.php");
            $docs_m = new \models\Docs_model();
            return $docs_m->getDocsByArt($id);
        }
        public function getVideos($id){
            $conn = $this->con();   
            $id = (int)$id;     
            $query = $conn->query("SELECT * FROM `Articles_videos` WHERE `Art_id` = {$id}  LIMIT 1000");
            $conn->close(); 
            $ret = array(); 
            if (!empty($query)){
                while($row = $query->fetch_assoc())
                    array_push($ret, $row);
                $query->close();
            }
            return $ret;
        }*/

    /***************Приватные методы******************/        
        protected function convert(&$query)
        {
            $row = $query->fetch_assoc();
            if(empty($row)){
                $query->close();
                return NULL;
            }
            else
            {
                if($row['ParentId'] != 0){
                    $ParentArt = $this->getParent($row['ParentId']);
                    if(!empty($ParentArt)){
                        $row['Url'] = $ParentArt['Url'].'/'.$row['Name'];
                        $row['ParentArt'] = $ParentArt;
                    }
                    else{
                        $row['ParentArt'] = NULL;
                        $row['Url'] = $row['Name'];
                    }
                }
                else{
                    $row['ParentArt'] = NULL;
                    $row['Url'] = $row['Name'];
                }
                $query->close();
                return $row;
            }
        }
        protected function convertList(&$query, $cart = FALSE)
        {
            $ret = array();
            $ar_id = array();
            while($row = $query->fetch_assoc())
            { 
                $row['Url'] = $row['Name'];
                $ret[$row['Id']] = $row;
                if($row['ParentId'] > 0 && array_search($row['ParentId'],$ar_id) === FALSE)
                    array_push($ar_id, $row['ParentId']);
            }
            $query->close();
            if(!empty($ar_id)){
                $ParentArt = $this->getParents($ar_id);
                foreach ($ret as $k => $val) {
                    if(isset($ParentArt[$val['ParentId']])){
                        $ret[$k]['Url'] = $ParentArt[$val['ParentId']]['Url'].'/'.$val['Name'];
                        $ret[$k]['ParentArt'] = $ParentArt[$val['ParentId']];
                    }
                }
            }
            return $ret;
        }
        protected function getParent($id){
            $id = (int)$id;
            $conn = $this->con();
            $ret = NULL;
            $query = $conn->query("SELECT `Id`, `ParentId`, `Name`, `Title` FROM Articles WHERE `Id` = {$id} LIMIT 1");
            $conn->close();
            if (!empty($query) && $query->num_rows)
                $ret = $this->convert($query);
            return $ret;
        }
        protected function getParents($ar_id){
            $conn = $this->con();
            $id = $conn->real_escape_string(implode(',', $ar_id));
            $ret = NULL;
            $query = $conn->query("SELECT `Id`, `ParentId`, `Name`, `Title` FROM Articles WHERE `Id` in ({$id}) LIMIT 1000");
            $conn->close();
            if (!empty($query) && $query->num_rows)
                $ret = $this->convertList($query);
            return $ret;
        }
        protected function chekName($name, $id = 0){
            $ret = 0;
            $name = urldecode($name);
            $conn = $this->con();
            $name = $conn->real_escape_string($name);
            $id = (int)$id;
            $query = $conn->query("SELECT `Id` FROM `Articles` WHERE `Name` = '{$name}' AND `Id` <> {$id} LIMIT 1");
            $conn->close();
            if (!empty($query) && $query->num_rows > 0){
                $ret = 1;
                $query->close();
            }
            return $ret;
        }
        protected function getChildId($id){
            $ret = array();
            $conn = $this->con();
            $query = $conn->query("SELECT `Id` FROM Articles WHERE ParentId = ".(int)$id);
            $conn->close();
            if (!empty($query) && $query->num_rows)
            {
                while($row = $query->fetch_assoc()){
                    if($row['Id'] > 0)
                        array_push($ret, $row['Id']);
                }
                $query->close();
            }
            return $ret;
        }
        protected function chekChild($id){
            $conn = $this->con();
            $ret = 0;
            $id=(int)$id;
            $query = $conn->query("SELECT `Id` FROM Articles WHERE ParentId = {$id} LIMIT 1");
            $conn->close();            
            if(!empty($query) && $query->num_rows)
                $ret = 1;
            $query->close();
            return $ret;
        }

    /**********************Комментарий***********************************************/
        /*
            Статусы: Активен, Удален, На проверке, Отклонен
        */
        public $com_status = array('-2'=>'Отклонен','-1'=>'На проверке','0'=>'Удален','1'=>'Активен');
        public function InsertComm($dat){
            global $user_logined,$user_login, $setting;
            if(!$user_logined || empty($dat['Text']) || empty($dat['ArtId']))
                return FALSE;
            $data = array();
            $data['UserId'] = $user_login->data['Id'];//$GLOBALS['user_logined'] ? $GLOBALS['user_login']->data['Id'] : 0;
            $data['Ip'] = sprintf('%u', ip2long(getIP()));
            $data['ArtId'] = (int)$dat['ArtId'];
            $data['ParentId'] = (int)$dat['ParentId'];
            $data['AddDate'] = time();
            $data['Status'] = ($setting['main']['page']['com_moderat'] > 0) ? '-1' : '1';
            $data['Text'] = mav_htmltotext(trim($dat['Text']),1);
            $data['Fio'] = $user_login->data['Fio'];
            /*if(isset($_COOKIE['art_comment_sid']))
                $data['Sid'] = $_COOKIE['art_comment_sid'];
            else
                $data['Sid'] = mavrandom(7);*/
            $data['Sid'] = '';
            //setcookie("art_comment_sid",$data['Sid'],(time()+86400*90),"/","",0,1);  //90 дней
            return $this->b_insert('Articles_comment',$data,0);
        }
        public function UpdateComm($dat){
            $data = array();
            if(empty($dat['Id']))
                return FALSE;
            if(isset($dat['ArtId']))
                $data['ArtId'] = (int)$dat['ArtId'];
            if(isset($dat['ParentId']))
                $data['ParentId'] = (int)$dat['ParentId'];
            if(isset($dat['Text']))
                $data['Text'] = mav_htmltotext(trim($dat['Text']),1);
            if(isset($dat['Fio']))
                $data['Fio'] = mav_htmltotext(trim($dat['Fio']),1);
            if(isset($dat['Status']) && isset($this->com_status[$dat['Status']]))
                $data['Status'] = $dat['Status'];
            if(empty($data))
                return FALSE;
            $ret = $this->b_update('Articles_comment',$data,$dat['Id'],0);
            return $ret;
        }
        public function DeleteComm($id)
        {
            $ret = FALSE;
            $conn = $this->con();
            $id=(int)$id;
            if($id){
                $ret = $conn->query("DELETE FROM `Articles_comment` WHERE `Id` = {$id}");
                $conn->close();
                if($ret){
                    $child = $this->GetsComm(array('ParentId' => $id));
                    if($child){
                        foreach ($child as $k => $val)
                            $this->DeleteComm($k);
                    }
                }
            }
            else
                $conn->close();
            return $ret;
        }
        public function GetsComm($filtr = array(), $startRowIndex = 0, $maximumRows = FALSE, $desc = "")
        {
            $conn = $this->con();
            $ret = array('count'=>0,'data'=>array());   
            $w = '';
            $json = '';
            $select = '';
            $w_ar = array();
            if(!empty($filtr['Id']))
                array_push($w_ar,'c.Id = '.(int)$filtr['Id']);
            if(!empty($filtr['ArtId']))
                array_push($w_ar,'c.ArtId = '.(int)$filtr['ArtId']);
            if(!empty($filtr['UserId']))
                array_push($w_ar,'c.UserId = '.(int)$filtr['UserId']);
            if(isset($filtr['ParentId']))
                array_push($w_ar,'c.ParentId = '.(int)$filtr['ParentId']);
            if(empty($filtr['Adm']))
                array_push($w_ar,"(c.Status = '0' OR c.Status = '1')");
            elseif(isset($filtr['Status']))
                array_push($w_ar,"c.Status = '".(int)$filtr['Status']."'");
            if(isset($filtr['Ch_Child'])){
                $json .= ' LEFT JOIN Articles_comment as ch_ch on(c.Id = ch_ch.ParentId) ';
                $select .= ', IF(ch_ch.Id IS NULL, 0, 1) as Ch_Child ';
            }
            if(!empty($filtr['s'])){
                $filtr['s'] = trim($conn->real_escape_string($filtr['s']));
                array_push($w_ar, "`Text` LIKE '%{$filtr['s']}%'");
            }
            if(!empty($filtr['Adm'])){
                $json .= ' LEFT JOIN Articles as art on(c.ArtId = art.Id) ';
                $select .= ', art.Title as ArtTitle, art.Name ArtName';
            }
            if(!empty($w_ar))
                $w = 'WHERE '.implode(' AND ', $w_ar);
            /***********************************/                
                $lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 300';
                if(empty($desc))
                    $desc = 'c.`Id`';
                elseif($desc == 'RAND')
                    $desc = 'RAND()';
                else
                {
                    $ar = explode(' ', trim($desc));
                    if (isset($ar[1]))
                        $desc = 'c.`'.$conn->real_escape_string($ar[0]).'` DESC';
                    else
                        $desc = 'c.`'.$conn->real_escape_string($ar[0]).'`';
                }
            /*****************************************/
            $q = "
                SELECT c.*, u.Login, u.Fio as UserName {$select}
                FROM Articles_comment as c  
                LEFT JOIN user  as u ON(u.Id = c.UserId)
                {$json}              
                {$w}
                ORDER BY {$desc} {$lim}";                
            //die($q);
            $query = $conn->query($q);     
            if (!empty($query) && $query->num_rows)
            {
                if($maximumRows){
                    $query2 = $conn->query("SELECT count(*) FROM Articles_comment as c {$w}");
                    if(!empty($query2)){
                        $ret['count'] = (int)$query2->fetch_array()[0];
                        $query2->close();
                    }
                }
                while($row = $query->fetch_assoc())
                    $ret['data'][$row['Id']] = $row;
                $query->close();
            }
            $conn->close();
            return $ret;
        }


        public function GetsCommByArt($ArtId)
        {
            $ret = array('count'=>0,'data'=>array());
            if(empty($ArtId))
                return $ret;            
            $ArtId = (int)$ArtId;
            $conn = $this->con();
            $q = "SELECT c.*, u.Login, u.Fio FROM Articles_comment as c LEFT JOIN user  as u ON(u.Id = c.UserId) WHERE c.ArtId = {$ArtId} AND (c.Status = '0' OR c.Status = '1') ORDER BY Id DESC LIMIT 500";
            $query = $conn->query($q);
            $ar_dop = array();            
            if (!empty($query))
            {
                while($row = $query->fetch_assoc())
                {
                    if($row['ParentId'] > 0)
                        $ar_dop[$row['Id']] = $row;
                    else
                    {
                        $ret['data'][$row['Id']] = $row;
                        $ret['data'][$row['Id']]['child'] = array();
                    }
                }
            }
            foreach ($ar_dop as $k => $val) {
                if(isset($ret['data'][$val['ParentId']]))
                    $ret['data'][$val['ParentId']]['child'][$k] = $val;
            }
            $conn->close();
            //var_dump($ret);die();
            return $ret;
        }


        /*public function InsertRat($dat){
            if(!$GLOBALS['user_logined'] || empty($dat['Rat']) || $dat['Rat'] > 5  || empty($dat['ArtId']))
                return FALSE;
            $data = array();
            $data['UserId'] = !$GLOBALS['user_login']->data['Id'];
            $data['Ip'] = sprintf('%u', ip2long(getIP()));
            $data['ArtId'] = (int)$dat['ArtId'];
            $data['Rat'] = (int)$dat['Rat'];
            $data['AddData'] = time();
            return $this->b_insert('Articles_rat',$data,0);

        }
        public function GetRat($ArtId){
            $ret = 0;            
            $conn = $this->con();
            $query = $conn->query("SELECT count(*) as c, SUM(Rat) as r FROM Articles_rat WHERE Rat > 0 AND ArtId = ".(int)$ArtId);
            if (!empty($query))
            {      
                $row = $query->fetch_assoc();
                if(!empty($row))
                    $ret = round($row['r']/$row['c'],1,PHP_ROUND_HALF_UP);
            }
            $conn->close();
            return $ret;
        }*/
    /*****************Тех.методы**************************/
        protected function image_resize($img, $id){
            $dir_sm = & $this->srcprev_dir;
            $filename_sm = $id.'.jpg';
            if(is_file(F.$dir_sm.$filename_sm))
                unlink(F.$dir_sm.$filename_sm);
            if(empty($img) || !is_file(F.$img))
                return false;
            require_once(F."helper/classes/mav_image.php");
            $image_lib = new \mav_image();
            $config['source_image'] = F.$img;
            $config['image_library'] = 'gd2';
            $config['new_image_type'] = 2;
            $config['new_image'] = F.$dir_sm.$filename_sm;
            $config['quality'] = 65;
            $config['maintain_ratio'] = FALSE;
            $gt = getimagesize(F.$img);
            if($gt[0]/$gt[1] < 1){
                if($gt[0] > 450){
                    $config['width'] = 450;
                    $config['height'] = 'auto';
                }
            }
            else{
                if($gt[1] > 450){
                    $config['width'] = 'auto';
                    $config['height'] = 450;
                }
            }
            unset($gt);
            $config['dynamic_output'] = FALSE;
            $image_lib->initialize($config);
            $image_lib->resize();
            $image_lib->clear();
            return TRUE;
        }

}