<?php
namespace models\user;
if ( ! defined('F')) exit('Нет доступа!');
require_once(F."models/Base_model.php");

class Mess_model extends \models\Base_model
{
    var $data;
    var $count;

    function __construct(){
        $this->data = array();
        $this->count = 0;
    }
    /***************** get *************************/    
        public function Gets($f = array(), $startRowIndex=0, $maximumRows=FALSE,$desc = NULL)
        {
            global $user_login, $user_logined,$setting;
            $ret = new Mess_model;
            if(empty($f['adm']) && (!$user_logined || empty($f['folder'])))
                return $ret;
            $conn = $this->con();
            $lim = 'LIMIT 1000';
            $w = array();
            $join = '';
            $som = 'UserId';
            $lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 300';
            if(empty($desc))
                $desc = '`AddDate` DESC';
            else
            {
                $desc = $conn->real_escape_string($desc);
                $ar = explode(' ', trim($desc));
                if (isset($ar[1]))
                    $desc = '`'.$ar[0].'` DESC';
                else
                    $desc = '`'.$ar[0].'`';
            }
            if(!empty($f)){
                if(isset($f['folder']) && $user_logined){
                    $f['folder'] = (int)$f['folder'];
                    if ($f['folder'] === 2) {
                        $som = 'UserTo';
                        array_push($w, 'm.UserId = '.$user_login->data['Id']);
                    }
                    elseif($f['folder'] === 3)
                        array_push($w, '(m.UserTo = '.$user_login->data['Id'].' AND m.Active = 0)');
                    else
                        array_push($w, '(m.UserTo = '.$user_login->data['Id'].' AND m.Active = 1)');
                }
                if(isset($f['Vip']))
                    array_push($w, "m.Vip = ".(int)$f['Vip']);
                if(isset($f['Status']))
                    array_push($w, "m.Status = ".(int)$f['Status']);
                if(isset($f['ParentId']))
                    array_push($w, "m.ParentId = ".(int)$f['ParentId']);               
                /****************************************************/
                if(!empty($w))
                    $w = ' WHERE ' .implode(' AND ', $w);
            }
            $q = "SELECT m.*, IF(b.UserBlock IS NULL,0,1) as Block, u.Login as Login FROM `user_mess` as m 
            LEFT JOIN `user_mess_block` as b on(m.UserId = b.UserBlock AND m.UserTo = b.UserId)
            LEFT JOIN `user` as u ON (u.Id = m.{$som})
            {$w} ORDER BY {$desc} {$lim}";

            $query = $conn->query($q);
            //echo $q;
            if (!empty($query) && $query->num_rows)
            {
                $ret->data = $this->convertList($query);
                if($maximumRows){
                    $query2 = $conn->query("SELECT COUNT(*) FROM `user_mess` as m {$w}");
                    if(!empty($query2) && $query2->num_rows){
                        $ret->count = (int)$query2->fetch_array()[0];
                        $query2->close();
                    }
                }
            }
            $conn->close();
            return $ret;
        }  
        public function GetCountNew()
        {
            global $user_login, $user_logined,$setting;
            if(!$user_logined)
                return 0;
            $conn = $this->con();
            $ret = 0;           
            $query = $conn->query("SELECT COUNT(*) FROM `user_mess` WHERE UserTo = {$user_login->data['Id']} AND Status > 0 AND Active > 0");
            if(!empty($query) && $query->num_rows > 0){
                $ret = (int)$query->fetch_array()[0];
                $query->close();
            }
            $conn->close();
            return $ret;
        }
        public function GetIDUser($login){
            global $user_login, $user_logined,$setting;
            $ret = 0;
            if(empty($login))
                return $ret;
            $conn = $this->con();
            $login = $conn->real_escape_string($login);
            $query = $conn->query("SELECT u.Id as Id FROM `user` as `u` LEFT JOIN `user_mess_block` as b ON(u.Id = b.UserId AND b.UserBlock = {$user_login->data['Id']}) WHERE `u`.`Login` = '{$login}' AND b.UserBlock IS NULL LIMIT 1");
            //die("SELECT u.Id as Id FROM `user` as `u` LEFT JOIN `user_mess_block` as b ON(u.Id = b.UserId AND b.UserBlock = {$user_login->data['Id']}) WHERE `u`.`Login` = '{$login}' AND b.UserBlock IS NULL LIMIT 1");
            if (!empty($query)){
                $row = $query->fetch_assoc();
                if(!empty($row))
                    $ret = $row['Id'];
            }
            $conn->close();
            return $ret;
        } 
        public  function GetByID($id)
        {
            $id = (int)$id;
            $ret = NULL;
            $conn = $this->con();
            $q = "SELECT m.*, IF(b.UserBlock = null,0,1) FROM `user_mess` as m LEFT JOIN `user_mess_block` as b on(m.UserTo = b.UserBlock AND m.UserId = b.UserId) WHERE Id = {$id} LIMIT 1";
            //echo $q;
            $query = $conn->query($q);
            if (!empty($query))
            {
                $ret = $this->convert($query);
            }
            $conn->close();
            return $ret;
        }
        public  function ChBlok($id,$from){
            $id = (int)$id;
            $from = (int)$from;
            $ret = FALSE;
            $conn = $this->con();
            $query = $conn->query("SELECT * FROM `user_mess_block` WHERE `UserId` = {$id} AND `UserBlock` = {$from} LIMIT 1");
            if (!empty($query) && $query->num_rows > 0){
                $ret = TRUE;
                $query->close();
            }
            $conn->close();
            return $ret;
        }
        public  function ChBlokUs($id,$from){
            global $user_login, $user_logined,$setting;
            $id = (int)$id;
            $from = (int)$from;
            $ret = '';
            $conn = $this->con();
            $query = $conn->query("
                SELECT u.Login, u.Id FROM `user` as u 

                LEFT JOIN `user_mess_block` as b on(u.Id = b.UserId and b.UserBlock = {$from}) 

                WHERE u.`Id` = {$id} AND b.`UserBlock` IS NULL LIMIT 1
                ");
            if (!empty($query)){
                $row = $query->fetch_assoc();
                if(!empty($row))
                    $ret = $row['Login'];
                $query->close();
            }
            $conn->close();
            return $ret;
        }
    /***************** ins/up *************************/
        public  function Update($dat)
        {
            //var_dump($dat);die();
            $data = array();
            $id = 0;
            if (isset($dat['Id'])) {
                $id=(int)$dat['Id'];
            }
            else
                return false;
            if(isset($dat['Status']))
                $data['Status'] = (int)$dat['Status'];
            if(isset($dat['Vip']))
                $data['Vip'] = (int)$dat['Vip'];

            if(isset($dat['Active']))
                $data['Active'] = (int)$dat['Active'];

            if(!empty($data))
                $ret = $this->b_update('user_mess',$data,$id,0);
            return $ret;
        }
        public  function Blok($id,$from)
        {
            $ret = FALSE;
            $id = (int)$id;
            $from = (int)$from;
            if($this->ChBlok($id,$from)){
                $conn = $this->con();
                $ret = $conn->query("DELETE FROM `user_mess_block` WHERE `UserId` = {$id} AND `UserBlock` = {$from}");
                $conn->close();
            }
            else
                $ret = $this->b_insert('user_mess_block',array('UserId' => $id, 'UserBlock' => $from),0);
            return $ret;
        }

        public function Insert($dat)
        {
            global $user_login, $user_logined,$setting;

            if(isset($dat['ParetnId']))
                $data['ParetnId'] = (int)$dat['ParetnId'];
            if(isset($dat['UserId']))
                $data['UserId'] = (int)$dat['UserId'];
            if(isset($dat['UserTo']))
                $data['UserTo'] = (int)$dat['UserTo'];

            if(isset($dat['Title']))
                $data['Title'] = mav_htmltotext(trim($dat['Title']));
            if(isset($dat['Text']))
                $data['Text'] = chHtmlTag($dat['Text']);

            $data['AddDate'] = time();
            $data['Active'] = 1;

            $id = $this->b_insert('user_mess',$data,0);
            return $id;
        }
        public  function Delete($id)
        {
            $conn = $this->con();
            $id=(int)$id;
            $ret = $conn->query("DELETE FROM `user_mess` WHERE `Id` = {$id}");
            $conn->close();
            return $ret;
        }

    /*****************SLUG*************************/

        function convert(&$query)
        {
            $row = $query->fetch_assoc();
            if(empty($row)){
                $query->close();
                return NULL;
            }
            else
            {
                $query->close();
                return $row;
            }
        }
        function convertList(&$query)
        {
            $ret = array();
            while($row = $query->fetch_assoc())
                array_push($ret, $row);
            $query->close();
            return $ret;
        }
        
}