<?php
	namespace models\user;
	if ( ! defined('F')) exit('Нет доступа!');
	require_once(F."models/Base_model.php");
	
	class User_model extends \models\Base_model
	{
		var $data;
		var $count;
		function __construct(){
			$this->data = array();
			$this->count = 0;
		}
		/******************************************/
		function Login($Login, $pass){
			$ret = array();
			$ret[0] = FALSE;
			$ret[1] = 'Произошла неизвестная ошибка! Повторите попытку позже';
			$use = $this->GetByLogin($Login,0);
			if(empty($use)){
				$ret[1] = 'Нет такого пользователя';
				$this->Insert_login_error_log();
				return $ret;
			}
			elseif($use->data['Active'] < 0){
				$ret[1] = 'Ваш аккаунт заблокирован! Обратитесь к администратору';
				return $ret;
			}
			elseif($use->data['Active'] == 0){
				$ret[1] = 'Ваш аккаунт не активен! Обратитесь к администратору';
				return $ret;
			}
			$data = array();
			if(password_verify($pass, $use->data['Pass'])) {
				$Sid = mavrandom(30);
				$data['LastIp'] = sprintf('%u', ip2long(IP));
				$data['LastActive'] = time();
				$data['Sid'] =  $Sid;
				$data['Id'] =  $use->data['Id'];
				$data['ch'] = 0;
				//$data['PassErr'] = 0;
				if($this->Update($data)){
					$t = time()+86400*30;   //30 дней
					setcookie("User",$Sid,$t,"/","",0,1);
					$ret[0] = TRUE;
					$ret[1] = $use;
					$this->Insert_login_log($use->data['Id']);
					return $ret;
				}
				$this->Insert_login_error_log();
				return $ret;
			}
			else{
				$ret[1] = 'Неверный пароль';
				$this->Insert_login_error_log();
				return $ret;
			}
		}
		function Logout(){
			unset($_COOKIE['User']);
			$_SESSION['user_ch_id'] = '';
			setcookie("User");
			$data = array();
			$data['Sid'] =  '';
			$data['ch'] = 0;
			$this->Update($data);
			return TRUE;
		}
		function get(){
			return empty($_COOKIE['User']) ? NULL : $this->GetBySid($_COOKIE['User']);
		}
		/*function activate(){
			if(!isset($_GET['email'],$_GET['key'],$_GET['Login']))
			return 'Нет такого пользователя';
			$use = $this->GetByLogin(iget('Login'),0);
			if(empty($use))
			return 'Нет такого пользователя';
			if($use->data['Email'] != iget('email') || $use->data['ActivateKey'] != iget('key'))
			return 'Нет такого пользователя';
			$data = array();
			$data['Id'] =  $use->data['Id'];
			$data['Active'] = '1';
			$data['ch'] = 0;
			if(!$this->Update($data))
			return "Произошла ошибка!";
			return 1;
		}*/
		/*****************GETы**************************************/
		public function Gets($filtr=array(), $startRowIndex=0, $maximumRows=FALSE, $desc='')
		{
			$conn = $this->con();
			$ret = new User_model;         
			$lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 300';
			$w = array();
			if(isset($filtr['Active']) && ($filtr['Active'] == '-1' || $filtr['Active'] == '0' || $filtr['Active'] == '1')){
				array_push($w, "u.Active = '".$filtr['Active']."'");
			}
			if(!empty($filtr['s'])){
				$s = trim($conn->real_escape_string($filtr['s']));
				array_push($w, "(u.Login LIKE '%{$s}%' OR u.Email LIKE '%{$s}%' OR u.Id = '{$s}')");
				unset($s);
			}
			if(!empty($filtr['Ip'])){
				$s = $conn->real_escape_string(trim($filtr['Ip']));
				if(stripos($s, '.') !== FALSE)
				$s = sprintf('%u', ip2long($s));
				array_push($w, "(u.Ip = {$s} OR u.LastIp = {$s})");
				unset($s);
			}
			
			if(isset($filtr['Id'])){
				if(!is_array($filtr['Id']))
				$filtr['Id'] = explode(',', $filtr['Id']);
				for ($i=0; $i < count($filtr['Id']); $i++)
				$filtr['Id'][$i] = (int)$filtr['Id'][$i];
				array_push($w, 'u.`Id` IN ('.implode(',', $filtr['Id']).')');
			}
			
			/*if(!empty($filtr['City'])){
				require_once(F."models/ut/GeoIp_model.php");
				$geoip_m = new \models\ut\GeoIp_model;
				$t_c = $geoip_m->diapazonByCity($filtr['City']);
				if (empty($t_c)) 
				return $ret;
				$t = '';
				foreach ($t_c as $val) {
				$t .= " OR (u.Ip > " .(($val['start'])-1)." and u.Ip < ".(($val['end'])+1).") OR (u.LastIp > " .(($val['start'])-1)." and u.LastIp < ".(($val['end'])+1).")";
				}
				array_push($w, '('.trim($t,' OR').')');
				unset($s);
			}            */
			if(!empty($w))
			$w = " WHERE ".implode(' AND ', $w);
			else
			$w = '';
			$desc = $conn->real_escape_string($desc);
			if(empty($desc))
			$desc = '`u`.`Id` DESC';
			else
			{
				$ar = explode(' ', trim($desc));
				if (isset($ar[1]))
				$desc = '`u`.`'.$ar[0].'` DESC';
				else
				$desc = '`u`.`'.$ar[0].'`';
			}
			//die("SELECT * FROM `user` as `u`  {$w} ORDER BY {$desc} {$lim}");
			$query = $conn->query("SELECT * FROM `user` as `u`  {$w} ORDER BY {$desc} {$lim}");
			if (!empty($query) && $query->num_rows)
			{
				$ret->data = $this->convertList($query);
				if($maximumRows){
					$query2 = $conn->query("SELECT COUNT(*) FROM `user` as `u` {$w}");
					if(!empty($query2)){
						$ret->count  = (int)$query2->fetch_array()[0];
						$query2->close();
					}
				}
			}
			$conn->close();
			return $ret;
		}
		public function GetsEmails($filtr=array(), $startRowIndex=0, $maximumRows=FALSE, $fio = FALSE)
		{
			$conn = $this->con();
			$ret = array();
			$lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 1000';
			$w = array();
			if(isset($filtr['Active']) && ($filtr['Active'] == '-1' || $filtr['Active'] == '0' || $filtr['Active'] == '1')){
				array_push($w, "u.Active = '".$filtr['Active']."'");
			}
			/*if(!empty($filtr['s_city'])){
				require_once(F."models/ut/GeoIp_model.php");
				$geoip_m = new \models\ut\GeoIp_model;
				$t_c = $geoip_m->diapazonByCity($filtr['s_city']);
				if (empty($t_c)) 
				return $ret;
				$t = '';
				foreach ($t_c as $val) {
				$t .= " OR (u.Ip > " .(($val['start'])-1)." and u.Ip < ".(($val['end'])+1).")";
				}
				array_push($w, '('.trim($t,' OR').')');
				unset($s);
			}*/
			if(!empty($w))
			$w = " WHERE ".implode(' AND ', $w);
			else
			$w = '';
			$select = $fio ? ', Fio' : '';
			$query = $conn->query("SELECT Email{$fio} FROM `user` as `u`  {$w} {$lim}");
			if (!empty($query) && $query->num_rows)
			{
				while($row = $query->fetch_assoc())
				if($fio)
				array_push($ret, $row);
				else
				array_push($ret, $row['Email']);
			}
			$conn->close();
			return $ret;
		}
		public  function GetByID($id, $active = TRUE, $profil = FALSE, $select_type = 'Id')
		{
			$ret = NULL;
			$conn = $this->con();
			$join = $profil ? "LEFT JOIN `user_profil` as `p` USING (`Id`)" : '';
			$w = '';
			if($select_type == 'Id')
			$w = '`u`.`Id` = '.(int)$id;
			elseif($select_type == 'Login')
			$w = "`u`.`Login` = '".$conn->real_escape_string($id)."'";
			else
			$w = "`u`.`Sid` = '".$conn->real_escape_string($id)."'";
			if($active)
			$w .= " AND u.`Active` = '1'";
			$q = "SELECT * FROM `user` as `u` {$join} WHERE {$w} LIMIT 1";
			//die($q);
			$query = $conn->query($q);
			if (!empty($query) && $query->num_rows)
			$ret = $this->convert($query);
			$conn->close();
			return $ret;
		}
		public function GetByLogin($Login, $ak = 1, $profil = FALSE){ return $this->GetByID($Login, $ak, $profil, 'Login');}
		public function GetBySid($Login, $ak = 1, $profil = FALSE){ return $this->GetByID($Login, $ak, $profil, 'Sid');}
		
		/******************ref******************************/
		public function GetRefByPlus($Ref){
			global $setting;
			$ret = array();
			$conn = $this->con();
			$select = 'lv1.Id as lv1_Id, lv1.Money as lv1_Money, lv1.MoneyR as lv1_MoneyR, lv1.Visit as lv1_Visit';
			$join = '';
			if($setting['main']['user']['ref_ur'] > 1){
				for ($i=2; $i <= $setting['main']['user']['ref_ur']; $i++){
					$join .= " LEFT JOIN `user` as lv{$i} on(lv{$i}.Id = lv".($i-1).".Ref) ";
					$select .= ", lv{$i}.Id as lv{$i}_Id, lv{$i}.Money as lv{$i}_Money, lv{$i}.MoneyR as lv{$i}_MoneyR, lv{$i}.Visit as lv{$i}_Visit";
				}
			}
			$where = 'WHERE lv1.Id = '.(int)$Ref;
			$q = "SELECT {$select} FROM `user` as lv1 {$join} {$where} LIMIT 1";
			//echo $q;
			$query = $conn->query($q);
			if (!empty($query) && $query->num_rows){
				$row = $query->fetch_assoc();
				if(!empty($row)){
					for($i=1; $i <= $setting['main']['user']['ref_ur']; $i++) {
						if(empty($row["lv{$i}_Id"]))
						continue;
						$ret[$row["lv{$i}_Id"]] = array('Id'=>$row["lv{$i}_Id"],'Money'=>$row["lv{$i}_Money"],'MoneyR'=>$row["lv{$i}_MoneyR"],'Visit'=>$row["lv{$i}_Visit"],'lv' => $i);
					}
				}
			}
			$conn->close();
			return $ret;
		}
		public function getRefCount($id){
			global $setting;
			$ret = array();
			$conn = $this->con();
			$select = "count(DISTINCT ur1.Id) as Lv1";
			$join = '';
			if($setting['main']['user']['ref_ur'] > 1){
				for ($i=2; $i <= $setting['main']['user']['ref_ur']; $i++){
					$join .= " LEFT JOIN `user` as ur{$i} on(ur{$i}.ref = ur".($i-1).".Id) ";
					$select .= ", count(DISTINCT ur{$i}.Id) as Lv{$i}";
				}
			}
			$q = "SELECT {$select} FROM `user` as ur1 {$join} WHERE ur1.Ref = ".(int)$id;
			$query = $conn->query($q);
			if (!empty($query) && $query->num_rows)
			$ret = $query->fetch_assoc();
			$conn->close();
			return $ret;
		}
		public function getRef($id, $ur = 1, $startRowIndex = 0, $maximumRows = FALSE, $desc = NULL){
			// global $setting;
			  global $user_logined, $setting;
			$ret = new User_model;
			$id = (int)$id;
			$ur = (int)$ur;
			if($ur > $setting['main']['user']['ref_ur'])
			return $ret;
		       // if(empty($f['adm']) && (!$user_logined || empty($f['folder'])))
                // return $ret;
			
			
			
			$conn = $this->con();
			if(empty($desc))
                $desc = '`AddDate` DESC';
            else
            {
			$ar = explode('_', trim($desc));
			if (isset($ar[1]))
				$desc = $ar[0].' DESC';
				else
				$desc = $desc;
			if($desc == 'MoneyForRef' || $desc == 'MoneyForRef DESC'){
			if (isset($ar[1]))
			$desc = 'MoneyForRef_'.$ur.' DESC';
			else
			$desc = 'MoneyForRef_'.$ur;
			}
                $desc = $conn->real_escape_string($desc);
                $ar = explode(' ', trim($desc));
                if (isset($ar[1]))
                    $desc = '`'.$ar[0].'` DESC';
                else
                    $desc = '`'.$ar[0].'`';
            }
			
			            // if(!empty($f)){
						// if(isset($f['lv']) && $user_logined){
			

			$lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 300';
			$select = "ur{$ur}.Login, ur{$ur}.Id, ur{$ur}.`AddDate`, ur{$ur}.`Referer`, ur{$ur}.MoneyForRef_{$ur}, ur{$ur}.`LastActive`";
			$sort = "ORDER BY ur{$ur}.{$desc}";
			$w = "WHERE ur1.Ref = {$id} AND ur{$ur}.Id IS Not NULL";
			$join = '';
			if($ur > 1){
				for ($i=2; $i <= $ur; $i++)
				$join .= " LEFT JOIN `user` as ur{$i} on(ur{$i}.ref = ur".($i-1).".Id) ";
			}
						// }
						// }
			$q = "SELECT {$select} FROM `user` as ur1 {$join} {$w} {$sort} {$lim}";
			$query = $conn->query($q);
			if (!empty($query) && $query->num_rows)
			{
				$ret->data = $this->convertList($query);
				if($maximumRows){
					$query2 = $conn->query("SELECT COUNT(*) FROM `user` as ur1 {$join} {$w}");
					if(!empty($query2)){
						$ret->count  = (int)$query2->fetch_array()[0];
						$query2->close();
					}
				}
			}
			$conn->close();
			return $ret;
		}
		/******************************************/

		public function GetProfil($id = FALSE){
			if(!$id){
				if(!empty($this->data['Id']))
				$id = $this->data['Id'];
				else
				return FALSE;
			}
			else
			$id = (int)($id);
			$conn = $this->con();  
			$ret = NULL;            
			$query = $conn->query("SELECT * FROM `user_profil` WHERE `Id` = {$id}  LIMIT 1");
			if(!empty($query) && $query->num_rows){
				$row = $query->fetch_assoc();
				if(!empty($row))
				$ret = $row;
				$query->close();
			}
			$conn->close();
			return $ret;
		}
		/***********************Уп и Инс***************************/
		public  function Update($dat)
		{
			$data = array();
			$ret = FALSE;
			$Title = '';
			$id = 0;
			if (isset($dat['Id'])) {
				$id=(int)$dat['Id'];
			}
			else
			return false;
			if(!empty($dat['Login'])){
				$data['Login'] = mav_htmltotext(trim($dat['Login']));
				if($this->ch_up($id, 'Login', $data['Login']))
				return FALSE;
			}
			if(!empty($dat['Pass']))
			$data['Pass'] = password_hash(trim($dat['Pass']), PASSWORD_DEFAULT);
			if(!empty($dat['Email'])){
				$data['Email'] = mav_htmltotext($dat['Email']);
				if($this->ch_up($id, 'Email', $data['Email']))
				return FALSE;
			}
			if(isset($dat['LastActive']))
			$data['LastActive'] = time();
			if(isset($dat['LastIp']))
			$data['LastIp'] = sprintf('%u', ip2long(IP));
			if(!empty($dat['Fio']))
			$data['Fio'] = mav_htmltotext(trim($dat['Fio']));
			if(isset($dat['Active']))
			$data['Active'] = trim($dat['Active']);
			if(isset($dat['Sid']))
			$data['Sid'] = $dat['Sid'];
			if(!empty($dat['Ref']))
			$data['Ref'] = (int)$dat['Ref'];
			if(isset($dat['CaptErr']))
			$data['CaptErr'] = (int)$dat['CaptErr'];
			if(isset($dat['purse_payeer']))
			$data['purse_payeer'] = $dat['purse_payeer'];
			if(isset($dat['purse_faucetpay']))
			$data['purse_faucetpay'] = $dat['purse_faucetpay'];
			if(isset($dat['purse_qiwi']))
			$data['purse_qiwi'] = $dat['purse_qiwi'];
			if(isset($dat['purse_advcash']))
			$data['purse_advcash'] = $dat['purse_advcash'];
			if(isset($dat['purse_perfect']))
			$data['purse_perfect'] = $dat['purse_perfect'];
			if(isset($dat['purse_webmoney']))
			$data['purse_webmoney'] = $dat['purse_webmoney'];
			if(isset($dat['purse_paypal']))
			$data['purse_paypal'] = $dat['purse_paypal'];
			if(isset($dat['purse_ethereum']))
			$data['purse_ethereum'] = $dat['purse_ethereum'];

			/*if(isset($dat['Score']))
				$data['Score'] = (float)$dat['Score'];
				if(isset($dat['Visit_Money']))
			$data['Visit_Money'] = (float)$dat['Visit_Money'];*/
			
			if(!empty($data))
			$ret = $this->b_update('user',$data,$id,0);
			$prof = array();
			if(isset($dat['DateRd']))
			$prof['DateRd'] = (int)$dat['DateRd'];
			if(isset($dat['Region']))
			$prof['Region'] = (int)$dat['Region'];
			if(isset($dat['Obl']))
			$prof['Obl'] = (int)$dat['Obl'];
			if(isset($dat['Pol']))
			$prof['Pol'] = (int)$dat['Pol'];
			if(isset($dat['City']))
			$prof['City'] = (int)$dat['City'];
			if(isset($dat['Country']))
			$prof['Country'] = mav_htmltotext(trim($dat['Country']));
			if(isset($dat['Avatar']))
			$prof['Avatar'] = mav_htmltotext(trim($dat['Avatar']));
			if(isset($dat['Score']))
			$data['Score'] = mav_float($dat['Score']);
			if(isset($dat['Bonus']))
			$data['Bonus'] = mav_float($dat['Bonus']);
			if(!empty($prof))
			$this->b_update('user_profil',$prof,$id,0);
			return $ret;
		}
		public function Insert($dat)
		{
			global $user_login, $user_logined,$setting;
			$data = array();
			if(empty($dat['Login']) || empty($dat['Pass']) || empty($dat['Email']))
			return false;
			$data['Login'] = mav_htmltotext(trim($dat['Login']));
			$data['Email'] = mav_htmltotext(trim($dat['Email']));
			if($this->b_chekArr('user', array('Email' => $data['Email'],'Login' => $data['Login']),'OR'))
			return FALSE;   
			$data['Pass'] = password_hash(trim($dat['Pass']), PASSWORD_DEFAULT);
			$data['AddDate'] = $data['LastActive'] = time();
			$data['LastIp'] = $data['Ip'] = sprintf('%u', ip2long(IP));
			$data['Sid'] = $Sid = mavrandom(30);
			//$data['ActivateKey'] = mavrandom(20);
			$data['Referer'] = empty($_SESSION['HTTP_REFERER']) ? '' : $_SESSION['HTTP_REFERER'];
			$data['Active'] = '1';            
			$data['Fio'] = isset($dat['Fio']) ? mav_htmltotext(trim($dat['Fio'])) : $data['Login'];
			if(!empty($dat['Ref']))
			$data['Ref'] = (int)$dat['Ref'];
			$data['Money'] = 0;
			$data['MoneyR'] = 0;
			$data['Visit'] = 0;
			$data['Score'] = 0;
			$data['Bonus'] = 0;
			if(($ret = $this->b_insert('user',$data,0))){
				/***********Профиль*****************************/
				$profil = array();                
				require_once(F."models/ut/GeoIp_model.php");
				$geoip_m = new \models\ut\GeoIp_model;
				/*$geoip = $geoip_m->getRecord(IP);
					if(!empty($geoip)){
					$profil['Country'] = $geoip['CountryCode'];
					$profil['Obl'] = $geoip['OblId'];
					$profil['City'] = $geoip['CityId'];
					//$profil['Region'] = $geoip->data['RegId'];
				}*/     
				$gb = $geoip_m->gb();
				$g_data = $gb->getRecord(IP);
				if(!empty($g_data) && !empty($g_data["cc"])){
					$profil['Country'] = $g_data["cc"];
					$profil['City'] = empty($g_data["city_id"]) ? 0 : $g_data["city_id"];
					if($profil['City'])
					$profil['Obl'] = $geoip_m->getOblByCiti($profil['City']);
					else
					$profil['Obl'] = 0;
				}
				/*******************************************/
				$profil['Id'] = $ret;
				$this->b_insert('user_profil',$profil,0);
				/***************Вход*****************************/
				$t = time()+86400*30;   //30 дней
				setcookie("User",$Sid,$t,"/","",0,1);
				$this->Insert_login_log($ret);
				/**********Отправляем уведомление с данными на Email пользователя***************/
				$data['Pass_i'] = $dat['Pass'];
				/******************************************************************************/
			}
			return $ret;
		}
		public  function Delete($id)
		{
			$admin = checkAdmin();
			if($admin !== false){
				if($admin == 'test')
				return 1;
			}
			else
			die('Нет доступа!');
			$conn = $this->con();
			$id=(int)$id;
			$ret = $conn->query("DELETE FROM `user` WHERE `Id` = {$id}");
			$conn->close();
			return $ret;
		}
		public function UpLastDate()
		{
			if(empty($this->data['Id']))
			return FALSE;
			return $this->b_update('user',array('LastActive'=>time(), 'LastIp' => sprintf('%u', ip2long(IP))),$this->data['Id'],0);
		}
		/***********************Служебные*********************************/
		private function ch_up($id, $k, $val)
		{
			$conn = $this->con();
			$k = $conn->real_escape_string($k);
			$val = $conn->real_escape_string($val);
			$id = (int)$id;
			$ret = FALSE;      
			$query = $conn->query("SELECT * FROM `user` WHERE `{$k}` = '{$val}' AND Id <> {$id} LIMIT 1");
			if (!empty($query) && $query->num_rows > 0){
				$ret = TRUE;
				$query->close();
			}
			$conn->close();
			return $ret;
		}
		public function chek($k,$v){return $this->b_chek('user',$k,$v);}
		public function passrecovery1($Email){
			$ret = "Произошла ошибка. Повторите попытку позже";
			$conn = $this->con();
			$Email = $conn->real_escape_string(trim($Email));
			$query = $conn->query("SELECT * FROM `user` as `u` LEFT JOIN user_passrecovery as r ON(r.UserId = u.Id) WHERE u.Email = '{$Email}' LIMIT 1");
			if (!empty($query) && $query->num_rows){
				$row = $query->fetch_assoc();
				if(!empty($row['RecoveryData']) && $row['RecoveryData'] > time()-1*1){
					$tm = $row['RecoveryData'] - (time()-1*1);
					$ret = 'Произошла ошибка! Нельзя использовать эту функцию так часто. Повторите через '.(round($tm/1,0)).' минут';
				}
				else{
					if(!empty($row['RecoveryCode']))
					$conn->query("DELETE FROM `user_passrecovery` WHERE `UserId` = {$row['Id']}");
					$d = array();
					$mail_data = array();
					$d['RecoveryCode'] = mavrandom(20);
					$d['RecoveryData'] = time();
					$d['UserId'] = $row['Id'];
					/*$d['ch'] = 0;*/
					if($this->b_insert('user_passrecovery',$d,0))
					{                
						$mail_data['To'] = $row['Email'];
						$mail_data['Tema'] = $GLOBALS['setting']['main']['org'].' - Восстановление пароля';
						$row['d'] = $d;
						$mail_data['Body'] = \view\content_show('mails/pass.php', $row, TRUE);
						if(mav_sendmail($mail_data))
						$ret = '';
						else
						$ret = 'Произошла ошибка! Не удалось отправить сообщение на Ваш E-mail';
					}
				}
			}
			else
			$ret = 'Произошла ошибка! Нет такого пользователя';
			$conn->close();            
			return $ret;
		}
		public function passrecovery2(){
			if(!isset($_GET['email'],$_GET['login'],$_GET['key']))
			return FALSE;
			$ret = FALSE;
			$conn = $this->con();
			$Login = $conn->real_escape_string(urldecode(trim($_GET['login'])));
			$Email = $conn->real_escape_string(trim($_GET['email']));
			$RecoveryCode = $conn->real_escape_string(trim($_GET['key']));
			$query = $conn->query("SELECT u.*,r.RecoveryData,r.RecoveryCode FROM `user` as `u` INNER JOIN user_passrecovery as r ON(r.UserId = u.Id) WHERE u.Login = '{$Login}' AND u.Email = '{$Email}' AND RecoveryCode = '{$RecoveryCode}' AND RecoveryData > ".(time()-60*60*12)." LIMIT 1");
			if (!empty($query) && $query->num_rows){
				$row = $query->fetch_assoc();
				$d = array();
				$n_pass = mavrandom(8);
				$d['Pass'] = $n_pass;
				$d['Id'] = $row['Id'];
				if($this->Update($d)){
					$conn->query("DELETE FROM `user_passrecovery` WHERE `UserId` = {$row['Id']}");
					$mail_data['To'] = $row['Email'];
					$mail_data['Tema'] = $GLOBALS['setting']['main']['org'].' - Восстановление пароля';
					$row['n_pass'] = $n_pass;
					$row['d'] = $d;
					$mail_data['Body'] = \view\content_show('mails/pass2.php', $row, TRUE);
					$ret = mav_sendmail($mail_data);
				}
			}
			$conn->close();
			return $ret;
		}
		function activeMail($data){
			global $setting; 
			$mail_data['To'] = $data['Email'];
			$mail_data['Tema'] = $GLOBALS['setting']['main']['org'].' - Успешная регистрация';
			$mail_data['Body'] = \view\content_show('mails/activate.php', $data, TRUE);
			$ret = mav_sendmail($mail_data);
		}
		function convert(&$query)
		{
			$row = $query->fetch_assoc();
			if(empty($row)){
				$query->close();
				return NULL;
			}
			else
			{
				$el = new User_model();
				$el->data = $row;
				if(isset($row['Ip']))
				$el->data['Ip'] = long2ip($row['Ip']);
				if(isset($row['LastIp']))
				$el->data['LastIp'] = long2ip($row['LastIp']);
				$query->close();
				return $el;
			}
		}
		function convertList(&$query)
		{
			$ret = array();
			while($row = $query->fetch_assoc())
			{
				if(isset($row['Ip']))
				$row['Ip'] = long2ip($row['Ip']);
				if(isset($row['LastIp']))
				$row['LastIp'] = long2ip($row['LastIp']);
				array_push($ret, $row);
			}
			$query->close();
			return $ret;
		}
		
		
		/******************************Money*************************/
		public function get_money_ref_total($id_user){
			$money_ref_total = FALSE;
			$conn = $this->con();
			$query = $conn->query("SELECT `MoneyRef` FROM `user` WHERE `Id` = $id_user LIMIT 1"); 
			if (!empty($query))
			{
				$row = $query->fetch_assoc();
				if(!empty($row))
				$money_ref_total = $row['MoneyRef'];
				$query->close();
			}
			$conn->close();
			return $money_ref_total;
		}

		public function ollMoney(){
			$conn = $this->con();
			$ret = array();
			$ret['Money'] = 0;
			$ret['MoneyR'] = 0;
			$query = $conn->query("SELECT SUM(`Money`) AS `Money`, SUM(`MoneyR`) AS `MoneyR`, SUM(`Visit`) AS `Visit` FROM `user`");
			if (!empty($query) && $query->num_rows)
			{
				$row = $query->fetch_assoc();
				if(!empty($row)){
					$ret['Money'] = round($row['Money'],2,PHP_ROUND_HALF_UP);
					$ret['MoneyR'] = round($row['MoneyR'],2,PHP_ROUND_HALF_UP);
					$ret['Visit'] = round($row['Visit'],2,PHP_ROUND_HALF_UP);
				}
				$query->close();
			}
			$conn->close();
			return $ret;
		}
		public function MoneyPlus($id,$sum, $type, $us = NULL){
			return $this->_MoneyUp($id,$sum,$type,$us);
		}
		public function MoneyMinus($id,$sum, $type, $us = NULL){
			return $this->_MoneyUp($id,($sum*-1),$type, $us);
		}
		private function _MoneyUp($id,$sum, $type, $us = NULL){
			if(!empty($us) && isset($us->data))
			$us = $us->data;
			$conn = $this->con();
			$id = (int)$id; 
			$type = (int)$type;    
			/*$sum = preg_replace('~[^0-9\.\,\-]~ius', '', $sum);
			$sum = preg_replace('~,~ius', '.', $sum);*/
			$sum = (float)$sum;    
			if(!$id || !$type)
			return false;
			$money_col = FALSE;
			$query = $conn->query("SELECT `MoneyType` FROM `user_money_log_type` WHERE `Id` = $type LIMIT 1"); 
			if (!empty($query) && $query->num_rows)
			{
				$row = $query->fetch_assoc();
				if(!empty($row))
				$money_col = $row['MoneyType'];
				$query->close();
			}
			if(empty($money_col))
			return FALSE;
			
			if(empty($us) || $us['Id'] != $id || !isset($us['Money'],$us['MoneyR'],$us['Visit'],$us['MoneyRef'])){
				$us = NULL;
				$query = $conn->query("SELECT `Money`,`MoneyR`,`Visit`,`MoneyRef` FROM `user` WHERE `Id` = $id LIMIT 1"); 
				if (!empty($query) && $query->num_rows)
				{
					$row = $query->fetch_assoc();
					if(!empty($row))
					$us = $row;
					$query->close();
				}
			}
			if(empty($us))
			return FALSE;
			$t_money = $us[$money_col] + $sum;   
			
			if($t_money < 0)
			$t_money = 0;
		// Добавление рейтинга пользователю за выполнение серфинга или задания.
			$rating = (0.1*1);
			$ret = $conn->query("UPDATE `user` SET `rating` = `rating` + {$rating} WHERE `Id` = {$id}");
		// ==
		
			$ret = $conn->query("UPDATE `user` SET `{$money_col}` = {$t_money} WHERE `Id` = {$id}");
			if($ret && $type != 38 && $type != 39 && $type != 40 && $type != 41){
				$Money = ($money_col == 'Money') ? $t_money : $us['Money'];
				$MoneyR = ($money_col == 'MoneyR') ? $t_money : $us['MoneyR'];
				$Visit = ($money_col == 'Visit') ? $t_money : $us['Visit'];
				$conn->query("INSERT INTO `user_money_log`
				(`UserId`, `AddDate`, `Type`, `Money`, `MoneyR`, `Visit`, `Summ`) VALUES 
				({$id}, ".time().", {$type}, {$Money}, {$MoneyR}, {$Visit}, {$sum})");
			}
			$conn->close();
			return $ret;
		}
		/**************************Логи****************************************/
		public function MoneyStat($UserId, $time = 24){
			//5 - пополнение
			//6 - запрос на вывод
			//9 - на рефах
			$conn = $this->con();
			$UserId = (int)$UserId;
			$ret = array('5'=>0,'6'=>0,'9'=>0);
			$t = '';
			if($time)
			$t = ' AND `AddDate` > '.(time() - $time*60*60);
			$q = "SELECT SUM(ABS(`Summ`)) AS `Money`, Type 
			FROM `user_money_log` 
			where `UserId` = {$UserId} AND ( Type = 5 OR Type = 6  OR Type = 9 ) {$t} GROUP BY `Type` LIMIT 100";
			$query = $conn->query($q);
			if(!empty($query) && $query->num_rows){
				while($row = $query->fetch_assoc())
				$ret[$row['Type']] = $row['Money'];
				$query->close();
			}
			$conn->close();
			return $ret;
			
		}
		public function GetMoneylog($filtr,$startRowIndex = 0, $maximumRows = FALSE){
			$UserId = 0;
			if(isset($filtr['UserId']))
			$UserId = (int)$filtr['UserId'];
			if(empty($UserId))
			return false;
			$conn = $this->con();
			$ret = array('data'=>array(),'count'=>0);        
			$lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 500';
			$w = "WHERE l.`UserId` = {$UserId} AND t.Id IS NOT NULL";
			if(!empty($filtr['dateMax']))
			$w .= ' AND AddDate > '.(time() - ($filtr['dateMax'] * 24 * 60 * 60));
			if(isset($filtr['Type']))
			$w .= ' AND Type = '.(int)$filtr['Type'];
			if(isset($filtr['MoneyType']))
			$w .= " AND l.MoneyType = '".$conn->real_escape_string($filtr['MoneyType'])."'";
			$q = "SELECT l.*,t.Title,t.MoneyType FROM `user_money_log` as l
			LEFT JOIN `user_money_log_type` as t ON(l.Type = t.Id)
			{$w}
			ORDER BY `AddDate` DESC {$lim}";
			$query = $conn->query($q);
			if (!empty($query) && $query->num_rows)
			{
				while($row = $query->fetch_assoc())
				array_push($ret['data'], $row);
				$query->close();
				if($maximumRows){
					$query2 = $conn->query("SELECT COUNT(*) FROM `user_money_log` as l LEFT JOIN `user_money_log_type` as t ON(l.Type = t.Id) {$w}");
					if(!empty($query2)){
						$ret['count']  = (int)$query2->fetch_array()[0];
						$query2->close();
					}
				}
			}
			$conn->close();
			return $ret;
		}
		public function GetsMoneyLogType($UserId = FALSE)
		{
			$ret = array();
			$conn = $this->con();
			$q = !empty($UserId) ? "SELECT t.* FROM `user_money_log_type` AS t LEFT JOIN `user_money_log` AS l ON (t.Id = l.Type AND l.`UserId` = ".(int)$UserId.") WHERE l.UserId IS NOT NULL GROUP BY t.Id ORDER BY t.Id" : "SELECT * FROM `user_money_log_type` ORDER BY Id";
			$query = $conn->query($q);
			if (!empty($query) && $query->num_rows)
			{
				while($row = $query->fetch_assoc())
				$ret[$row['Id']] = $row;
			}
			$conn->close();
			return $ret;
		}
		/************************/
		/*****************************************************************************/
		public function Insert_login_log($id){
			$ip = sprintf('%u', ip2long(IP));
			/****************Нарушение, мультиакк*****************/
			if(isset($_SESSION['user_ch_id']) && $_SESSION['user_ch_id'] != $id)
			$this->b_insert('user_narush', array(
  'Id' => $id,
  'IdTo' => isset($_SESSION['user_ch_id']) && $_SESSION['user_ch_id'] !== '' ? (int)$_SESSION['user_ch_id'] : 0,
  'AddDate' => time(),
  'Type' => 'session'
), 0);

			elseif(isset($_POST['stg']) && $_POST['stg'] != $id)
		$this->b_insert('user_narush', array(
  'Id' => $id,
  'IdTo' => isset($_POST['stg']) && $_POST['stg'] !== '' ? (int)$_POST['stg'] : 0,
  'AddDate' => time(),
  'Type' => 'stg'
), 0);

			$nip = array();
			$conn = $this->con();
			$query = $conn->query("SELECT Id FROM `user` WHERE (Ip = {$ip} OR LastIp = {$ip}) AND `Id` <> {$id} LIMIT 50");
			if (!empty($query) && $query->num_rows)
			{
				while($row = $query->fetch_assoc())
				array_push($nip, $row['Id']);
			}
			$conn->close();
			if(!empty($nip))
			$this->b_insert('user_narush_ip',array('Id'=>$id,'IdTo'=>implode(',',$nip),'AddDate'=>time()),0);
			/****************************************************/
			$data = array('UserId' => (int)$id, 'Ip' => $ip, 'UseAgent' => $_SERVER['HTTP_USER_AGENT'],'AddDate'=>time());
			$this->b_insert('user_login_log',$data,0);
		}
		public function Gets_login_log($id,$limit = 10){
			$conn = $this->con();
			$ret = array();
			$id = (int)$id; 
			$limit = (int)$limit;
			$query = $conn->query("
			SELECT ll.`AddDate`,ll.`UseAgent`,ll.`Ip`
			FROM `user_login_log` as ll
			WHERE ll.`UserId` = {$id} ORDER BY ll.`AddDate` DESC LIMIT {$limit}
			");
			if (!empty($query) && $query->num_rows)
			{
				require_once F."helper/classes/geoip/ipgeobase.php";
				$gb = new \IPGeoBase();
				while($row = $query->fetch_assoc()){
					$row['AddDate'] = date('d.m.Y H:i', $row['AddDate']);
					$row['Ip'] = long2ip($row['Ip']);
					
					$dataip = $gb->getRecord($row['Ip']);
					if(!empty($dataip) && !empty($dataip["cc"])){
						$row['CountryCode'] = $dataip["cc"];
						$row['City'] = empty($dataip["city"]) ? '' : $dataip["city"];
						$row['Obl'] = empty($dataip["region"]) ? '' : $dataip["region"];
						$row['Country'] = empty($dataip["country"]) ? '' : $dataip["country"];
					}
					
					array_push($ret, $row);
				}
				$query->close();
			}
			$conn->close();
			return $ret;
		}
		public function Insert_login_error_log(){
			$data = array('AddDate' => time(), 'Ip' => sprintf('%u', ip2long(IP)));
			$this->b_insert('user_login_error_log',$data,0);
		}
		public function chek_login_error_log($time = 1)
		{
			$conn = $this->con();
			$ret = 0;
			$time = time() - $time*60*60;
			$ip = sprintf('%u', ip2long(IP));
			$query2 = $conn->query("SELECT COUNT(*) FROM `user_login_error_log` WHERE `Ip` = {$ip} AND `AddDate` > {$time} LIMIT 100");
			if(!empty($query2) && $query2->num_rows){
				$ret = (int)$query2->fetch_array()[0];
				$query2->close();
			}
			$conn->close();
			return $ret;
		}
		public function InsertUserLogAuth($login,$ok = 0,$err='')
		{
			$data = array('Ok' => (int)$ok, 'Ip' => sprintf('%u', ip2long(IP)), 'AddDate'=>time(),'Login' => mav_htmltotext(trim($login)),'Err' => mav_htmltotext(trim($err)));
			$this->b_insert('user_log_auth',$data,0);
		}
		public function GetsUserLogAuth($startRowIndex = 0, $maximumRows = FALSE){
			$conn = $this->con();     
			$lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 500';
			$ret = array('data'=>array(),'count'=>0);
			$query = $conn->query("
			SELECT * FROM `user_log_auth` ORDER BY `AddDate` DESC {$lim}
			");
			if (!empty($query) && $query->num_rows)
			{
				while($row = $query->fetch_assoc()){
					$row['AddDate'] = date('d.m.Y H:i', $row['AddDate']);
					$row['Ip'] = long2ip($row['Ip']);
					array_push($ret['data'], $row);
				}
				$query2 = $conn->query("SELECT COUNT(*) FROM `user_log_auth`");
				if(!empty($query2)){
					$ret['count']  = (int)$query2->fetch_array()[0];
					$query2->close();
				}
				$query->close();
			}
			$conn->close();
			return $ret;
		}
		public function GetsUserNarushIp($filtr,$startRowIndex = 0, $maximumRows = FALSE){
			$conn = $this->con();     
			$lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 500';
			$ret = array('data'=>array(),'count'=>0);
			$w = '';
			if(!empty($filtr['Id']))
			$w = 'WHERE n.Id = '.(int)$filtr['Id'];
			$query = $conn->query("
			SELECT n.*,u.Login FROM `user_narush_ip` as n LEFT JOIN `user` as u ON(u.Id = n.Id) {$w} ORDER BY `AddDate` DESC {$lim}
			");
			if (!empty($query) && $query->num_rows)
			{
				while($row = $query->fetch_assoc()){
					$row['AddDate'] = date('d.m.Y H:i', $row['AddDate']);
					array_push($ret['data'], $row);
				}
				$query2 = $conn->query("SELECT COUNT(*) FROM `user_narush_ip` {$w}");
				if(!empty($query2)){
					$ret['count']  = (int)$query2->fetch_array()[0];
					$query2->close();
				}
				$query->close();
			}
			$conn->close();
			return $ret;
		}
		public function GetsUserNarush($filtr,$startRowIndex = 0, $maximumRows = FALSE){
			$conn = $this->con();     
			$lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 500';
			$ret = array('data'=>array(),'count'=>0);
			$w = '';
			if(!empty($filtr['Id'])){
				$filtr['Id'] = (int)$filtr['Id'];
				$w = "WHERE n.Id = {$filtr['Id']} OR n.IdTo = {$filtr['Id']}";
			}
			$query = $conn->query("
			SELECT n.*,u.Login,u2.Login as LoginTo FROM `user_narush` as n LEFT JOIN `user` as u ON(u.Id = n.Id) LEFT JOIN `user` as u2 ON(u2.Id = n.IdTo) {$w} ORDER BY `AddDate` DESC {$lim}
			");
			if (!empty($query) && $query->num_rows)
			{
				while($row = $query->fetch_assoc()){
					$row['AddDate'] = date('d.m.Y H:i', $row['AddDate']);
					array_push($ret['data'], $row);
				}
				$query2 = $conn->query("SELECT COUNT(*) FROM `user_narush` {$w}");
				if(!empty($query2)){
					$ret['count']  = (int)$query2->fetch_array()[0];
					$query2->close();
				}
				$query->close();
			}
			$conn->close();
			return $ret;
		}
		
		/*******************captchaErr*******************************/
		public function Insert_Captcha_Err($UserId)
		{
			$UserId = (int)$UserId;
			$conn = $this->con();
			$ret = $conn->query("UPDATE `user` SET `CaptErr` = `CaptErr` + 1 WHERE `Id` = {$UserId}");
			$conn->close();
			return $ret;
		}
		public function clear_Captcha_Err_Usr($UserId){            
			$UserId = (int)$UserId;
			$conn = $this->con();
			$ret = $conn->query("UPDATE `user` SET `CaptErr` = 0 WHERE `Id` = {$UserId}");
			$conn->close();
		}
		public function Insert_Captcha_Log(){
			if(!$GLOBALS['user_logined'])
			return FALSE;
			$dat = array(
			'UserId' => $GLOBALS['user_login']->data['Id'],
			'AddDate' => time(),
			'Page' => URLpage,
			'Ip' => sprintf('%u', ip2long(IP)),
			);
			$this->b_insert('user_capterr_log',$dat);
		}
		public function Gets_Captcha_Log($f = array(), $startRowIndex=0, $maximumRows=FALSE,$desc = NULL){
			global $user_login, $user_logined,$setting;
			$ret = array('data'=>array(),'count'=>0);
			$conn = $this->con();
			$where = '';
			$lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 300';
			if(empty($desc))
			$desc = 'e.`AddDate` DESC';
			else
			{
				$desc = $conn->real_escape_string($desc);
				$ar = explode(' ', trim($desc));
				if (isset($ar[1]))
				$desc = 'e.`'.$ar[0].'` DESC';
				else
				$desc = 'e.`'.$ar[0].'`';
			}
			if(!empty($f)){
				$w = array();
				if(isset($f['UserId']))
				array_push($w, "e.UserId = ".(int)$f['UserId']); 
				if(isset($f['Page']))
				array_push($w, "e.Page LIKE '%".$conn->real_escape_string(trim($f['Page']))."%'");            
				/****************************************************/
				if(!empty($w))
				$where = ' WHERE ' .implode(' AND ', $w);
			}
			$q = "SELECT e.*, u.Login as Login FROM `user_capterr_log` as e 
			LEFT JOIN `user` as u ON (u.Id = e.UserId)
			{$where} ORDER BY {$desc} {$lim}";
			$query = $conn->query($q);
			if (!empty($query) && $query->num_rows)
			{
				while($row = $query->fetch_assoc())
				array_push($ret['data'], $row);
				if($maximumRows){
					$query2 = $conn->query("SELECT COUNT(*) FROM `user_capterr_log` as e {$where}");
					if(!empty($query2) && $query2->num_rows){
						$ret['count'] = (int)$query2->fetch_array()[0];
						$query2->close();
					}
				}
			}
			$conn->close();
			return $ret;
		}
		/**************************Платежные системы***********************************/
		public function Gets_PaySys($name = FALSE)
		{
			$conn = $this->con();
			$ret = array();
			$query = $conn->query("SELECT * FROM `payment_system` WHERE `Vkl` = 1 ORDER BY Id");
			if (!empty($query) && $query->num_rows)
			{
				while($row = $query->fetch_assoc()){
					if($name)
					$ret[$row['Name']] = $row;
					else;
					$ret[$row['Id']] = $row;
				}
			}
			$conn->close();
			return $ret;
		}
		public function Gets_PaySysByID($id,$name = FALSE)
		{
			$conn = $this->con();
			$w = (!$name) ? ' WHERE Id = '.(int)$id : " WHERE Name = '".$conn->real_escape_string($id)."'";
			$ret = NULL;
			$query = $conn->query("SELECT * FROM `payment_system` {$w} LIMIT 1");
			if (!empty($query) && $query->num_rows)
			{
				$row = $query->fetch_assoc();
				if(!empty($row))
				$ret = $row;
			}
			$conn->close();
			return $ret;
		}
		public function Update_PaySys($dat){
			if(empty($dat['Id']))
			return FALSE;
			$data = array();
			$id = (int)$dat['Id'];
			if(isset($dat['Number']))
			$data['Number'] = trim($dat['Number']);
			if(isset($dat['SecretKey']))
			$data['SecretKey'] = trim($dat['SecretKey']);
			if(isset($dat['PublicKey']))
			$data['PublicKey'] = trim($dat['PublicKey']);
			if(isset($dat['Title']))
			$data['Title'] = mav_htmltotext(trim($dat['Title']));
			if(isset($dat['Info']))
			$data['Info'] = mav_htmltotext(trim($dat['Info']));
			if(isset($dat['Cur']) && strlen($dat['Cur']) === 3)
			$data['Cur'] = mb_strtoupper($dat['Cur']);
			if(isset($dat['OnIn']))
			$data['OnIn'] = (int)$dat['OnIn'];
			if(isset($dat['OnOut']))
			$data['OnOut'] = (int)$dat['OnOut'];
			if(isset($dat['MinOut']))
			$data['MinOut'] = (int)$dat['MinOut'];
			if(isset($dat['MinIn']))
			$data['MinIn'] = (int)$dat['MinIn'];
			if(isset($dat['PerIn']))
			$data['PerIn'] = (int)$dat['PerIn'];
			if(isset($dat['PerOut']))
			$data['PerOut'] = (int)$dat['PerOut'];
			
			if(isset($dat['ApiOn']))
			$data['ApiOn'] = (int)$dat['ApiOn'];
			if(isset($dat['ApiKey']))
			$data['ApiKey'] = trim($dat['ApiKey']);
			if(isset($dat['ApiId']))
			$data['ApiId'] = trim($dat['ApiId']);
			if(isset($dat['ApiToken']))
			$data['ApiToken'] = trim($dat['ApiToken']);
			if(isset($dat['ApiAk']))
			$data['ApiAk'] = trim($dat['ApiAk']);
			if(isset($dat['AutoPayOn']))
			$data['AutoPayOn'] = trim($dat['AutoPayOn']);
			
			return !empty($data) ? $this->b_update('payment_system',$data,$id,0) : FALSE;
		}
		/**************************Вывод средств***************************************/
		public function Insert_MoneyOut($UserId,$PaySys,$Number,$Amount){
				$conn = $this->con();
			if(empty($PaySys) || empty($Number) || empty($Amount))
			return FALSE;
			$ret = FALSE;
			global $setting,$user_logined,$user_login; 
			$data = array('UserId'=>(int)$UserId,'PaySys'=>(int)$PaySys,'Number' => mav_htmltotext(trim($Number)),'Amount' => (float)$Amount,'AddDate'=>time());
			$u = NULL;
			if($user_logined && $data['UserId'] == $user_login->data['Id'])
			$u = &$user_login;
			else
			$u = $this->GetByID($data['UserId']);
			if(empty($u))
			return FALSE;
			$type = 6;
			$t_money = $u->data['Money'];
			if($data['PaySys'] == 9 && $data['Number'] == 'out'){
				$type = 27;
				$t_money = $u->data['MoneyR'];
			}
			 if($data['PaySys'] == 8){
				$purse = 'purse_payeer';
			 }elseif($data['PaySys'] == 1){
				$purse = 'purse_faucetpay';
			 }
			if($data['Amount'] > $t_money)
			return FALSE;
			$data['Ip'] = sprintf('%u', ip2long(IP));
			//5 - пополнение; 6 - вывод
			//27  Вывод средств с рекламного счета    MoneyR
			//28  Пополнение основного счета Money
			if($this->MoneyMinus($UserId,$data['Amount'],$type,$u)){
				$ret = $this->b_insert('user_money_out',$data,0);
				$conn->query("UPDATE `user` SET `{$purse}` = '{$Number}' WHERE `Id` = '{$UserId}'");
			}
			$conn->close();

			
			return $ret;
		}
		public function Update_MoneyOut($dat){
			$id = (int)$dat['Id'];
			if(empty($id))
			return FALSE;
			$data = array();
			if(isset($dat['Number']))
			$data['Number'] = mav_htmltotext(trim($data['Number']));
			if(isset($dat['PaySys']))
			$data['PaySys'] = (int)$dat['PaySys'];
			if(isset($dat['Ok'])){
				if($dat['Ok'] > 0){
					$data['Ok'] = '1';
					$data['OkDate'] = time();
				}
				elseif($dat['Ok'] < 0){
					$data['Ok'] = '-1';
					$data['OkDate'] = time();
				}
				else{
					$data['Ok'] = '0';
					$data['OkDate'] = 0;
				}
			}
			if(!empty($dat['API']))
			$data['API'] = 1;
			return $this->b_update('user_money_out',$data,$id,0);
		}
		
		public function Gets_MoneyOutCount()
		{
			$conn = $this->con();
			$ret = 0;   
			$query2 = $conn->query("SELECT COUNT(*) FROM `user_money_out` WHERE Ok = '0'");
			if(!empty($query2) && $query2->num_rows){
				$ret  = (int)$query2->fetch_array()[0];
				$query2->close();
			}
			$conn->close();
			return $ret;
		}
		public function Gets_MoneyOutById($id){
			$conn = $this->con();
			$ret = NULL;
			$query = $conn->query("SELECT 
			u.*, 
			IFNULL(ps.Title,'Не определена') as PSTitle, 
			IFNULL(ps.Api,'0') as PSApi, 
			IFNULL(ps.ApiOn,'0') as PSApiOn, 
			IFNULL(ps.ApiKey,'0') as PSApiKey               
			
			FROM `user_money_out` as `u` 
			LEFT JOIN `payment_system` as ps on(`u`.`PaySys` = `ps`.`Id`) 
			WHERE u.Id = ".(int)$id);
			if (!empty($query) && $query->num_rows)
			{
				$row = $query->fetch_assoc();
				if(!empty($row)){
					$row['Ip'] = long2ip($row['Ip']);
					$ret = $row;
				}
			}
			$conn->close();
			return $ret;
		}
		public function Gets_MoneyOut($filtr=array(), $startRowIndex=0, $maximumRows=FALSE, $desc='')
		{
			$conn = $this->con();
			$ret = array('data'=>array(),'count'=>0);
			$lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 500';
			$w = array();
			if(!empty($filtr['s'])){
				$s = $conn->real_escape_string(trim($filtr['s']));
				array_push($w,"(u.UserId = {$s} or u.Number = {$s})");
				unset($s);
			}
			if(isset($filtr['UserId']))
			array_push($w,"u.UserId = ".(int)$filtr['UserId']);
			if(isset($filtr['Ok']))
			array_push($w,"u.Ok = '".(int)$filtr['Ok'])."'";
			$w = !empty($w) ? ' WHERE '.implode(' AND ', $w) : '';
			$desc = $conn->real_escape_string($desc);
			if(empty($desc))
			$desc = '`u`.`Id` DESC';
			else
			{
				$ar = explode(' ', trim($desc));
				if (isset($ar[1]))
				$desc = '`u`.`'.$ar[0].'` DESC';
				else
				$desc = '`u`.`'.$ar[0].'`';
			}
			$q = "SELECT 
			u.*, 
			
			user.Login, user.Active, user.LastIp, user.Ip as UserIp, user.LastActive, 
			
			IFNULL(ps.Title,'Не определена') as PSTitle,
			IFNULL(ps.ApiOn,'0') as PSApiOn, 
			IFNULL(ps.Api,'0') as PSApi               
			
			FROM `user_money_out` as `u` 
			LEFT JOIN `user` on(`user`.`Id` = `u`.`UserId`) 
			LEFT JOIN `payment_system` as ps on(`u`.`PaySys` = `ps`.`Id`) 
			{$w} ORDER BY {$desc} {$lim}";
			$query = $conn->query($q);
			//die($q);
			if (!empty($query) && $query->num_rows)
			{
				while($row = $query->fetch_assoc()){
					$row['UserIp'] = long2ip($row['UserIp']);
					$row['Ip'] = long2ip($row['Ip']);
					$ret['data'][$row['Id']] = $row;
				}
				if($maximumRows){
					$query2 = $conn->query("SELECT COUNT(*) FROM `user_money_out` as `u` {$w}");
					if(!empty($query2)){
						$ret['count']  = (int)$query2->fetch_array()[0];
						$query2->close();
					}
				}
			}
			$conn->close();
			return $ret;
		}
		/********************************Пополнение************************************/
		public function Chek_MoneyIn($ps,$OpId)
		{
			$conn = $this->con();
			$ret = FALSE;
			$OpId = $conn->real_escape_string(trim($OpId));
			$query = $conn->query("SELECT Id FROM `user_money_in` WHERE `PaySys` = {$ps} AND `OpId` = '{$OpId}' LIMIT 1");
			if (!empty($query) && $query->num_rows > 0){
				$ret = TRUE;
				$query->close();
			}
			$conn->close();
			return $ret;
		}
		public function Insert_MoneyIn($dat,$user = NULL){
			$ret = array(
			'ins'=>FALSE,
			'plus'=>FALSE,
			'Ref'=>FALSE,
			);
			if(!isset($dat['PaySys'],$dat['Amount']))
			return $ret;
			$data = array();
			if(isset($dat['UserId']))
			$data['UserId'] = (int)$dat['UserId'];
			else
			$data['UserId'] = 0;
			if(isset($dat['Amount'])){
				$dat['Amount'] = preg_replace('~[^0-9\.\,\-]~ius', '', $dat['Amount']);
				$dat['Amount'] = preg_replace('~,~ius', '.', $dat['Amount']);
				$data['Amount'] = (float)$dat['Amount'];
			}
			else
			$data['Amount'] = 0; 
			if(isset($dat['PaySys']))
			$data['PaySys'] = (int)$dat['PaySys'];
			if(isset($dat['OpId']))
			$data['OpId'] = $dat['OpId'];
			else
			$data['OpId'] = '0';
			
			
			$data['Ok'] = isset($dat['Ok']) ? (int)$dat['Ok'] : 1;
			
			if(isset($dat['Err']))
			$data['Err'] = $dat['Err'];
			$data['AddDate'] = time();
			
			$ps = $this->Gets_PaySysByID($dat['PaySys']);
			if(!empty($ps)){
				$curs = json_decode(file_get_contents(F.'config/curs.conf'),TRUE);
				if(!empty($curs['curs'][$ps['Cur']]))
				$data['Amount'] = $curs['curs'][$ps['Cur']]*$data['Amount'];
				if($ps['PerIn'] > 0)
				$data['Amount'] = $data['Amount'] + $data['Amount']*($ps['PerIn']/100);
			}
			
			$ret['ins'] = $this->b_insert('user_money_in',$data,0);
			if($ret['ins']){
				if($data['Ok'] > 0 && $data['UserId'] > 0 && $data['Amount'] > 0){
					
					if(empty($user))
					$user = $this->GetByID($data['UserId']);
					if(!empty($user)){
						if(($ret['plus'] = $this->MoneyPlus($data['UserId'],$data['Amount'],5,$user))){
							if(!empty($user->data['Ref']) && $GLOBALS['setting']['main']['user']['ref_per_pay'] > 0 ){
								if($ret['plus'] = $this->MoneyPlus($data['UserId'],$data['Amount']*($setting['main']['user']['ref_per_pay']/100),39,$user))
								$t = $data['Amount']*($GLOBALS['setting']['main']['user']['ref_per_pay']/100);
								if($ret['ref'] = $this->MoneyPlus($user->data['Ref'],$t,9)){
									$ret['ref'] = $this->MoneyPlus($user->data['Ref'],$t,38);
								}
							}
						}
					}
				}
			}
			return $ret;
		}
		public function Gets_MoneyIn($filtr=array(), $startRowIndex=0, $maximumRows=FALSE, $desc='')
		{
			$conn = $this->con();
			$ret = array('data'=>array(),'count'=>0);
			$lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 500';
			$w = array();
			/*if(!empty($filtr['s'])){
				$s = trim($conn->real_escape_string($filtr['s']));
				array_push($w,"(u.UserId = {$s} or u.Number = {$s})");
				unset($s);
			}*/
			if(isset($filtr['UserId']))
			array_push($w,"u.UserId = ".(int)$filtr['UserId']);
			if(isset($filtr['Ok']))
			array_push($w,"u.Ok = ".(int)$filtr['Ok']);
			if(isset($filtr['PaySys']))
			array_push($w,"u.PaySys = ".(int)$filtr['PaySys']);
			$w = !empty($w) ? ' WHERE '.implode(' AND ', $w) : '';
			
			$desc = $conn->real_escape_string($desc);
			if(empty($desc))
			$desc = '`u`.`Id` DESC';
			else
			{
				$ar = explode(' ', trim($desc));
				if (isset($ar[1]))
				$desc = '`u`.`'.$ar[0].'` DESC';
				else
				$desc = '`u`.`'.$ar[0].'`';
			}
			$query = $conn->query("
			SELECT u.*, user.Login, IFNULL(ps.Title,'Не определена') as PSTitle
			FROM `user_money_in` as `u`  
			LEFT JOIN `user` on(`user`.`Id` = `u`.`UserId`) 
			LEFT JOIN `payment_system` as ps on(`u`.`PaySys` = `ps`.`Id`) 
			{$w} ORDER BY {$desc} {$lim}");
			if (!empty($query) && $query->num_rows)
			{
				while($row = $query->fetch_assoc())
				$ret['data'][$row['Id']] = $row;
				if($maximumRows){
					$query2 = $conn->query("SELECT COUNT(*) FROM `user_money_in` as `u` {$w}");
					if(!empty($query2)){
						$ret['count']  = (int)$query2->fetch_array()[0];
						$query2->close();
					}
				}
			}
			$conn->close();
			return $ret;
		}
		public function Gets_MoneyInCount()
		{
			$conn = $this->con();
			$ret = 0;   
			$query2 = $conn->query("SELECT COUNT(*) FROM `user_money_in` WHERE New > 0");
			if(!empty($query2) && $query2->num_rows){
				$ret  = (int)$query2->fetch_array()[0];
				$query2->close();
			}
			$conn->close();
			return $ret;
		}
		public function Update_user_Pay_new($id,$new){
			return $this->b_update('user_money_in',array('New' => (int)$new),(int)$id,0);
		}
		/****************Статы*********************/
		public function GetsCount($Active = FALSE)
		{
			$conn = $this->con();
			$ret = 0;
			$w = $Active ? " WHERE Active = '1'" : '';
			$q = "SELECT count(*) as Users  FROM `user` {$w}";
			$query = $conn->query($q);
			if(!empty($query) && $query->num_rows){
				$ret = (int)$query->fetch_array()[0];
				$query->close();
			}
			$conn->close();
			return $ret;
		}
		
		
		public function Gets_MoneyInStatSerf_MB($date = 0, $dateDo = FALSE, $type = 0)
		{
			$conn = $this->con();
			$ret = 0;
			$w = array();
			if($date > 0)
			array_push($w, '`AddDate` > '.(int)$date);
			if($dateDo)
			array_push($w, '`AddDate` < '.(int)$dateDo);
			$w = empty($w) ? '' : " WHERE ".implode(' AND ', $w)." AND `Type` = {$type}";
			$query = $conn->query("SELECT SUM(`Summ`) as s FROM `user_money_log` {$w}");
			if(!empty($query)){
				$ret  = $query->fetch_array()['s'];
				$query->close();
			}
			$conn->close();
			return $ret;
		}
		
		
		
		public function Gets_MoneyInStat($date = 0, $dateDo = FALSE)
		{
			$conn = $this->con();
			$ret = 0;
			$w = array();
			if($date > 0)
			array_push($w, '`AddDate` > '.(int)$date);
			if($dateDo)
			array_push($w, '`AddDate` < '.(int)$dateDo);
			$w = empty($w) ? '' : " WHERE ".implode(' AND ', $w)." AND `PaySys` <> 9";
			$query = $conn->query("SELECT SUM(`Amount`) as s FROM `user_money_in` {$w}");
			//die("SELECT SUM(`Amount`) as s FROM `user_money_in` {$w}");
			if(!empty($query)){
				$ret  = $query->fetch_array()['s'];
				$query->close();
			}
			$conn->close();
			return $ret;
		}
		public function Gets_MoneyOutStat($date = 0, $dateDo = FALSE)
		{
			$conn = $this->con();
			$ret = 0;
			$w = array();
			if($date > 0)
			array_push($w, '`AddDate` > '.(int)$date);
			if($dateDo)
			array_push($w, '`AddDate` < '.(int)$dateDo);
			$w = empty($w) ? '' : " WHERE ".implode(' AND ', $w);
			$query = $conn->query("SELECT SUM(`Amount`) as s FROM `user_money_out` {$w}");
			if(!empty($query)){
				$ret  = $query->fetch_array()['s'];
				$query->close();
			}
			$conn->close();
			return $ret;
		}
		/*************************************/
		public function cron(){ // раз в 23:59
			global $setting;
			$time = time() - 60*60*24;
			$conn = $this->con();
			$ret = $conn->query("DELETE FROM `user_login_error_log` WHERE `AddDate` < {$time}");
			/****************************************************/
			$time = time() - 60*60*24*30;
			$ret = $conn->query("DELETE FROM `user_login_log` WHERE `AddDate` < {$time}");
			$ret = $conn->query("DELETE FROM `user_log_auth` WHERE `AddDate` < {$time}");
			$ret = $conn->query("DELETE FROM `user_money_log` WHERE `AddDate` < {$time}");
			$ret = $conn->query("DELETE FROM `user_capterr_log` WHERE `AddDate` < {$time}");
			$conn->close();
			return TRUE;
		}
		public function cron24(){
			global $setting;
			/************статы*********************/
			$ucount = $this->GetsCount(TRUE);
			$in = $this->Gets_MoneyInStat();
			$out = $this->Gets_MoneyOutStat();
			$t = array('user_count' => $ucount, 'money_out' => $out, 'money_in' => $in, 'up' => time());
			$conf = getConf('stat');
			if(!empty($conf)){
				if(!empty($conf['sitestart']))
				$t['site_start'] = $conf['sitestart'];
				if(!empty($conf['plus_ucount']))
				$t['user_count'] = $ucount+$conf['plus_ucount'];
				if(!empty($conf['plus_moneyout']))
				$t['money_out'] = $out+$conf['plus_moneyout'];
				if(!empty($conf['plus_moneyin']))
				$t['money_in'] = $in+$conf['plus_moneyin'];
			}
			$t = json_encode($t,JSON_UNESCAPED_UNICODE);
			if(!empty($t))
			file_put_contents(F.'system/stat', $t);
			/***************************************/
		}
		
		
		public function multibux_serf($act_sum, $id, $type_serf){
			global $user_m, $setting, $user_login;
			$data = array();
			$user_login = $this->GetByID($id);
			if($user_m->MoneyPlus($id, $act_sum, $type_serf, $user_login)){
				if($user_login->data['Ref'] > 0){
					$ref_ur = $setting['main']['user']['ref_ur'];
					$i = 0;
					$a = [39,40,41];
					while($i < $ref_ur){
						$i++;
						$user_m->MoneyPlus($id,$act_sum*($setting['main']['user']['ref_per'][$i-1]/100),$a[$i-1],$user_login);
					}
					foreach($user_login->GetRefByPlus($user_login->data['Ref']) as $k => $val){
						$per = isset($setting['main']['user']['ref_per'][$val['lv']-1]) ? $setting['main']['user']['ref_per'][$val['lv']-1] : 0;
						if(!empty($k) && !empty($per)){
							if($user_m->MoneyPlus($k,$act_sum*($per/100),9,$val)){
								$user_m->MoneyPlus($k,$act_sum*($per/100),38,$val);
							}
						}
					}
				}
			}
			return TRUE;
		}
		
 
 
 
 public function seovizitka_serf($act_sum, $id, $type_serf){
			global $user_m, $setting, $user_login;
			$data = array();
			$user_login = $this->GetByID($id);
			if($user_m->MoneyPlus($id, $act_sum, $type_serf, $user_login)){
				if($user_login->data['Ref'] > 0){
					$ref_ur = $setting['main']['user']['ref_ur'];
					$i = 0;
					$a = [39,40,41];
					while($i < $ref_ur){
						$i++;
						$user_m->MoneyPlus($id,$act_sum*($setting['main']['user']['ref_per'][$i-1]/100),$a[$i-1],$user_login);
					}
					foreach($user_login->GetRefByPlus($user_login->data['Ref']) as $k => $val){
						$per = isset($setting['main']['user']['ref_per'][$val['lv']-1]) ? $setting['main']['user']['ref_per'][$val['lv']-1] : 0;
						if(!empty($k) && !empty($per)){
							if($user_m->MoneyPlus($k,$act_sum*($per/100),9,$val)){
								$user_m->MoneyPlus($k,$act_sum*($per/100),38,$val);
							}
						}
					}
				}
			}
			return TRUE;
		}


 public function vipclick_serf($act_sum, $id, $type_serf){
			global $user_m, $setting, $user_login;
			$data = array();
			$user_login = $this->GetByID($id);
			if($user_m->MoneyPlus($id, $act_sum, $type_serf, $user_login)){
				if($user_login->data['Ref'] > 0){
					$ref_ur = $setting['main']['user']['ref_ur'];
					$i = 0;
					$a = [39,40,41];
					while($i < $ref_ur){
						$i++;
						$user_m->MoneyPlus($id,$act_sum*($setting['main']['user']['ref_per'][$i-1]/100),$a[$i-1],$user_login);
					}
					foreach($user_login->GetRefByPlus($user_login->data['Ref']) as $k => $val){
						$per = isset($setting['main']['user']['ref_per'][$val['lv']-1]) ? $setting['main']['user']['ref_per'][$val['lv']-1] : 0;
						if(!empty($k) && !empty($per)){
							if($user_m->MoneyPlus($k,$act_sum*($per/100),9,$val)){
								$user_m->MoneyPlus($k,$act_sum*($per/100),38,$val);
							}
						}
					}
				}
			}
			return TRUE;
		}



          
 
	
		public function multibux_tasks($act_sum, $id, $type){
			global $user_m, $setting, $user_login;
			$data = array();
			$user_login = $this->GetByID($id);
			if($user_m->MoneyPlus($id, $act_sum, $type, $user_login)){
				if($user_login->data['Ref'] > 0){
					$ref_ur = $setting['main']['user']['ref_ur'];
					$i = 0;
					$a = [39,40,41];
					while($i < $ref_ur){
						$i++;
						$user_m->MoneyPlus($id,$act_sum*($setting['main']['user']['ref_per'][$i-1]/100),$a[$i-1],$user_login);
					}
					foreach($user_login->GetRefByPlus($user_login->data['Ref']) as $k => $val){
						$per = isset($setting['main']['user']['ref_per'][$val['lv']-1]) ? $setting['main']['user']['ref_per'][$val['lv']-1] : 0;
						if(!empty($k) && !empty($per)){
							if($user_m->MoneyPlus($k,$act_sum*($per/100),9,$val)){
								$user_m->MoneyPlus($k,$act_sum*($per/100),38,$val);
							}
						}
					}
				}
			}
			return TRUE;
		}
		
		public function unitbux_serf($act_sum, $id, $type_serf){
			global $user_m, $setting, $user_login;
			$data = array();
			$user_login = $this->GetByID($id);
			if($user_m->MoneyPlus($id, $act_sum, $type_serf, $user_login)){
				if($user_login->data['Ref'] > 0){
					$ref_ur = $setting['main']['user']['ref_ur'];
					$i = 0;
					$a = [39,40,41];
					while($i < $ref_ur){
						$i++;
						$user_m->MoneyPlus($id,$act_sum*($setting['main']['user']['ref_per'][$i-1]/100),$a[$i-1],$user_login);
					}
					foreach($user_login->GetRefByPlus($user_login->data['Ref']) as $k => $val){
						$per = isset($setting['main']['user']['ref_per'][$val['lv']-1]) ? $setting['main']['user']['ref_per'][$val['lv']-1] : 0;
						if(!empty($k) && !empty($per)){
							if($user_m->MoneyPlus($k,$act_sum*($per/100),9,$val)){
								$user_m->MoneyPlus($k,$act_sum*($per/100),38,$val);
							}
						}
					}
				}
			}
			return TRUE;
		}
		
		public function bitswall_serf($act_sum, $id, $type_serf){
			global $user_m, $setting, $user_login;
			$data = array();
			$user_login = $this->GetByID($id);
			if($user_m->MoneyPlus($id, $act_sum, $type_serf, $user_login)){
				if($user_login->data['Ref'] > 0){
					$ref_ur = $setting['main']['user']['ref_ur'];
					$i = 0;
					$a = [39,40,41];
					while($i < $ref_ur){
						$i++;
						$user_m->MoneyPlus($id,$act_sum*($setting['main']['user']['ref_per'][$i-1]/100),$a[$i-1],$user_login);
					}
					foreach($user_login->GetRefByPlus($user_login->data['Ref']) as $k => $val){
						$per = isset($setting['main']['user']['ref_per'][$val['lv']-1]) ? $setting['main']['user']['ref_per'][$val['lv']-1] : 0;
						if(!empty($k) && !empty($per)){
							if($user_m->MoneyPlus($k,$act_sum*($per/100),9,$val)){
								$user_m->MoneyPlus($k,$act_sum*($per/100),38,$val);
							}
						}
					}
				}
			}
			return TRUE;
		}
		public function skippy_serf($act_sum, $id, $type_serf){
			global $user_m, $setting, $user_login;
			$data = array();
			$user_login = $this->GetByID($id);
			if($user_m->MoneyPlus($id, $act_sum, $type_serf, $user_login)){
				if($user_login->data['Ref'] > 0){
					$ref_ur = $setting['main']['user']['ref_ur'];
					$i = 0;
					$a = [39,40,41];
					while($i < $ref_ur){
						$i++;
						$user_m->MoneyPlus($id,$act_sum*($setting['main']['user']['ref_per'][$i-1]/100),$a[$i-1],$user_login);
					}
					foreach($user_login->GetRefByPlus($user_login->data['Ref']) as $k => $val){
						$per = isset($setting['main']['user']['ref_per'][$val['lv']-1]) ? $setting['main']['user']['ref_per'][$val['lv']-1] : 0;
						if(!empty($k) && !empty($per)){
							if($user_m->MoneyPlus($k,$act_sum*($per/100),9,$val)){
								$user_m->MoneyPlus($k,$act_sum*($per/100),38,$val);
							}
						}
					}
				}
			}
			return TRUE;
		}

            public function monlix_serf($act_sum, $id, $type_serf){
			global $user_m, $setting, $user_login;
			$data = array();
			$user_login = $this->GetByID($id);
			if($user_m->MoneyPlus($id, $act_sum, $type_serf, $user_login)){
				if($user_login->data['Ref'] > 0){
					$ref_ur = $setting['main']['user']['ref_ur'];
					$i = 0;
					$a = [39,40,41];
					while($i < $ref_ur){
						$i++;
						$user_m->MoneyPlus($id,$act_sum*($setting['main']['user']['ref_per'][$i-1]/100),$a[$i-1],$user_login);
					}
					foreach($user_login->GetRefByPlus($user_login->data['Ref']) as $k => $val){
						$per = isset($setting['main']['user']['ref_per'][$val['lv']-1]) ? $setting['main']['user']['ref_per'][$val['lv']-1] : 0;
						if(!empty($k) && !empty($per)){
							if($user_m->MoneyPlus($k,$act_sum*($per/100),9,$val)){
								$user_m->MoneyPlus($k,$act_sum*($per/100),38,$val);
							}
						}
					}
				}
			}
			return TRUE;
		}
		
		  public function bitco_serf($act_sum, $id, $type_serf){
			global $user_m, $setting, $user_login;
			$data = array();
			$user_login = $this->GetByID($id);
			if($user_m->MoneyPlus($id, $act_sum, $type_serf, $user_login)){
				if($user_login->data['Ref'] > 0){
					$ref_ur = $setting['main']['user']['ref_ur'];
					$i = 0;
					$a = [39,40,41];
					while($i < $ref_ur){
						$i++;
						$user_m->MoneyPlus($id,$act_sum*($setting['main']['user']['ref_per'][$i-1]/100),$a[$i-1],$user_login);
					}
					foreach($user_login->GetRefByPlus($user_login->data['Ref']) as $k => $val){
						$per = isset($setting['main']['user']['ref_per'][$val['lv']-1]) ? $setting['main']['user']['ref_per'][$val['lv']-1] : 0;
						if(!empty($k) && !empty($per)){
							if($user_m->MoneyPlus($k,$act_sum*($per/100),9,$val)){
								$user_m->MoneyPlus($k,$act_sum*($per/100),38,$val);
							}
						}
					}
				}
			}
			return TRUE;
		}
		
            public function walloffer_serf($act_sum, $id, $type_serf){
			global $user_m, $setting, $user_login;
			$data = array();
			$user_login = $this->GetByID($id);
			if($user_m->MoneyPlus($id, $act_sum, $type_serf, $user_login)){
				if($user_login->data['Ref'] > 0){
					$ref_ur = $setting['main']['user']['ref_ur'];
					$i = 0;
					$a = [39,40,41];
					while($i < $ref_ur){
						$i++;
						$user_m->MoneyPlus($id,$act_sum*($setting['main']['user']['ref_per'][$i-1]/100),$a[$i-1],$user_login);
					}
					foreach($user_login->GetRefByPlus($user_login->data['Ref']) as $k => $val){
						$per = isset($setting['main']['user']['ref_per'][$val['lv']-1]) ? $setting['main']['user']['ref_per'][$val['lv']-1] : 0;
						if(!empty($k) && !empty($per)){
							if($user_m->MoneyPlus($k,$act_sum*($per/100),9,$val)){
								$user_m->MoneyPlus($k,$act_sum*($per/100),38,$val);
							}
						}
					}
				}
			}
			return TRUE;
		}
		

            public function offeroc_serf($act_sum, $id, $type_serf){
			global $user_m, $setting, $user_login;
			$data = array();
			$user_login = $this->GetByID($id);
			if($user_m->MoneyPlus($id, $act_sum, $type_serf, $user_login)){
				if($user_login->data['Ref'] > 0){
					$ref_ur = $setting['main']['user']['ref_ur'];
					$i = 0;
					$a = [39,40,41];
					while($i < $ref_ur){
						$i++;
						$user_m->MoneyPlus($id,$act_sum*($setting['main']['user']['ref_per'][$i-1]/100),$a[$i-1],$user_login);
					}
					foreach($user_login->GetRefByPlus($user_login->data['Ref']) as $k => $val){
						$per = isset($setting['main']['user']['ref_per'][$val['lv']-1]) ? $setting['main']['user']['ref_per'][$val['lv']-1] : 0;
						if(!empty($k) && !empty($per)){
							if($user_m->MoneyPlus($k,$act_sum*($per/100),9,$val)){
								$user_m->MoneyPlus($k,$act_sum*($per/100),38,$val);
							}
						}
					}
				}
			}
			return TRUE;
		}

		  public function coinswall_serf($act_sum, $id, $type_serf){
			global $user_m, $setting, $user_login;
			$data = array();
			$user_login = $this->GetByID($id);
			if($user_m->MoneyPlus($id, $act_sum, $type_serf, $user_login)){
				if($user_login->data['Ref'] > 0){
					$ref_ur = $setting['main']['user']['ref_ur'];
					$i = 0;
					$a = [39,40,41];
					while($i < $ref_ur){
						$i++;
						$user_m->MoneyPlus($id,$act_sum*($setting['main']['user']['ref_per'][$i-1]/100),$a[$i-1],$user_login);
					}
					foreach($user_login->GetRefByPlus($user_login->data['Ref']) as $k => $val){
						$per = isset($setting['main']['user']['ref_per'][$val['lv']-1]) ? $setting['main']['user']['ref_per'][$val['lv']-1] : 0;
						if(!empty($k) && !empty($per)){
							if($user_m->MoneyPlus($k,$act_sum*($per/100),9,$val)){
								$user_m->MoneyPlus($k,$act_sum*($per/100),38,$val);
							}
						}
					}
				}
			}
			return TRUE;
		}
		

	}
	

