<?php
namespace models\ut;
if ( ! defined('F')) exit('Нет доступа!');
require_once(F."models/Base_model.php");

class GeoIp_model extends \models\Base_model
{
    public function gb(){
        require_once F."helper/classes/geoip/ipgeobase.php";
        return new \IPGeoBase();
    }
    function getRecord($ip, $ind = 0)
    {
        if(stripos($ip, '.') !== FALSE)
          $ip = sprintf('%u', ip2long($ip));
        $ret = NULL;
        $conn = $this->con();
        $q = "SELECT 


        g.`Country` as CountryCode,
        IFNULL(c.Id,'') as CityId,
        IFNULL(obl.Id,'') as OblId,
        IFNULL(c.City,'') as City,
        IFNULL(Country.Title,'') as Country,
        IFNULL(obl.Title,'') as Obl


        FROM `GeoIp` as g
        LEFT JOIN GeoIp_city as c on (g.Reg = c.Id)
        LEFT JOIN GeoIp_obl as obl on (c.Obl = obl.Id)
        LEFT JOIN GeoIp_country as Country on (g.`Country` = Country.Id)
        WHERE g.`Ip1` < ".($ip+1)." AND g.`Ip2` > ".($ip-1)." LIMIT 1";
        $query = $conn->query($q);
        if (!empty($query) && $query->num_rows)
            $ret = $query->fetch_assoc();
        $conn->close();
        return $ret;
    }
    function update($f = F.'___техничка___/geo_files/cidr_optim.txt'){
        return FALSE;
        $conn = $this->con();
        $handle = @fopen($f, "r");
        $pr = 0;
        $ins = 0;
        $err = 0;
        if ($handle) {
            while (($buffer = fgets($handle)) !== false) {
                $ar = explode("\t", $buffer);
                if(empty($ar))
                    continue;
                $Ip1 = (int)$ar[0];
                $Ip2 = (int)$ar[1];
                $t = explode(' - ', $ar[2]);
                $IpStart = trim($t[0]);
                $IpEnd = trim($t[1]);
                unset($t);
                $Country = trim($ar[3]);
                $Reg = (!empty($ar[4]) || preg_match('~^[0-9]^~ius', trim($ar[4]))) ? (int)$ar[4] : 0;

                /*$query = $conn->query("SELECT * FROM `GeoIp` WHERE Ip1 = {$Ip1} AND Ip2 = {$Ip2}");
                if (!empty($query) && $query->num_rows){
                    $pr++;
                    continue;
                }*/
                if($conn->query("INSERT INTO `GeoIp`(`Ip1`, `Ip2`, `IpStart`, `IpEnd`, `Country`, `Reg`) VALUES ({$Ip1}, {$Ip2}, '{$IpStart}', '{$IpEnd}', '{$Country}', {$Reg})"))
                    $ins++;
                else
                    $err++;
            }
            fclose($handle);
        }
        $conn->close();
        return array($ins,$pr,$err);
    }
    function diapazonByCity($city)
    {
        $ret = array();
        $conn = $this->con();
        $city = $conn->real_escape_string(trim($city));
        $q = "SELECT 
        g.`Ip1`,g.`Ip2`
        FROM `GeoIp` as g  
        LEFT JOIN GeoIp_city as c ON(g.Reg = c.Id)
        WHERE c.City = '{$city}'";
        $query = $conn->query($q);
        if (!empty($query)){
            while($row = $query->fetch_assoc())
                array_push($ret, array('start'=>$row['Ip1'],'end'=>$row['Ip2']));
        }
        $conn->close();
        return $ret;
    }
    function getOblByCountry($id){
        $conn = $this->con();
        $ret = array();
        $id = $conn->real_escape_string($id);
        $query = $conn->query("SELECT `Title`,`Id` FROM `GeoIp_obl`  WHERE `Country` = '{$id}' ORDER BY Title LIMIT 1000");
        if (!empty($query)){
            while($row = $query->fetch_assoc())
                $ret[$row['Id']] = $row['Title']; 
        }
        $conn->close();
        return $ret;
    }
    function getOblByCiti($id){
        $conn = $this->con();
        $ret = 0;
        $id = (int)$id;
        $query = $conn->query("SELECT `Obl` FROM `GeoIp_city`  WHERE `Id` = '{$id}' LIMIT 1");
        if (!empty($query)){
            $row = $query->fetch_assoc();
            if(!empty($row))
                $ret = $row['Obl']; 
        }
        $conn->close();
        return $ret;
    }
    function getCountry(){
        $conn = $this->con();
        $ret = array();
        $query = $conn->query("SELECT `Title`,`Id` FROM `GeoIp_country` ORDER BY Title LIMIT 1000");
        if (!empty($query)){
            while($row = $query->fetch_assoc())
                $ret[$row['Id']] = $row['Title']; 
        }
        $conn->close();
        return $ret;
    }
}