<?php 
namespace controls\addon {
    defined('F') OR exit('Нет доступа!');
    require_once(F."models/pages/Pages_model.php");
    require_once(F."/moduls/addon/models/Addon_model.php");
    function addon_reqest(){
        $key = trim($_POST['addonkey']);
        $r_m = new \models\moduls\Addon_model;
        $fedok = '';
        $user = NULL;
        if(!empty($key))
            $user = $r_m->auth($key);
        if(isset($_POST['login'],$_POST['pass'])){
            if(empty($user)){
                $t = $r_m->Login($_POST['login'],$_POST['pass']);
                if($t[0]){
                    $user = $t[1];
                    unset($t);
                }
                else
                    $fedok = $t[1];
            }
        }
        elseif(!empty($user) && isset($_POST['logout'])) {
            if(!$r_m->UnSetKey($user['Id']))
                $fedok = 'Произошла ошибка, повторите попытку';
            else
                $user = NULL;
        }
        if(isset($_POST['getr'])){
            $ret = array('src' => '','content' => '', 'interval' => 30*1000);
            if(!empty($user)){
                $r = $r_m->GetNext($user);
                if(!empty($r)){
                    $ret['src'] = "/earn/addon?addonkey={$user['AddonKey']}&r={$r['Id']}";
                    $ret['interval'] = ((int)$r['Price'] + rand(30,120))*1000;
                }
            }
            echo json_encode($ret,JSON_UNESCAPED_UNICODE);
            die();
        }
        $ret = array('auth' => '','key' => $key, 'fedok' => $fedok);
        if(!empty($user)){
            $ret['key'] = $user['AddonKey'];
            $ret['auth'] = 1;
            $ret['Login'] = $user['Login'];
            $ret['Money'] = $user['Money'];
            $ret['MoneyF'] = number_format ($user['Money'], 2,","," " ).' руб.';
        }
        if(isset($_POST['ch_auth'])){
            echo json_encode($ret,JSON_UNESCAPED_UNICODE);
            die();
        }
        elseif(isset($_POST['click_ok'])) {
            click_ok($user);// зачисляем клик
            die();
        }
        elseif(isset($_POST['delete_view'])) {
            if(!empty($user))                
                $r_m->DeleteTek($user['Id']);
            die();
        }            
        echo json_encode($ret, JSON_UNESCAPED_UNICODE);
        die();
    }
    function addon_getreqest(){
        $r_m = new \models\moduls\Addon_model;
        $user = $r_m->auth(trim($_GET['addonkey']));
        $r = NULL;
        $Capt = NULL;
        $capt_img = '';
        if(!empty($user)){
            $r = $r_m->GetByID($_GET['r']);
            if(!empty($r)){
                /************************************/
                    $capt = random_capt();
                    $_SESSION['captcha_addon'] = $capt;
                    $Capt = array($capt,random_capt(),random_capt(),random_capt());
                    shuffle($Capt);
                    $capt_img = GetImgCaptcha($capt);
                /***********************************/
                $r_m->InsertTek($r['Id'],$user['Id'],$capt);
                unset($capt);
            }
        }
        \view\content_show('/moduls/addon/views/z_frame.php', array('user' => &$user,'r'=>&$r,'Capt'=>&$Capt,'capt_img'=>$capt_img));
        die();
    }
    function z($feed = '')
    {
        header("Access-Control-Allow-Origin: *");
        header("Access-Control-Allow-Methods: GET,POST,PUT,DELETE,OPTIONS");
        header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");
        global $URLparam,$user_logined, $user_login, $user_m, $setting;
        if(isset($_GET['captcha']))
            return captcha();
        elseif(isset($_POST['addonkey']))
            return addon_reqest();
        if(!empty($_GET['addonkey']) && !empty($_GET['r']))
            return addon_getreqest();
        $r_m = new \models\moduls\Addon_model;
        $F = F.'moduls/addon';
        $dat = array();     
        $view = '/moduls/addon/views/z';
        $data = array();
        $aj = !empty($_POST['aj']) ? TRUE : FALSE;
        $dat['feed'] = $feed;
        /********************************************/
        $art_m = new \models\pages\Pages_model;
        $art = $art_m->GetById('addon',TRUE);
        if(empty($art))
            $art = array('Title'=>'Браузерное расширение','Body'=>'','MetaKey'=>'Браузерное расширение','MetaDesc'=>'Браузерное расширение');
        /********************************************/
        if($user_logined){
        }
        $dat['r_m'] = &$r_m;
        /*****************Хлебные крохи***************/        
            $tbred = '';
            $data['breadcrumbs'] = '<li><a href="/" title="Главная">Главная</a></li> ';
            if(!empty($art['ParentArt'])){
                $tek = $art['ParentArt'];
                while(1){
                    $tbred .= '<li><a href="'.$tek['Url'].'" title="'.$tek['Title'].'">'.$tek['Title'].'</a></li> ' . $tbred;
                    if(empty($tek['ParentArt']))
                        break;
                    $tek = $tek['ParentArt'];
                }
            }
            $data['breadcrumbs'] .= $tbred."<li>{$art['Title']}</li>";
        /************************************************/
        $dat['Title'] = $art['Title'];
        $dat['Body'] = $art['Body'];
        if(!empty($aj)){
            \view\content_show($view, $dat);
            die();
        }
        $data['content'] = \view\content_show($view, $dat, TRUE);
        $data['Title'] = !empty($art['MetaTitle']) ? $art['MetaTitle'] : $art['Title'];
        $data['Desc'] = $art['MetaDesc'];
        $data['Key'] = $art['MetaKey'];
        /*$data['og_type'] = 'article';
        $data['og_image'] = "";*/
        return $data;
    }
    function click_ok(&$user){
        global $user_m, $URLparam, $setting;
        $ret = array('status' => 0, 'mess' => 'Неизвестная ошибка!', 'capt' => '');
        if(empty($user)){
            $ret['mess'] = 'Вы не зарегистрированы!';
            echo json_encode($ret, JSON_UNESCAPED_UNICODE);
            die();
        }
        $r_m = new \models\moduls\Addon_model;
        $r_view = $r_m->GetTek($user['Id'],$_POST['click_ok']);
        if(empty($r_view)){
            echo json_encode($ret, JSON_UNESCAPED_UNICODE);
            die();
        }
        $tm = time() - $r_view['Price']+1;
        if($r_view['AddDate'] > $tm){
            $r_m->DeleteTek($user['Id']);
            $ret['mess'] = 'Ошибка таймера!';
            echo json_encode($ret, JSON_UNESCAPED_UNICODE);
            die();
        }
        if(empty($_POST['captcha']) || $r_view['Capt'] != $_POST['captcha']){
            //$user_m->Insert_Captcha_Err($user['Id']);
            if(isset($_SESSION['captcha_addon']))
                unset($_SESSION['captcha_addon']);
            $r_m->DeleteTek($user['Id']);
            $ret['mess'] = 'Неверно указан код!';
            echo json_encode($ret, JSON_UNESCAPED_UNICODE);
            die();
        }
        if(isset($_SESSION['captcha_addon']))
            unset($_SESSION['captcha_addon']);
        $r = $r_m->GetByID_plus($r_view['RId']);
        if(empty($r)){
            echo json_encode($ret, JSON_UNESCAPED_UNICODE);
            die();
        }
        $P_money_r = isset($r_m->set['price'][$r['Price']]) ? $r_m->set['price'][$r['Price']] : $r_m->set['price'][$r_m->r_money_def];
        $P_money_z = round(($P_money_r*($r_m->set['z_per']/100)),4);



        if($user_m->MoneyMinus($r['UserId'],$P_money_r,8,$r)){
            $r_m->ClickUpdate($r,$user);
            if($user_m->MoneyPlus($user['Id'],$P_money_z,7)){
                if($user['Ref'] > 0){
                    require_once(F."models/user/User_model.php");
                    $user_m = new \models\user\User_model;
                    foreach($user_m->GetRefByPlus($user['Ref']) as $k => $val){
                        $per = isset($setting['main']['user']['ref_per'][$val['lv']-1]) ? $setting['main']['user']['ref_per'][$val['lv']-1] : 0;
                        if(!empty($k) && !empty($per))
                            $user_m->MoneyPlus($k,$P_money_z*($per/100),9,$val);
                    }
                }
            }
        }
        $r_m->UpCaptcha($user['Id']);//up-captcha
        $r_m->DeleteTek($user['Id']);
        $ret['mess'] = '';
        $ret['status'] = 1;
        echo json_encode($ret, JSON_UNESCAPED_UNICODE);
        die();
    }
    function GetImgCaptcha($letters){
        $caplen = strlen($letters);
        $width = $caplen*23;$height = 35;
        $font = 'assets/css/fonts/Univers.ttf';
        $fontsize = 22;
        $linenum = 3;
        $im = imagecreatetruecolor($width, $height);
        imagesavealpha($im, true);
        $bg = imagecolorallocatealpha($im, 0, 0, 0, 127);
        imagefill($im, 0, 0, $bg);
        for ($i=0; $i<$linenum; $i++)
        {
            $color = imagecolorallocate($im, rand(0, 150), rand(0, 100), rand(0, 150)); 
            imageline($im, rand(0, 20), rand(1, 50), rand(150, 180), rand(1, 50), $color);
        }
        for ($i = 0; $i < $caplen; $i++)
        {
            $t_captcha = mb_substr($letters,$i,1);
            $x = ($width - 20) / $caplen * $i + 10;
            $x = rand($x, $x+4);
            $y = $height - ( ($height - $fontsize) / 2 );
            $curcolor = imagecolorallocate( $im, rand(0, 100), rand(0, 100), rand(0, 100) );
            $angle = rand(-25, 25);
            imagettftext($im, $fontsize, $angle, $x, $y, $curcolor, $font, $t_captcha);

        }
        for ($i=0; $i<$linenum; $i++)
        {
            $color = imagecolorallocate($im, rand(0, 255), rand(0, 200), rand(0, 255));
            imageline($im, rand(0, 20), rand(1, 50), rand(150, 180), rand(1, 50), $color);
        }
        ob_start();
        imagepng($im);
        $ret = ob_get_contents();
        ob_end_clean();
        imagedestroy($im);
        //<?php echo base64_encode(file_get_contents("../images/folder16.gif"))
        return 'data:image/png;base64,'.base64_encode($ret);
    }
    function captcha(){
        if(empty($_SESSION['captcha_addon']))
            $letters = '1234';
        else
            $letters = $_SESSION['captcha_addon'];
        $caplen = 3;
        $width = $caplen*23;$height = 35;
        $font = 'assets/css/fonts/Univers.ttf';
        $fontsize = 22;
        $linenum = 3;
        header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
        header("Last-Modified: " . gmdate("D, d M Y H:i:s", 10000) . " GMT");
        header("Cache-Control: no-store, no-cache, must-revalidate");
        header("Cache-Control: post-check=0, pre-check=0", false);
        header("Pragma: no-cache");
        header("Content-Type:image/png");
        $im = imagecreatetruecolor($width, $height);
        imagesavealpha($im, true);
        $bg = imagecolorallocatealpha($im, 0, 0, 0, 127);
        imagefill($im, 0, 0, $bg);
        for ($i=0; $i<$linenum; $i++)
        {
            $color = imagecolorallocate($im, rand(0, 150), rand(0, 100), rand(0, 150)); 
            imageline($im, rand(0, 20), rand(1, 50), rand(150, 180), rand(1, 50), $color);
        }
        for ($i = 0; $i < $caplen; $i++)
        {
            $t_captcha = mb_substr($letters,$i,1);
            $x = ($width - 20) / $caplen * $i + 10;
            $x = rand($x, $x+4);
            $y = $height - ( ($height - $fontsize) / 2 );
            $curcolor = imagecolorallocate( $im, rand(0, 100), rand(0, 100), rand(0, 100) );
            $angle = rand(-25, 25);
            imagettftext($im, $fontsize, $angle, $x, $y, $curcolor, $font, $t_captcha);

        }
        for ($i=0; $i<$linenum; $i++)
        {
            $color = imagecolorallocate($im, rand(0, 255), rand(0, 200), rand(0, 255));
            imageline($im, rand(0, 20), rand(1, 50), rand(150, 180), rand(1, 50), $color);
        }
        imagepng($im);
        imagedestroy($im);
        die();
    }
    function random_capt($max = 3)
    {
        $chars="123456890";
        $max=(int)$max;
        $size=StrLen($chars)-1;
        $password=null;
        while($max--)
            $password.=$chars[rand(0,$size)];
        return $password;
    }
}
