<?php
namespace models\moduls;
if ( ! defined('F')) exit('Нет доступа!');
require_once(F."models/Base_model.php");

class Context_model extends \models\Base_model
{
    var $data;
    var $count;
    var $set;
    function __construct(){
        $this->data = array();
        $this->count = 0;
        $this->set = getConf('mod_context');
    }
    /*******************************************/
        public function Get_Type(){
            return array(
                1 => 'Контекстная реклама',
                2 => 'Баннер 468х60',
                3 => 'Баннер 200х300',
            );
        }
        public function Get_TypeSize(){
            return array(
                2 => [468,60],
                3 => [200,300],
            );
        }
    /******************************************/
    	public function Gets($f = array(), $startRowIndex=0, $maximumRows=FALSE,$desc = NULL)
        {
            $ret = new Context_model;
            $conn = $this->con();
            $where = '';
            $lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 300';
            if(empty($desc)){
                if(!empty($f['adm']))
                    $desc = "IF(r.Approved = 0,  1,  999), r.`Id` DESC";
                else
                    $desc = 'r.`Id` DESC';
            }
            else
            {
                $desc = $conn->real_escape_string($desc);
                $ar = explode(' ', trim($desc));
                if (isset($ar[1]))
                    $desc = 'r.`'.$ar[0].'` DESC';
                else
                    $desc = 'r.`'.$ar[0].'`';
            }
            if(!empty($f)){
                $w = array();
                if(isset($f['Id']))
                    array_push($w, "r.Id = ".(int)$f['Id']);  
                if(isset($f['UserId']))
                    array_push($w, "r.UserId = ".(int)$f['UserId']);  
                if(isset($f['Active']))
                    array_push($w, "r.Active = ".(int)$f['Active']);  
                if(isset($f['Approved']))
                    array_push($w, "r.Approved = ".(int)$f['Approved']); 
                if(isset($f['Type']))
                    array_push($w, "r.Type = ".(int)$f['Type']); 
                if(isset($f['s'])){
                    $s = $conn->real_escape_string($f['s']);
                    array_push($w, "(r.`Url` LIKE '%{$s}%' OR r.`Title` LIKE '%{$s}%')");                
                }
                /****************************************************/
                if(!empty($w)){
                    $where = ' WHERE ' .implode(' AND ', $w);
                    unset($w);
                }
            }
            if(empty($f['adm']))
           		$q = "SELECT * FROM `mod_context` as r {$where} ORDER BY {$desc} {$lim}";
           	else
           		$q = "SELECT r.*, u.Login as UserLogin, u.MoneyR as MoneyR FROM `mod_context` as r LEFT JOIN user as u ON(u.Id = r.UserId) {$where} ORDER BY {$desc} {$lim}";
            $query = $conn->query($q);
            //die($q);
            if (!empty($query) && $query->num_rows)
            {
                $ret->data = $this->convertList($query);
                if($maximumRows){
                    $query2 = $conn->query("SELECT COUNT(*) FROM `mod_context` as r {$where}");
                    if(!empty($query2) && $query2->num_rows){
                        $ret->count = (int)$query2->fetch_array()[0];
                        $query2->close();
                    }
                }
            }
            $conn->close();
            return $ret;
        }
        public  function GetByID($id,$adm = FALSE)
        {
            $id = (int)$id;
            $ret = NULL;
            $conn = $this->con();
            $w = 'WHERE Id = '.(int)$id;
            $q = $adm ? "SELECT r.*, u.Login as UserLogin FROM `mod_context` as r LEFT JOIN user as u ON(u.Id == r.UserId) {$w} LIMIT 1" : "SELECT * FROM `mod_context` {$w} LIMIT 1";
            //die($q);
            $query = $conn->query($q);
            if (!empty($query) && $query->num_rows)
                $ret = $this->convert($query);
            $conn->close();
            return $ret;
        }
    /*****************ins/up***********************/    	
        public  function Update($dat, $adm = FALSE)
        {
            $ret = FALSE;
            if(!$adm && !$GLOBALS['user_logined'])
                return FALSE;
            //var_dump($dat);die();
            $data = array();
            $id = 0;
            if (isset($dat['Id'])) {
                $id=(int)$dat['Id'];
            }
            else
                return false;
            if(isset($dat['Url'])){
                $data['Url'] = mav_htmltotext(trim($dat['Url']));                    
                if(!preg_match('~^(?:https?:)?//.*~ius', $data['Url']))
                    $data['Url'] = 'http://'.ltrim($data['Url'], '/');
            }
            if(isset($dat['Title']))
                $data['Title'] = mav_htmltotext(trim($dat['Title']));
            if(isset($dat['Body']))
                $data['Body'] = mav_htmltotext(trim($dat['Body']));
            if(isset($dat['UserId']))
                $data['UserId'] = (int)$dat['UserId'];
            if(isset($dat['Approved']))
                $data['Approved'] = (int)$dat['Approved'];
            if(isset($dat['Active']))
                $data['Active'] = (int)$dat['Active'];

            if(isset($dat['Pol']))
                $data['Pol'] = (int)$dat['Pol'];
            if(isset($dat['Vozr_min']))
                $data['Vozr_min'] = (int)$dat['Vozr_min'];
            if(isset($dat['Vozr_max']))
                $data['Vozr_max'] = (int)$dat['Vozr_max'];

            if(isset($dat['S_views']))
                $data['S_views'] = (int)$dat['S_views'];
            if(isset($dat['S_click']))
                $data['S_click'] = (int)$dat['S_click'];
            if(isset($dat['S_trata']))
                $data['S_trata'] = (float)$dat['S_trata'];

            if(isset($dat['B_type']))
                $data['B_type'] = (int)$dat['B_type'];
            if(isset($dat['B_trata']))
                $data['B_trata'] = (float)$dat['B_trata'];
            if(isset($dat['B_money']))
                $data['B_money'] = (float)$dat['B_money'];

            if(isset($dat['AddDate']))
                $data['AddDate'] = (int)$dat['AddDate'];
            if(isset($dat['Refer']))
                $data['Refer'] = (int)$dat['Refer'];
            if(isset($dat['Postmod']))
                $data['Postmod'] = (int)$dat['Postmod'];

            if(isset($dat['Partner']))
                $data['Partner'] = (int)$dat['Partner'];
            
            if(isset($dat['Price']))
                $data['Price'] = (int)$dat['Price'];
            if(isset($dat['Type']))
                $data['Type'] = (int)$dat['Type'];
            if(isset($dat['FileUp']))
                $data['FileUp'] = (int)$dat['FileUp'];

            if(isset($dat['ApprovedComm']))
                $data['ApprovedComm'] = mav_htmltotext(trim($dat['ApprovedComm']));
            
            $where_ins = ($adm) ? $id : array('Id' => $id, 'UserId' => $GLOBALS['user_login']->data['Id']);
            if(!empty($data))
                $ret = $this->b_update('mod_context',$data,$where_ins);

            if($ret && isset($dat['reg']) && is_array($dat['reg'])){                
                $conn = $this->con();
                $conn->query("DELETE FROM `mod_context_reg` WHERE `RId` = {$id}");
                $conn->close();
                foreach ($dat['reg'] as $val) {
                    $this->b_insert('mod_context_reg',array(
                        'RId' => $id,
                        'Obl' => (int)$val['Obl'],
                        'Country' => $val['Country'],
                        ));
                }
            }      
            if(!empty($dat['stat'])){
                $this->b_insert('mod_context_stat',array(
                'RId' => $id,
                'UserId' => (($GLOBALS['user_logined']) ? $GLOBALS['user_login']->data['Id'] : 0),
                'AddDate' => time(),
                'Ip' => sprintf('%u', ip2long(IP))
                ),0);
            } 
            return $ret;
        }
        public function Insert($dat)
        {
            if(empty($dat['Url']) || empty($dat['Title']) || empty($dat['UserId']))
                return FALSE;
            $data = array();
            if(isset($dat['Url'])){
                $data['Url'] = mav_htmltotext(trim($dat['Url']));                    
                if(!preg_match('~^(?:https?:)?//.*~ius', $data['Url']))
                    $data['Url'] = 'http://'.ltrim($data['Url'], '/');
            }
            if(isset($dat['Title']))
                $data['Title'] = mav_htmltotext(trim($dat['Title']));
            if(isset($dat['Body']))
                $data['Body'] = mav_htmltotext(trim($dat['Body']));
            if(isset($dat['UserId']))
                $data['UserId'] = (int)$dat['UserId'];
            if(isset($dat['Pol']))
                $data['Pol'] = (int)$dat['Pol'];
            if(isset($dat['Vozr_min']))
                $data['Vozr_min'] = (int)$dat['Vozr_min'];
            if(isset($dat['Vozr_max']))
                $data['Vozr_max'] = (int)$dat['Vozr_max'];
            if(isset($dat['S_views']))
                $data['S_views'] = (int)$dat['S_views'];
            if(isset($dat['S_click']))
                $data['S_click'] = (int)$dat['S_click'];
            if(isset($dat['S_trata']))
                $data['S_trata'] = (float)$dat['S_trata'];
            if(isset($dat['B_type']))
                $data['B_type'] = (int)$dat['B_type'];
            if(isset($dat['B_trata']))
                $data['B_trata'] = (float)$dat['B_trata'];
            if(isset($dat['B_money']))
                $data['B_money'] = (float)$dat['B_money'];
            $data['Type'] = isset($dat['Type']) ? (int)$dat['Type'] : 1;            
            $data['Refer'] = isset($dat['Refer']) ? (int)$dat['Refer'] : 0;
            $data['Price'] = isset($dat['Price']) ? (int)$dat['Price'] : 1;
            $data['Approved'] = isset($dat['Approved']) ? (int)$dat['Approved'] : 0;
            $data['Active'] = isset($dat['Active']) ? (int)$dat['Active'] : 1;
            $data['AddDate'] = time();
            if(isset($dat['Partner']))
                $data['Partner'] = (int)$dat['Partner'];
            //var_dump($data); die();
            $id = $this->b_insert('mod_context',$data,0);
            if($id){
                if(isset($dat['reg']) && is_array($dat['reg'])){
                    foreach ($dat['reg'] as $val) {
                        $this->b_insert('mod_context_reg',array(
                            'RId' => $id,
                            'Obl' => (int)$val['Obl'],
                            'Country' => $val['Country'],
                            ),0);
                    }
                }
            }
            return $id;
        }
        /*public function InsertStat($dat){
            $id = $this->b_insert('mod_context_stat',$data,0);
            return $id;
        }*/
        public  function Delete($id,$adm = FALSE)
        {
        	global $user_logined,$user_login;        	
            $conn = $this->con();
            $id=(int)$id;
            if($adm)
            	$q = "DELETE FROM `mod_context` WHERE `Id` = {$id}";
            else{
            	if(!$user_logined)
        			return FALSE;
            	$q = "DELETE FROM `mod_context` WHERE `Id` = {$id} AND `UserId` = {$user_login->data['Id']}";
            }
            $conn->query($q);
            $ret = $conn->affected_rows;
            if($ret){
                $im = $this->GetImg($id);
                if(!empty($im))
                    unlink(F.$im);
            }
            $conn->close();
            return $ret;
        }
    /*****************Дополнительные методы*********/
        public function GetImg($id){
            $ret = FALSE;
            $dir = 'assets/mod/context/img/';
            if (is_file(F.$dir.$id.'.png'))
                $ret = $dir.$id.'.png';
            elseif (is_file(F.$dir.$id.'.gif'))
                $ret = $dir.$id.'.gif';
            elseif (is_file(F.$dir.$id.'.jpg'))
                $ret = $dir.$id.'.jpg';
            return $ret;
        }
        public function IncrementViev($id){
            $conn = $this->con();
            $id = $conn->real_escape_string($id);
            $ret = $conn->query("UPDATE `mod_context` SET `S_views` = `S_views` + 1 WHERE `Id` IN ({$id})");
            $conn->close();
            return $ret;
        }
        public function countIp($ip){
            $ip = sprintf('%u', ip2long($ip));
            $ret = 0;
            $conn = $this->con();
            $sut = time() - 60*60*$this->set['interval'];
            $q = "SELECT COUNT(*) FROM `mod_context_stat` WHERE Ip = {$ip} AND `AddDate` > {$sut} LIMIT 200";
            $query = $conn->query($q);
            $conn->close();
            if(!empty($query) && $query->num_rows){
                $ret  = (int)$query->fetch_array()[0];
                $query->close();
            }
            return $ret;
        }
        public function ClickUpdate($r,$Pid = 0)
        {
            if(empty($r))
                return FALSE;
            global $user_m, $URLparam, $setting, $user_logined, $user_login;
            $conn = $this->con();
            $id = $r['Id'];
            $type = (int)$r['B_type'];
            $p = '';
            foreach ($this->set['price'] as $k => $val)
                $p .= " when {$k} then {$val} ";
            $sql = "UPDATE `mod_context` SET 
                `S_click` = `S_click`+1, 
                `B_trata` = `B_trata` + (case Price {$p} else 1 end), 
                `S_trata` = S_trata + (case Price {$p} else 1 end)
                WHERE `Id` = {$id}";
            //die($sql);
            $ret = $conn->query($sql);
            $conn->query("INSERT INTO `mod_context_stat` (`RId`,`UserId`,`AddDate`,`Pid`,`Ip`) VALUES ({$id},".(($GLOBALS['user_logined']) ? $GLOBALS['user_login']->data['Id'] : 0).",".time().",".(int)$Pid.",".sprintf('%u', ip2long(IP)).")");
            $conn->close();
            return $ret;
        }
        public  function GetReg($id){
            $id = (int)$id;
            $ret = array();
            $conn = $this->con();
            $q = "SELECT rk.*,g_obl.Title as OblTitle, g_con.Title as CountryTitle FROM mod_context_reg as rk
            LEFT JOIN GeoIp_obl as g_obl on (g_obl.Id = rk.Obl)
            LEFT JOIN GeoIp_country as g_con on (g_con.Id = rk.Country)
            WHERE rk.`RId` = $id";
            $query = $conn->query($q);
            if (!empty($query) && $query->num_rows)
            {
                while($row = $query->fetch_assoc())
                    array_push($ret,$row);
                $query->close();
            }
            $conn->close();
            return $ret;
        }
    /*****************ForClick*********************/ 
        public function GetNextCount($type){
            global $user_m,$setting,$user_logined,$user_login;
            $conn = $this->con();
            $ret = 0;
            $type = (int)$type;
            $w = "WHERE r.Type = {$type} AND r.Active = 1 AND r.Approved = 1 AND u.MoneyR > 0 AND u.Active = '1' AND (r.B_type = 1 OR r.B_trata <= B_money) ";
            if($type > 1)
                $w .= ' AND r.FileUp > 0 ';
            $sut = time() - 60*60*$this->set['interval'];            
            $q = "SELECT count(*) FROM `mod_context` as r LEFT JOIN `user` as u on(r.UserId = u.Id) {$w}";
            $query = $conn->query($q);
            if (!empty($query) &&  $query->num_rows){
                $ret->count = (int)$query->fetch_array()[0];
                $query->close();
            }
            return $ret;
        }
        public function GetByIDActive($id)
        {
            global $user_m,$setting,$user_logined,$user_login;
            $id = (int)$id;
            $ret = NULL;
            $conn = $this->con();
            $jn = '';
            $w = "WHERE r.`Id` = {$id} AND r.Active = 1 AND r.Approved = 1 AND u.MoneyR > 0 AND u.Active = '1' AND (r.B_type = 1 OR r.B_trata <= B_money) ";
            $sut = time() - 60*60*$this->set['interval'];
            if($user_logined){
                $jn .= "LEFT JOIN `mod_context_stat` as s on(r.Id = s.RId AND s.UserId = {$user_login->data['Id']} AND s.AddDate > {$sut})";
                $w .= " AND s.RId IS NULL ";
            }
            else{
                $Ip = sprintf('%u', ip2long(IP));
                $jn .= "LEFT JOIN `mod_context_stat` as s on(r.Id = s.RId AND s.Ip = {$Ip} AND s.AddDate > {$sut})";
                $w .= " AND s.RId IS NULL ";
            }
            $q = "SELECT r.*
                    FROM `mod_context` as r
                    {$jn}
                    LEFT JOIN `user` as u on(r.UserId = u.Id)
                    {$w} LIMIT 1";
            //echo $q;
            $query = $conn->query($q);
            if (!empty($query) && $query->num_rows)
                $ret = $this->convert($query);
            $conn->close();
            return $ret;
        }
        public function GetNext($type, $maximumRows=1,$Partner = FALSE)
        {
            //select * from tablename order by if(id=94,1,if(id=480,2,if(id=208,3,if(id=141,4,if(id=316,5,id)))));
            global $user_m,$setting,$user_logined,$user_login;
            $conn = $this->con();
            $ret = array();
            /****************************************************************/
                $rand = rand(0,100);
                $sort_int = 5;
                if($rand > 60)
                    $sort_int = 5;
                elseif($rand > 30)
                    $sort_int = 4;
                elseif($rand > 15)
                    $sort_int = 3;
                elseif($rand > 7)
                    $sort_int = 2;
                elseif($rand > 3)
                    $sort_int = 1;
                else
                    $sort_int = 0;
                $desc = 'ORDER BY IF(r.Price = '.$sort_int.',  9999, 0) DESC, r.Price DESC, RAND()';
            /****************************************************************/
            $type = (int)$type;
            $w = "WHERE r.Type = {$type} AND r.Active = 1 AND r.Approved = 1 AND u.MoneyR > 0 AND u.Active = '1' AND (r.B_type = 1 OR r.B_trata <= B_money) ";
            if($type > 1)
                $w .= ' AND r.FileUp > 0 ';
            if($Partner)
                $w .= " AND Partner > 0 ";
            $obl = 0;
            $country = '';      
            $jn = '';      
            $sut = time() - 60*60*$this->set['interval'];
            if($user_logined){
                $jn .= "LEFT JOIN `mod_context_stat` as s on(r.Id = s.RId AND s.UserId = {$user_login->data['Id']} AND s.AddDate > {$sut})";
                $w .= " AND s.RId IS NULL ";
                $profil = $user_login->GetProfil();
                if(!empty($profil)){
                    $obl = $profil['Obl'];
                    $country = $profil['Country'];
                    unset($profil);
                }
            }
            else{
                $Ip = sprintf('%u', ip2long(getIP()));
                $jn .= "LEFT JOIN `mod_context_stat` as s on(r.Id = s.RId AND s.Ip = {$Ip} AND s.AddDate > {$sut})";
                $w .= " AND s.RId IS NULL ";
            }
            if(empty($obl) && !empty($country))
                $w .= " AND ((reg.Country = '{$country}' AND reg.Obl = 0) OR reg.RId IS NULL)";
            elseif(!empty($obl) && !empty($country))
                $w .= " AND ((reg.Country = '{$country}' AND (reg.Obl = {$obl} OR reg.Obl = 0)) OR reg.RId IS NULL)";
            else
                $w .= " AND reg.RId IS NULL";
            $q = "SELECT r.* 
            FROM `mod_context` as r
            LEFT JOIN `mod_context_reg` as reg on(r.Id = reg.RId)                    
            LEFT JOIN `user` as u on(r.UserId = u.Id)
            {$jn}
            {$w} {$desc} LIMIT ".(int)$maximumRows;
            $query = $conn->query($q);
            if (!empty($query) &&  $query->num_rows){
                $idin = array();
                while($row = $query->fetch_assoc()){
                    array_push($ret, $row);
                    array_push($idin, $row['Id']);
                }
                $query->close();
                if(!empty($idin))
                    $conn->query("UPDATE `mod_context` SET `S_views` = `S_views` + 1 WHERE Id IN(".implode(',', $idin).")"); 
            }
            return $ret;
        }
    /*****************SLUG*************************/
        function fileup($file, $id, $upp = FALSE){
            global $user_m, $URLparam, $setting,$user_logined,$user_login; 
            $ret = '';
            $dir = F.'assets/mod/context/img/';
            if (is_file($dir.$id.'.png'))
                unlink($dir.$id.'.png');
            elseif (is_file($dir.$id.'.gif'))
                unlink($dir.$id.'.gif');
            elseif (is_file($dir.$id.'.jpg'))
                unlink($dir.$id.'.jpg');
            $item = $this->GetByID($id);
            if(empty($item))
                $ret = 'Баннер не найден';
            elseif($item['Type'] < 2)
                $ret = 'Изображение удалено';
            elseif(empty($_FILES['banner']) || !is_uploaded_file($_FILES['banner']['tmp_name']))
                $ret = 'Не выбран файл';
            elseif($file["size"] > ($this->set['maxfilesize']*1024))
                $ret = 'Превышен максимально допустимый размер файла';
            else{
                $info = getimagesize($file['tmp_name']);
                $ras = '';
                switch ($info[2]) {
                    case IMG_GIF:
                        $ras = '.gif';
                        break;
                    case (IMG_JPEG || IMG_JPG):
                        $ras = '.jpg';
                        break;
                    case IMG_PNG:
                        $ras = '.png';
                        break;
                }
                if(empty($ras))
                    $ret =  'Неподдерживаемый тип файла';
                elseif($info[0] < 1 || $info[1] < 1)
                    $ret =  'Некорректный размер файла';
                else{
                    $size = $this->Get_TypeSize()[$item['Type']];
                    $r_w = abs($info[0] - $size[0]);
                    $r_h = abs($info[1] - $size[1]);
                    if($r_w > 30 || $rh > 10)
                        $ret = 'Некорректная высота или ширина картинки баннера';
                    else{
                        if(!move_uploaded_file($file['tmp_name'],$dir.$id.$ras))            
                            $ret = 'Не удалось загрузить изображение';
                    }
                }
            }
            if(empty($ret) && empty($item['FileUp']))
                $this->Update(array('Id' => $item['Id'], 'FileUp' => 1),TRUE);
            elseif(!empty($ret) && $item['FileUp'] > 0)
                $this->Update(array('Id' => $item['Id'], 'FileUp' => 0),TRUE);
            return $ret;
        }
        private function convert(&$query)
        {
            $row = $query->fetch_assoc();
            if(empty($row)){
                $query->close();
                return NULL;
            }
            else
            {
                $query->close();
                return $row;
            }
        }
        private function convertList(&$query)
        {
            $ret = array();
            while($row = $query->fetch_assoc())
                array_push($ret, $row);
            $query->close();
            return $ret;
        }        
        public function cron(){ // раз в 4-5 утра
            global $user_m,$setting,$user_logined,$user_login;
            $time = time();
            if($this->set['cron_ok'] < ($time - 60*60*24)){
                if(date('H')  >  3){                    
                    /*************отрабатываем**************************/
                        $conn = $this->con();
                        $ret = $conn->query("UPDATE `mod_context` SET `B_trata` = 0 WHERE `B_type` = 2");
                        $sut = $time - 60*60*$this->set['interval'];
                        $ret = $conn->query("DELETE FROM `mod_context_stat` WHERE `AddDate` < {$sut}");
                        $sut = $time - 60*60*24*30;
                        $ret = $conn->query("DELETE FROM `mod_context_partner_stat` WHERE `AddDate` < {$sut}");
                        $conn->close();
                    /*********запись об успехе****************/
                        $t = $this->set;
                        if(!empty($t)){
                            $t['cron_ok'] = $time;
                            setConf('context',$t);
                        }
                    /****************************************/
                }
            }
        }
}