<?php
namespace models\moduls;
if ( ! defined('F')) exit('Нет доступа!');
require_once(F."models/Base_model.php");

class Partner_model extends \models\Base_model
{
    var $data;
    var $count;
    var $set;
    function __construct(){
        $this->data = array();
        $this->count = 0;
        $this->set = getConf('mod_context');
    }
    public $tip = array(
        0 => 'Неопределенно',
        1 => 'Баннер 468х60',
        2 => 'Баннер 200х300',
        3 => 'Контекстная реклама, горизонтальная',
        4 => 'Контекстная реклама, вертикальная',
    );
    /*******************************************/
    	public function Gets($f = array(), $startRowIndex=0, $maximumRows=FALSE,$desc = NULL)
        {
            $ret = new Partner_model;
            $conn = $this->con();
            $where = '';
            $lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 300';
            if(empty($desc)){
                $desc = 'IF(p.Active = 0,  999,  0) DESC, p.`Id` DESC'; 
            }
            else
            {
                $desc = $conn->real_escape_string($desc);
                $ar = explode(' ', trim($desc));
                if (isset($ar[1]))
                    $desc = 'p.`'.$ar[0].'` DESC';
                else
                    $desc = 'p.`'.$ar[0].'`';
            }
            if(!empty($f)){
                $w = array();
                if(isset($f['Id']))
                    array_push($w, "p.Id = ".(int)$f['Id']);  
                if(isset($f['Active']))
                    array_push($w, "p.Active = ".(int)$f['Active']);
                /****************************************************/
                if(!empty($w)){
                    $where = ' WHERE ' .implode(' AND ', $w);
                    unset($w);
                }
            }
            $q = "SELECT p.*,user.Login as Login, user.Ip as UserIp,
                count(`stat`.`PId`) as ClickCount
                FROM `mod_context_partner` as p 
                LEFT JOIN `user` on(`user`.`Id` = p.`Id`) 
                LEFT JOIN `mod_context_partner_stat` as stat on(`stat`.`PId` = p.`Id`) 
                {$where} 
                GROUP BY p.Id
                ORDER BY {$desc} {$lim}";
            $query = $conn->query($q);
            //die($q);
            if (!empty($query) && $query->num_rows)
            {
                $ret->data = $this->convertList($query);
                if($maximumRows){
                    $query2 = $conn->query("SELECT COUNT(*) FROM `mod_context_partner` as p {$where}");
                    if(!empty($query2) && $query2->num_rows){
                        $ret->count = (int)$query2->fetch_array()[0];
                        $query2->close();
                    }
                }
            }
            $conn->close();
            return $ret;
        }
    	public function GetsStat($f = array(), $startRowIndex=0, $maximumRows=FALSE,$desc = NULL)
        {
            $ret = new Partner_model;
            $conn = $this->con();
            $where = '';
            $select = '';
            $join = '';
            $lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 300';
            if(empty($desc)){
                $desc = 'stat.`AddDate` DESC';
            }
            else
            {
                $desc = $conn->real_escape_string($desc);
                $ar = explode(' ', trim($desc));
                if (isset($ar[1])) 
                    $desc = 'stat.`'.$ar[0].'` DESC';
                else
                    $desc = 'stat.`'.$ar[0].'`';
            }
            if(!empty($f)){
                $w = array();
                if(isset($f['PId']))
                    array_push($w, "stat.PId = ".(int)$f['PId']);  
                if(isset($f['AddDateOt']))
                    array_push($w, "stat.AddDate = ".(int)$f['AddDateOt']);
                /*if(!empty($f['adm'])){
                    $join = "
                    LEFT JOIN `GeoIp` as g ON(g.`Ip1` < stat.Ip AND g.`Ip2` > stat.Ip)
                    LEFT JOIN GeoIp_city as c on (g.Reg = c.Id)
                    LEFT JOIN GeoIp_country as Country on (g.`Country` = Country.Id)
                    ";
                    $select = ",
                    g.`Country` as CountryCode,
                    IFNULL(c.City,'') as City,
                    IFNULL(Country.Title,'') as Country";
                }*/
                /****************************************************/
                if(!empty($w)){
                    $where = ' WHERE ' .implode(' AND ', $w);
                    unset($w);
                }
            }
            $q = "SELECT stat.*{$select} FROM `mod_context_partner_stat` as stat {$join} {$where} ORDER BY {$desc} {$lim}";
            //die($q);
            $query = $conn->query($q);
            if (!empty($query) && $query->num_rows)
            {
                $ret->data = $this->convertList($query);
                if(!empty($f['adm'])){
                    require_once F."helper/classes/geoip/ipgeobase.php";
                    $gb = new \IPGeoBase();
                    foreach ($ret->data as $k => $val) {
                        $data = $gb->getRecord($val['Ip']);
                        if(!empty($data) && !empty($data["cc"])){
                            $ret->data[$k]['CountryCode'] = $data["cc"];
                            $ret->data[$k]['City'] = empty($data["city"]) ? '' : $data["city"];
                            $ret->data[$k]['Obl'] = empty($data["region"]) ? '' : $data["region"];
                            $ret->data[$k]['Country'] = empty($data["country"]) ? '' : $data["country"];
                        }
                    }
                }
                if($maximumRows){
                    $query2 = $conn->query("SELECT COUNT(*) FROM `mod_context_partner_stat` as stat {$where}");
                    if(!empty($query2) && $query2->num_rows){
                        $ret->count = (int)$query2->fetch_array()[0];
                        $query2->close();
                    }
                }
            }
            $conn->close();
            return $ret;
        }
        public  function GetByID($id)
        {
            $id = (int)$id;
            $ret = NULL;
            $conn = $this->con();
            $q = "SELECT p.*, u.Login as Login, u.Money, u.MoneyR, u.Visit FROM `mod_context_partner` as p LEFT JOIN `user` as u USING(`Id`) WHERE p.Id = {$id} LIMIT 1";
            //die($q);
            $query = $conn->query($q);
            if (!empty($query) && $query->num_rows)
                $ret = $this->convert($query);
            $conn->close();
            return $ret;
        }
    /***************** ins/up *************************/
        public  function Update($dat)
        {
            //var_dump($dat);die();
            $data = array();
            $id = 0;
            if (isset($dat['Id'])) {
                $id=(int)$dat['Id'];
            }
            else
                return false;
            if(isset($dat['Active']))
                $data['Active'] = (int)$dat['Active'];
            if(isset($dat['Ip']))
                $data['Ip'] = sprintf('%u', ip2long(getIP()));
            if(isset($dat['Kom']))
                $data['Kom'] = trim($dat['Kom']);
            if(!empty($data))
                $ret = $this->b_update('mod_context_partner',$data,$id,0);
            return $ret;
        }
        public function Insert($active = 0)
        {
            global $user_login, $user_logined,$setting;
            $data['Id'] = $user_login->data['Id'];
            $data['Ip'] = sprintf('%u', ip2long(getIP()));
            $data['Active'] = $active;
            $id = $this->b_insert('mod_context_partner',$data,0);
            return $id;
        }
        public  function Delete($id,$adm = FALSE)
        {
        	global $user_logined,$user_login;        	
            $conn = $this->con();
            $id=(int)$id;
            if($adm)
            	$q = "DELETE FROM `mod_context_partner` WHERE `Id` = {$id}";
            else{
            	if(!$user_logined)
        			return FALSE;
            	$q = "DELETE FROM `mod_context_partner` WHERE `Id` = {$user_login->data['Id']}";
            }
            $ret = $conn->query($q);
            $conn->close();
            return $ret;
        }
        public function InsertStat($dat)
        {
            $data['UserId'] = !empty($dat['UserId']) ? (int)$dat['UserId'] : 0;
            $data['PId'] = (int)$dat['PId'];
            $data['RId'] = (int)$dat['RId'];
            $data['Type'] = (int)$dat['Type'];
            $data['Sum'] = mav_float($dat['Sum']);
            $data['Refer'] = '';
            if(!empty($_SERVER['HTTP_REFERER']))
                $data['Refer'] = $_SERVER['HTTP_REFERER'];
            elseif(!empty($dat['Refer']))
                $data['Refer'] = $dat['Refer'];
            $data['AddDate'] = time();
            $data['Ip'] = getIp();
            $id = $this->b_insert('mod_context_partner_stat',$data,0);
            return $id;
        }
    /********************slug*******************************/
        private function convert(&$query)
        {
            $row = $query->fetch_assoc();
            if(empty($row)){
                $query->close();
                return NULL;
            }
            else
            {
                $query->close();
                return $row;
            }
        }
        private function convertList(&$query)
        {
            $ret = array();
            while($row = $query->fetch_assoc())
                array_push($ret, $row);
            $query->close();
            return $ret;
        }        
}