<?php 
    /************************************/
    global $user_logined, $user_login, $user_m, $setting;
?>
<div class="mymod-overlay imem_mod" style="display: block;">
    <div class="mymod-table">
        <div class="mymod-cell">
            <div class="mymod-modal" style="min-width: 40%;">
         		<a href="#close" onclick="return mymod();" class="mymod-close"></a>
				<h1><?php echo $add ? 'Добавить рекламу' : 'Редактировать рекламу №'.$Id; ?></h1>
				<div class="panel panel-default">
					<div class="panel-body">
						<form method="post" enctype="multipart/form-data">
							<input type="hidden" name="Approved" value="<?php if(!$add) echo $Approved; ?>" />
							<div class="form-group">
								<label>URL-адрес рекламируемого сайта:</label>
								<span data-valgroup="edit_item" data-validel="edit_url"  data-valtype="reqired" data-valerrormes="Укажите адрес сайта!" class="validator" >*</span>
								<div class="input-group">
									<input data-churl="#url_check_ed" id="edit_url" value="<?php if(!$add) echo $Url; ?>" type="text" name="Url" class="form-control" />
									<span class="input-group-addon" id="url_check_ed"><i class="fa fa-fw fa-circle-thin"></i></span>
								</div>
							</div>
							<div class="form-group">
								<label>Название:</label>
								<span data-valgroup="edit_item" data-validel="edit_title"  data-valtype="reqired" data-valerrormes="Укажите заголовок рекламного объявления!" class="validator" >*</span>
								<small>(Не более 33 символов)</small>
								<input value="<?php if(!$add) echo $Title; ?>" maxlength="33" data-count_chars="#title_count_ed" id="edit_title" type="text" name="Title" class="form-control" />
								<small>Символов: <span id="title_count_ed">0</span></small>
							</div>
							<div class="form-group">
								<label>Описание:</label>
								<small>(Не более 75 символов)</small>
								<br /><small>Не обязательно для баннера</small>
								<textarea rows="3" maxlength="75" data-count_chars="#body_count_ed" id="edit_body" name="Body" class="form-control"><?php if(!$add) echo $Body; ?></textarea>
								<small>Символов: <span id="body_count_ed">0</span></small>
							</div>
							<div class="form-group">
								<label>Цена клика:</label>
								<br /><small>(Чем выше цена, тем чаще показываются объявления)</small>
								<select class="form-control" name="Price">
									<?php foreach ($r_m->set['price'] as $k => $v) {
										$s = (!$add && $Price == $k) ? 'selected="selected"' : ''; 
										echo "<option {$s} value=\"{$k}\">{$v} {$setting['main']['cur']['z']}</option>";
									}
									?>
								</select>
							</div>
							<?php if($r_m->set['partner_on'] > 0) { ?>
							<div class="form-group">
								<label><input type="checkbox" name="Partner" <?php if(!$add && $Partner > 0) echo 'checked="checked"'; ?>>  Показывать на партнерских сайтах </label>
							</div>
							<?php } ?>




							<div class="panel-default panel">
							<div class="panel-heading">Тип рекламы</div>
							<div class="panel-body">
								<input type="hidden" name="Type_old" value="<?php echo $Type; ?>" />
								<select onchange="type_change();" id="sow_item_type" name="Type" class="form-control">
									<?php foreach ($Types as $k => $v) {
										$s = (!$add && $Type == $k) ? 'selected="selected"' : ''; 
										echo "<option {$s} value=\"{$k}\">{$v}</option>";
									} ?>
								</select>
								<div id="sow_item_type_ban" class="form-group" style="padding-top: 10px;display: none;">
									<label>Загрузить файл:</label>
									<div class="alert alert-info" style="padding: 5px 5px 5px 15px;font-size: 12px;">
										<span id="sow_item_type_ban_tlt">Баннер</span>
										<br />Максимальный размер файла - <?php echo $r_m->set['maxfilesize']; ?> кб
										<br />Поддерживаемые типы файла - .png, .jpg, gif.
									</div>
									<input type="file" name="banner" />
									<?php if(!$add && !empty($img)) echo "<p><img style=\"max-width:100%;\" src=\"{$img}\" /></p>"; ?>
								</div>
							</div></div>


							<!-- Определяемся с sow_item_type_ban_tlt, настраиваем представление, загрузка в контроллере -->



							<div class="panel-default panel">
							<div class="panel-heading">Бюджет</div>
							<div class="panel-body">
								<p><small>Если включена опция "Показывать на партнерских сайтах", то не рекомендуется использовать "безлимитный" бюджет</small></p>
								<div class="col-md-6">
									<div class="form-group">
										<label data-toggle="tooltip" data-placement="left" title="Безлимитный бюджет означает, что реклама будет работать, пока баланс аккаунта не иссякнет."><input data-b_change="#b_money_edit" <?php if($add || $B_type === 1) echo 'checked="checked"'; ?> type="radio" name="B_type" value="1" /> Безлимит</label><br />
										<label data-toggle="tooltip" data-placement="left" title="Дневной бюджет означает, что реклама будет работать, пока указанная сумма бюджета не иссякнет. Каждые новые сутки реклама будет работать снова с тем же бюджетом, который вы указали."><input <?php if(!$add && $B_type === 2) echo 'checked="checked"'; ?> data-b_change="#b_money_edit" type="radio" name="B_type" value="2" /> Дневной</label><br />
										<label data-toggle="tooltip" data-placement="left" title="Общий бюджет означает, что реклама будет работать, пока указанная сумма бюджета не иссякнет."><input <?php if(!$add && $B_type === 3) echo 'checked="checked"'; ?> data-b_change="#b_money_edit" type="radio" name="B_type" value="3" /> Общий</label><br />
									</div>
								</div>
								<div class="col-md-6">
									<div class="form-group" id="b_money_edit" style="max-width: 200px; <?php if($add || $B_type === 1) echo 'display: none;'; ?>">
										<label>Сумма:</label>
										<div class="input-group">
											<input name="B_money" value="<?php if(!$add) echo $B_money; ?>" class="form-control" type="number" value="10" />
											<span class="input-group-addon"><?php echo $setting['main']['cur']['z']; ?></span>
										</div>
									</div>
								</div>
							</div></div>
							<div class="panel panel-default" style="">
								<div class="panel-heading">Регион показа</div>
								<div class="panel-body">
									 Если не добавленно ни одного региона, то сайт будет показываться всем пользователям, независимо от их местоположения. 
								</div>
								<table class="reged table table-bordered">
									<tbody>
										<?php if(!empty($Reg)){ foreach($Reg as $val){ ?>
										<tr>
											<td>
												<input type="hidden" name="reg_country[]" value="<?php echo $val['Country']; ?>"><?php echo $val['CountryTitle']; ?>
											</td>
											<td>
												<input type="hidden" name="reg_obl[]" value="<?php echo $val['Obl']; ?>"><?php echo $val['OblTitle']; ?>
											</td>
											<td>
												<button title="Удалить" onclick="return reg_del(this);" class="btn btn-sm btn-danger"><i class="fa fa-trash"></i></button>
											</td>
										</tr>
										<?php } } ?>
									</tbody>
								</table>
								<div class="panel-footer">
									<button type="button" class="btn btn-sm btn-success" onclick="sel_reg('#show_reged','select_country_ed'); return false;">Добавить регион</button>
								</div>
							</div>
							<div class="panel-default panel">
								<div class="panel-body" >
								<label><input type="checkbox" <?php if(!$add && $Refer > 0) echo 'checked="checked"'; ?> name="Refer" /> Cкрыть источник посещений (пустое поле HTTP_REFERER)</label>
								<br />
								<label><input type="checkbox" <?php if($add || $Active > 0) echo 'checked="checked"'; ?> name="Active" /> Запустить показы</label>
								</div>
							</div>
							<p style="text-align: center;"><button onclick="return validator('edit_item');" name="<?php echo $add ? 'Insert' : "Update"; ?>" value="<?php echo $add ? '0' : $Id; ?>" type="submit" class="btn btn-lg btn-danger"><?php echo $add ? '<i class="fa fa-check"></i> Добавить' : '<i class="fa fa-refresh"></i> Обновить'; ?></button></p>
						</form>
						<div id="show_reged"></div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<script>
	type_change();
	p_init();
	$('[data-count_chars]').keyup();
    $('[data-churl]').change();
</script>