<?php global $setting; ?>
<h1>Конфигурация модуля</h1>
<div class="feedok"><?php echo $feed; ?></div>
<form method="post">
	<div class="panel panel-primary">
		<div class="panel-heading"><strong>Общие настройки</strong></div>
		<div class="panel-body">
			<div class="row">
				<div class="col-sm-6">
					<div class="form-group">
						<label>Название модуля:</label>
						<input type="text" name="title" value="<?php echo $set['title']; ?>" class="form-control input-sm" />
					</div>
				</div>
				<div class="col-sm-6">
					<div class="form-group">
						<label>Интервал между показами (час.):</label>
						<input type="text" name="interval" value="<?php echo $set['interval']; ?>" class="form-control input-sm" />
					</div>
				</div>
				<div class="clearfix"></div>

				<div class="col-sm-6">
					<div class="form-group">
						<label> Процент отчисления в партнерской программе (%):</label>
						<input type="text" name="partnep_per" value="<?php echo $set['partnep_per']; ?>" class="form-control input-sm" />
					</div>
				</div>
				<div class="col-sm-6">
					<div class="form-group">
						<label>Максимальный размер файла-баннера (Кб):</label>
						<input type="text" name="maxfilesize" value="<?php echo $set['maxfilesize']; ?>" class="form-control input-sm" />
					</div>
				</div>
				<div class="clearfix"></div>
				<div class="col-sm-6">
					<div class="form-group">
						<label>Активный модуль:</label>
						<select name="active" class="form-control input-sm">
							<option value="0" <?php if($set['active'] < 1) echo 'selected="selected"'; ?>>Модуль деактивирован</option>
							<option value="1" <?php if($set['active'] > 0) echo 'selected="selected"'; ?>>Модуль активный</option>
						</select>
					</div>
				</div>
				<div class="col-sm-6">					
					<div class="form-group">
						<label>Партнерская программа:</label>
						<select name="partner_on" class="form-control input-sm">
							<option value="0" <?php if($set['partner_on'] < 1) echo 'selected="selected"'; ?>>Отключена</option>
							<option value="1" <?php if($set['partner_on'] > 0) echo 'selected="selected"'; ?>>Включена</option>
						</select>
					</div>
				</div>
				<div class="clearfix"></div>
			</div>
			<div class="form-group">
				<label>Цена клика (<?php echo $setting['main']['cur']['z']; ?>):</label>
				<br />
				<small>(От меньшего к большему)</small>
				<div class="row">
					<div class="col-sm-4 col-xs-6 col-lg-2">
						<input class="form-control" type="text" name="price[]" value="<?php echo $set['price'][0]; ?>" />
					</div>
					<div class="col-sm-4 col-xs-6 col-lg-2">
						<input class="form-control" type="text" name="price[]" value="<?php echo $set['price'][1]; ?>" />
					</div>
					<div class="col-sm-4 col-xs-6 col-lg-2">
						<input class="form-control" type="text" name="price[]" value="<?php echo $set['price'][2]; ?>" />
					</div>
					<div class="col-sm-4 col-xs-6 col-lg-2">
						<input class="form-control" type="text" name="price[]" value="<?php echo $set['price'][3]; ?>" />
					</div>
					<div class="col-sm-4 col-xs-6 col-lg-2">
						<input class="form-control" type="text" name="price[]" value="<?php echo $set['price'][4]; ?>" />
					</div>
					<div class="col-sm-4 col-xs-6 col-lg-2">
						<input class="form-control" type="text" name="price[]" value="<?php echo $set['price'][5]; ?>" />
					</div>
				</div>
			</div>
			<p><button type="submit" class="btn btn-lg btn-danger" name="up">Сохранить изменения</button></p>
		</div>
	</div>
</form>
<?php 
	echo (empty($set['cron_ok'])) ? '<small>(Cron не работает)</small>' : '<small>(Последний раз cron отработал: '.date('d.m.Y H:i',$set['cron_ok']).')</small>';