<?php global $setting; ?>
<h1>Партнерка. Статистика</h1>
<div class="feedok"><?php echo $feed; ?></div>
<div class="items_filtr">
    <div class="col-sm-6">
        <div class="form-group">    
            <label>Поиск по ИД-пользователя:</label>        
            <input data-dataform="" type="text" placeholder="Поиск по ИД-пользователя" <?php if(!empty($filtr['PId'])) echo "value=\"{$filtr['PId']}\""; ?> name="PId" class="form-control input-sm" />
        </div>
    </div>
    <div class="clearfix"></div>
    <input type="hidden" id="startpag" data-dataform="" name="startpag" value="<?php echo $startpag; ?>">
    <input type="hidden" id="sort" data-dataform="" name="sort" value="<?php echo $sort; ?>">
    <input type="hidden" id="url_build" name="url_build" value="<?php echo $url_build; ?>">
    <div class="clearfix"></div>
    <p style="text-align: center;">
        <button type="button" class="btn btn-default" onclick="items_filtr();"><i class="fa fa-filter"></i> Поехали</button>
        <button type="button" class="btn btn-default" onclick="items_filtr_clear();"><i class="fa fa-times"></i> Очистить</button>
    </p>
</div>

<div class="panel panel-default">
    <div class="panel-heading">
        <h3 class="panel-title">Список пользователей</h3>
    </div>
    <?php if(empty($items) || empty($items->data)) { ?>
    <div class="panel-body" style="text-align: center;">
        <em>Нет пользователей</em>
    </div>
    <?php } else { ?>
    <div class="table-responsive">
        <table class="table table-striped table-hover table-condensed">
            <thead>
                <tr>
                    <th><button onclick="return sortitem('PId',this);" class="btn-link btn_sort">PId <?php if($sort == 'PId') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'PId DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th><button onclick="return sortitem('RId',this);" class="btn-link btn_sort">ИД реклам. <?php if($sort == 'RId') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'RId DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th><button onclick="return sortitem('Type',this);" class="btn-link btn_sort">Тип <?php if($sort == 'Type') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Type DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th><button onclick="return sortitem('Summ',this);" class="btn-link btn_sort">Сумма <?php if($sort == 'Summ') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Summ DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th><button onclick="return sortitem('AddDate',this);" class="btn-link btn_sort">Дата <?php if($sort == 'AddDate') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'AddDate DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th><button onclick="return sortitem('Refer',this);" class="btn-link btn_sort">Реферер <?php if($sort == 'Refer') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Refer DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th><button onclick="return sortitem('Ip',this);" class="btn-link btn_sort">Ip/Страна <?php if($sort == 'Ip') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Ip DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th><button onclick="return sortitem('UserId',this);" class="btn-link btn_sort">Польз. <?php if($sort == 'UserId') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'UserId DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                </tr>
            </thead>
            <tbody>
            <?php foreach($items->data as $val){ 
                ?>
                <tr>
                    <td><a href="<?php echo X_URL; ?>/context/partner?Id=<?php echo $val['PId']; ?>" data-toggle="tooltip" title="Перейти к партнерке" btn-default"><?php echo $val['PId']; ?></a></td>
                    <td><a href="<?php echo X_URL; ?>/context/partner?Id=<?php echo $val['RId']; ?>" data-toggle="tooltip" title="Перейти к рекламодателю"><?php echo $val['RId']; ?></a></td>
                    <td>
                        <?php echo $r_m->tip[$val['Type']]; ?>
                    </td>
                    <td><?php if (!empty($val['Sum'])) echo number_format ($val['Sum'], 2,","," " ).' '.$setting['main']['cur']['z']; else echo '<small>Клик не засчитан</small>'; ?></td>
                    <td><?php echo date('d.m.Y H:i',$val['AddDate']); ?></td>
                    <td><?php echo $val['Refer']; ?></td>
                    <td>
                        <?php echo $val['Ip']; ?><br />
                        <?php if(!empty($val['CountryCode'])){ ?>
                            <img src="/assets/img/country/<?php echo $val['CountryCode']; ?>.png" alt="<?php echo $val['CountryCode']; ?>" /> <?php echo $val['Country']; ?><?php if(!empty($val['City'])) echo ', г. '.$val['City']; ?>
                        <?php } else echo "<em>Не определено</em>"; ?>
                        
                    </td>                    
                    <td>
                        <?php if($val['UserId'] > 0) { ?>
                        <a title="Перейти на страницу пользователя" href="<?php echo X_URL.'/user/edit_'.$val['UserId']; ?>">ИД <?php echo $val['UserId']; ?></a>
                        <?php } ?>
                    </td>
                </tr>
            <?php } ?>
            </tbody>
        </table>
    </div>
    <?php echo $pager; ?>
    <?php } ?>
</div>
<div id="show_item"></div>
<script>
    function items_filtr(){
        $('#startpag').val(1);
        var formData = getFormData_el('[data-dataform]');
        dataload(formData);
        return false;
    }
    function items_filtr_clear(){   
        //$([chosen]).chosen("destroy");
        $('.items_filtr select option').removeAttr('selected');
        $('.items_filtr select option:first-child').attr('selected','selected');
        $('.items_filtr select option').prop('selected',false);
        $(".items_filtr input[type=text]").val('');
        $('.items_filtr input[type=checkbox]').removeAttr('checked');
        $('.items_filtr input[type=checkbox]').prop('checked',false);
        //$("[chosen]").chosen({no_results_text: "Значение не найдено!"});
        return items_filtr();
    }
    function pager(pag){
        $('#startpag').val(pag);
        var formData = getFormData_el('[data-dataform]');   
        dataload(formData); 
        return false;
    }
    function sortitem(el,e){
        $('.btn_sort').find('.fa').remove();
        if($('#sort').val() == el)
            el += ' DESC';
        $('#sort').val(el);
        items_filtr();
        return false;
    }
    function dataload(formData){
        $('#ajaxProgress').show();
        formData.append('aj',1);
        $.ajax({
            url: document.location.href,
            type: "POST",
            cache: false,
            contentType: false,
            processData: false,         
            data: formData,
            success: function(content){
                $('#ajax_load').html(content);
                $('#ajaxProgress').hide();
                window.history.pushState(null, null, $('#url_build').val());
            }
        });
        return false;
    }
    /******************************************/
    function show_loginhistory(id) {
        $('#ajaxProgress').show();
        $('#show_item').load('<?php echo X_URL.'/user/show_loginhistory'; ?>',{Id:id},function(){$('#ajaxProgress').hide();});
        return false;
    }
    function show_moneyhistory(id) {
        $('#ajaxProgress').show();
        $('#show_item').load('<?php echo X_URL.'/user/show_moneyhistory'; ?>',{Id:id},function(){$('#ajaxProgress').hide();});
        return false;
    }
    /******************************************/
</script>