<?php 
    /************************************/
    global $user_logined, $user_login, $user_m, $setting;
?>
<article>
	<h1><?php echo $Title ?></h1>
	<?php echo $Body ?>
	<?php if(!$user_logined) { ?>
	<?php include HTML.'no_auth.php'; ?>
	<?php } elseif($ChBlok){ ?>
	<div class="panel panel-default">
		<div class="panel-body">
			<div class="alert alert-danger"><strong>Вы заблокированны!</strong><br /> 
            <?php echo empty($ChBlokComm) ? 'Это могло случится если вы нарушали правила сервиса. Пожалуйста, свяжитесь с администрацией сайта.' : 'Причина блокировки: '.$ChBlokComm; ?>
            </div>
		</div>
	</div>
	<?php } elseif($r_m->set['active']){
		echo $feed; ?>
        <div class="panel panel-default">
			<div style="margin-bottom: 15px; border-bottom: 1px solid #ddd; padding: 15px;background: #f3f3f3;">
			<?php if($ucoutn < $r_m->set['max_item']) { ?>
				<span data-valgroup="mylink" data-validel="mylink_add" data-valtype="reqired" data-valerrormes="Укажите ссылку!" class="validator" >*</span>
	            <div class="input-group" style="max-width: 600px;">
	            	<span class="input-group-addon" id="url_check_add"><i class="fa fa-fw fa-circle-thin"></i></span>
	                <input data-churl="#url_check_add" placeholder="Добавить ссылку" maxlength="400" id="mylink_add" class="form-control" type="text">
	                <span class="input-group-btn"><button onclick="return insert_item();" class="btn btn-success" type="button">Добавить &nbsp;<i class="fa fa-plus-square"></i></button></span>
	            </div>
	            <small>Максимальное количество ссылок: <?php echo $r_m->set['max_item']; ?></small>
	        <?php } else echo "Достигнут лимит на количество ссылок"; ?>
			</div>
            <?php if(empty($items) || empty($items->data)) { ?>
	            <div class="panel-body" style="text-align: center;">
	                <em>Нет данных</em>
	            </div>
            <?php } else { ?>
            <div class="table-responsive">
                <table class="table r-table table-striped table-hover table-condensed">
                    <thead>
                        <tr>
                            <th><button onclick="return sortitem('Id',this);" class="btn-link btn_sort">№ <?php if($sort == 'Id') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Id DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                            <th><button onclick="return sortitem('Url',this);" class="btn-link btn_sort">URL <?php if($sort == 'Url') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Url DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                            <th>Короткая ссылка</th> 

                            <th><button style="font-size: 12px;" onclick="return sortitem('Visit',this);" class="btn-link btn_sort">Переходов <?php if($sort == 'Visit') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Visit DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th> 
                            <th><button style="font-size: 12px;" onclick="return sortitem('Money',this);" class="btn-link btn_sort">Заработано <?php if($sort == 'Money') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Money DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th> 
                            <th><button style="font-size: 12px;" onclick="return sortitem('AddDate',this);" class="btn-link btn_sort">Дата создания <?php if($sort == 'AddDate') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'AddDate DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>  

                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                    <?php foreach($items->data as $val){ 
                        $_url = (mb_strlen($val['Url']) > 40) ? (mb_substr($val['Url'], 0, 40).' ...') : $val['Url'];
                        
                    ?>
                        <tr>
                            <td><?php echo $val['Id']; ?></td>
                            <td>
                                <a href="<?php echo $val['Url']; ?>" title="<?php echo $val['Url']; ?>" target="_blank"><?php echo $_url; ?></a>
                            </td>
                            <td>
                            	<div class="input-group">
			            			<span class="input-group-btn"><button title="Скопировать адрес" data-toggle="tooltip" class="btn btn-default" onclick="CopyToClipboard_in('ml_item_<?php echo $val['Id']; ?>');"><i class="fa fa-fw fa-files-o"></i></button></span>
			            			<input value="<?php echo "http://{$_SERVER['SERVER_NAME']}/ml/{$val['Id']}" ?>" class="form-control" type="text" readonly="readonly" id="ml_item_<?php echo $val['Id']; ?>" />
			            		</div>
                            </td>
							<td style="text-align: center;"><?php echo $val['Visit']; ?></td>
							<td style="text-align: center;"><?php echo $val['Money']; ?></td>
							<td style="text-align: center;"><?php echo date('d.m.Y',$val['AddDate']); ?></td>
                            
                            <td style="width: 50px;">                       
                                <button style="margin:3px;" title="Удалить" data-toggle="tooltip" data-placement="bottom" class="btn btn-sm btn-danger" onclick="return delet_item(<?php echo $val['Id']; ?>);"><i class="fa fa-trash"></i></button>
                            </td>
                        </tr>
                    <?php } ?>
                    </tbody>
                </table>
            </div>
            <div class="panel-footer"><?php echo $pager; ?></div>
            <?php } ?>
        </div>
        <input type="hidden" id="startpag" data-dataform="" name="startpag" value="<?php echo $startpag; ?>">
        <input type="hidden" id="sort" data-dataform="" name="sort" value="<?php echo $sort; ?>">
        <input type="hidden" id="url_build" name="url_build" value="<?php echo $url_build; ?>">
	<?php } else { ?>
        <div class="alert alert-warning"><strong>Модуль временно не работает. Приносим извинения за неудобства</strong></div>
    <?php } ?>
</article>

<!--includeFuter-->
<script>
    function dataload(formData){
        $('#ajaxProgress').show();
        formData.append('aj',1);
        $.ajax({
            url: document.location.href,
            type: "POST",
            cache: false,
            contentType: false,
            processData: false,         
            data: formData,
            success: function(content){
                $('#ajax_load').html(content);
                $('#ajaxProgress').hide();
                window.history.pushState(null, null, $('#url_build').val());
            }
        });
        return false;
    }
    function pager(pag){
        $('#startpag').val(pag);
        var formData = getFormData_el('[data-dataform]');   
        dataload(formData); 
        return false;
    }
    function sortitem(el,e){
        if($('#sort').val() == el)
            el += ' DESC';
        $('#sort').val(el);
        $('#startpag').val(1);
        var formData = getFormData_el('[data-dataform]');
        dataload(formData);
        return false;
    }
    function insert_item(){
    	if(!validator('mylink'))
    		return false;
        var formData = getFormData_el('[data-dataform]');       
        formData.append('Insert',$('#mylink_add').val());
        dataload(formData);
        return false;
    }
    function delet_item(id){
        if(!confirm('Подтвердите удаление!'))
            return false;
        var formData = getFormData_el('[data-dataform]');       
        formData.append('DeletItem',id);
        dataload(formData);
        return false;
    }
    $(document).ready(function(){
        $('[data-churl]').change(function(event) {
            var el = $($(this).data('churl'));
            el.html('<i title="Проверка ... " class="fa fa-fw fa-fw fa-pulse fa-spinner"></i>');
            $.ajax({
                url: 'aj/checkurl',
                type: "POST",      
                data: {url : $(this).val()},
                success: function(d){
                    d = parseInt(d);
                    if(d > 199 && d < 300)
                        el.html('<i title="Сайт работает;)" class="fa fa-fw fa-check text-success"></i>');
                    else if(d > 299 && d < 400)
                        el.html('<i title="Сайт не отвечает:(" class="fa fa-fw fa-exclamation-triangle text-warning"></i>');
                    else
                        el.html('<i title="На сайте перенаправление!" class="fa fa-fw fa-times text-danger"></i>');
                }
            });
        });
    });
</script>
<!--/includeFuter-->