<?php global $setting; ?>
<h1>Заблокированные пользователи</h1>
<div class="feedok"><?php echo $feed; ?></div>
<div class="items_filtr">
	<div class="col-sm-12">
		<div class="form-group">	
			<label>Поиск по ИД-пользователя:</label>		
			<input data-dataform="" type="text" placeholder="Поиск по ИД-пользователя" <?php if(!empty($filtr['UserId'])) echo "value=\"{$filtr['UserId']}\""; ?> name="UserId" class="form-control input-sm" />
		</div>
	</div>
	<div class="clearfix"></div>
	<p style="text-align: center;">
		<button type="button" class="btn btn-default" onclick="items_filtr();"><i class="fa fa-filter"></i> Поехали</button>
		<button type="button" class="btn btn-default" onclick="items_filtr_clear();"><i class="fa fa-times"></i> Очистить</button>
	</p>
</div>

<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">Список заблокированных пользователей</h3>
	</div>
	<?php if(empty($items) || empty($items->data)) { ?>
	<div class="panel-body" style="text-align: center;">
		<em>Нет пользователей</em>
	</div>
	<?php } else { ?>
    <div class="table-responsive">
        <table class="table r-table table-striped table-hover table-condensed">
            <thead>
                <tr>
                    <th></th>
                    <th><button onclick="return sortitem('UserId',this);" class="btn-link btn_sort">Пользователь <?php if($sort == 'UserId') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'UserId DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th>Комментарий</th>
                </tr>
            </thead>
            <tbody>
            <?php foreach($items->data as $val){ 
                
            ?>
                <tr>
                    <td><button onclick="return blok_change(<?php echo $val['UserId']; ?>);" title="Разблокировать" data-toggle="tooltip" class="btn btn-xs btn-danger"><i class="fa fa-times"></i></button></td>
                    <td> 
                        <?php echo $val['Login']; ?></strong> (<small><a title="Перейти на страницу пользователя" href="<?php echo X_URL.'/user/edit_'.$val['UserId']; ?>">ИД <?php echo $val['UserId']; ?></a></small>)
                            
                    </td>
                    <td><?php echo $val['Comm']; ?></td>
                </tr>
            <?php } ?>
            </tbody>
        </table>
    </div>
	<?php echo $pager; ?>
	<?php } ?>
</div>


<div id="app_comm_show" style="position: absolute;display: none;top: 0;left: 0;">
    <div class="comm_edit_form" style="display: block;">
        <textarea id="app_comm_show_text" style="margin:5px 0;width: 100%;" rows="3"><?php echo $val['ApprovedComm']; ?></textarea>
        <input type="hidden" id="app_comm_show_id" />
        <button class="btn btn-sm btn-default" onclick="app_comm_show(this);"><i class="fa fa-times"></i></button> &nbsp;
        <button class="btn btn-sm btn-danger" onclick="comm_change();"><i class="fa fa-pencil"></i> &nbsp; Сохранить</button>
    </div>
</div>

<div id="show_item"></div>
<script>
	function items_filtr(){
		$('#startpag').val(1);
		var formData = getFormData_el('[data-dataform]');
    	dataload(formData);
    	return false;
	}
	function items_filtr_clear(){	
		//$([chosen]).chosen("destroy");
		$('.items_filtr select option').removeAttr('selected');
		$('.items_filtr select option:first-child').attr('selected','selected');
		$('.items_filtr select option').prop('selected',false);
		$(".items_filtr input[type=text]").val('');
		$('.items_filtr input[type=checkbox]').removeAttr('checked');
		$('.items_filtr input[type=checkbox]').prop('checked',false);
		//$("[chosen]").chosen({no_results_text: "Значение не найдено!"});
    	return items_filtr();
	}
	function pager(pag){
		$('#startpag').val(pag);
		var formData = getFormData_el('[data-dataform]');	
    	dataload(formData);	
        return false;
    }
	function sortitem(el,e){
		$('.btn_sort').find('.fa').remove();
		if($('#sort').val() == el)
			el += ' DESC';
		$('#sort').val(el);
        items_filtr();
        return false;
	}
    function dataload(formData){
    	$('#ajaxProgress').show();
		formData.append('aj',1);
		$.ajax({
	        url: document.location.href,
	        type: "POST",
	        cache: false,
	        contentType: false,
	        processData: false,         
	        data: formData,
	        success: function(content){
	            $('#ajax_load').html(content);
	            $('#ajaxProgress').hide();
	            window.history.pushState(null, null, $('#url_build').val());
	        }
    	});
		return false;
    }
	function blok_change(id){
		var formData = getFormData_el('[data-dataform]');		
		formData.append('Blok_up',id);
    	dataload(formData);
    	return false;
	}
</script>