<?php 
    /************************************/
    global $user_logined, $user_login, $user_m, $setting;
?>
<article>
	<h1><?php echo $Title ?></h1>
	<?php echo $Body ?>
	<?php if(!$user_logined) { ?>
	<?php include HTML.'no_auth.php'; ?>
	<?php } elseif($r_m->set['active']) { ?>
        <?php echo $feed; ?>
        <p><button type="button" onclick="show_item(0);" class="btn btn-success"><i class="fa fa-plus"></i> Add Advertisement</button></p>
        <div class="panel panel-default">
            <?php if(empty($items) || empty($items->data)) { ?>
            <div class="panel-body" style="text-align: center;">
                <em>No Data</em>
            </div>
            <?php } else { ?>
            <div class="table-responsive">
                <table class="table r-table table-striped table-hover table-condensed">
                    <thead>
                        <tr>
                            <th><button onclick="return sortitem('Id',this);" class="btn-link btn_sort"># <?php if($sort == 'Id') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Id DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                            <th><button onclick="return sortitem('Url',this);" class="btn-link btn_sort">URL <?php if($sort == 'Url') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Url DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                            <th>Status</th>
                            <th><button style="font-size: 12px;" onclick="return sortitem('Price',this);" class="btn-link btn_sort">View Time <?php if($sort == 'Price') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Price DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>  
                            <th><button style="font-size: 12px;" onclick="return sortitem('S_trata',this);" class="btn-link btn_sort">Statistics <?php if($sort == 'S_trata') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'S_trata DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                            <th><button style="text-align: center;white-space: nowrap;font-size: 12px;font-weight: normal;" onclick="return sortitem('B_type',this);" class="btn-link btn_sort">Budget<br />Amount/Spent <?php if($sort == 'B_type') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'B_type DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                    <?php foreach($items->data as $val){ 
    $_url = (mb_strlen($val['Url']) > 40) ? (mb_substr($val['Url'], 0, 40).' ...') : $val['Url'];
    $Price = isset($r_m->set['price'][$val['Price']]) ? $r_m->set['price'][$val['Price']] : $r_m->set['price'][0];
    $val['B_type'] = (int)$val['B_type'];
    unset($tip);
?>
    <tr>
        <td><?php echo $val['Id']; ?></td>
        <td>
            <?php echo $val['Title']; ?>                        
            <br />
            <small><a href="<?php echo $val['Url']; ?>" title="<?php echo $val['Url']; ?>" target="_blank"><?php echo $_url; ?></a></small>
            <div>
            <?php if($val['Price'] > 0) echo "<a href=\"http://{$_SERVER['SERVER_NAME']}/adver/rserf?frame_test={$val['Id']}&proto=http\" target=\"_blank\" class=\"btn btn-xs btn-default\"><i class=\"fa fa-eye\"></i> Check frame</a>"; ?></div>
        </td>
        <td style="text-align: center;">
            <?php
            if($val['Approved'] < 0) { ?>
                <span style="color: red; font-size:12px;"><i class="fa fa-times"></i> Rejected by moderator</span>
                <?php if(!empty($val['ApprovedComm'])) { ?>
                <br /><label class="btn btn-xs btn-default" data-toggle="tooltip" data-placement="top" title="<?php echo $val['ApprovedComm']; ?>">Reason</label>
                <?php } ?>
            <?php } 
            elseif($val['Approved'] < 1) echo '<span style="color: #8a6d3b;"><i class="fa fa-exclamation-triangle"></i> Under review</span>'; 
            elseif($val['Active'] < 1) echo '<span style="color: red; font-size:12px;"><i class="fa fa-times"></i> Impressions stopped</span><br /><button  data-toggle="tooltip" data-placement="bottom" title="Resume" class="btn btn-success btn-xs" type="button" onclick="active_change('.$val['Id'].',1);"><i class="fa fa-check"></i> Resume</button>'; 
            elseif($user_login->data['MoneyR'] < $Price){ ?>
            <span style="color: red; font-size:12px;"><i class="fa fa-times"></i> Impressions stopped</span><br /><small>Insufficient funds in advertising account</small>
            <?php } elseif($val['B_type'] > 1 && $val['B_trata'] >= $val['B_money']) { ?>
                <span style="color: red; font-size:12px;"><i class="fa fa-times"></i> Impressions stopped</span><br /><span style="font-size:11px;"><?php echo ($val['B_type'] === 2) ? 'Daily budget exhausted' : 'Total budget exhausted'; ?></span>
            <?php } else { ?>
            <span style="color: green; font-size:12px;"><i class="fa fa-check"></i> Active impressions</span><br /><button class="btn btn-danger btn-xs" data-toggle="tooltip" data-placement="bottom" title="Stop" type="button" onclick="active_change(<?php echo $val['Id']; ?>,0);"><i class="fa fa-times"></i> Stop</button>
            <?php } ?>
        </td>
        <td>          
            <select data-url="<?php echo $val['Url']; ?>" class="form-control input-sm" onchange="price_change(<?php echo $val['Id']; ?>,this);">
                <?php foreach ($r_m->set['price'] as $k => $v) {
                    if(!$add)
                        $s = ($k == $val['Price']) ? 'selected="selected"' : '';
                    else
                        $s = ($k == '15') ? 'selected="selected"' : '';
                    $v = ($k > 0) ? "{$k} sec. ({$v} {$setting['main']['cur']['z']})" : "No timer ({$v} {$setting['main']['cur']['z']})";
                    echo "<option {$s} value=\"{$k}\">{$v}</option>";
                }
                ?>
            </select>
        </td>
        <td style="font-size:12px; text-align: center;">
            <div style="text-align: left;display: inline-block;">
                <div data-toggle="tooltip" data-placement="left" title="Impressions"><i class="fa fa-fw fa-eye"></i> <?php echo $val['S_views']; ?></div>
                <div data-toggle="tooltip" data-placement="left" title="Clicks"><i class="fa fa-fw fa-mouse-pointer"></i> <?php echo $val['S_click']; ?></div>
                <div data-toggle="tooltip" data-placement="left" title="Spent"><i class="fa fa-fw fa-money"></i> <?php echo $val['S_trata']; ?></div>
            </div>
        </td>
        <td><?php 
            if($val['B_type'] === 1) 
                echo 'Unlimited'; 
            elseif($val['B_type'] === 2) 
                echo 'Daily:<br />'.$val['B_money'].' '.$setting['main']['cur']['z'].' / '.$val['B_trata'].' '.$setting['main']['cur']['z'].'<br /><button class="btn btn-xs btn-default" onclick="b_null('.$val['Id'].');" type="button">Reset</button>'; 
            elseif($val['B_type'] === 3) echo 'Total:<br />'.$val['B_money'].' '.$setting['main']['cur']['z'].' / '.$val['B_trata'].' '.$setting['main']['cur']['z'].'<br /><button class="btn btn-xs btn-default" onclick="b_null('.$val['Id'].');" type="button">Reset</button>'; ?></td>
        <td style="width: 50px;">                       
            <button style="margin:3px;" title="Edit" data-toggle="tooltip" data-placement="bottom" class="btn btn-sm btn-warning" onclick="show_item(<?php echo $val['Id']; ?>);"><i class="fa fa-pencil"></i></button>
            <button style="margin:3px;" title="Delete" data-toggle="tooltip" data-placement="bottom" class="btn btn-sm btn-danger" onclick="return delet_item(<?php echo $val['Id']; ?>);"><i class="fa fa-trash"></i></button>
        </td>
    </tr>
<?php } ?>
</tbody>
</table>
</div>
<div class="panel-footer"><?php echo $pager; ?></div>
<?php } ?>
</div>
<input type="hidden" id="startpag" data-dataform="" name="startpag" value="<?php echo $startpag; ?>">
<input type="hidden" id="sort" data-dataform="" name="sort" value="<?php echo $sort; ?>">
<input type="hidden" id="url_build" name="url_build" value="<?php echo $url_build; ?>">
<?php } else { ?>
<div class="alert alert-warning"><strong>Module is temporarily unavailable. We apologize for the inconvenience</strong></div>
<?php } ?>
</article>
<div id="show_item"></div>
<!--includeFuter-->
<script>
    function p_init(){      
        $('[data-toggle="tooltip"]').tooltip();     
        $('[data-b_change]').change(function(event) {
            var v = parseInt($(this).parent().find('input[data-b_change]:checked').val());
            if(v > 1)
                $($(this).data('b_change')).slideDown(300);
            else
                $($(this).data('b_change')).slideUp(300); 
        })
        $('[data-count_chars]').keyup(function(event) {
            var t = $(this).val();
            $($(this).data('count_chars')).html(t.length);
        })
        $('[data-churl]').change(function(event) {
            var el = $($(this).data('churl'));
            el.html('<i title="Checking ... " class="fa fa-fw fa-fw fa-pulse fa-spinner"></i>');
            $.ajax({
                url: 'aj/checkurl',
                type: "POST",      
                data: {url : $(this).val()},
                success: function(d){
                    d = parseInt(d);
                    if(d > 199 && d < 300)
                        el.html('<i title="Site is working;)" class="fa fa-fw fa-check text-success"></i>');
                    else if(d > 299 && d < 400)
                        el.html('<i title="Site not responding:(" class="fa fa-fw fa-exclamation-triangle text-warning"></i>');
                    else
                        el.html('<i title="Site has redirection!" class="fa fa-fw fa-times text-danger"></i>');
                }
            });
        });
    }
    $(document).ready(function(){
        p_init();
    });
    function show_item(id){
        $('#ajaxProgress').show();
        $('#show_item').load(document.location.href,{show_item:id},function(){$('#ajaxProgress').hide();});
        return false;
    }
    function dataload(formData){
        $('#ajaxProgress').show();
        formData.append('aj',1);
        $.ajax({
            url: document.location.href,
            type: "POST",
            cache: false,
            contentType: false,
            processData: false,         
            data: formData,
            success: function(content){
                $('#ajax_load').html(content);
                $('#ajaxProgress').hide();
                window.history.pushState(null, null, $('#url_build').val());
            }
        });
        return false;
    }
    function pager(pag){
        $('#startpag').val(pag);
        var formData = getFormData_el('[data-dataform]');   
        dataload(formData); 
        return false;
    }
    function sortitem(el,e){
        if($('#sort').val() == el)
            el += ' DESC';
        $('#sort').val(el);
        $('#startpag').val(1);
        var formData = getFormData_el('[data-dataform]');
        dataload(formData);
        return false;
    }
    function active_change(id,st){
        var formData = getFormData_el('[data-dataform]');       
        formData.append('Active_up',st);
        formData.append('ItemId',id);
        dataload(formData);
        return false;
    }
    function price_change(id,e){
        var formData = getFormData_el('[data-dataform]');       
        formData.append('Price_up',$(e).val());
        formData.append('ItemId',id);
        formData.append('url',$(e).data('url'));
        dataload(formData);
        return false;
    }
    function part_change(id,e){
        var formData = getFormData_el('[data-dataform]');  
        var part = ($(e).prop('checked')) ? 1 : 0;     
        formData.append('Part_up',part);
        formData.append('ItemId',id);
        dataload(formData);
        return false;
    }
    function b_null(id){
        if(!confirm('Confirm reset of advertising budget #'+id))
            return false;
        var formData = getFormData_el('[data-dataform]');
        formData.append('b_null',id);
        dataload(formData);
        return false;
    }
    function delet_item(id){
        if(!confirm('Confirm deletion!'))
            return false;
        var formData = getFormData_el('[data-dataform]');       
        formData.append('DeletItem',id);
        dataload(formData);
        return false;
    }
    /******************************************/
        function sel_reg(e,f){
            $('#ajaxProgress').show(); 
            $(e).load('/aj/select_country',{func:f},function(){$('#ajaxProgress').hide();});
        }
        function reg_del(e){
            $(e).parent('td').parent('tr').remove();
            return false;
        }
        function select_country_ed(a,b,na,nb){
            $('table.reged tbody').append('<tr><td><input type="hidden" name="reg_country[]" value="'+a+'">'+na+'</td><td><input type="hidden" name="reg_obl[]" value="'+b+'">'+nb+'</td><td><button title="Delete" onclick="return reg_del(this);" class="btn btn-sm btn-danger"><i class="fa fa-trash"></i></button></td></tr>');
        }
    /******************************************/
</script>
<!--/includeFuter-->