<?php
	namespace controls;
	if ( ! defined('X_F')) exit('Нет доступа!');
	if(!$GLOBALS['x_user_logined'])  exit('Нет доступа!!');
	require_once(X_F."controls/Base.php");
	
	class serf_2 extends \controls\Base
	{
		public function config($arg = FALSE){
			require_once(F."/moduls/serf_2/models/Serf_2_model.php");
			$r_m = new \models\moduls\Serf_2_model;
			$view = '/moduls/serf_2/x/views/config';
			$dat = array();
			$data = array();
			$aj = isset($_POST['aj']) ? TRUE : FALSE;
			$dat['feed'] = form_redirect();
			$set = $r_m->set;
			/***********************up_ins***************************/
			if(isset($_POST['up'])){
				foreach ($_POST as $k => $val) {				
					if(isset($set[$k]))
					$set[$k] = $val;
				}
				$t = json_encode($set,JSON_UNESCAPED_UNICODE);
				if(!empty($t)){
					if(file_put_contents(F.'config/mod_serf_2.conf', $t))
					$dat['feed'] = form_redirect_send("<div class=\"alert alert-success\">Данные успешно обновленны!</div>");
					else
					$dat['feed'] = form_redirect_send('<div class="alert alert-danger">Произошла ошибка, перезагрузите страницу и повторите попытку снова!</div>');
				}
				else
				$dat['feed'] = form_redirect_send('<div class="alert alert-danger">Произошла ошибка, перезагрузите страницу и повторите попытку снова!</div>');
			}
			$dat['set'] = &$set;
			/**************************************************/
			if($aj){
				xcontent_show($view, $dat, FALSE);
				die();
			}
			$data['Content'] = xcontent_show($view, $dat, TRUE);
			$data['Title'] = 'Конфигурация модуля';
			return $data;
		}
		
		
		public function stat($arg = FALSE){
			require_once(F."models/user/User_model.php");
			$user_m = new \models\user\User_model;
			$view = '/moduls/serf_2/x/views/stat';
			$dat = array();
			$data = array();
			$type = 35;
			$aj = isset($_POST['aj']) ? TRUE : FALSE;
			$dat['feed'] = form_redirect();
			/**************************************/
			$sconf = getConf('stat');
			$dat['stat'] = array();
			for ($i=1; $i < 30; $i++) { 
				$t = date('d.m.Y|N', strtotime('-'.$i.' day')); 
				$t = explode('|', $t);
				$N = $t[1];
				$t = $t[0];
				$dat['stat'][$t] = array('in' => 0,'out' => 0,'N' => $N);//ввод, вывод, День недели
				$d1 = \DateTime::createFromFormat('d.m.Y H:i', $t.' 00:01');   
				$d1_s = !empty($d1) ? $d1->format('U') : 0;
				$d1 = \DateTime::createFromFormat('d.m.Y H:i', $t.' 23:59');   
				$d1_end = !empty($d1) ? $d1->format('U') : 0;
				$dat['stat'][$t]['in'] = $user_m->Gets_MoneyInStatSerf_MB($d1_s,$d1_end,$type);
				$dat['stat'][$t]['out'] = $user_m->Gets_MoneyInStatSerf_MB($d1_s,$d1_end,$type);
			}
			$dat['stat_m'] = array();
			for ($i=0; $i < 12; $i++) { 
				$t = date('m.Y|t', strtotime('-'.$i.' month')); 
				$t = explode('|', $t);
				$day_c = $t[1];
				$t = $t[0];
				$dat['stat_m'][$t] = array('in' => 0,'out' => 0);//ввод, вывод, сумма
				$d1 = \DateTime::createFromFormat('d.m.Y H:i', "01.{$t} 00:01");   
				$d1_s = !empty($d1) ? $d1->format('U') : 0;
				$d1 = \DateTime::createFromFormat('d.m.Y H:i', "{$day_c}.{$t} 23:59");   
				$d1_end = !empty($d1) ? $d1->format('U') : 0;
				$dat['stat_m'][$t]['in'] = $user_m->Gets_MoneyInStatSerf_MB($d1_s,$d1_end,$type);
				$dat['stat_m'][$t]['out'] = $user_m->Gets_MoneyInStatSerf_MB($d1_s,$d1_end,$type);
			}
			/**************************************************/
			if($aj){
				xcontent_show($view, $dat, FALSE);
				die();
			}
			$data['Content'] = xcontent_show($view, $dat, TRUE);
			$data['Title'] = 'Статистика Сёрфинг 2';
			return $data;
		}
	}	