<?php 
    /************************************/
    global $user_logined, $user_login, $user_m, $setting;
?>
<article>
    <h1><?php echo $Title ?></h1>
    <?php echo $Body ?>
    <?php if(!$user_logined) { ?>
    <?php include HTML.'no_auth.php'; ?>
    <?php } elseif($ChBlok){ ?>
    <div class="panel panel-default">
        <div class="panel-body">
            <div class="alert alert-danger"><strong>You are blocked!</strong><br /> 
            <?php echo empty($ChBlokComm) ? 'This may have happened if you violated the service rules. Please contact the site administration.' : 'Block reason: '.$ChBlokComm; ?>
            </div>
        </div>
    </div>
    <?php } elseif(!$r_m->set['active']){ ?>
        <div class="alert alert-warning"><strong>Module is temporarily unavailable. We apologize for the inconvenience</strong></div>
    <?php } else { ?>
        <?php echo $feed; ?>
        <p><button type="button" onclick="show_item(0);" class="btn btn-success"><i class="fa fa-plus"></i> Add task</button></p>
        <div class="panel panel-default">
            <?php if(empty($items) || empty($items->data)) { ?>
            <div class="panel-body" style="text-align: center;">
                <em>No data</em>
            </div>
            <?php } else { ?>

            <?php if(!empty($r_ot)){ ?>
            <div class="panel-body">
                <div class="alert alert-success">
                    <label>You have unverified reports:</label>
                    <div class="table-responsive">
                        <table class="table table-condensed table-hover r-table">
                            <?php foreach ($r_ot as $val) { ?>
                                <tr class="warning">
                                    <td>
                                        <strong>Task #<?php echo $val['Id']; ?>:</strong> <?php echo $val['Title']; ?>          
                                        <div><button class="btn btn-xs btn-warning" onclick="prv_show(<?php echo $val['Id']; ?>);" type="button">Awaiting verification: <?php echo $val['st2'];?></button></div>                  
                                    </td>
                                </tr>
                            <?php } ?>
                        </table>
                    </div>
                </div>
            </div>
            <?php } ?>

            <div class="table-responsive">
                <table class="table r-table table-striped table-hover table-condensed">
                    <thead>
                        <tr>
                            <th><button onclick="return sortitem('Id',this);" class="btn-link btn_sort"># <?php if($sort == 'Id') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Id DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                            <th></th>
                            <th><button onclick="return sortitem('Title',this);" class="btn-link btn_sort">Title <?php if($sort == 'Title') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Title DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                            <th style="text-align: center;">Status</th>
                            <th style="text-align: center;"><button onclick="return sortitem('RatPlus',this);" class="btn-link btn_sort">Rating <?php if($sort == 'RatPlus') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'RatPlus DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                            <th style="text-align: center;"><button style="white-space: nowrap;line-height: 14px;" onclick="return sortitem('S_trata',this);" class="btn-link btn_sort">Completions <br /> <small style="font-size: 10px;">in progress/completed</small> <?php if($sort == 'S_trata') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'S_trata DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                            <th style="text-align: center;"><button onclick="return sortitem('Balans',this);" class="btn-link btn_sort">Balance <?php if($sort == 'Balans') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Balans DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                    <?php foreach($items->data as $val){ 
                        $_url = (mb_strlen($val['Url']) > 40) ? (mb_substr($val['Url'], 0, 40).' ...') : $val['Url'];
                    ?>
                        <tr>
                            <td><?php echo $val['Id']; ?></td>
                            <td><button class="btn btn-success btn-xs" title="Promote task" data-toggle="tooltip" onclick="task_up_show(<?php echo $val['Id']; ?>);"><i class="fa fa-arrow-circle-o-up"></i></button></td>
                            <td>
                                <?php echo $val['Title']; ?>                        
                                <br />
                                <small><a href="<?php echo $val['Url']; ?>" title="<?php echo $val['Url']; ?>" target="_blank"><?php echo $_url; ?></a></small>                                
                            </td>
                            <td style="text-align: center;">
                                <?php
                                if($val['Approved'] < 0) { ?>
                                    <span style="color: red; font-size:12px;"><i class="fa fa-times"></i> Rejected by moderator</span>
                                    <?php if(!empty($val['ApprovedComm'])) { ?>
                                    <br /><label class="btn btn-xs btn-default" data-toggle="tooltip" data-placement="top" title="<?php echo $val['ApprovedComm']; ?>">Reason</label>
                                    <?php } ?>
                                <?php } 
                                elseif($val['Approved'] < 1) echo '<span style="color: #8a6d3b;"><i class="fa fa-exclamation-triangle"></i> Under review</span>'; 
                                elseif($val['Active'] < 1) echo '<span style="color: red; font-size:12px;"><i class="fa fa-times"></i> Impressions stopped</span><br /><button  data-toggle="tooltip" data-placement="bottom" title="Resume" class="btn btn-success btn-xs" type="button" onclick="active_change('.$val['Id'].',1);"><i class="fa fa-check"></i> Resume</button>'; 
                                elseif($val['Balans'] < $val['Amount'] + $val['Amount']*($r_m->set['per']/100)){ ?>
                                <span style="color: red; font-size:12px;"><i class="fa fa-times"></i> Impressions stopped</span><br /><small>Insufficient funds in task balance</small>                                
                                <?php } else { ?>
                                <span style="color: green; font-size:12px;"><i class="fa fa-check"></i> Active impressions</span><br /><button class="btn btn-danger btn-xs" data-toggle="tooltip" data-placement="bottom" title="Stop" type="button" onclick="active_change(<?php echo $val['Id']; ?>,0);"><i class="fa fa-times"></i> Stop</button>
                                <?php } ?>
                            </td>
                            <td style="text-align: center;"><span class="text-success">+<?php echo $val['RatPlus']; ?></span> / <span class="text-danger">-<?php echo $val['RatMinus']; ?></span></td>

                            <td style="text-align: center;">
                                <a href="adver/rtask?stat=<?php echo $val['Id']; ?>" title="View statistics"><?php echo $val['st1']; ?> / <?php echo $val['st4']; ?></a>
                                <?php if($val['st2'] > 0){ ?>
                                <div><button class="btn btn-xs btn-warning" onclick="prv_show(<?php echo $val['Id']; ?>);" type="button">Awaiting verification: <?php echo $val['st2'];?></button></div>
                                <?php } ?>
                            </td>
                            <td style="text-align: center;">
                                <button class="btn btn-default" data-toggle="tooltip" title="Top up/withdraw" onclick="edit_balans(<?php echo $val['Id']; ?>,<?php echo $val['Balans']; ?>)"><?php echo $val['Balans']; ?> <?php echo $GLOBALS['setting']['main']['cur']['z']; ?></button>
                            </td>
                            <td style="width: 50px;">                       
                                <button style="margin:3px;" title="Edit" data-toggle="tooltip" data-placement="bottom" class="btn btn-sm btn-warning" onclick="show_item(<?php echo $val['Id']; ?>);"><i class="fa fa-pencil"></i></button>
                                <button style="margin:3px;" title="Delete" data-toggle="tooltip" data-placement="bottom" class="btn btn-sm btn-danger" onclick="return delet_item(<?php echo $val['Id']; ?>);"><i class="fa fa-trash"></i></button>
                            </td>
                        </tr>
                    <?php } ?>
                    </tbody>
                </table>
            </div>
            <div class="panel-footer"><?php echo $pager; ?></div>
            <?php } ?>
        </div>
        <input type="hidden" id="startpag" data-dataform="" name="startpag" value="<?php echo $startpag; ?>">
        <input type="hidden" id="sort" data-dataform="" name="sort" value="<?php echo $sort; ?>">
        <input type="hidden" id="url_build" name="url_build" value="<?php echo $url_build; ?>">


        <div class="mymod-overlay close_docclick" id="mod_balans">
            <div class="mymod-table">
                <div class="mymod-cell">
                    <div class="mymod-modal" style="max-width: 400px;font-size: 14px;">
                        <a href="#close" onclick="return mymod();" class="mymod-close"></a>
                        <h2 style="font-size: 22px;">Balance in task #<span class="mod_balans_idtext"></span></h2>
                        <div class="panel panel-default">
                            <div class="panel-body">
                                <div id="mod_balans_feed"></div>
                                <p style="text-align: center;"><strong class="text-success">Your advertising account balance: <?php echo number_format ($user_login->data['MoneyR'], 2,","," " ); ?> <?php echo $GLOBALS['setting']['main']['cur']['z']; ?></strong></p>
                                <div class="form-group">
                                    <label>Balance:</label>
                                    <input type="text" name="Balans" class="form-control" id="mod_balans_sum" value="" />
                                    <input type="hidden" class="form-control" id="mod_balans_sumhid" value="" />
                                </div>
                                <p><button onclick="balans_change();" class="btn btn-danger" type="submit" name="BalansOk" id="mod_balans_id" value="1">Set</button></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="mymod-overlay close_docclick" id="task_up_modal">
            <div class="mymod-table">
                <div class="mymod-cell">
                    <div class="mymod-modal" style="max-width: 400px;font-size: 14px;">
                        <a href="#close" onclick="return mymod();" class="mymod-close"></a>
                        <h2 style="font-size: 22px;">Promote task #<span class="task_up_modal_id"></span></h2>
                        <div class="panel panel-default">
                            <div class="panel-body">
                                <p>If you notice that your task is not popular and has few completions, you can promote it to the top of the list. It will gradually move down the list as new tasks are added or promoted by other advertisers. User-set sorting has the highest priority when displaying the list.</p>
                                <p>
                                    <strong>Cost to promote in the general task list - <?php echo $r_m->set['price_up']; ?> <?php echo $GLOBALS['setting']['main']['cur']['z']; ?></strong> 
                                </p>
                                <?php if($user_login->data['MoneyR'] < $r_m->set['price_up']){ ?>
                                <p style="text-align: center;"><em>You don't have enough funds. Minimum <?php echo $r_m->set['price_up']; ?> <?php echo $GLOBALS['setting']['main']['cur']['z']; ?> required</em></p>
                                <?php } else { ?>
                                    <input type="hidden" name="task_up" id="task_up_modal_id" value="0" />
                                    <p style="text-align: center;"><button onclick="task_up();" class="btn btn-danger" type="submit"><i class="fa fa-long-arrow-up"></i>&nbsp; Promote for <?php echo $r_m->set['price_up']; ?> <?php echo $GLOBALS['setting']['main']['cur']['z']; ?></button></p>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php } ?>
</article>
<div id="show_item"></div>
<!--includeFuter-->
<script>
    function task_up_show(id){
        $('.task_up_modal_id').html(id);
        $('#task_up_modal_id').val(id);
        $('#task_up_modal').fadeIn();
    }
<?php if($user_logined) { ?>
    function balans_change(){
        var mr = <?php echo $user_login->data['MoneyR']; ?>*1;
        var bal = ($('#mod_balans_sumhid').val())*1;
        var sum = parseFloat($('#mod_balans_sum').val());
        if(sum > bal+mr){
            $('#mod_balans_feed').html('<div class="alert alert-danger">Insufficient funds in your advertising account.</div>');
            return false;
        }
        var formData = getFormData_el('[data-dataform]');
        formData.append('balans_change',$('#mod_balans_id').val());
        formData.append('Balans',$('#mod_balans_sum').val());
        dataload(formData);
        return false;                   
    }
<?php } ?>
    function edit_balans(id,sum){
        $('.mod_balans_idtext').html(id);
        $('#mod_balans_id').val(id);
        $('#mod_balans_sum').val(sum);
        $('#mod_balans_sumhid').val(sum);
        $('#mod_balans').fadeIn(300);
    }
    function p_init(){      
        $('[data-toggle="tooltip"]').tooltip();     
        $('[data-b_change]').change(function(event) {
            var v = parseInt($(this).parent().find('input[data-b_change]:checked').val());
            if(v > 1)
                $($(this).data('b_change')).slideDown(300);
            else
                $($(this).data('b_change')).slideUp(300); 
        })
        $('[data-count_chars]').keyup(function(event) {
            var t = $(this).val();
            $($(this).data('count_chars')).html(t.length);
        })
        $('[data-churl]').change(function(event) {
            var el = $($(this).data('churl'));
            el.html('<i title="Checking ... " class="fa fa-fw fa-fw fa-pulse fa-spinner"></i>');
            $.ajax({
                url: 'aj/checkurl',
                type: "POST",      
                data: {url : $(this).val()},
                success: function(d){
                    d = parseInt(d);
                    if(d > 199 && d < 300)
                        el.html('<i title="Site is working;)" class="fa fa-fw fa-check text-success"></i>');
                    else if(d > 299 && d < 400)
                        el.html('<i title="Site not responding:(" class="fa fa-fw fa-exclamation-triangle text-warning"></i>');
                    else
                        el.html('<i title="Site has redirection!" class="fa fa-fw fa-times text-danger"></i>');
                }
            });
        });
    }
    $(document).ready(function(){
        p_init();
    });
    function show_item(id){
        $('#ajaxProgress').show();
        $('#show_item').load(document.location.href,{show_item:id},function(){$('#ajaxProgress').hide();});
        return false;
    }
    function prv_show(id){
        $('#ajaxProgress').show();
        $('#show_item').load(document.location.href,{prv_show:id},function(){$('#ajaxProgress').hide();});
        return false;
    }
    function dataload(formData){
        $('#ajaxProgress').show();
        formData.append('aj',1);
        $.ajax({
            url: document.location.href,
            type: "POST",
            cache: false,
            contentType: false,
            processData: false,         
            data: formData,
            success: function(content){
                $('#ajax_load').html(content);
                $('#ajaxProgress').hide();
                window.history.pushState(null, null, $('#url_build').val());
            }
        });
        return false;
    }
    function pager(pag){
        $('#startpag').val(pag);
        var formData = getFormData_el('[data-dataform]');   
        dataload(formData); 
        return false;
    }
    function sortitem(el,e){
        if($('#sort').val() == el)
            el += ' DESC';
        $('#sort').val(el);
        $('#startpag').val(1);
        var formData = getFormData_el('[data-dataform]');
        dataload(formData);
        return false;
    }
    function active_change(id,st){
        var formData = getFormData_el('[data-dataform]');       
        formData.append('Active_up',st);
        formData.append('ItemId',id);
        dataload(formData);
        return false;
    }
    function task_up(){
        var formData = getFormData_el('[data-dataform]');
        formData.append('task_up',$('#task_up_modal_id').val());
        dataload(formData);
        return false;
    }
    function delet_item(id){
        if(!confirm('Confirm deletion!'))
            return false;
        var formData = getFormData_el('[data-dataform]');       
        formData.append('DeletItem',id);
        dataload(formData);
        return false;
    }
    /******************************************/
        function sel_reg(e,f){
            $('#ajaxProgress').show(); 
            $(e).load('/aj/select_country',{func:f},function(){$('#ajaxProgress').hide();});
        }
        function reg_del(e){
            $(e).parent('td').parent('tr').remove();
            return false;
        }
        function select_country_ed(a,b,na,nb){
            $('table.reged tbody').append('<tr><td><input type="hidden" name="reg_country[]" value="'+a+'">'+na+'</td><td><input type="hidden" name="reg_obl[]" value="'+b+'">'+nb+'</td><td><button title="Delete" onclick="return reg_del(this);" class="btn btn-sm btn-danger"><i class="fa fa-trash"></i></button></td></tr>');
        }
    /******************************************/
</script>
<!--/includeFuter-->