<?php global $setting; ?>
<h1>Конфигурация модуля</h1>
<div class="feedok"><?php echo $feed; ?></div>
<form method="post">
	<div class="panel panel-primary">
		<div class="panel-heading"><strong>Общие настройки</strong></div>
		<div class="panel-body">
			<div class="row">
				<div class="col-sm-6">
					<div class="form-group">
						<label>Название модуля:</label>
						<input type="text" name="title" value="<?php echo $set['title']; ?>" class="form-control input-sm" />
					</div>
				</div>
				<div class="col-sm-6">
					<div class="form-group">
						<label>Активный модуль:</label>
						<select name="active" class="form-control input-sm">
							<option value="0" <?php if($set['active'] < 1) echo 'selected="selected"'; ?>>Модуль деактивирован</option>
							<option value="1" <?php if($set['active'] > 0) echo 'selected="selected"'; ?>>Модуль активный</option>
						</select>
					</div>
				</div>
				<div class="clearfix"></div>
				<div class="col-sm-6">
					<div class="form-group">
						<label>Комиссия системы (%):</label>
						<input type="text" name="per" value="<?php echo $set['per']; ?>" class="form-control input-sm" />
					</div>
				</div>	
				<div class="col-sm-6">
					<div class="form-group">
						<label>Стоимость поднятия задания (руб.):</label>
						<input type="text" name="price_up" value="<?php echo $set['price_up']; ?>" class="form-control input-sm" />
					</div>
				</div>	
				<div class="clearfix"></div>
				<div class="col-sm-6">
					<div class="form-group">
						<label>Модерация:</label>
						<select name="moderat" class="form-control input-sm">
							<option value="0" <?php if($set['moderat'] < 1) echo 'selected="selected"'; ?>>Отключена</option>
							<option value="1" <?php if($set['moderat'] > 0) echo 'selected="selected"'; ?>>Проверять новые задания</option>
						</select>
					</div>
				</div>
				<div class="col-sm-6">
					<div class="form-group">
						<label>Время на проверку задания (час.):</label>
						<input type="text" name="chtime" value="<?php echo $set['chtime']; ?>" class="form-control input-sm" />
					</div>
				</div>
				<div class="clearfix"></div>
				<div class="col-sm-6">
					<div class="form-group">
						<label>Максимальный размер файла в ответе (Кб):</label>
						<br /><small>(скрины в отчетах)</small>
						<input type="text" name="maxfilesize" value="<?php echo $set['maxfilesize']; ?>" class="form-control input-sm" />
					</div>
				</div>
				<div class="col-sm-6">
					<div class="form-group">
						<label>Максимальное количество заниний выполняемое за раз:</label>
						<br /><small>(0 - без ограничений)</small>
						<input type="number" name="maxusertask" value="<?php echo $set['maxusertask']; ?>" class="form-control input-sm" />
					</div>
				</div>
				<div class="clearfix"></div>









			</div>
			<p><button type="submit" class="btn btn-lg btn-danger" name="up">Сохранить изменения</button></p>
		</div>
	</div>
</form>
<?php 
	echo (empty($set['cronh_ok'])) ? '<small>(Cron не работает)</small>' : '<small>(Последний раз cron отработал: '.date('d.m.Y H:i',$set['cronh_ok']).')</small>';
