<?php 
	global $setting; 
	$ar_mes = array(
	0 => '',
	1 => 'Январь',
	2 => 'Февраль',
	3 => 'Март',
	4 => 'Апрель',
	5 => 'Май',
	6 => 'Июнь',
	7 => 'Июль',
	8 => 'Август',
	9 => 'Сентябрь',
	10 => 'Октябрь',
	11 => 'Ноябрь',
	12 => 'Декабрь',
	);
?>
<h1>Статистика Задания 2</h1>
<div class="row">
	<div class="col-md-6">
		<div class="panel panel-default" style="display: table;">
			<div class="panel-heading"><strong>Статистика по дням:</strong></div>
			<table class="table table-bordered" style="width: auto;">
				<thead>
					<tr>
						<th>Дата</th>
						<th>Доход</th>
						<th>Расход</th>
						<th>Прибыль</th>
					</tr>
				</thead>
				<tbody>
					<?php 
						$i_in = 0;
						$i_out = 0;
						$w_in = 0;
						$w_out = 0;
						foreach ($stat as $key => $value) {		
							if((int)$value['N'] === 7){							
							?>
							<tr class="danger">				
								<th>Неделя</th>
								<th><?php echo number_format($w_in*2, 2,","," "); ?></th>
								<th><?php echo number_format($w_out, 2,","," "); ?></th>
								<th><?php echo number_format($w_in*2 - $w_out, 2,","," "); ?></th>
							</tr>
							<?php
								$w_in = 0;
								$w_out = 0;
							}
							$tr_class = '';
							$i_in += $value['in'];
							$i_out += $value['out'];
							$w_in += $value['in'];
							$w_out += $value['out'];
							if(($value['in'] - $value['out']) < 0)
							$tr_class = ' warning';
						?>
						<tr class="<?php echo $tr_class; ?>">
							<th><?php echo $key; ?></th>
							<td><?php echo number_format($value['in']*2, 2,","," "); ?></td>
							<td><?php echo number_format($value['out'], 2,","," "); ?></td>
							<td><?php echo number_format($value['in']*2 - $value['out'], 2,","," "); ?></td>
						</tr>
					<?php } ?>
				</tbody>
				<tfoot>
					<tr>				
						<th></th>
						<th><?php echo number_format($i_in*2, 2,","," "); ?></th>
						<th><?php echo number_format($i_out, 2,","," "); ?></th>
						<th><?php echo number_format($i_in*2 - $i_out, 2,","," "); ?></th>
					</tr>
				</tfoot>
			</table>
		</div>
	</div>
	<div class="col-md-6">
		<div class="panel panel-default" style="display: table;">
			<div class="panel-heading"><strong>Статистика по месяцам:</strong></div>
			<table class="table table-bordered" style="width: auto;">
				<thead>
					<tr>
						<th>Дата</th>
						<th>Доход</th>
						<th>Расход</th>
						<th>Прибыль</th>
					</tr>
				</thead>
				<tbody>
					<?php 
						foreach ($stat_m as $key => $value) { 
							$m_title = explode('.', $key);
							$m_title = (int)$m_title[0];
							$m_title = $ar_mes[$m_title];
							$tr_class = '';
							if(($value['in'] - $value['out']) < 0)
							$tr_class = 'class="warning"';
						?>
						<tr <?php echo $tr_class; ?>>
							<th><?php echo "{$m_title}<br /><small>$key</small>"; ?></th>
							<td><?php echo number_format($value['in']*2, 2,","," "); ?></td>
							<td><?php echo number_format($value['out'], 2,","," "); ?></td>
							<td class="text-danger"><strong><?php echo number_format($value['in']*2 - $value['out'], 2,","," "); ?></strong></td>
						</tr>
					<?php } ?>
				</tbody>
			</table>
		</div>
	</div>
</div>

