<?php global $user_m, $URLparam, $setting,$user_logined,$user_login; 
?><!DOCTYPE html>
<html>
    <head>
        <?php if(!empty($Refer)){ ?>
        <meta name="referrer" content="none">
        <meta name="referrer" content="never"><?php } ?>
        <!-- <meta name="robots" content="noindex, nofollow"/>
        <meta name="robots" content="none"/> -->
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="shortcut icon" href="/<?php echo trim($setting['main']['favicon'],'/'); ?>" />
        <title>Посещение сайта №<?php echo $Id; ?></title>
        <script type="text/javascript" src="/assets/js/jqery.3.4.1.js"></script>
        <style type="text/css">
            body{background:#eee;font-family: Arial;}
            h1{color:#c83232;}
            img{max-width: 100%;}
            .img_screen{border: 7px solid #eee; border-radius: 5px;}
            .fa-check, .text-success{color: #3c763d;}
            .fa-times, .text-danger{color: #a94442;}
            .img_captcha{
                max-width: auto;
                margin: 35px auto 0 auto;
                text-align: center;
                padding: 15px;
                border: solid 1px rgba(0, 0, 0, .12);
                border-radius: 3px;
                background: #eee;
            }
            .img_captcha_img{float: left;margin-right: 25px;}
            @media(max-width: 600px){.img_captcha_img{float: none;margin-right: 0;}}
            .img_captcha_img img{margin-bottom: 15px;max-width: 100%;}
            .img_captcha_btn button{
                cursor: pointer;
                position: relative;
                max-width: 67px;
                font-weight: 500;
                border: solid 1px rgba(0, 0, 0, .12);
                border-radius: 3px;
                box-shadow: inset 0 1px 0 rgba(255, 255, 255, .3), 0 5px 5px -4px rgba(0, 0, 0, 0);transition: all ease-in-out .3s;
                background-color: #fff;display: inline-block;
                padding: 3px; margin: 3px 2px;
            }
            .img_captcha_btn button:hover:not(.img_captcha_btn_active){box-shadow: inset 0 1px 0 rgba(255, 255, 255, .3), 0 5px 5px -4px rgba(0, 0, 0, 0.3);opacity: 0.9;}
            .img_captcha_btn button img{max-width: 100%;}
            .img_captcha_btn button.img_captcha_btn_active{
                opacity: 0.6;  box-shadow: 0 0 40px rgba(0, 0, 0, .3) inset; 
            };
        </style>
    </head>
    <body>
        <div style="text-align: center; max-width: 600px;margin: 45px auto;background:#fff;padding: 25px; border: 1px solid #ccc; border-radius: 5px;">
            <div style="margin: -25px -25px 0 -25px; padding: 15px;background-color: #268bb3;color: #fff;font-weight: bold;">Реклама без фрейма</div>
            <a style="text-decoration:none;" href="<?php echo $Url; ?>" target="_blank" title="Перейти на рекламный сайт"><h1 style="margin-top:25px;"><?php echo $Title; ?></h1></a>
            <p style="padding-bottom: 30px;font-size: 18px;"><?php echo $Body; ?></p>
            <?php
                $img = $r_m->GetImg($Id);
                if(!empty($img))
                    echo '<a href="'.$Url.'" target="_blank" title="Перейти на рекламный сайт"><img class="img_screen" alt="Скриншот сайта" src="/'.$img.'" /></a>';
            ?>
            <div style="text-align: center;"><a style="font-size: 13px; color: red;" href="<?php echo $Url; ?>" target="_blank" title="Перейти на рекламный сайт">Перейти на рекламный сайт</a></div>
            <div style="margin-bottom: 15px;">
                <?php 
                    $im_capt_noframe = 1;
                    require_once(F."controls/help/img_captcha.php");
                    if(!empty($im_capt_cod)){
                ?>
                <div class="img_captcha" id="capt_load">
                    <h3 style="margin-top: 0;color: #096184;padding-bottom: 10px;border-bottom: dashed 1px #d4d0d0;">Чтобы получить деньги, решите каптчу</h3>
                    <div style="" class="img_captcha_img">
                        <img src="/helper/img_captcha?image=1" alt="" ?>
                    </div>
                    <div>
                        <div class="img_captcha_btn">
                            <?php foreach ($image_btn as $k => $val) { ?>
                                <button type="button" onclick="img_captcha_btn_click('<?php echo $val; ?>',this); return false;"><img src="/helper/img_captcha?btn=<?php echo $val; ?>" /></button>
                            <?php } ?>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                    <p><strong>Что есть на картинке?</strong><br /><small>(What's in the picture?)</small></p>
                </div>
                <?php } else echo '<div class="img_captcha"><p>Произошла ошибка:(</p></div>'; ?>
            </div>
            <?php require F.'system/banner_frame'; ?>
        </div>

        <input type="hidden" value="1" id="nook" />
        <input type="hidden" id="capt_val" value="-" />   
        <?php if($user_logined  && empty($Err)) { ?>
        <script type="text/javascript">
            window.onbeforeunload = function (evt) {
                if($('#nook').val() > 0){
                    $('#nook').val(0);
                    $.ajax({
                        url: '/visits/browsing?proto=http',
                        dataType: 'json',
                        type: "POST",
                        data: {'delete_view':<?php echo $Id; ?>}
                    });
                }
            }
            <?php /**Здесь можно вставить код метрики**/ ?>
            function img_captcha_btn_click(c,el){
                $(el).addClass('img_captcha_btn_active');
                $(el).attr('disabled','disabled');
                var ch = $('#capt_val');
                if(ch.val() == '-'){
                    ch.val(c+',');
                }
                else{
                    ch.val(ch.val()+c);
                    $('#capt_load').html('<p><img src="/assets/img/wait.gif" alt="" /><br /><br /><strong>Пожалуйста подождите ...</strong></p>');
                    $.ajax({
                        url: '/visits/browsing?proto=http',
                        dataType: 'json',
                        type: "POST",
                        data: {'click_ok':<?php echo $Id; ?>,'captcha':ch.val()},
                        success: function(d){
                            $('#nook').val(0);
                            var t = parseInt(d.status);
                            if(t > 0){
                                document.title = "Просмотр засчитан!";
                                $('#capt_load').html('<p class="text-success"><img src="/assets/img/check.png" alt="" /><br /><br /><strong>Просмотр засчитан!</strong></p>');
                                document.location.href = '<?php echo $Url; ?>';
                            }
                            else{
                                document.title = "Просмотр не засчитан!";                                
                                $('#capt_load').html('<p class="text-danger"><img src="/assets/img/close.png" alt="" /><br /><br /><strong>'+d.mess+'</strong></p>');
                                var timerId = setTimeout(
                                    function () {document.location.href = '/visits/browsing?click=<?php echo $Id; ?>&proto=http';}
                                    , 3000
                                );
                            }
                        }
                    });
                }
            }
        </script>
<?php if(!empty($setting['main']['metrika'])){ ?>
        <script type="text/javascript" > (function(m,e,t,r,i,k,a){m[i]=m[i]||function(){(m[i].a=m[i].a||[]).push(arguments)}; m[i].l=1*new Date();k=e.createElement(t),a=e.getElementsByTagName(t)[0],k.async=1,k.src=r,a.parentNode.insertBefore(k,a)}) (window, document, "script", "https://mc.yandex.ru/metrika/tag.js", "ym"); ym(<?php echo $setting['main']['metrika']; ?>, "init", { clickmap:true, trackLinks:true, accurateTrackBounce:true, webvisor:true, params:{<?php
                    echo "us:{$user_login->data['Id']},visit:{$Id}";
            ?>}});</script>
<?php } ?>
        <?php } ?>
    </body>
</html>
<?php /*
window.onbeforeunload = function (evt) {
    var message = "Document 'foo' is not saved. You will lost the changes if you leave the page.";
    
    if (typeof evt == "undefined") {
        evt = window.event;
    }
    if (evt) {
        evt.returnValue = message;
    }
    return message;
}
    <frameset rows="*,70" style="border: none;" frameborder="no" framespacing="0" border="0">

        <frame id="content_frame" name="content_frame" src="<?php echo urlencode($Url); ?>" marginwidth="0" marginheight="0" frameborder="0" style="border: 0px;" />

        <frame id="counter_frame" name="counter_frame" src="/account/visit_counter.html?visit_bid_id=465399816" marginwidth="0" marginheight="0" scrolling="no" noresize="noresize" frameborder="0" />
    </frameset>
    */