<?php global $setting; ?>
<h1>Биржа визитов.</h1>
<div class="feedok"><?php echo $feed; ?></div>
<div class="items_filtr">
	<div class="col-sm-6">
		<div class="form-group">	
			<label>Поиск по ИД-пользователя:</label>		
			<input data-dataform="" type="text" placeholder="Поиск по ИД-пользователя" <?php if(!empty($filtr['UserId'])) echo "value=\"{$filtr['UserId']}\""; ?> name="UserId" class="form-control input-sm" />
		</div>
	</div>
    <div class="col-sm-6">
        <div class="form-group">    
            <label>Поиск по ИД:</label>        
            <input data-dataform="" type="text" placeholder="Поиск по ИД" <?php if(!empty($filtr['Id'])) echo "value=\"{$filtr['Id']}\""; ?> name="Id" class="form-control input-sm" />
        </div>
    </div>
	<input type="hidden" id="startpag" data-dataform="" name="startpag" value="<?php echo $startpag; ?>">
	<input type="hidden" id="sort" data-dataform="" name="sort" value="<?php echo $sort; ?>">
	<input type="hidden" id="url_build" name="url_build" value="<?php echo $url_build; ?>">
    <input type="hidden" name="stat" data-dataform="" value="0">
	<div class="clearfix"></div>
	<p style="text-align: center;">
		<button type="button" class="btn btn-default" onclick="items_filtr();"><i class="fa fa-filter"></i> Поехали</button>
		<button type="button" class="btn btn-default" onclick="items_filtr_clear();"><i class="fa fa-times"></i> Очистить</button>
	</p>
</div>

<div style="padding: 15px 0;">
    <strong>Биржа визитов</strong> &nbsp;&nbsp;&nbsp; <a href="<?php echo X_URL; ?>/visit/market?stat=1">Статистика</a>
</div>

<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">Биржа визитов</h3>
	</div>
    <?php if(empty($items) || empty($items->data)) { ?>
    <div class="panel-body" style="text-align: center;">
        <em>Нет данных</em>
    </div>
    <?php } else { ?>
    <div class="table-responsive">
        <table class="table r-table table-striped table-hover table-condensed">
            <thead>
                <tr>
                    <th><button onclick="return sortitem('Id',this);" class="btn-link btn_sort">ИД <?php if($sort == 'Id') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Id DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th><button onclick="return sortitem('Kol',this);" class="btn-link btn_sort">Количество <?php if($sort == 'Kol') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Kol DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th><button onclick="return sortitem('Amount',this);" class="btn-link btn_sort">Сумма <?php if($sort == 'Amount') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Amount DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>

                    <th><button onclick="return sortitem('SumKol',this);" class="btn-link btn_sort">Цена 1-го визита <?php if($sort == 'SumKol') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'SumKol DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th><button onclick="return sortitem('UserId',this);" class="btn-link btn_sort">Продавец <?php if($sort == 'UserId') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'UserId DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th><button onclick="return sortitem('AddDate',this);" class="btn-link btn_sort">Дата <?php if($sort == 'AddDate') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'AddDate DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                    <th></th>
                </tr>
            </thead>
            <tbody>                    
            <?php foreach($items->data as $val){ 
                $sumper = $val['Amount'] + $val['Amount']*($r_m->set['market_per']/100);
            ?>
                <tr>
                    <td class="visit_kol" style="text-align: center;"><?php echo $val['Id']; ?></td>
                    <td class="visit_kol" style="text-align: center;"><?php echo $val['Kol']; ?> шт.</td>
                    <td class="visit_price">
                        <strong><?php echo number_format ($val['Amount'], 2,","," " ); ?> <?php $setting['main']['cur']['z']; ?></strong><br />
                        <small>(<?php echo number_format ($sumper, 2,","," " ); ?> <?php echo $setting['main']['cur']['z']; ?>)</small>
                    </td>
                    <td class="text-muted">&#8776;  <?php echo number_format (($val['Amount']/$val['Kol']), 3,","," " ); ?> <?php echo $setting['main']['cur']['z']; ?></td>
                    <td><?php echo $val['Login']; ?> (<small><a title="Перейти на страницу пользователя" href="<?php echo X_URL.'/user/edit_'.$val['UserId']; ?>">ИД <?php echo $val['UserId']; ?></a></small>)</td>
                    <td><?php echo date('d.m.Y H:i',$val['AddDate']); ?></td>
                    <td>
                        <button class="btn btn-sm btn-primary" type="button" onclick="return delet_market(<?php echo $val['Id']; ?>);"><i class="fa fa-times"></i> Удалить</button>
                    </td>
                </tr>
                <?php } ?>
            </tbody>
        </table>
    </div>
    <div class="panel-footer"><?php echo $pager; ?></div>
    <?php } ?>
</div>
<script>
	function items_filtr(){
		$('#startpag').val(1);
		var formData = getFormData_el('[data-dataform]');
    	dataload(formData);
    	return false;
	}
	function items_filtr_clear(){	
		//$([chosen]).chosen("destroy");
		$('.items_filtr select option').removeAttr('selected');
		$('.items_filtr select option:first-child').attr('selected','selected');
		$('.items_filtr select option').prop('selected',false);
		$(".items_filtr input[type=text]").val('');
		$('.items_filtr input[type=checkbox]').removeAttr('checked');
		$('.items_filtr input[type=checkbox]').prop('checked',false);
		//$("[chosen]").chosen({no_results_text: "Значение не найдено!"});
    	return items_filtr();
	}
	function pager(pag){
		$('#startpag').val(pag);
		var formData = getFormData_el('[data-dataform]');	
    	dataload(formData);	
        return false;
    }
	function sortitem(el,e){
		$('.btn_sort').find('.fa').remove();
		if($('#sort').val() == el)
			el += ' DESC';
		$('#sort').val(el);
        items_filtr();
        return false;
	}
    function dataload(formData){
    	$('#ajaxProgress').show();
		formData.append('aj',1);
		$.ajax({
	        url: document.location.href,
	        type: "POST",
	        cache: false,
	        contentType: false,
	        processData: false,         
	        data: formData,
	        success: function(content){
	            $('#ajax_load').html(content);
	            $('#ajaxProgress').hide();
	            window.history.pushState(null, null, $('#url_build').val());
	        }
    	});
		return false;
    }
    function delet_market(id){
        if(!confirm('Подтвердите удаление!'))
            return false;
        var formData = getFormData_el('[data-dataform]');       
        formData.append('DeletItem',id);
        dataload(formData);
        return false;
    }
</script>