<?php 
    /************************************/
    global $user_logined, $user_login, $user_m, $setting;
    $title_tip = array(
    	'photo' => 'фотографии',
    	'video' => 'видео',
    	'wall' => 'записи',
    	'group' => 'группы',
    	'user' => 'пользователя',
    );
?>
<div class="mymod-overlay imem_mod" style="display: block;">
    <div class="mymod-table">
        <div class="mymod-cell">
            <div class="mymod-modal" style="min-width: 40%;">
         		<a href="#close" onclick="return mymod();" class="mymod-close"></a>
				<h1><?php echo $item['title']; ?></h1>
				<div class="panel panel-default">
					<div class="panel-body">
						<?php if (empty($Type)) { ?>
							<div class="alert alert-danger">Не определен тип рекламы. Вернитесь на страницу и добавьте правильный тип.</div>
						<?php } else { ?>
						<form method="post" id="ch_vkadd_form" enctype="multipart/form-data">
							<input type="hidden" name="Approved" value="<?php if(!$add) echo $Approved; ?>" />
							<input type="hidden" name="Type" data-vk_chektip="" value="<?php echo $Type; ?>" />

							<div class="panel panel-default"><div class="panel-body">
								<label>URL-адрес страницы <?php echo $title_tip[$item['ItemType']]; ?>:</label>
								<br /><small style="font-size:12px;">Откройте в браузере страницу <?php echo $title_tip[$item['ItemType']]; ?>, и скопируйте с адресной строки URL-адрес</small>
								<span data-valgroup="edit_item" data-validel="edit_url"  data-valtype="reqired" data-valerrormes="Укажите URL-адрес!" class="validator" >*</span>
								<input data-vk_chek="" id="edit_url" value="<?php if(!$add) echo $Url; ?>" type="text" name="Url" class="form-control" />
								<?php /*<div class="input-group">
									<input data-vk_chek="" id="edit_url" value="<?php if(!$add) echo $Url; ?>" type="text" name="Url" class="form-control" />
									<span class="input-group-btn"><button title="Проверить" class="btn btn-default" type="button" onclick="return vk_chek();"><!-- <i class="fa fa-fw fa-refresh"></i> -->Проверка</button></span>
								</div>*/ ?>
								<div style="padding-top: 5px;" data-vk_chekspan=""></div>
							</div></div>

							<div class="form-group">
								<label>Заголовок:</label>
								<span data-valgroup="edit_item" data-validel="edit_title"  data-valtype="reqired" data-valerrormes="Укажите заголовок рекламного объявления!" class="validator" >*</span>
								<small>(Не более 33 символов)</small>
								<input value="<?php if(!$add) echo $Title; ?>" maxlength="33" data-count_chars="#title_count_ed" id="edit_title" type="text" name="Title" class="form-control" />
								<small>Символов: <span id="title_count_ed">0</span></small>
							</div>
							<div class="form-group">
								<label>Описание:</label>
								<small>(Не более 75 символов)</small>
								<textarea rows="3" maxlength="75" data-count_chars="#body_count_ed" id="edit_body" name="Body" class="form-control"><?php if(!$add) echo $Body; ?></textarea>
								<small>Символов: <span id="body_count_ed">0</span></small>
							</div>
							<div class="panel-default panel">
							<div class="panel-heading">Бюджет</div>
							<div class="panel-body">
								<div class="col-md-6">
									<div class="form-group">
										<label data-toggle="tooltip" data-placement="left" title="Безлимитный бюджет означает, что реклама будет работать, пока баланс аккаунта не иссякнет."><input data-b_change="#b_money_edit" <?php if($add || $B_type === 1) echo 'checked="checked"'; ?> type="radio" name="B_type" value="1" /> Безлимит</label><br />
										<label data-toggle="tooltip" data-placement="left" title="Дневной бюджет означает, что реклама будет работать, пока указанная сумма бюджета не иссякнет. Каждые новые сутки реклама будет работать снова с тем же бюджетом, который вы указали."><input <?php if(!$add && $B_type === 2) echo 'checked="checked"'; ?> data-b_change="#b_money_edit" type="radio" name="B_type" value="2" /> Дневной</label><br />
										<label data-toggle="tooltip" data-placement="left" title="Общий бюджет означает, что реклама будет работать, пока указанная сумма бюджета не иссякнет."><input <?php if(!$add && $B_type === 3) echo 'checked="checked"'; ?> data-b_change="#b_money_edit" type="radio" name="B_type" value="3" /> Общий</label><br />
									</div>
								</div>
								<div class="col-md-6">
									<div class="form-group" id="b_money_edit" style="max-width: 200px; <?php if($add || $B_type === 1) echo 'display: none;'; ?>">
										<label>Сумма:</label>
										<div class="input-group">
											<input name="B_money" value="<?php if(!$add) echo $B_money; ?>" class="form-control" type="number" value="10" />
											<span class="input-group-addon"><?php echo $setting['main']['cur']['z']; ?></span>
										</div>
									</div>
								</div>
							</div></div>
							<div class="panel-default panel">
								<div class="panel-body" >
								<label><input type="checkbox" <?php if($add || $Active > 0) echo 'checked="checked"'; ?> name="Active" /> Запустить показы</label>
								</div>
							</div>
							<div style="text-align: center;">
							<div id="ch_vkadd_err"></div>
							<p><button type="button" onclick="return ch_vkadd(this);" class="btn btn-lg btn-danger"><?php echo ($add) ? '<i class="fa fa-check"></i> Добавить' : '<i class="fa fa-refresh"></i> Обновить'; ?></button></p>	
							</div>
						</form>
						<div id="show_reged"></div>
						<?php } ?>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<script>
		function ch_vkadd(el) {
			if(!validator('edit_item'))
				return false;
			el = $(el);
			el.attr('disabled','disabled');
		    $('#ajaxProgress').show();
			var formData = getFormData('#ch_vkadd_form');
	        formData.append(<?php echo ($add) ? "'Insert',0" : "'Update',{$Id}"; ?>);
	        $.ajax({
	            url: document.location.href,
	            type: "POST",
	            cache: false,
	            contentType: false,
	            processData: false,         
	            data: formData,
	            success: function(d){
	                if(!d)
	                	document.location.reload();
	                else{
		            	$('#ch_vkadd_err').html('<p class="alert alert-danger"><strong>Произошла ошибка!</strong> '+d+'</p>');
		            	$('[data-vk_chekspan]').html('<span class="text-danger"><i class="fa fa-times"></i> &nbsp; '+d+'</span>');
		                $('#ajaxProgress').hide();
						el.removeAttr('disabled');	                	
	                }
	            },
	            error: function(){
	            	$('#ch_vkadd_err').html('<p class="alert alert-danger"><strong>Неизвестная ошибка!</strong> Попробуйте повторить запрос</p>');
	                $('#ajaxProgress').hide();
					el.removeAttr('disabled');
	            }
	        });
	        return false;
		}
	p_init();
	$('[data-count_chars]').keyup();
    $('[data-churl]').change();
</script>