<?php global $setting; ?>
<h1>Конфигурация модуля</h1>
<div class="feedok"><?php echo $feed; ?></div>
<form method="post">
	<div class="panel panel-primary">
		<div class="panel-heading"><strong>Общие настройки</strong></div>
		<div class="panel-body">
			<div class="row">
				<div class="col-sm-6">
					<div class="form-group">
						<label>Название модуля:</label>
						<input type="text" name="title" value="<?php echo $set['title']; ?>" class="form-control input-sm" />
					</div>
				</div>
				<div class="clearfix"></div>
				<div class="col-sm-6">
					<div class="form-group">
						<label>Модерация:</label>
						<select name="moderat" class="form-control input-sm">
							<option value="0" <?php if($set['moderat'] < 1) echo 'selected="selected"'; ?>>Отключена</option>
							<option value="1" <?php if($set['moderat'] > 0) echo 'selected="selected"'; ?>>Проверять новые объявления</option>
						</select>
					</div>
				</div>
				<div class="col-sm-6">
					<div class="form-group">
						<label>Активный модуль:</label>
						<select name="active" class="form-control input-sm">
							<option value="0" <?php if($set['active'] < 1) echo 'selected="selected"'; ?>>Модуль деактивирован</option>
							<option value="1" <?php if($set['active'] > 0) echo 'selected="selected"'; ?>>Модуль активный</option>
						</select>
					</div>
				</div>
				<div class="clearfix"></div>
				<div class="col-sm-12">
					<div class="form-group">
						<label>Процент зачисление пользователю от стоимости рекламы (%):</label>
						<input type="text" name="z_per" value="<?php echo $set['z_per']; ?>" class="form-control input-sm" />
					</div>
				</div>	
				<div class="clearfix"></div>
				<div class="col-sm-4">
					<div class="form-group">
						<label>ID приложения:</label>
						<input type="text" name="client_id" value="<?php echo $set['client_id']; ?>" class="form-control input-sm" />
					</div>
				</div>
				<div class="col-sm-4">
					<div class="form-group">
						<label>Секретный ключ:</label>
						<input type="text" name="secret_key" value="<?php echo $set['secret_key']; ?>" class="form-control input-sm" />
					</div>
				</div>
				<div class="col-sm-4">
					<div class="form-group">
						<label>Сервисный ключ:</label>
						<input type="text" name="servis_key" value="<?php echo $set['servis_key']; ?>" class="form-control input-sm" />
					</div>
				</div>
				<div class="clearfix"></div>				
			</div>



			<div class="panel panel-default">
				<div class="panel-heading"><strong>Оплата:</strong></div>
				<div class="panel-body">
					<?php foreach ($set['items'] as $k => $val) { ?>
					<div class="form-group">
						<label><?php echo $val['title']; ?>:</label>
						<input type="text" name="items[<?php echo $k; ?>]" value="<?php echo $val['price']; ?>" class="form-control input-sm" />
					</div>
					<?php } ?>
				</div>
			</div>


			<p><button type="submit" class="btn btn-lg btn-danger" name="up">Сохранить изменения</button></p>
		</div>
	</div>
</form>
<?php 
	echo (empty($set['cron_ok'])) ? '<small>(Cron не работает)</small>' : '<small>(Последний раз cron отработал: '.date('d.m.Y H:i',$set['cron_ok']).')</small>';