<?php 
    /************************************/
    global $user_logined, $user_login, $user_m, $setting;
?>
<div class="mymod-overlay imem_mod" style="display: block;">
    <div class="mymod-table">
        <div class="mymod-cell">
            <div class="mymod-modal" style="min-width: 40%;">
                <a href="#close" onclick="return mymod();" class="mymod-close"></a>
                <h1><?php echo $add ? 'Add Video' : 'Edit Video №'.$Id; ?></h1>
                <div class="panel panel-default">
                    <div class="panel-body">
                        <form method="post" enctype="multipart/form-data">
                            <input type="hidden" name="Approved" value="<?php if(!$add) echo $Approved; ?>" />
                            <div class="form-group">
                                <label>Type:</label>
                                <br /><small>For "Subscriptions" type, the channel must have no more than 1,000 subscribers</small>
                                <br /><small>Cost of one like: <?php echo $r_m->set['items']['like']['price']; ?> rub.; Subscription cost: <?php echo $r_m->set['items']['subscr']['price']; ?> rub.</small>
                                <select data-youtube_chektip="" class="form-control" name="Type" onchange="addtypechange(this);">
                                    <?php
                                        foreach ($r_m->set['items'] as $key => $value) {
                                            $s = (!$add && $Type == $key) ? 'selected="selected"' : '';
                                            if($key != 'view')
                                                $value['title'] = "{$value['title']} ({$value['price']} {$setting['main']['cur']['z']})";
                                            echo "<option {$s} value=\"{$key}\">{$value['title']}</option>";
                                        }
                                    ?>
                                </select>
                            </div>
                            <div <?php if(!$add && $Type != 'view') echo 'style="display:none;"'; ?> class="form-group" id="addviewprice">
                                <label>View duration:</label>
                                <select class="form-control" name="Price">
                                    <?php foreach ($r_m->set['items']['view']['price'] as $k => $v) {
                                        if(!$add)
                                            $s = ($k == $Price) ? 'selected="selected"' : '';
                                        else
                                            $s = ($k == '15') ? 'selected="selected"' : '';
                                        $v = ($k > 0) ? "{$k} sec. ({$v} {$setting['main']['cur']['z']})" : "No timer ({$v} {$setting['main']['cur']['z']})";
                                        echo "<option {$s} value=\"{$k}\">{$v}</option>";
                                    }
                                    ?>
                                </select>
                            </div>
                            <div class="panel panel-default"><div class="panel-body">
                                <label>Video or Channel ID:</label>
                                <br /><small style="font-size:12px;">Enter the video ID. If "subscriptions" type is selected, enter the channel ID for which subscriptions are needed. Example: f-Sk6aPuTA8 (without https://www.youtube.com/watch?v=) only the identifier!</small>
                                <span data-valgroup="edit_item" data-validel="edit_url"  data-valtype="reqired" data-valerrormes="Enter the identifier!" class="validator" >*</span>
                                <div class="input-group">
                                    <input data-youtube_chek="" id="edit_url" value="<?php if(!$add) echo $Url; ?>" type="text" name="Url" class="form-control" />
                                    <span class="input-group-btn"><button title="Check" class="btn btn-default" type="button" onclick="return youtube_chek();">Check</button></span>
                                </div>
                                <div style="padding-top: 5px;" data-youtube_chekspan=""></div>
                            </div></div>
                            <div class="form-group">
                                <label>Title:</label>
                                <span data-valgroup="edit_item" data-validel="edit_title"  data-valtype="reqired" data-valerrormes="Enter the ad title!" class="validator" >*</span>
                                <small>(Max 33 characters)</small>
                                <input value="<?php if(!$add) echo $Title; ?>" maxlength="33" data-count_chars="#title_count_ed" id="edit_title" type="text" name="Title" class="form-control" />
                                <small>Characters: <span id="title_count_ed">0</span></small>
                            </div>
                            <div class="form-group">
                                <label>Description:</label>
                                <small>(Max 75 characters)</small>
                                <textarea rows="3" maxlength="75" data-count_chars="#body_count_ed" id="edit_body" name="Body" class="form-control"><?php if(!$add) echo $Body; ?></textarea>
                                <small>Characters: <span id="body_count_ed">0</span></small>
                            </div>
                            <div class="panel-default panel">
                            <div class="panel-heading">Budget</div>
                            <div class="panel-body">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label data-toggle="tooltip" data-placement="left" title="Unlimited budget means that the advertisement will run until the account balance is depleted."><input data-b_change="#b_money_edit" <?php if($add || $B_type === 1) echo 'checked="checked"'; ?> type="radio" name="B_type" value="1" /> Unlimited</label><br />
                                        <label data-toggle="tooltip" data-placement="left" title="Daily budget means that the advertisement will run until the specified budget amount is depleted. Each new day, the advertisement will run again with the same budget you specified."><input <?php if(!$add && $B_type === 2) echo 'checked="checked"'; ?> data-b_change="#b_money_edit" type="radio" name="B_type" value="2" /> Daily</label><br />
                                        <label data-toggle="tooltip" data-placement="left" title="Total budget means that the advertisement will run until the specified budget amount is depleted."><input <?php if(!$add && $B_type === 3) echo 'checked="checked"'; ?> data-b_change="#b_money_edit" type="radio" name="B_type" value="3" /> Total</label><br />
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group" id="b_money_edit" style="max-width: 200px; <?php if($add || $B_type === 1) echo 'display: none'; ?>">
                                        <label>Amount:</label>
                                        <div class="input-group">
                                            <input name="B_money" value="<?php if(!$add) echo $B_money; ?>" class="form-control" type="number" value="10" />
                                            <span class="input-group-addon"><?php echo $setting['main']['cur']['z']; ?></span>
                                        </div>
                                    </div>
                                </div>
                            </div></div>
                            <div class="panel-default panel">
                                <div class="panel-body" >
                                <label><input type="checkbox" <?php if($add || $Active > 0) echo 'checked="checked"'; ?> name="Active" /> Start impressions</label>
                                </div>
                            </div>
                            <p style="text-align: center;"><button onclick="return validator('edit_item');" name="<?php echo $add ? 'Insert' : "Update"; ?>" value="<?php echo $add ? '0' : $Id; ?>" type="submit" class="btn btn-lg btn-danger"><?php echo $add ? '<i class="fa fa-check"></i> Add' : '<i class="fa fa-refresh"></i> Update'; ?></button></p>
                        </form>
                        <div id="show_reged"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    p_init();
    $('[data-count_chars]').keyup();
    $('[data-churl]').change();
    function addtypechange(e){
        if($(e).val() == 'view')
            $("#addviewprice").slideDown(300);
        else
            $("#addviewprice").slideUp(300);
    }
</script>