<?php global $setting; ?>
<h1>Module Configuration</h1>
<div class="feedok"><?php echo $feed; ?></div>
<form method="post">
	<div class="panel panel-primary">
		<div class="panel-heading"><strong>General Settings</strong></div>
		<div class="panel-body">
			<div class="row">
				<div class="col-sm-6">
					<div class="form-group">
						<label>Module Name:</label>
						<input type="text" name="title" value="<?php echo $set['title']; ?>" class="form-control input-sm" />
					</div>
				</div>
				<div class="col-sm-6">
					<div class="form-group">
						<label>Interval between displays (hours):</label>
						<input type="text" name="interval" value="<?php echo $set['interval']; ?>" class="form-control input-sm" />
					</div>
				</div>
				<div class="clearfix"></div>
				<div class="col-sm-6">
					<div class="form-group">
						<label>Moderation:</label>
						<select name="moderat" class="form-control input-sm">
							<option value="0" <?php if($set['moderat'] < 1) echo 'selected="selected"'; ?>>Disabled</option>
							<option value="1" <?php if($set['moderat'] > 0) echo 'selected="selected"'; ?>>Check new ads</option>
						</select>
					</div>
				</div>
				<div class="col-sm-6">
					<div class="form-group">
						<label>Active module:</label>
						<select name="active" class="form-control input-sm">
							<option value="0" <?php if($set['active'] < 1) echo 'selected="selected"'; ?>>Module deactivated</option>
							<option value="1" <?php if($set['active'] > 0) echo 'selected="selected"'; ?>>Module active</option>
						</select>
					</div>
				</div>
				<div class="clearfix"></div>

				<div class="col-sm-6">
					<div class="form-group">
						<label>Price per like (<?php echo $setting['main']['cur']['z']; ?>):</label>
						<input type="text" name="items[like]" value="<?php echo $set['items']['like']['price']; ?>" class="form-control input-sm" />
					</div>
				</div>
				<div class="col-sm-6">
					<div class="form-group">
						<label>Price per subscription (<?php echo $setting['main']['cur']['z']; ?>):</label>
						<input type="text" name="items[subscr]" value="<?php echo $set['items']['subscr']['price']; ?>" class="form-control input-sm" />
					</div>
				</div>
				<div class="clearfix"></div>


				<div class="panel panel-default" style="margin: 0 15px 15px 15px;">
					<div class="panel panel-heading"><strong>Price per View (<?php echo $setting['main']['cur']['z']; ?>):</strong></div>
					<div class="panel-body">
						<div class="row">
							<?php foreach ($set['items']['view']['price'] as $k => $v) { 
								$sec = empty($k) ? 'No time limit.' : $k.' sec.';
								?>
							<div class="col-sm-4 col-xs-6 col-lg-2">
								<div class="form-group">
									<label><?php echo $sec; ?></label>
									<input class="form-control" type="text" name="items[view][<?php echo $k; ?>]" value="<?php echo $v; ?>" />
								</div>
							</div>
							<?php } ?>
						</div>
					</div>
				</div>


				<div class="clearfix"></div>
				<div class="col-sm-12">
					<div class="form-group">
						<label>Percentage credited to user from advertising cost (%):</label>
						<input type="text" name="z_per" value="<?php echo $set['z_per']; ?>" class="form-control input-sm" />
					</div>
				</div>	
			</div>
			<p><button type="submit" class="btn btn-lg btn-danger" name="up">Save Changes</button></p>
		</div>
	</div>
</form>
<?php 
	echo (empty($set['cron_ok'])) ? '<small>(Cron is not working)</small>' : '<small>(Last cron run: '.date('d.m.Y H:i',$set['cron_ok']).')</small>';