<?php
	
?>
<div class="mymod-overlay close_docclick" id="mymod-select_country" style="display: block;">
    <div class="mymod-table">
        <div class="mymod-cell">
            <div class="mymod-modal" style="min-width: 40%;">
           		<a href="#close" onclick="return mymod_close('#mymod-select_country');" class="mymod-close"></a>
           		<h2>Region selection</h2>
				<div class="col-md-6">
					<div class="form-group">
				        <label>Country:</label>
				        <div class="input-group">
				        	<span class="input-group-addon"><i class="fa fa-map-o"></i></span>
				        	<select id="sl_country" class="form-control">
				        		<?php foreach ($Country as $k => $val) {
				        			$s = (!empty($p) && $p['Country'] == $k) ? 'selected="selected"' : '';
				        			echo "<option {$s} value=\"{$k}\">{$val}</option>";
				        		} ?>
				        	</select>
				        </div>
				    </div>
				</div>
				<?php if(empty($_POST['onlycontry'])) { ?>
				<div class="col-md-6">
					<div class="form-group">
				        <label>Region:</label>
				        <div class="input-group">
				        	<span class="input-group-addon"><i class="fa fa-map-marker"></i></span>
				        	<select id="sl_obl" class="form-control">
				        		<option value="0">Any region...</option>
				        	</select>
				        </div>
				    </div>
				</div>
				<?php } ?>
				<div class="clearfix"></div>
				<p style="text-align: center;">
					<button class="btn btn-danger btn-lg" onclick="sel_reg_click();">Choose</button>
				</p>
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">	
	<?php if(isset($func)) { ?>
	function sel_reg_click(){
		var a = $('#sl_country').val();
		var b = $('#sl_obl').val();
		var an = $('#sl_country option:selected').text();
		var bn = $('#sl_obl option:selected').text();
		<?php echo trim($func); ?>(a,b,an,bn);
		mymod_close('#mymod-select_country');
	}
	<?php } ?>
	var selcountry = $('#sl_country');
	var selreg = $('#sl_obl');
	selcountry.chosen({no_results_text: "No results found!"});	// Translated: "Значение не найдено!" -> "No results found!"
	selreg.chosen({no_results_text: "No results found!"}); // Translated: "Значение не найдено!" -> "No results found!"
	selcountry.change(function(event) {
		var z = $(this).val();
		if(z == 'RU' || z == 'UA'){
	    	$('#ajaxProgress').show();
			var formData = new FormData();
			formData.append('GetReg',z);
			$.ajax({
		        url: '/aj/select_country',
		        type: "POST",
		        cache: false,
		        contentType: false,
		        processData: false,        
		        data: formData,
		        success: function(data){
					selreg.chosen("destroy");
		            selreg.html('<option value="0">Any region...</option>'+data); // Translated: "Любой регион..." -> "Any region..."
					selreg.chosen({no_results_text: "No results found!"}); // Translated: "Значение не найдено!" -> "No results found!"
		            $('#ajaxProgress').hide();
		        }
	    	});
		}
		else{
			selreg.chosen("destroy");
			selreg.html('<option value="0">Any region...</option>'); // Translated: "Любой регион..." -> "Any region..."
			selreg.chosen({no_results_text: "No results found!"}); // Translated: "Значение не найдено!" -> "No results found!"
		}
	});
</script>