<?php 
    /************************************/
    global $user_logined, $user_login, $user_m, $setting;
?>
<article>
	<h1><?php echo $Title ?></h1>
	<?php echo $Body ?>
	<?php if(!$user_logined) { ?>
	<?php include HTML.'no_auth.php'; ?>
	<?php } else { ?>

	<div class="alert alert-success" style="color:#3e3d3d;">
    	<p>
    		<i class="fa fa-money fa-fw"></i>
    		Main balance: <strong style="font-size: 21px;"><?php echo number_format ($user_login->data['Money'], 2,","," " ); ?> <?php echo $setting['main']['cur']['USD']; ?></strong> &nbsp; <a class="btn btn-xs btn-danger" href="/account/withdrawal">Withdraw</a>
    	</p>
    	<p>
    		<i class="fa fa-bullhorn fa-fw"></i>
    		Advertising balance: <strong style="font-size: 21px;"><?php echo number_format ($user_login->data['MoneyR'], 2,","," " ); ?> <?php echo $setting['main']['cur']['USD']; ?></strong> &nbsp; <a class="btn btn-xs btn-danger" href="/account/refill">Top Up</a>
    	</p>
	</div>

	<div class="panel panel-default">
        <div class="panel-body">	
        	<div class="row">
        		<div class="col-sm-6">
        			<div style="margin-bottom: 5px;"><strong>Your referrer:</strong> &nbsp;
        			<?php if(isset($refer)) { ?>
        				<a href="/account/message?SendTo=<?php echo $refer->data['Login']; ?>" target="_blank" title="Send Message" data-toggle="tooltip">
        					<i class="fa fa-user"></i> <?php echo $refer->data['Login']; ?>
        				</a>
        			<?php } else echo '<span class="text-danger"><i class="fa fa-user-times"></i> No Referrer</span>'; ?>
        			</div>

	                <strong>Your referral link:</strong>
	                <div class="input-group">
            			<span class="input-group-btn">
            				<button title="Copy link" data-toggle="tooltip" class="btn btn-default" onclick="CopyToClipboard_in('accaunt_ferlink');"><i class="fa fa-fw fa-files-o"></i></button>
            			</span>
            			<input type="text" readonly="readonly" class="form-control" value="<?php echo PROT."{$_SERVER['SERVER_NAME']}?ref={$user_login->data['Login']}"; ?>" id="accaunt_ferlink" />
            		</div>
        			
            	</div>
            	<div class="col-sm-6" style="text-align: center;">
	                <strong>Share on social media:</strong>      
        			<div style="width: 220px; margin: 5px auto;" data-url="<?php echo PROT."{$_SERVER['SERVER_NAME']}?ref={$user_login->data['Login']}"; ?>" data-description="<?php echo $setting['main']['desc']; ?>"  data-title="<?php echo $setting['main']['org']; ?>" class="ya-share2" data-services="collections,vkontakte,facebook,odnoklassniki,moimir,gplus,twitter,lj"></div>
            	</div>
            </div>           
        </div>
    </div>

	<div class="panel panel-success">
		<div class="panel-heading">Monthly Statistics</div>
		<div class="panel-body">
            <p><i class="fa fa-fw fa-money"></i> &nbsp; Earned (withdrawn): <strong><?php echo (empty($stat['5'])) ? 0 : number_format ($stat['5'], 2,","," " ); ?> <?php echo $setting['main']['cur']['z']; ?></strong></p>
            <p><i class="fa fa-fw fa-users"></i> &nbsp; Earned from referrals: <strong><?php echo (empty($stat['9'])) ? 0 : number_format ($stat['9'], 2,","," " ); ?> <?php echo $setting['main']['cur']['z']; ?></strong></p>
            <p><i class="fa fa-fw fa-bullhorn"></i> &nbsp; Spent (topped up): <strong><?php echo (empty($stat['6'])) ? 0 : number_format (($stat['6']*-1), 2,","," " ); ?> <?php echo $setting['main']['cur']['z']; ?></strong></p>						
		</div>
	</div>

	<div class="table-responsive" style="padding-top: 15px;">
		<table class="table table-condensed">
		<caption>Login History (last 10)</caption>
			<thead>
				<tr>
					<th>Date</th>
					<th>IP Address</th>
					<th>User Agent</th>
					<th>Location</th>
				</tr>
			</thead>
			<tbody>
			<?php foreach ($login_log as $val) { ?>
				<tr>
					<td><?php echo $val['AddDate']; ?></td>
					<td><?php echo $val['Ip']; ?></td>
					<td><?php echo $val['UseAgent']; ?></td>
					<td>
						<?php if(!empty($val['CountryCode'])){ ?>
							<img src="/assets/img/country/<?php echo $val['CountryCode']; ?>.png" alt="<?php echo $val['CountryCode']; ?>" /> <?php echo $val['Country']; ?><?php if(!empty($val['City'])) echo ', '.$val['City']; ?>
						<?php } else echo "<em>Unknown</em>"; ?>
					</td>
				</tr>
			<?php } ?>
			</tbody>
		</table>
	</div>

	<?php } ?>
</article>
