<?php 
    global $user_logined, $user_login, $user_m, $setting;
?>
<article>
    <h1><?php echo $Title ?></h1>
    <?php echo $Body ?>
    <?php if($GLOBALS['user_logined']){ ?>
    <p class="alert alert-success">
        You are successfully logged in
    </p>
    <?php } else { ?>
    <?php echo $feed; if(!$blok){ ?>
    <div class="row">
        <div class="col-sm-6">
            <section class="panel panel-default">
                <div class="panel-body">
                    <form id="form_login" method="post">
                        <div class="form-group">
                            <label>Username</label><span data-valgroup="validlogin" data-validel="login_login" data-valtype="reqired" data-valerrormes="Please enter your username!" class="validator">*</span>
                            <div class="input-group">
                                <span class="input-group-addon"><i class="fa fa-sign-in"></i></span>
                                <input placeholder="Enter your username" name="login" id="login_login" class="form-control" type="text" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label>Password</label>
                            <span data-valgroup="validlogin" data-validel="login_pass" data-valtype="reqired" data-valerrormes="Please enter your password!" class="validator">*</span>
                            <div class="input-group">
                                <span class="input-group-addon"><i class="fa fa-key"></i></span>
                                <input placeholder="Enter your password" class="form-control" name="pass" id="login_pass" type="password" />
                            </div>
                        </div>
                        
                        <div class="form-group" id="login_capt" <?php if(!$cap) echo 'style="display:none"'; ?>>
                            <?php if($setting['main']['captcha']['type'] == 'google') { ?>
                            <label>Security Check:</label><br />
                            <script src='https://www.google.com/recaptcha/api.js'></script>
                            <div class="g-recaptcha" data-sitekey="<?php echo $setting['main']['captcha']['google']['publickey']; ?>"></div>
                            <?php } else { ?>
                            <label>Security Code:</label>
                            <br />
                            <small>(Latin letters and numbers, case insensitive)</small>
                            <br />
                            <div style="text-align: center; padding: 10px;"><img src="/helper/captcha?id=<?php echo rand(1,10000); ?>" class="captcha_img" alt="" /></div>
                            <input name="captcha" placeholder="Enter the code from the image" class="form-control" type="text" />
                        <?php } ?></div>
                        <input type="hidden" name="btnlogin" value="1" />

                        <div style="text-align: center;padding: 10px;">
                            <div class="form_login_send_info text-danger bg-warning" style="display: none;padding: 10px;margin-bottom: 10px;"><i class="fa fa-fw fa-pulse fa-spinner"></i> &nbsp; Please wait, checking login...</div>     
                            <button type="submit" onclick="return validator('validlogin');" class="btn btn btn-danger form_login_send_btn">Login</button> &nbsp;<small><a href="/password_recovery" style="text-decoration: underline;">Forgot Password?</a></small>
                        </div>
                    </form>
                    <input type="hidden" id="err_cap" value="<?php echo $cap ? '1' : '0'; ?>" />
                </div>
            </section>
        </div>
        <div class="col-sm-6">
            <div class="alert alert-info" style="margin: 0;">
                <p><strong>Important Notice!</strong></p>
                <p>You should enter your login and password only on the official login page! Always double-check the website address before entering your credentials: <strong><?php echo PROT.$_SERVER['SERVER_NAME']; ?></strong></p>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
    <?php } else { ?> 
    <div class="alert alert-danger" style="text-align:center;">
        <strong>Please take a break!</strong><br />You have entered incorrect login details more than 10 times.<br />We recommend taking a break for at least 1 hour before trying again.
    </div>
    <?php } ?>
    <?php } ?>
</article>

<!--includeFuter-->
<script>
    $(document).ready(function () {
        $('#form_login').submit(function(event) {
            if(!validator('validregister'))
                return false;
            $('.form_login_send_btn').attr('disabled', 'disabled');
            $('.form_login_send_info').show();
            $('.form_login_send_info').html('<i class="fa fa-fw fa-pulse fa-spinner"></i> &nbsp; Please wait, checking login...');
            var formData = getFormData(this);
            var redirect_url = '<?php echo !empty($_GET['redirect_url']) ? $_GET['redirect_url'] : '/account'; ?>';
            if (window["localStorage"]) {
                var t_stg = localStorage.getItem("stg");
                if(t_stg != null){
                    formData.append('stg',t_stg);
                }
            }
            $.ajax({
                url: document.location.href,
                type: "POST",
                cache: false,
                contentType: false,
                processData: false,         
                data: formData,
                dataType: 'json',
                success: function(d){
                    if(d.ok > 0){
                        $('.form_login_send_btn').hide();
                        $('.form_login_send_info').html('<p><i class="fa fa-check"></i> &nbsp; Login successful!</p><p style="margin-bottom:10px;">Redirecting...</p><p><a href="'+redirect_url+'" class="btn btn-success">Continue</a></p>');
                        document.location.href = redirect_url;
                    }
                    else{
                        if(d.cap > 0){
                            if($('#err_cap').val() < 1){
                                $('#login_capt').show();
                                $('.captcha_img').attr('src','/helper/captcha?id='+(Math.floor(Math.random() * (10000 - 1)) + 1));
                            } else if(d.capt_err > 0) {
                                $('.captcha_img').attr('src','/helper/captcha?id='+(Math.floor(Math.random() * (10000 - 1)) + 1));
                            }
                        }
                        if(d.blok > 0)
                            document.location.href = location.href; 
                        $('.form_login_send_info').html('<i class="fa fa-times"></i> &nbsp; '+d.err);
                        $('.form_login_send_btn').removeAttr('disabled');
                    }
                }
            });
            return false;
        });
    });
</script>
<!--/includeFuter-->
