<?php 
    /************************************/
    global $user_logined, $user_login, $user_m, $setting;
?>
<article>
    <h1><?php echo $Title ?></h1>
    <?php echo $Body ?>
	<?php if(!$user_logined) { ?>
	<?php include HTML.'no_auth.php'; ?>
	<?php } else { ?>

        <input type="hidden" id="startpag" data-dataform="" name="startpag" value="<?php echo $startpag; ?>" />
        <input type="hidden" id="sort" data-dataform="" name="sort" value="<?php echo $sort; ?>">
        <input type="hidden" id="url_build" name="url_build" value="<?php echo $url_build; ?>" />
        <input type="hidden" name="folder" id="folder" value="<?php echo $folder; ?>" data-dataform="" />
        <div class="feedok"><?php echo $feed; ?></div>
        <div class="panel-primary panel">
            <div class="panel-heading">
                <button class="btn-none" id="btn_mes_addbody" onclick="mes_showadd();"><i class="fa fa-chevron-circle-right"></i> &nbsp; <strong>Write a Message</strong></button>
            </div>
            <div class="panel-body" id="mes_addbody" style="background-color: #e8f5fc;<?php if(empty($sn)) echo "display: none;"; ?>">
                <form onsubmit="return mes_form_submit();" method="post">
                    <div class="form-group">
                        <p style="font-weight: bold;">Recipient of the message: <span class="text-success" id="MailTo_text"><?php echo (!empty($sn)) ? $sn['Login'] : ''; ?></span></p>
                        <input type="hidden" name="UserTo" id="MailTo" value="<?php echo (!empty($sn)) ? $sn['Id'] : 0; ?>" />
                        <input type="hidden" name="UserToLogin" id="UserToLogin" value="<?php echo (!empty($sn)) ? $sn['Login'] : ''; ?>" />
                        <div style="padding-left: 20px;">
                            <div style="display: inline-block;vertical-align: middle;"><div class="input-group" style="width: 300px;"><input class="form-control input-sm" placeholder="Enter recipient's login" id="addUserto_s" type="text" /><span class="input-group-btn"><button type="button" class="btn-success btn btn-sm" onclick="addUserto_search();return false;">Add</button></span></div></div>
                            <?php if(!empty($setting['main']['admin_id'])) { ?>
                            <button onclick="addUserto(<?php echo $setting['main']['admin_id']; ?>,'Support');return false;" type="button" class="btn btn-sm btn-danger">Administrator</button>
                            <?php } ?>
                            <?php if(!empty($user_login->data['Ref'])) { ?>
                            <button onclick="addUserto(<?php echo $user_login->data['Ref']; ?>,'My Referrer');return false;" type="button" class="btn btn-sm btn-warning">Referrer</button>
                            <?php } ?>
                            <p id="addUserto_err" style="display: none;font-size: 13px;" class="alert alert-danger">
                                <strong class="text-danger"><i class="fa fa-exclamation-triangle"></i> User not found or they have blocked your messages!</strong>
                            </p>
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Subject:</label>
                        <span data-valgroup="mod_additem" data-validel="add_title"  data-valtype="reqired" data-valerrormes="Please enter a subject!" class="validator" >*</span>
                        <small>(Max 100 characters)</small>
                        <input maxlength="100" data-count_chars="#title_count_add" id="add_title" type="text" name="Title" class="form-control" value="<?php echo (!empty($sn) && !empty($sn['Tema'])) ? $sn['Tema'] : ''; ?>" />
                        <small>Characters - <span id="title_count_add">0</span></small>
                    </div>
                    <div class="form-group">
                        <label>Message:</label>
                        <span data-valgroup="mod_additem" data-validel="add_body"  data-valtype="reqired" data-valerrormes="Description cannot be empty!" class="validator" >*</span>
                        <textarea rows="3" id="add_body" name="Text" class="form-control"></textarea>
                        </div>
                    <input type="hidden" name="ParentId" value="0" />
                    <p style="text-align: center;">
                        <button onclick="return validator('mod_additem');" name="insert" type="submit" class="btn btn-lg btn-danger"><i class="fa fa-check"></i> Send</button>
                    </p>
                </form>
            </div>
        </div>


        <div class="panel panel-default">
            <div class="panel-heading">
                <div class="mails-controls">
                    <?php if($folder < 2){ ?><span><i class="fa fa-fw fa-sign-in"></i> Inbox</span><?php } else { ?><button onclick="folderclick(1)" class="btn-link"><i class="fa fa-fw fa-sign-in"></i> Inbox</button><?php } ?>
                    <?php if($folder === 2){ ?><span><i class="fa fa-fw fa-sign-out"></i> Sent</span><?php } else { ?><button onclick="folderclick(2)" class="btn-link"><i class="fa fa-fw fa-sign-out"></i> Sent</button><?php } ?>
                    <?php if($folder === 3){ ?><span><i class="fa fa-fw fa-trash"></i> Trash</span><?php } else { ?><button onclick="folderclick(3)" class="btn-link"><i class="fa fa-fw fa-trash"></i> Trash</button><?php } ?>
                </div>
            </div>

            <?php if(empty($items) || empty($items->data)) { ?>
            <div class="panel-body" style="text-align: center;">
                <em>No messages</em>
            </div>
            <?php } else { ?>
            <div class="table-responsive">
                <table class="table table-condensed table-hover r-table mails-table">
                    <thead>
                        <tr>
                            <th><button onclick="return sortitem('Status',this);" class="btn-link btn_sort"><i class="fa fa-bold"></i> <?php if($sort == 'Status') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Status DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                            <th>
                                <button onclick="return sortitem('AddDate',this);" class="btn-link btn_sort">User <?php if($sort == 'AddDate') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'AddDate DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button>

                                <?php /*<button onclick="return sortitem('UserId',this);" class="btn-link btn_sort">Пользователь <?php if($sort == 'UserId') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'UserId DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button>*/ ?>
                            </th>
                            <th><button onclick="return sortitem('Vip',this);" class="btn-link btn_sort"><i class="fa fa-flag"></i> <?php if($sort == 'Vip') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Vip DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
                            <th>Subject</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach($items->data as $val){ ?>
                        <tr <?php if($val['Vip'] && $folder < 2) echo "class=\"danger\""; ?> <?php if($val['Status'] && $folder < 2) echo "style=\"font-weight:bold;\""; ?>>
                            <td style="width: 20px;">
                                <?php if($folder < 2){ ?>
                                    <?php if($val['Status']) { ?>
                                        <input type="hidden" id="sh_item_Status_<?php echo $val['Id']; ?>" value="1" />
                                        <button title="Unread" class="btn-none" onclick="single_status(0,<?php echo $val['Id']; ?>);"><i class="fa fa-circle"></i></button>
                                    <?php } else { ?>
                                        <input type="hidden" id="sh_item_Status_<?php echo $val['Id']; ?>" value="0" />
                                        <button title="Read" class="btn-none" onclick="single_status(1,<?php echo $val['Id']; ?>);"><i class="fa fa-circle-thin"></i></button>
                                    <?php } ?>
                                <?php } elseif($folder == 2){ ?>
                                    <span style="opacity: 0.7;">
                                    <?php if($val['Status']) { ?>
                                        <i class="fa fa-folder" title="Unread"></i>
                                    <?php } else { ?>
                                        <i class="fa fa-folder-open-o" title="Read"></i>
                                    <?php } ?>
                                    </span>
                                <?php } ?>
                            </td>
                            <td>
                                <span><?php echo !empty($val['Block']) ? "<del style=\"color:gray;\" title=\"Blocked\">{$val['Login']}</del>" : $val['Login']; ?></span>
                                <?php if($folder < 2){ if(empty($val['Block'])) { ?><button title="Block" onclick="messblock(1,<?php echo $val['UserId']; ?>);" class="btn-none" style="font-weight: bold;"><i class="fa fa-exclamation-triangle text-warning"></i></button><?php } else { ?><button title="Unblock" onclick="messblock(0,<?php echo $val['UserId']; ?>);" class="btn-none" style="font-weight: bold;"><i class="fa fa-share-square-o text-success"></i></button><?php } } ?>
                                <br /><small><?php echo date('d.m.Y H:i',$val['AddDate']); ?> (MSK)</small>
                            </td>
                            <td>
                                <?php if($folder < 2){ ?>
                                    <?php if($val['Vip']) { ?>
                                        <button title="Important" class="btn-none" onclick="single_vip(0,<?php echo $val['Id']; ?>);"><i class="fa fa-flag"></i></button>
                                    <?php } else { ?>
                                        <button title="Normal" class="btn-none" onclick="single_vip(1,<?php echo $val['Id']; ?>);"><i class="fa fa-flag-o"></i></button>
                                    <?php } ?>
                                <?php } ?>
                            </td>
                            <td style="min-width: 50%;">
                                <button class="btn-link" onclick="show_item(<?php echo $val['Id']; ?>);" id="sh_Title_<?php echo $val['Id']; ?>" style="font-weight: inherit;color: inherit;"><?php echo $val['Title']; ?></button><br />
                                <?php 
                                $tekst = preg_replace('~<[^>$]*[>$]~ius', ' ',$val['Text']); 
                                echo '<small>'.((mb_strlen($tekst) < 100) ? $tekst : mb_substr($tekst, 0, 90).' ...').'</small>'; ?>
                                <div style="display: none;" id="sh_Text_<?php echo $val['Id']; ?>"><?php echo $val['Text']; ?></div>
                            </td>
                            <td style="width: 140px;">
                                <button style="margin:3px;" title="View" class="btn btn-sm btn-info"  onclick="show_item(<?php echo $val['Id']; ?>);"><i class="fa fa-eye"></i></button>
                                <?php if($folder === 3){ ?><button style="margin:3px;" title="Restore" class="btn btn-sm btn-success" onclick="return delet_item(1,<?php echo $val['Id']; ?>);"><i class="fa fa-reply"></i></button>
                                <?php } elseif($folder < 2){ ?><button style="margin:3px;" title="Reply" class="btn btn-sm btn-warning"  onclick="mes_resend(<?php echo $val['Id']; ?>);"><i class="fa fa-envelope"></i></button>
                                <button style="margin:3px;" title="Delete" class="btn btn-sm btn-danger" onclick="return delet_item(0,<?php echo $val['Id']; ?>);"><i class="fa fa-trash"></i></button><?php } ?>
                            </td>
                        </tr>
                        <?php } ?>
                    </tbody>
                </table>
            </div>
            <?php if(!empty($pager)) { ?>
            <div class="panel-footer"><?php echo $pager; ?></div>
            <?php } ?>
            <?php } ?>
        </div>
        <div class="mymod-overlay close_docclick" id="show_item">
            <div class="mymod-table">
                <div class="mymod-cell">
                    <div class="mymod-modal" style="">
                        <a href="#close" onclick="return mymod();" class="mymod-close"></a>
                        <h2 style="margin: 35px 0 10px;font-size: 24px;"><strong id="show_item_Title"></strong></h2>
                        <p style="display: none;"><strong>User:</strong> <strong id="show_item_Login"></strong></p>
                        <p id="show_item_Text"></p>
                        <div id="show_item_Resend">
                            <hr />
                            <p style="text-align: center;"><button style="margin:3px;" title="Reply" class="btn btn-danger"  onclick="mes_resend_sh();"><i class="fa fa-envelope"></i> Reply</button></p>
                        </div>
                        <input type="hidden" id="show_item_id" />
                    </div>
                </div>
            </div>
        </div>
	<?php } ?>
</article>
<div id="show_item"></div>
<?php if(empty($_POST['aj'])) { ?>
<script src="assets/js/ckeditor_basis/ckeditor.js" type="text/javascript" charset="utf-8"></script>
<?php } ?>
<script type="text/javascript">
    /*function show_item(id){
        $('#ajaxProgress').show();
        $('#show_item').load(document.location.href,{show_item:id},function(){$('#ajaxProgress').hide();});
        return false;
    }*/
    function show_item(id){
        if($('#sh_Title_'+id).length > 0){
            $('#show_item_Title').html($('#sh_Title_'+id).html());
            $('#show_item_Login').html($('#sh_Login_'+id).val());
            $('#show_item_Text').html($('#sh_Text_'+id).html());
            $('#show_item_id').val(id);
            $('#show_item').fadeIn(300);

            if($('#folder').val() < 2)
                $('#show_item_Resend').show();
            else
                $('#show_item_Resend').hide();
            if($('#sh_item_Status_'+id).val() > 0)
                single_status(0,id);
        }
    }
    function dataload(formData){
        $('#ajaxProgress').show();
        formData.append('aj',1);
        $.ajax({
            url: document.location.href,
            type: "POST",
            cache: false,
            contentType: false,
            processData: false,
            data: formData,
            success: function(content){
                $('#ajax_load').html(content);
                $('#ajaxProgress').hide();
                window.history.pushState(null, null, $('#url_build').val());
            }
        });
        return false;
    }
    function single_status(v,i){
        var a = 'single_status';
        var formData = getFormData_el('[data-dataform]');
        formData.append(a,v);
        formData.append('Id',i);
        dataload(formData);
        return false;
    }
    function single_vip(v,i){
        var a = 'single_vip';
        var formData = getFormData_el('[data-dataform]');
        formData.append(a,v);
        formData.append('Id',i);
        dataload(formData);
        return false;
    }
    function delet_item(v,i){
        var a = 'delet_item';
        var formData = getFormData_el('[data-dataform]');
        formData.append(a,v);
        formData.append('Id',i);
        dataload(formData);
        return false;
    }
    function pager(pag){
        $('#startpag').val(pag);
        var formData = getFormData_el('[data-dataform]');
        dataload(formData);
        return false;
    }
    function sortitem(el,e){
        if($('#sort').val() == el)
            el += ' DESC';
        $('#sort').val(el);
        $('#startpag').val(1);
        var formData = getFormData_el('[data-dataform]');
        dataload(formData);
        return false;
    }
    function folderclick(e){
        $('#folder').val(e);
        $('#startpag').val(1);
        var formData = getFormData_el('[data-dataform]');
        dataload(formData);
        return false;
    }
    function messblock(b,id){
        var formData = getFormData_el('[data-dataform]');
        formData.append('Id',id);
        formData.append('Blok',b);
        dataload(formData);
        return false;
    }
    function mess_ch_btncontrol_all(e){
        var t = $('#mess_ch_btncontrol_all').prop('checked');
        var mbk = $('.mailbtncontrol button');
        var m = $('[data-mchid]');
        if(!t){
            m.removeAttr('checked');
            m.prop("checked", false);
            mbk.attr('disabled', 'disabled');
        }
        else{
            m.attr('checked','checked');
            m.prop("checked", true);
            mbk.removeAttr('disabled');
        }
    }
    function mes_resend(id){
        var login = $('#sh_Login_'+id).val();
        var userid = $('#sh_UserId_'+id).val();
        var title = $('#sh_Title_'+id).html();
        addUserto(userid,login);
        if(title[0] != 'R' && title[1] != 'e' && title[2] != ':')
            $('#add_title').val('Re: '+title);
        else
            $('#add_title').val(title);
        var t = $('#mes_addbody');
        t.slideDown(500);
        $('html, body').stop().animate({scrollTop : t.offset().top - 60}, 600, '');
        if($('#sh_item_Status_'+id).val() > 0)
            single_status(0,id);
    }
    $(document).ready(function(){
        CKEDITOR.replace("add_body");
        $('[data-count_chars]').keyup(function(event) {
            var t = $(this).val();
            $($(this).data('count_chars')).html(t.length);
        })
    });
    function mes_showadd() {
        var th = $('#btn_mes_addbody');
        var el = $('#mes_addbody');
        if(el.is(':visible')){
            el.slideUp(500);
            $(th).find('.fa').removeClass('rotate90');
        }
        else{
            el.slideDown(500);
            $(th).find('.fa').addClass('rotate90');
        }
    }
    function addUserto(id,text){
        $('#MailTo').val(id);
        $('#UserToLogin').val(text);
        $('#MailTo_text').html(text);
        $('#addUserto_err').slideUp(300);
    }
    function addUserto_search(){
        $('#ajaxProgress').show();
        var login = $('#addUserto_s').val();
        var formData = new FormData();
        formData.append('aj',1);
        formData.append('us_s',login);
        $.ajax({
            url: document.location.href,
            type: "POST",
            cache: false,
            contentType: false,
            processData: false,
            data: formData,
            success: function(data){
                var id = parseInt(data);
                if(id > 0)
                    addUserto(id,login);
                else
                    $('#addUserto_err').slideDown(300);
                $('#ajaxProgress').hide();
                $('#addUserto_s').val('');
            }
        });
        return false;
    }
    function mes_form_submit(){
        if($('#MailTo').val() < 1){
            $('#MailTo_text').html('<span class="text-danger" > Recipient not specified </span>');
            alert('Please specify a recipient!');
            return false;
        }
    }
    function mes_resend_sh(){
        mes_resend($('#show_item_id').val());
        $('#show_item').fadeOut(300);
    }
</script>
<!--/includeFuter-->