<?php 
    /************************************/
    global $user_logined, $user_login, $user_m, $setting;
?>
<article>
	<h1><?php echo $Title ?></h1>
	<?php echo $Body ?>
	<?php if(!$user_logined) { ?>
	<?php include HTML.'no_auth.php'; ?>
	<?php } else { ?>


	<div id="show_moneyhistory">
		<div class="panel panel-default">
		<div class="panel-heading">Financial Operations for the last 30 days</div>
			<div class="panel-body">
				<div class="input-group" style="max-width: 300px;">
					<span class="input-group-addon">Type:</span>							
					<select class="form-control" name="Type" id="money_log_type" onchange="pager_money_log(0);">
						<option <?php if(!isset($fType)) echo 'selected="selected"'; ?> value="">Any ....</option>
						<?php foreach ($Tip as $key => $value) {
							$s = (isset($fType) && $fType == $key) ? 'selected="selected"' : '';
							echo "<option {$s} value=\"{$key}\">{$value['Title']}</option>";
						} ?>
					</select>
				</div>
			</div>
			<?php if(empty($items_money_log) || empty($items_money_log['data'])){ ?>
			<div class="panel-body" style="text-align: center;"><em>No operations</em></div>
			<?php } else { ?>
			<div class="table-responsive">
				<table class="table table-striped table-hover table-bordered">
				<thead>
					<tr class="">
						<th rowspan="2">Date</th>
						<th rowspan="2">Description</th>
						<th rowspan="2">Amount</th>
						<th style="text-align: center;" colspan="2">Account Balance</th>
					</tr>
					<tr>
						<th>Main</th>
						<th>Advertising</th>
						<th>Visits</th>
					</tr>
				</thead>
					<tbody>
					<?php foreach ($items_money_log['data'] as $val) { 
							$class = '';
							if($val['MoneyType'] == 'Money')
								$class='success';
							elseif ($val['MoneyType'] == 'MoneyR')
								$class = 'warning';
							else
								$class = 'info';
						?>
						<tr class="<?php echo $class; ?>">
							<td><?php echo date('d.m.y H:i', $val['AddDate']); ?></td>
							<td><?php echo $val['Title']; ?></td>
							<td><?php echo $val['Summ']; ?></td>
							<td><?php echo $val['Money']; ?></td>
							<td><?php echo $val['MoneyR']; ?></td>
							<td><?php echo $val['Visit']; ?></td>
						</tr>
					<?php } ?>
					</tbody>
				</table>
			</div>
			<div class="panel-footer"><?php echo $pager_money_log; ?></div>
			<?php } ?>
		</div>
	</div>				
	<?php } ?>
</article>
<script>
	function pager_money_log(pag) {
		$('#ajaxProgress').show();
 	$('#show_moneyhistory').load(document.location.href + ' #show_moneyhistory',{Type:$('#money_log_type').val(),startpag_money_log:pag},function(){$('#ajaxProgress').hide();});
 		return false;
	}
</script>
<!--/includeFuter-->