<?php 
	/************************************/
	global $user_logined, $user_login, $user_m, $setting;
?>

<article>
	<h1><?php echo $Title ?></h1>
	<?php echo $Body ?>
	<?php if(!$user_logined) { ?>
	<?php include HTML.'no_auth.php'; ?>
	<?php } else { ?>
	<?php echo $feed; ?>
	<div class="panel panel-default">
		<div class="panel-heading"><strong>On main account: <?php echo number_format ($user_login->data['Money'], 2,","," " ); ?> <?php echo $setting['main']['cur']['z']; ?></strong></div>
		<div class="panel-body">
			<div class="moneyout_step">
				<table class="table r-table table-condensed">
					<thead>
						<tr>
							<th colspan="2" class="text-danger" style="text-transform: uppercase;">Select Payment System</th>
						</tr>
					</thead>
					<tbody>
					<?php $ps_re = FALSE;	foreach ($ps as $k => $val) {
						if($val['Name'] == 'reinvest'){
							$ps_re = $val;
							continue;
						}
						//reinvest 9
						if(!$val['OnOut'])
							continue;	
						if($val['Name'] == 'reinvest')
							$val['Title'] = 'Transfer to advertising account';
						$komm = ($val['PerOut'] < 0) ? $val['PerOut'] * -1 : 0;
						$bonus = ($val['PerOut'] > 0) ? $val['PerOut'] : 0;
						$t_money = $user_login->data['Money'];
						$cur_kof = ($val['Cur'] != 'USD') ? 1/$curs[$val['Cur']] : 1;
						$t_money = $cur_kof*$t_money;	

						$d = ($t_money < $val['MinOut']) ? FALSE : TRUE;
					?>
						<tr >
							<td>
								<strong><?php echo $val['Title']; ?></strong>
								<br /><small>Minimum withdrawal amount: <?php echo $val['MinOut'].' '.$val['Cur']; ?>; Commission: <?php echo $komm; ?>%</small>
								<?php if($bonus > 0) echo "<div class=\"text-danger\"><strong>Bonus: +{$bonus}%</strong></div>"; ?>
								<?php if($val['Cur'] != 'USD') echo "<div>Exchange Rate: 1 {$val['Cur']} = {$curs[$val['Cur']]} USD</div>"; ?>
							</td>
							<td>
								<?php if($d)
										echo "<button class=\"btn btn-danger\" onclick=\"moneyout_step(2,{$k})\"><i class=\"fa fa-fw fa-check\"></i> Select</button>";
								else
										echo '<del class="text-muted">Insufficient funds</del>';
								?>
							</td>
						</tr>
					<?php } ?>
					</tbody>
				</table>
				<?php if(!empty($ps_re) && ($ps_re['OnIn'] || $ps_re['OnOut'])) { ?>
				<hr class="row" />
				<table class="table r-table table-condensed">
					<thead>
						<tr>
							<th colspan="2" class="text-danger" style="text-transform: uppercase;">Transfer between accounts</th>
						</tr>
					</thead>
					<tbody>
						<?php if($ps_re['OnIn']) {
							$komm = ($ps_re['PerIn'] < 0) ? $ps_re['PerIn'] * -1 : 0;
							$bonus = ($ps_re['PerIn'] > 0) ? $ps_re['PerIn'] : 0;
							?>
						<tr >
							<td>
								<strong>From main to advertising account</strong>
								<br /><small>Minimum transfer amount: <?php echo $ps_re['MinIn'].' '.$ps_re['Cur']; ?>; Commission: <?php echo $komm; ?>%</small>
								<?php if($bonus > 0) echo "<div class=\"text-danger\"><strong>Bonus: +{$bonus}%</strong></div>"; ?>
							</td>
							<td>
								<?php if($user_login->data['Money'] < $ps_re['MinIn'])
										echo '<del class="text-muted">Insufficient funds</del>';
								else { ?>
								<button class="btn btn-info" onclick="moneyout_step(2,<?php echo $ps_re['Id']; ?>,'in')"><i class="fa fa-fw fa-exchange"></i> Transfer</button>
								<?php } ?>
							</td>
						</tr>
						<?php } if($ps_re['OnOut']) {
							$komm = ($ps_re['PerOut'] < 0) ? $ps_re['PerOut'] * -1 : 0;
							$bonus = ($ps_re['PerOut'] > 0) ? $ps_re['PerOut'] : 0;
						?>
						<tr >
							<td>
								<strong>From advertising to main account</strong>
								<br /><small>Minimum transfer amount: <?php echo $ps_re['MinOut'].' '.$ps_re['Cur']; ?>; Commission: <?php echo $komm; ?>%</small>
								<?php if($bonus > 0) echo "<div class=\"text-danger\"><strong>Bonus: +{$bonus}%</strong></div>"; ?>
							</td>
							<td>
								<?php if($user_login->data['MoneyR'] < $ps_re['MinOut'])
										echo '<del class="text-muted">Insufficient funds</del>';
								else { ?>
								<button class="btn btn-info" onclick="moneyout_step(2,<?php echo $ps_re['Id']; ?>,'out')"><i class="fa fa-fw fa-exchange"></i> Transfer</button>
								<?php } ?>
							</td>
						</tr>
						<?php } ?>
					</tbody>
				</table>
				<?php } ?>
			</div>	
		</div>		
	</div>
	<div class="panel panel-default">
		<div class="panel-heading"><strong>My Withdrawal Requests</strong><br /><small style="font-size: 11px;">(Last 30 requests)</small></div>
		<?php if(empty($his) || empty($his['data'])) { ?>
		<div class="panel-body" style="text-align: center;color: gray;">
			<em>No requests</em>
		</div>
		<?php } else { ?>
			<table class="table table-condensed table-hover r-table">
				<thead>
					<tr>
						<th>Date</th>
						<th>Amount</th>
						<th>Wallet Number</th>
						<th>Status</th>
					</tr>
				</thead>
				<tbody>
					<?php 	
						foreach($his['data'] as $val){	
						?>
						<tr>
							<td><?php echo date('d.m.Y H:i',$val['AddDate']); ?></td>
							<td><?php echo $val['Amount'] ?> rub.</td>
							<td><strong style="font-size: 11px;"><?php echo $ps[$val['PaySys']]['Title']; ?>:</strong><br />

							<?php if($val['Number'] == 'in' || $val['Number'] == 'out')
								echo ($val['Number'] == 'in') ? 'From main to advertising' : 'From advertising to main';
							else
								echo $val['Number'] ?>

							</td>
							<td>
								<?php if($val['Ok'] > 0){ ?><strong class="text-success"><i class="fa fa-check"></i> &nbsp; Completed</strong>
								<?php if(!empty($val['OkDate'])) echo '<br /><small style="font-size: 11px;">'.date('d.m.Y H:i',$val['OkDate']).'</small>'; ?>
								<?php } elseif($val['Ok'] < 0) {
										echo '<strong class="text-muted"><i class="fa fa-times"></i> &nbsp; Returned</strong>';
										if(!empty($val['OkDate'])) echo '<br /><small style="font-size: 11px;">'.date('d.m.Y H:i',$val['OkDate']).'</small>';
									}
								else { ?>
								<strong class="text-warning"><i class="fa fa-fw fa-pulse fa-spinner"></i> &nbsp; Processing</strong>
								<?php } ?>
							</td>
						</tr>
					<?php } ?>
				</tbody>
			</table>
		<?php } ?>
	</div>
	<?php } ?>
</article>
<script>
	function moneyout_step(st,ps,ti){
		$('#ajaxProgress').show();
		if(st > 1){
			data = {step:st,ps:ps};
			if(ti)
				data.ti = ti;
			$('.moneyout_step').load(document.location.href,data,function(){$('#ajaxProgress').hide();});
		}
		else
			$('#ajax_load').load(document.location.href,{aj:1},function(){$('#ajaxProgress').hide();});
		return false;
	}
</script>
<!--/includeFuter-->