<?php
namespace models\TelAndEmail;
//if ( ! defined('F')) exit('Нет доступа!');
//if(!$GLOBALS['x_user_logined'])  exit('Нет доступа!!');
require_once(F."models/Base_model.php");

class Tel_model extends \models\Base_model
{
    var $data;
    var $count;
    function __construct(){
        $this->data = array();
        $this->count = 0;
    }
    public function Gets($filtr = array(), $startRowIndex=0, $maximumRows=FALSE)
    {
        $conn = $this->con();
        $ret = new Tel_model;
        $w = '';
        $join = '';
        $lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 300';            
        if(!empty($filtr) && is_array($filtr)){
            if(!empty($filtr['kontakt'])) {
                $filtr['kontakt'] = (int)$filtr['kontakt'];
                $t = '';
                if($filtr['kontakt'])
                    $t = "and x_KL_Kontakt_Tel.KontaktId = {$filtr['kontakt']}";
                $join .= " INNER JOIN `x_KL_Kontakt_Tel` on(k.Id = x_KL_Kontakt_Tel.TelId {$t})";
                unset($t);
            }
        }   
        $q = "SELECT * FROM `x_Tel` as `k` {$join}
        WHERE k.Id IS NOT NULL {$lim}";
        $query = $conn->query($q);
        if (!empty($query) && $query->num_rows)
        {
            $ret->data = $this->convertList($query);
            if($maximumRows !== NULL){
                $query2 = $conn->query("SELECT COUNT(*) FROM `x_Tel` as `k` {$join} WHERE k.Id IS NOT NULL");
                if(!empty($query2)){
                    $ret->count  = (int)$query2->fetch_array()[0];
                    $query2->close();
                }
            }
        }
        $conn->close();
        return $ret;
    }
    public function GetByID($id)
    {
        $id = (int)$id;
        $ret = NULL;
        $conn = $this->con();
        $q = "SELECT * FROM `x_Tel`  WHERE `Id` = $id LIMIT 1";
        $query = $conn->query($q);
        if (!empty($query) && $query->num_rows)
            $ret = $this->convert($query);
        $conn->close();
        return $ret;
    }
    public function ch($num){
        $ret = 0;
        $conn = $this->con();
        //$name = mb_strtolower($conn->real_escape_string($name));
        $num = (int)$num;            
        $query = $conn->query("SELECT `Id` FROM `x_Tel` WHERE `Number` = {$num} LIMIT 1");
        if (!empty($query) && $query->num_rows){
            $row = $query->fetch_assoc();
            if(!empty($row))
                $ret = (int)$row['Id'];
            $query->close();
        }
        $conn->close();
        return $ret;
    }
    public function Update($dat)
    {
        $data = array();
        $id = 0;
        if (isset($dat['Id'])) {
            $id=(int)$dat['Id'];
        }
        else
            return false;
        if(isset($dat['Number'])){
            $data['Number'] = $this->numInt($dat['Number']);
            if(($t = $this->ch($data['Number'])))
                return false;
        }
        if(isset($dat['Type']))
            $data['Type'] = ($dat['Type']);
        $ret = $this->b_update('x_Tel',$data,$id,0);
        return $ret;
    }
    public function Insert($dat)
    {
        $data = array();
        if(empty($dat['Number']))
            return false;
        $data['Number'] = $this->numInt($dat['Number']); 
        if(($t = $this->ch($data['Number']))){
            if(!empty($dat['Type']))
                $this->Update(array('Id' => $t,'Type'=>$dat['Type']));
            return $t;
        }
        unset($t);
        if(isset($dat['Type']))
            $data['Type'] = ($dat['Type']);
        $ret = $this->b_insert('x_Tel',$data,0);
        return $ret;
    }
    public  function Delete($id)
    {
        $conn = $this->con();
        $id=(int)$id;
        $ret = $conn->query("DELETE FROM `x_Tel` WHERE `Id` = {$id}");
        $conn->close();
        return $ret;
    }
    function convert(&$query)
    {
        $row = $query->fetch_assoc();
        if(empty($row)){
            $query->close();
            return NULL;
        }
        else
        {
            $el = new Tel_model();
            $el->data = $row;
            $el->data['NumberF'] = $this->numFormat($el->data['Number']);
            $query->close();
            return $el;
        }
    }
    function convertList(&$query)
    {
        $ret = array();
        while($row = $query->fetch_assoc())
        {
            $el = new Tel_model();
            $el->data = $row;
            $el->data['NumberF'] = $this->numFormat($el->data['Number']);
            array_push($ret, $el);
        }
        $query->close();
        return $ret;
    }
    function numInt($num){
        $num = trim($num);

        $num = preg_replace('~[^0-9\+]~ius', '', $num);
        $strlen = strlen($num);
        if($strlen > 10){
            $t = substr($num, ($strlen-10));
            $o = substr($num, 0, ($strlen-10));
            if($o == 8)
                $num = '7'.$t;

        }
        elseif($strlen == 10)
            $num = '7'.$num;

        return (int)preg_replace('~[^0-9]~ius', '', $num);
    }
    function numFormat($num){
        $num = (string)$num;
        $strlen = strlen($num);
        if($strlen > 10){
            $n = substr($num, ($strlen-7));
            $k = substr($num, ($strlen-10),3);
            $o = substr($num, 0, ($strlen-10));
            $n = preg_replace('~([0-9]{3})([0-9]{2})([0-9]*)~ius', "$1-$2-$3", $n);
            $num = "+{$o} ({$k}) {$n}";
        }
        /*elseif($strlen > 7){
            $n = substr($num, ($strlen-7));
            $k = substr($num, ($strlen-10),3);
        }*/
        return $num;
    }
}





class Email_model extends \models\Base_model
{
    var $data;
    var $count;
    function __construct(){
        $this->data = array();
        $this->count = 0;
    }
    public function Gets($filtr = array(), $startRowIndex=0, $maximumRows=NULL)
    {
        $conn = $this->con();
        $ret = new Email_model;
        $ret->data = array();
        $ret->count = 0;
        $lim = 'LIMIT 1000';
        $w = '';
        if($maximumRows !== NULL){
            $startRowIndex = (int)$startRowIndex;
            $maximumRows = (int)$maximumRows;
            $lim = "LIMIT {$startRowIndex}, {$maximumRows}";
        }
        $w1 = '';
        $w2 = '';
        $w3 = '';
        if(!empty($filtr) && is_array($filtr)){

            if(!empty($filtr['kontakt'])) {
                $filtr['kontakt'] = (int)$filtr['kontakt'];
                $t = '';
                if($filtr['kontakt'])
                    $t = "and x_KL_Kontakt_Email.KontaktId = {$filtr['kontakt']}";
                $w2 .= " INNER JOIN `x_KL_Kontakt_Email` on(k.Id = x_KL_Kontakt_Email.EmailId {$t})";
                unset($t);
            }       
        }
        $q = "SELECT * FROM `x_Email` as `k` {$w2}
        WHERE k.Id IS NOT NULL {$w3} {$lim}";

        $query = $conn->query($q);
        if (!empty($query) && $query->num_rows)
        {
            $ret->data = $this->convertList($query);
            if($maximumRows !== NULL){
                $query2 = $conn->query("SELECT COUNT(*) FROM `x_Email` as `k` {$w2} WHERE k.Id IS NOT NULL {$w3}");
                if(!empty($query2)){
                    $ret->count  = (int)$query2->fetch_array()[0];
                    $query2->close();
                }
            }
        }
        $conn->close();
        return $ret;
    }
    public function GetByID($id)
    {
        $id = (int)$id;
        $ret = NULL;
        $conn = $this->con();
        $q = "SELECT * FROM `x_Email`  WHERE `Id` = $id LIMIT 1";
        $query = $conn->query($q);
        if (!empty($query) && $query->num_rows)
            $ret = $this->convert($query);
        $conn->close();
        return $ret;
    }
    public function ch($email){
        $ret = 0;
        $conn = $this->con();
        $email = mb_strtolower($conn->real_escape_string($email));          
        $query = $conn->query("SELECT `Id` FROM `x_Email` WHERE `Email` = '{$email}' LIMIT 1");
        if (!empty($query) && $query->num_rows){
            $row = $query->fetch_assoc();
            if(!empty($row))
                $ret = (int)$row['Id'];
            $query->close();
        }
        $conn->close();
        return $ret;
    }
    public function Update($dat)
    {
        $data = array();
        $id = 0;
        if (isset($dat['Id'])) {
            $id=(int)$dat['Id'];
        }
        else
            return false;
        if(isset($dat['Email'])){
            $data['Email'] = $dat['Email']; 
            if(!preg_match('~^[0-9aA-zZаА-яЯ][0-9aA-zZаА-яЯ\-_\.]*@[0-9aA-zZаА-яЯ\-_]+(?:\.[aA-zZаА-яЯ]+){1,4}$~ius', $dat['Email']))
                return FALSE;           
        }
        if(isset($dat['Type']))
            $data['Type'] = ($dat['Type']);
        if(isset($dat['Fio']))
            $data['Fio'] = ($dat['Fio']);
        $ret = $this->b_update('x_Email',$data,$id,0);
        return $ret;
    }
    public function Insert($dat)
    {
        $data = array();
        if(empty($dat['Email']))
            return false;
        if(!preg_match('~^[0-9aA-zZаА-яЯ][0-9aA-zZаА-яЯ\-_\.]*@[0-9aA-zZаА-яЯ\-_]+(?:\.[aA-zZаА-яЯ]+){1,4}$~ius', $dat['Email']))
            return FALSE;
        $data['Email'] = $dat['Email'];
        if(($t = $this->ch($data['Email']))){
            if(empty($dat['Type']))
                return $t;
            else{
                $this->Update(array('Id' => $t,'Type'=>$dat['Type']));
                return $t;
            }
        }
        unset($t);            
        if(isset($dat['Type']))
            $data['Type'] = ($dat['Type']);
        if(isset($dat['Fio']))
            $data['Fio'] = ($dat['Fio']);
        $ret = $this->b_insert('x_Email',$data,0);
        return $ret;
    }
    public  function Delete($id)
    {
        $conn = $this->con();
        $id=(int)$id;
        $ret = $conn->query("DELETE FROM `x_Email` WHERE `Id` = {$id}");
        $conn->close();
        return $ret;
    }
    function convert(&$query)
    {
        $row = $query->fetch_assoc();
        if(empty($row)){
            $query->close();
            return NULL;
        }
        else
        {
            $query->close();
            return $row;
        }
    }
    function convertList(&$query)
    {
        $ret = array();
        while($row = $query->fetch_assoc())
        {
            array_push($ret, $row);
        }
        $query->close();
        return $ret;
    }
}