<?php
namespace models;
if ( ! defined('X_F')) exit('Нет доступа!');
if(!$GLOBALS['x_user_logined'])  exit('Нет доступа!!');
require_once(F."models/Base_model.php");
require_once(X_F."models/TelAndEmail_model.php");

class Zayavki_model extends \models\Base_model
{
    var $data;
    var $count;
    function __construct(){
        $this->data = array();
        $this->count = 0;
    }
    function Gets($filtr = array(), $startRowIndex = 0, $maximumRows = FALSE, $desc = FALSE)
    {
        $conn = $this->con();
        $lim = $maximumRows ? 'LIMIT '.(int)$startRowIndex.', '.(int)$maximumRows : 'LIMIT 100';
        $where = '';
        if(is_array($filtr)){
            $f_ar = array();
            if(!empty($filtr['dateot']) && empty($filtr['datedo'])){
                if(strripos($filtr['dateot'], '.') !== FALSE){
                    $date = \DateTime::createFromFormat('d.m.Y H:i', ($filtr['dateot'].' 00:00'));
                    if(!empty($date)){
                        $filtr['dateot'] = $date->format('U');
                        array_push($f_ar, 'p.Date > '.$filtr['dateot']);
                    }
                }
                else
                    array_push($f_ar, 'p.Date > '.(int)$filtr['dateot']);

            }
            elseif(!empty($filtr['datedo']) && empty($filtr['dateot'])){
                if(strripos($filtr['datedo'], '.') !== FALSE){
                    $date = \DateTime::createFromFormat('d.m.Y H:i', ($filtr['datedo'].' 00:00'));
                    if(!empty($date)){
                        $filtr['datedo'] = $date->format('U');
                        array_push($f_ar, 'p.Date < '.$filtr['datedo']);
                    }
                }
                else
                    array_push($f_ar, 'p.Date < '.(int)$filtr['datedo']);

            }
            elseif(!empty($filtr['dateot']) && !empty($filtr['datedo'])){
                if(strripos($filtr['datedo'], '.') !== FALSE){
                    $date = \DateTime::createFromFormat('d.m.Y H:i', ($filtr['datedo'].' 00:00'));
                    if(!empty($date)){
                        $filtr['datedo'] = $date->format('U');
                    }
                }
                else
                    $filtr['datedo'] = (int)$filtr['datedo'];
                if(strripos($filtr['dateot'], '.') !== FALSE){
                    $date = \DateTime::createFromFormat('d.m.Y H:i', ($filtr['dateot'].' 00:00'));
                    if(!empty($date)){
                        $filtr['dateot'] = $date->format('U');
                    }
                }
                else
                    $filtr['dateot'] = (int)$filtr['dateot'];
                array_push($f_ar, '(p.Date > '.$filtr['dateot']. ' AND p.Date < '.$filtr['datedo'].')');
            }
            if(isset($filtr['Status']))
                array_push($f_ar, 'p.Status = '.(int)$filtr['Status']);
            if(isset($filtr['Id']))
                array_push($f_ar, 'p.Id = '.(int)$filtr['Id']);
            if(isset($filtr['Arhiv']))
                array_push($f_ar, 'p.Arhiv = '.(int)$filtr['Arhiv']);
            else
                array_push($f_ar, 'p.Arhiv = 0');
            if(!empty($filtr['s'])){
                $s = trim($conn->real_escape_string($filtr['s']));
                array_push($f_ar, "(p.Fio LIKE '%{$s}%' OR p.Tema LIKE '%{$s}%' OR x_Email.Email LIKE '%{$s}%')");
                unset($s);
            }
            if(!empty($f_ar))
                $where = 'WHERE ' . implode(' AND ', $f_ar);
        }
        if(empty($desc))
            $desc = 'p.`Id` DESC';
        elseif($desc == 'RAND')
            $desc = 'RAND()';
        else
        {
            $ar = explode(' ', trim($desc));
            $desc = $conn->real_escape_string($ar[0]).(isset($ar[1]) ? ' DESC' : '');
        }
        $ret = new Zayavki_model();
        $q = "SELECT p.*, x_Tel.Number as Tel, x_Email.Email as Email FROM `x_Zayavki` as p 
                LEFT JOIN x_Email on(p.EmailId = x_Email.Id)
                LEFT JOIN x_Tel on(p.TelId = x_Tel.Id)
                {$where} 
                ORDER BY {$desc} {$lim}";
        //die($q);
        $query = $conn->query($q);
        if (!empty($query) && $query->num_rows)
        {
            if($maximumRows){
                $query2 = $conn->query("SELECT COUNT(*) FROM  `x_Zayavki` as p {$where}");
                if(!empty($query2)){
                    $ret->count = (int)$query2->fetch_array()[0];
                    $query2->close();
                }
            }            
            $ret->data = $this->convertList($query);
        }
        $conn->close();
        return $ret;
    }
    function GetByID($id)
    {
        $conn = $this->con();
        $ret = NULL;
        $q = "SELECT p.*, if(user.Login IS NULL, '', user.Login) as Login, x_Tel.Number as Tel, x_Email.Email as Email FROM `x_Zayavki` as p 
                LEFT JOIN x_Email on(p.EmailId = x_Email.Id)
                LEFT JOIN user on(p.UserId = user.Id)
                LEFT JOIN x_Tel on(p.TelId = x_Tel.Id) WHERE p.`Id` = ".(int)$id;
        $query = $conn->query($q);
        $conn->close();
        if (!empty($query) && $query->num_rows)
            $ret = $this->convert($query);
        return $ret; 
    }
    public function GetsCount($status = 1, $arhiv = 0){
        $w = 'WHERE Arhiv = '.(int)$arhiv;
        $ret = 0;
        $conn = $this->con();
        if(!empty($status))
            $w .= ' AND Status = ' . (int)$status;
        $query = $conn->query("SELECT COUNT(*) FROM `x_Zayavki` {$w}");
        if(!empty($query) && $query->num_rows){
            $ret  = (int)$query->fetch_array()[0];
            $query->close();
        }
        return $ret;
    }
    public function ChID($id)
    {
        $id = (int)$id;
        $ret = FALSE;
        $conn = $this->con();
        $query = $conn->query("SELECT Id FROM `x_Zayavki` WHERE `Id` = {$id} LIMIT 1");
        if (!empty($query) && $query->num_rows)
            $ret = TRUE;
        $conn->close();
        return $ret;
    }
    function Update($dat){  
        //var_dump($dat);   
        $data = array();
    	$ret = 0;
	    if(empty($dat['Id']))
	        return 0;   
	    if(isset($dat['Fio']))
	    	$data['Fio'] = $dat['Fio'];
	    if(isset($dat['Org']))
	    	$data['Org'] = $dat['Org'];
	    if(isset($dat['Tema']))
	    	$data['Tema'] = $dat['Tema'];
	    if(isset($dat['Tel']))
	    	$data['Tel'] = (int)$this->InsertTel(array('Number' => $dat['Tel']));
	    if(isset($dat['Email']))
	    	$data['Email'] = (int)$this->InsertEmail(array('Email' => $dat['Email']));
	    if(isset($dat['Body']))
	    	$data['Body'] = $dat['Body'];
        if(isset($dat['Status']))
            $data['Status'] = (int)$dat['Status'];
        if(isset($dat['KontaktId']))
            $data['KontaktId'] = (int)$dat['KontaktId'];
        if(isset($dat['Arhiv']))
            $data['Arhiv'] = (int)($dat['Arhiv']);
	    if(!empty($data))
	        $ret = $this->b_update('x_Zayavki',$data,$dat['Id'],0);
	    return $ret;
    }  
    /*function Insert($dat){      
        $ret = 0;        
        if(empty($dat['Fio']) || empty($dat['Id']))
            return false;
        if($this->ChID($dat['Id']))
            return FALSE;    
        $data = array();
        $data['Fio'] = $dat['Fio'];
        $data['Id'] = $dat['Id'];
        $data['Org'] = isset($dat['Org']) ? $dat['Org'] : '';
        $data['Tema'] = isset($dat['Tema']) ? $dat['Tema'] : '';
        $data['TelId'] = isset($dat['Tel']) ? (int)$this->InsertTel(array('Number' => $dat['Tel'])) : 0;
        $data['EmailId'] = isset($dat['Email']) ? (int)$this->InsertEmail(array('Email' => $dat['Email'])) : 0;
        $data['Body'] = isset($dat['Body']) ? $dat['Body'] : '';
        $data['Date'] = isset($dat['Date']) ? (int)$dat['Date'] : time();
        $data['KontaktId'] = isset($dat['KontaktId']) ? (int)$dat['KontaktId'] : 0;
        $data['UserId'] = isset($dat['UserId']) ? (int)$dat['UserId'] : 0;
        $data['Ip'] = sprintf('%u', ip2long(IP));
        $id = $this->b_insert('x_Zayavki',$data,0);
        return $id;
    }*/
    public function Delete($id)
    {
        $conn = $this->con();
        $id=(int)$id;            
        $ret = $conn->query("DELETE FROM `x_Zayavki` WHERE `Id` = {$id}");            
        $conn->close();
        return $ret;
    }
    function convertList(&$query)
    {
        $ret = array();
        $tel_m = new \models\TelAndEmail\Tel_model;
        $row['Number'] = !empty($row['Tel']) ? $tel_m->numFormat($row['Tel']) : '';
        while($row = $query->fetch_assoc())
        {
            if(isset($row['Ip']))
                $row['Ip'] = long2ip($row['Ip']);
            array_push($ret, $row);
        }
        $query->close();
        return $ret;
    }
    function convert(&$query)
    {
        $row = $query->fetch_assoc();
        if(empty($row)){
            $query->close();
            return NULL;
        }
        else
        {
            $tel_m = new \models\TelAndEmail\Tel_model;
            $row['Number'] = !empty($row['Tel']) ? $tel_m->numFormat($row['Tel']) : '';
            if(isset($row['Ip']))
                $row['Ip'] = long2ip($row['Ip']);
            return $row;
        }   
    }
    public function InsertEmail($dat){
        $tel_m = new \models\TelAndEmail\Email_model;
        if(empty($dat['Email']))
            return 0;
        return $tel_m->Insert($dat);
    }
    public function InsertTel($dat){
        $tel_m = new \models\TelAndEmail\Tel_model;
        if(empty($dat['Number']))
            return 0;
        return $tel_m->Insert($dat);
    }
    public function LastDate()
    {
        $date = 0;
        $conn = $this->con();
        $q = "SELECT IFNULL(`Date`,'0') as `Date` FROM `x_Zayavki` 
        ORDER BY `Date` DESC LIMIT 1";
        $query = $conn->query($q);
        if (!empty($query) && $query->num_rows)
        {
            $row = $query->fetch_assoc();
            if(!empty($row['Date']))
                $date = (int)$row['Date'];
            $query->close();
        }
        $conn->close();
        return $date;
    }
    public function LastId()
    {
        $id = 0;
        $conn = $this->con();
        $q = "SELECT Id FROM `x_Zayavki` 
        ORDER BY `Id` DESC LIMIT 1";
        $query = $conn->query($q);
        if (!empty($query) && $query->num_rows)
        {
            $row = $query->fetch_assoc();
            if(!empty($row['Id']))
                $id = (int)$row['Id'];
            $query->close();
        }
        $conn->close();
        return $id;
    }
}