<h1>Payment System Settings</h1>
<div class="feedok"><?php echo $feed; ?></div>

<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">List of Available Payment Systems</h3>
	</div>
	<div class="table-responsive">
		<table class="table table-striped table-hover table-condensed">
			<thead>
				<tr>
					<th>ID</th>
					<th>Name</th>
					<th>API</th>
					<th>Deposits</th>
					<th>Withdrawals</th>
					<th></th>
				</tr>
			</thead>
			<tbody>
			<?php foreach($items as $val){ ?>
				<tr>
					<td>					 	
						<?php echo $val['Id']; ?>
					</td>
					<td>					 	
						<?php echo $val['Title']; ?>
					</td>
					<td>
						<?php if($val['Api']) {
						 echo ($val['ApiOn'] > 0) ? '<strong class="text-success">Enabled</strong>' : '<strong class="text-danger">Disabled</strong>'; 
						 } else echo '<small>Not supported</small>' ?>

					</td>
					<td>
						<?php if($val['OnIn'] > 0) { ?>
						<label style="padding: 3px 5px 3px 3px;" class="btn btn-xs btn-success"><input type="checkbox" checked="checked" onchange="onin_change(<?php echo $val['Id']; ?>,0)"> Yes</label>
						<?php } else { ?>
						<label style="padding: 3px 5px 3px 3px;" class="btn btn-xs btn-default"><input type="checkbox" onchange="onin_change(<?php echo $val['Id']; ?>,1)"> No</label>
						<?php } ?>
						<br /><small>Percentage: <?php echo $val['PerIn']; ?>%</small>
					</td>
					<td>
						<?php if($val['OnOut'] > 0) { ?>
						<label style="padding: 3px 5px 3px 3px;" class="btn btn-xs btn-success"><input type="checkbox" checked="checked" onchange="onout_change(<?php echo $val['Id']; ?>,0)"> Yes</label>
						<?php } else { ?>
						<label style="padding: 3px 5px 3px 3px;" class="btn btn-xs btn-default"><input type="checkbox" onchange="onout_change(<?php echo $val['Id']; ?>,1)"> No</label>
						<?php } ?>
						<br /><small>Percentage: <?php echo $val['PerOut']; ?>%</small>
					</td>
					<td style="width: 100px;">
						<button onclick="show_item(<?php echo $val['Id']; ?>);" type="button" title="View" class="btn btn-warning"><i class="fa fa-pencil"></i></button>
					</td>
				</tr>
			<?php } ?>
			</tbody>
		</table>
	</div>
</div>
<div class="panel panel-default">
	<div class="panel-heading">Currency Exchange Rates</div>
	<div class="panel-body">
		<form method="post">
			<div class="form-group">
				<label class="btn btn-sm btn-default"><input type="checkbox" <?php if($curs['auto'] > 0) echo 'checked="checked"'; ?> name="auto" /> Auto-update</label><br />
				<small>(Updates once a day from cbr.ru)</small>
			</div>
			<div class="row">
			<?php foreach ($curs['curs'] as $key => $value) { if($key == 'RUB') continue; ?>
				<div class="col-sm-6 col-md-3">
					<div class="form-group">
						<label><?php echo $key; ?></label>
						<input type="text" name="curs[<?php echo $key; ?>]" value="<?php echo $value; ?>" class="form-control" />
					</div>
				</div>
			<?php } ?>
			</div>
			<div class="clearfix"></div>
			<p><button type="submit" name="up_curs" class="btn btn-danger">Save Changes</button></p>
		</form>
	</div>
</div>

<div id="show_item"></div>
<?php if(!$aj){ ?>
<script src="/assets/js/ui_complit_picer/jquery-ui.min.js"></script>
<?php } ?>
<script>
	function show_item(id){
    	$('#ajaxProgress').show();
    	$('#show_item').load(document.location.href,{show_item:id},function(){$('#ajaxProgress').hide();});
		return false;
	}
    function dataload(formData){
    	$('#ajaxProgress').show();
		formData.append('aj',1);
		$.ajax({
	        url: document.location.href,
	        type: "POST",
	        cache: false,
	        contentType: false,
	        processData: false,         
	        data: formData,
	        success: function(content){
	            $('#ajax_load').html(content);
	            $('#ajaxProgress').hide();
	            //window.history.pushState(null, null, $('#url_build').val());
	            //mav_note();
	        }
    	});
		return false;
    }
	function onin_change(id,st){
		var formData = getFormData_el('[data-dataform]');		
		formData.append('ps_up',id);
		formData.append('OnIn',st);
    	dataload(formData);
    	return false;
	}
	function onout_change(id,st){
		var formData = getFormData_el('[data-dataform]');		
		formData.append('ps_up',id);
		formData.append('OnOut',st);
    	dataload(formData);
    	return false;
	}
</script>