<h1 style="text-align: left;">Site Administrators</h1>
<div class="feedok"><?php echo $feed; ?></div>

<p><button onclick="show_item(0);" class="btn btn-success"><i class="fa fa-plus fa-fw"></i> Add Administrator</button></p>

<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">List of Administrators</h3>
	</div>
	<?php if(empty($items)) { ?>
	<div class="panel-body" style="text-align: center;">
		<em>No users</em>
	</div>
	<?php } else { ?>
	<div class="table-responsive">
		<table class="table table-striped table-hover table-condensed">
			<thead>
				<tr>
					<th>№</th>
					<th>Login</th>
					<th>E-mail</th>
					<th>Active</th>
					<th></th>
				</tr>
			</thead>
			<tbody>
			<?php foreach($items as $val){ 
					$tr_class = '';
					if($val['Active'] < 1)
						$tr_class = 'class="text-muted"';

				?>
				<tr <?php echo $tr_class; ?> id="ord_tr<?php echo $val['Id']; ?>">
					<td style="max-width: 100px;"><?php echo $val['Id']; ?></td>					
					<td style="line-height: 1.2;">
						<strong><?php echo $val['Login']; ?></strong><br /></td>
					<td>
						<small>
							<?php echo $val['Fio']; ?><br />
							<?php echo $val['Email']; ?>
						</small>
					</td>
					<td>
					<?php if($val['Id'] != $GLOBALS['x_user_login']['Id']) { ?>
						<?php if($val['Active'] > 0) { ?>
							<label class="btn btn-sm btn-success"><input type="checkbox" checked="checked" onchange="status_change(<?php echo $val['Id']; ?>,0);" /></label>
						<?php } else { ?>
							<label class="btn btn-sm btn-default"><input type="checkbox" onchange="status_change(<?php echo $val['Id']; ?>,1);" /></label>
						<?php } ?>
					<?php } else echo '<i class="fa fa-2x text-success fa-check"></i>'; ?>
					</td>
					<td style="max-width: 100px;">
						<button class="btn btn-warning" onclick="show_item(<?php echo $val['Id']; ?>);"><i class="fa fa-pencil"></i></button>
						<?php if($val['Id'] != $GLOBALS['x_user_login']['Id']) { ?>
						<button data-toggle="tooltip" title="Delete" onclick="delet_item(<?php echo $val['Id']; ?>)" type="sybmit" class="btn btn-danger"><i class="fa fa-trash"></i></button>
						<?php } ?>
					</td>
				</tr>
			<?php } ?>
			</tbody>
		</table>
	</div>
	<?php } ?>
</div>
<div id="show_item"></div>
<script>
	function show_item(id){
    	$('#ajaxProgress').show();
    	<span class="math-inline">\('\#show\_item'\)\.load\(document\.location\.href,\{show\_item\:id\},function\(\)\{</span>('#ajaxProgress').hide();});
		return false;
	}
    function dataload(formData){
    	$('#ajaxProgress').show();
		formData.append('aj',1);
		$.ajax({
	        url: document.location.href,
	        type: "POST",
	        cache: false,
	        contentType: false,
	        processData: false,         
	        data: formData,
	        success: function(content){
	            $('#ajax_load').html(content);
	            $('#ajaxProgress').hide();
	        }
    	});
		return false;
    }
	function status_change(id,st){
		var formData = getFormData_el('[data-dataform]');		
		formData.append('Status_up',st);
		formData.append('ItemId',id);
    	dataload(formData);
    	return false;
	}
	function delet_item(id){
		if(!confirm('Confirm deletion!'))
			return false
		var formData = getFormData_el('[data-dataform]');	
		formData.append('DelItem',id);
    	dataload(formData);
    	return false;
	}
</script>