<!DOCTYPE html>
<html lang="en">
  <head>
    <base href="<?php echo PROT."{$_SERVER['SERVER_NAME']}/" ?>" />
    <link rel="shortcut icon" href="assets/images/favicon.ico" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>Login</title>
    <link rel="stylesheet" type="text/css" href="/assets/css/style.css?id=130" />
    <meta name="robots" content="noindex, nofollow"/>
    <meta name="robots" content="none"/>
    <script type="text/javascript" src="/assets/js/jqery.3.4.1.js"></script>
    <script type="text/javascript" src="/assets/js/start.js?id=33"></script>
  </head>
  <body id="body_top">  
        <div class="panel panel-default" style="margin: 55px auto;max-width: 400px;">
            <div class="panel-heading"><h1 class="panel-title">Login</h1></div>
            <div class="panel-body">
            <?php echo $fedok; ?>
            <?php if(!$blok){ ?>
                <form method="post">
                    <div class="form-group">
                        <label>Login:</label><span data-valgroup="validlogin"  data-validel="login_login"  data-valtype="reqired" data-valerrormes="Enter your login!" class="validator" >*</span>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-user"></i></span>
                            <input placeholder="Enter your login" name="login" id="login_login" class="form-control" type="text" />
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Password:</label>
                        <span data-valgroup="validlogin"  data-validel="login_pass"  data-valtype="reqired" data-valerrormes="Enter your password!" class="validator" >*</span>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-key"></i></span>
                            <input placeholder="Enter password" class="form-control" name="pass" id="login_pass" type="password" />
                        </div>
                    </div>

                    <?php if($cap){ ?>
                    <div class="form-group">
                        <?php if($GLOBALS['setting']['main']['captcha']['type'] == 'google') { ?>
                        <label>Security Check:</label><br />
                        <script src='https://www.google.com/recaptcha/api.js'></script>
                        <div class="g-recaptcha" data-sitekey="<?php echo $GLOBALS['setting']->captcha->publickey; ?>"></div>
                        <?php } else { ?>
                        <label>Security Code:</label>
                        <br />
                        <small>(Numbers and Latin letters of any case)</small>
                        <br />
                        <div style="text-align: center; padding: 10px;"><img src="/helper/captcha?id=<?php echo rand(1,10000); ?>" class="captcha_img" alt="" /></div>
                        <input name="captcha" placeholder="Enter the code from the picture" class="form-control" type="text" />
                    <?php } ?></div><?php } ?>

                    <div style="text-align: center;padding: 10px;">
                        <button name="btnlogin" value="1" type="submit" onclick="return validator('validlogin');" class="btn btn-default">Submit</button>
                    </div>
                    <div style="text-align: right;font-size: 14px;"><a href="<?php echo X_URL.'/passrecovery'; ?>"><small>Password Recovery</small></a></div>
                </form>
            <?php } else { ?>
                <div style='text-align:center;'><strong>Please take a rest!</strong><br />You have entered your credentials incorrectly more than 10 times.<br />We strongly recommend that you rest for at least 1 hour</div>
            <?php } ?>
            </div>
        </div>
    </body>
</html>