<?php 
	global $setting; 
?>
<h1>Withdrawal Requests</h1>
<?php if(!empty($balance)) { ?>
<div class="panel panel-default" style="display: inline-block;">
	<div class="panel-heading"><strong>Wallet Balance:</strong> <small>(API)</small></div>
	<table class="table table-striped table-condensed table-bordered">
		<?php foreach($balance as $title => $b) { ?>
		<tr>
			<th><?php echo $title; ?></th>
			<td><?php echo ($b === FALSE || $b === NULL) ? '<small>Not available</small>' : $b; ?></td>
		</tr>
		<?php } ?>
	</table>
</div>
<?php } ?>


<div class="items_filtr">
	<div class="col-sm-12">
		<div class="form-group">	
			<label>Search by User ID or wallet number:</label>		
			<input data-dataform="" type="text" placeholder="By User ID" <?php if(!empty($filtr['s'])) echo "value=\"{$filtr['s']}\""; ?> name="s" class="form-control input-sm" />
		</div>
	</div>
	<input type="hidden" id="startpag" data-dataform="" name="startpag" value="<?php echo $startpag; ?>">
	<input type="hidden" id="sort" data-dataform="" name="sort" value="<?php echo $sort; ?>">
	<input type="hidden" id="url_build" name="url_build" value="<?php echo $url_build; ?>">
	<div class="clearfix"></div>
	<p style="text-align: center;">
		<button type="button" class="btn btn-default" onclick="items_filtr();"><i class="fa fa-filter"></i> Go</button>
		<button type="button" class="btn btn-default" onclick="items_filtr_clear();"><i class="fa fa-times"></i> Clear</button>
	</p>
</div>


<div class="feedok"><?php echo $feed; ?></div>
<div class="panel panel-default">	
	<?php if(empty($items) || empty($items['data'])) { ?>
	<div class="panel-body">
	<p style="text-align: center;">
		<em>No data</em>
	</p>
	</div>
	<?php } else { ?>
	<div class="table-responsive">
		<table class="table table-striped table-hover table-condensed">
			<thead>
				<tr>
					<th style="vertical-align: top;"><button onclick="return sortitem('Id',this);" class="btn-link btn_sort">№ <?php if($sort == 'Id') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Id DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
					<th style="vertical-align: top;"><button onclick="return sortitem('UserId',this);" class="btn-link btn_sort">User <?php if($sort == 'UserId') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'UserId DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
					<th style="vertical-align: top; line-height: 1;"><button onclick="return sortitem('Amount',this);" class="btn-link btn_sort">Amount <?php if($sort == 'Amount') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Amount DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button><small style="font-weight: normal;font-size: 11px;"><br />Including PS percentage</small></th>				
					<th style="vertical-align: top;"><button onclick="return sortitem('Number',this);" class="btn-link btn_sort">Wallet Number <?php if($sort == 'Number') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Number DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
					<th style="vertical-align: top;"><button onclick="return sortitem('AddDate',this);" class="btn-link btn_sort">Date <?php if($sort == 'AddDate') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'AddDate DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>

					<th style="vertical-align: top;"><button onclick="return sortitem('Ok',this);" class="btn-link btn_sort">Completed <?php if($sort == 'Ok') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Ok DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
					<th></th>
				</tr>
			</thead>
			<tbody>
			<?php foreach($items['data'] as $val){ 
					$ps = $PaySys[$val['PaySys']];
					$re = ($ps['Name'] == 'reinvest') ? TRUE : FALSE;
					if($re && $val['Number'] == 'in'){
				 		$ps['PerOut'] = $ps['PerIn'];
				 		$ps['MinOut'] = $ps['MinOut'];
					}
					$per = (isset($ps) && $ps['PerOut']) ? $ps['PerOut'] : 0;
					$cur = isset($ps) ? $ps['Cur'] : 'RUB';
					$amount_currub = '';
					$oldsum = FALSE;
					if($per){
						$oldsum = ($cur == 'RUB') ? $val['Amount'] : round($val['Amount']/$curs[$cur],2,PHP_ROUND_HALF_DOWN);
						$val['Amount'] = $val['Amount'] + $val['Amount']*($per/100);
					}
					if($cur != 'RUB'){
						$amount_currub = " ({$val['Amount']} RUB)";
						$val['Amount'] = round($val['Amount']/$curs[$cur],2,PHP_ROUND_HALF_DOWN);
					}
				?>
				<tr>
					<td>					 	
						<?php echo $val['Id']; ?>
					</td>
					<td>
						<strong><?php echo $val['Login']; ?></strong> (<small><a title="Go to user page" href="<?php echo X_URL.'/user/edit_'.$val['UserId']; ?>">ID <?php echo $val['UserId']; ?></a></small>)<br />
						<small>IP: <?php echo $val['UserIp']; ?></small>
						<br />
						<button onclick="show_loginhistory(<?php echo $val['UserId']; ?>);" data-toggle="tooltip" title="Login history" class="btn btn-xs btn-default"><i class="fa fa-fw fa-history"></i></button> <button type="button" onclick="return show_moneyhistory(<?php echo $val['UserId']; ?>);" data-toggle="tooltip" title="Financial operations" class="btn btn-xs btn-default"><i class="fa fa-fw fa-money"></i></button>
						<?php if(!empty($setting['main']['metrika'])){ ?>
						<a class="btn btn-xs btn-default" data-toggle="tooltip" title="View user actions in Metrika" target="_blank" href="https://metrika.yandex.ru/stat/visor?period=week&filter=(EXISTS(ym%3As%3AparamsLevel1%3D%3D%2527us%2527+and+ym%3As%3AparamsLevel2%3D%3D%2527<?php echo $val['UserId']; ?>%2527))&id=<?php echo $setting['main']['metrika']; ?>"><i class="fa fa-external-link"></i></a>
						<?php } ?>
					</td>
					<td>					 	
						<?php if($per) echo "<small><del>{$oldsum}</del></small> &nbsp;"; echo "<strong>{$val['Amount']} {$cur}</strong>{$amount_currub}"; ?>
						<?php if($per) echo "<br /><small>PS: {$per}%</small>"; ?>
					</td>
					<td>
						<?php if($re) 
								echo ($val['Number'] == 'in') ? "From main to advertising" : 'From advertising to main'; 
							else {
						?>
						<button title="Copy number" data-toggle="tooltip" class="btn btn-default btn-xs" onclick="CopyToClipboard('numcopy_<?php echo $val['Id']; ?>');"><i class="fa fa-fw fa-files-o"></i></button> <span id="numcopy_<?php echo $val['Id']; ?>"><?php echo $val['Number']; ?></span>
						<br /><small><?php echo $val['PSTitle']; ?></small>
						<?php } ?>
					</td>
					<td>					 	
						<?php echo Date('d.m.Y H:i',$val['AddDate']); ?><br />
						IP: <?php echo $val['Ip']; ?>
					</td>
					<td>
						<?php if($val['Ok'] > -1){ ?>
							<?php if($val['Api'] > 0) echo "<strong class=\"text-success\">Yes</strong>"; else{ ?>
							<?php if($val['Ok'] > 0) { ?>
								<label class="btn btn-sm btn-success"><input type="checkbox" checked="checked" onchange="status_change(<?php echo $val['Id']; ?>,0)"> Yes</label>
							<?php } else { ?>
								<label class="btn btn-sm btn-default"><input type="checkbox" onchange="status_change(<?php echo $val['Id']; ?>,1)"> No</label>
							<?php } ?>
						<?php } } else { ?>
							<strong class="text-muted">Return</strong>
						<?php } ?>
					</td>
					<td>
						<?php if((int)$val['Ok'] === 0 && $val['Api'] < 1) { ?>
							<?php if($val['PSApi'] > 0 && $val['PSApiOn'] > 0) { ?>
							<button onclick="send_api(<?php echo $val['Id']; ?>);" class="btn btn-sm btn-danger"><i class="fa fa-share"></i> Transfer via API</button>
							<?php } elseif($re){ ?>
							<button onclick="send_reinvest(<?php echo $val['Id']; ?>);" class="btn btn-sm btn-danger"><i class="fa fa-check"></i> Approve</button>
							<?php } ?>
							<button onclick="return_amount(<?php echo $val['Id']; ?>);" class="btn btn-sm btn-default"><i class="fa fa-reply"></i> Return funds</button>
						<?php } ?>
					</td>
				</tr>
			<?php } ?>
			</tbody>
		</table>
	</div>
	<?php echo $pager; ?>
	<?php } ?>
</div>
<div id="show_item"></div>
<script>
	function items_filtr(){
		$('#startpag').val(1);
		var formData = getFormData_el('[data-dataform]');
    	dataload(formData);
    	return false;
	}
	function items_filtr_clear(){	
		//$([chosen]).chosen("destroy");
		$('.items_filtr select option').removeAttr('selected');
		$('.items_filtr select option:first-child').attr('selected','selected');
		$('.items_filtr select option').prop('selected',false);
		$(".items_filtr input[type=text]").val('');
		$('.items_filtr input[type=checkbox]').removeAttr('checked');
		$('.items_filtr input[type=checkbox]').prop('checked',false);
		//$("[chosen]").chosen({no_results_text: "Value not found!"});
    	return items_filtr();
	}
	function pager(pag){
		$('#startpag').val(pag);
		var formData = getFormData_el('[data-dataform]');	
    	dataload(formData);	
        return false;
    }
	function sortitem(el,e){
		$('.btn_sort').find('.fa').remove();
		if($('#sort').val() == el)
			el += ' DESC';
		$('#sort').val(el);
        items_filtr();
        return false;
	}
    function dataload(formData){
    	$('#ajaxProgress').show();
		formData.append('aj',1);
		$.ajax({
	        url: document.location.href,
	        type: "POST",
	        cache: false,
	        contentType: false,
	        processData: false,         
	        data: formData,
	        success: function(content){
	            $('#ajax_load').html(content);
	            $('#ajaxProgress').hide();
	            window.history.pushState(null, null, $('#url_build').val());
	            mav_note();
	        }
    	});
		return false;
    }       
	function status_change(id,st){
		var formData = getFormData_el('[data-dataform]');		
		formData.append('Status_up',st);
		formData.append('ItemId',id);
    	dataload(formData);
    	return false;
	}       
	function send_api(id){
		var formData = getFormData_el('[data-dataform]');		
		formData.append('SendApi',id);
    	dataload(formData);
    	return false;
	}       
	function send_reinvest(id){
		var formData = getFormData_el('[data-dataform]');		
		formData.append('SendReinvest',id);
    	dataload(formData);
    	return false;
	}
	function return_amount(id){
		if(!confirm('Confirm refund!'))
			return false;
		var formData = getFormData_el('[data-dataform]');		
		formData.append('ReturnAmount',id);
    	dataload(formData);
    	return false;
	}
	function show_loginhistory(id){
    	$('#ajaxProgress').show();
    	$('#show_item').load('<?php echo X_URL.'/user/show_loginhistory'; ?>',{Id:id},function(){$('#ajaxProgress').hide();});
		return false;
	}
	function show_moneyhistory(id) {
    	$('#ajaxProgress').show();
    	$('#show_item').load('<?php echo X_URL.'/user/show_moneyhistory'; ?>',{Id:id},function(){$('#ajaxProgress').hide();});
		return false;
	}
</script>