<h1>Папка: <?php echo $dir; ?></h1>
<?php echo $feed; ?>
<div class="panel panel-default">
	<div class="panel-heading">
		<?php if($level_dir > 1) echo '<button onclick="return img_select_dir('."'{$prev_dir}'".');" type="button" data-toggle="tooltip" title="На уровень выше" class="btn btn-default btn-sm"><i class="fa fa-level-up" aria-hidden="true"></i></button>'; ?>
		<ul class="breadcrumb breadcrumb_img"><?php echo $breadcrumbs; ?></ul>
	</div>
	<div style="padding: 10px 15px;border-bottom: 1px solid #ccc;">
		<button onclick="img_file_up();" class="btn-link"><strong class="text-info"><i class="fa fa-upload"></i> Загрузить файл</strong></button>
		<button onclick="img_create_dir();" class="btn-link"><strong class="text-success"><i class="fa fa-check"></i> Создать папку</strong></button>
		<?php if($dir != 'images') { ?><button class="btn-link" onclick="img_delet_dir('<?php echo $dir; ?>');"><strong class="text-danger"><i class="fa fa-fw fa-times"></i> Удалить папку</strong></button><?php } ?>
	</div>
	<div class="panel-body">
	<div class="imgstg">
		<?php foreach ($dirs as $k => $val) { ?>
			<button onclick="return img_select_dir('<?php echo $val; ?>');" type="button" class="imgstg-item" style="background-image: url('/assets/img/fileicon/dir.png');">
				<span class="imgstg-item-info"><?php echo $k; ?></span>
			</button>
		<?php } ?>
		<?php foreach ($images as $val) { ?>
			<div class="imgstg-item" style="background-image: url('<?php echo "/assets/{$dir}/{$val}"; ?>');">
				<div class="imgstg-item-info"><?php echo $val; ?></div>
				<div class="imgstg-item-control">
					<div class="cell">
						<button onclick="img_finfo('<?php echo $val; ?>');" title="Путь к файлу" class="btn btn-default"><i class="fa fa-fw fa-code"></i></button>
						<a data-title="<?php echo $val; ?>" data-lightbox="image-12" href="<?php echo "/assets/{$dir}/{$val}"; ?>" title="Просмотр" class="btn btn-default"><i class="fa fa-fw fa-search-plus"></i></a><br />
						<button onclick="img_move_file('<?php echo $val; ?>')" title="Переместить" class="btn btn-default"><i class="fa fa-fw fa-share"></i></button>
						<button title="Удалить" onclick="img_delet_file('<?php echo $val; ?>');" class="btn btn-default"><i class="fa fa-fw fa-trash-o"></i></button>
					</div>
				</div>
			</div>
		<?php } ?>
	</div>
	</div>
	<?php echo $img_pager; ?>
</div>
<input type="hidden" id="img_startpag" data-dataform_img="" name="img_startpag" value="<?php echo $img_startpag; ?>">
<input type="hidden" id="dir" data-dataform_img="" name="dir" value="<?php echo $dir; ?>">
<input type="hidden" id="url_build_img" name="url_build_img" value="<?php echo $url_build_img; ?>">
<div class="mymod-overlay" id="img_mod_confirm_del">
    <div class="mymod-table">
        <div class="mymod-cell">
            <div class="mymod-modal" style="text-align: center;">
            	<div class="alert alert-danger" style="font-size: 20px;margin: 0; padding: 35px 25px;color: #7b2321;">
            		<div class="mod_confirm_del_text"></div>
	        		<p>
	        			<input type="hidden" id="img_mod_confirm_del_id" value=""; />
	            		<button style="margin: 15px 10px 0 10px;" class="btn btn-lg btn-danger" onclick="return _img_delet_dir();" type="button">Удалить</button>
	            		<button style="margin: 15px 10px 0 10px;" class="btn btn-lg btn-default" onclick="return mymod();" type="button">Отмена</button>
	        		</p>
            	</div>
            </div>
        </div>
    </div>
</div>
<div class="mymod-overlay" id="img_create_dir">
    <div class="mymod-table">
        <div class="mymod-cell">
            <div class="mymod-modal">
                <a href="#" onclick="return mymod();" class="mymod-close"></a>
            	<h2>Создание папки</h2>
            	<div class="form-group">
            		<label>Родительская папка:</label>
            		<select class="form-control" id="img_create_dir_parent">
	            		<?php foreach ($OllDirs as $k => $val) {
	            			$s = ($dir == $k) ? 'selected="selected"' : '';
	            			$v = str_repeat("&nbsp;&nbsp;&nbsp;", $val).$k;
	            			//$v = $k;
	            			echo "<option value=\"{$k}\" {$s}>{$v}</option>";
	            		} ?>
            		</select>
            	</div>
            	<div class="form-group">
            		<label>Название:</label>&nbsp;<span data-valgroup="img_create_dir"  data-validel="img_create_dir_name"  data-valtype="reqired" data-valerrormes="Укажите название!" class="validator" >*</span>
            		<br /><small>(только буквы и цифры без пробелов. Можно использовать символы -_ )</small>
            		<input type="text" class="form-control" id="img_create_dir_name" />
            	</div>
        		<p>
            		<button class="btn btn-danger" onclick="return _img_create_dir();" type="button">Создать</button>
            		<button class="btn btn-default" onclick="return mymod();" type="button">Отмена</button>
        		</p>
            </div>
        </div>
    </div>
</div>
<div class="mymod-overlay" id="img_move_file">
    <div class="mymod-table">
        <div class="mymod-cell">
            <div class="mymod-modal">
                <a href="#" onclick="return mymod();" class="mymod-close"></a>
            	<h2>Перемещение файла</h2>
            	<div class="form-group">
            		<label>Папка назначения:</label>
            		<select class="form-control" id="img_move_file_d">
	            		<?php foreach ($OllDirs as $k => $val) {
	            			if($dir == $k)
	            				continue;
	            			$v = str_repeat("&nbsp;&nbsp;&nbsp;", $val).$k;
	            			echo "<option value=\"{$k}\">{$v}</option>";
	            		} ?>
            		</select>
            	</div>
            	<input type="hidden" id="img_move_file_f" />
        		<p>
            		<button class="btn btn-danger" onclick="return _img_move_file();" type="button">Переместить</button>
            		<button class="btn btn-default" onclick="return mymod();" type="button">Отмена</button>
        		</p>
            </div>
        </div>
    </div>
</div>

<div class="mymod-overlay" id="img_finfo">
    <div class="mymod-table">
        <div class="mymod-cell">
            <div class="mymod-modal">
                <a href="#" onclick="return mymod();" class="mymod-close"></a>
            	<h2>Относительный адрес:</h2>
            	<div class="form-group">
            		<label>Абсолютный:</label>
            		<div class="input-group">
            			<span class="input-group-btn"><button title="Скопировать адрес" data-toggle="tooltip" class="btn btn-default" onclick="CopyToClipboard_in('img_finfo_a');"><i class="fa fa-fw fa-files-o"></i></button></span>
            			<input class="form-control" type="text" readonly="readonly" id="img_finfo_a" />
            		</div>
            	</div>
            	<div class="form-group">
            		<label>Абсолютный адрес:</label>
            		<div class="input-group">
            			<span class="input-group-btn"><button title="Скопировать адрес" data-toggle="tooltip" class="btn btn-default" onclick="CopyToClipboard_in('img_finfo_b');"><i class="fa fa-fw fa-files-o"></i></button></span>
            			<input class="form-control" type="text" readonly="readonly" id="img_finfo_b" />
            		</div>
            	</div>
        		<p>
            		<button class="btn btn-default" onclick="return mymod();" type="button">Закрыть</button>
        		</p>
            </div>
        </div>
    </div>
</div>
<script>
    function img_file_up(argument) {$('#modalupfile').fadeIn(300);}
    function _img_file_up(argument) {
		$('#img_startpag').val(0);
		var formData = getFormData_el('[data-dataform_img]');	
    	img_dataload(formData);	
        return false;
    }

	$(document).ready(function () {	
		$('#modalupfile_dir').val('<?php echo $dir; ?>');
		<?php if(empty($aj)) { ?>$('head').append('<link rel="stylesheet" type="text/css" href="/assets/css/lightbox.css" />');<?php } ?>
	});
    function img_dataload(formData){
    	$('#ajaxProgress').show();
		formData.append('aj',1);
		$.ajax({
	        url: document.location.href,
	        type: "POST",
	        cache: false,
	        contentType: false,
	        processData: false,         
	        data: formData,
	        success: function(content){
	            $('#ajax_load').html(content);
	            $('#ajaxProgress').hide();
	            window.history.pushState(null, null, $('#url_build_img').val());
	        }
    	});
		return false;
    }
	function img_pager(pag){
		$('#img_startpag').val(pag);
		var formData = getFormData_el('[data-dataform_img]');	
    	img_dataload(formData);	
        return false;
    }
	function img_select_dir(d){
		$('#dir').val(d);
		$('#img_startpag').val(0);
		var formData = getFormData_el('[data-dataform_img]');	
    	img_dataload(formData);	
        return false;
    }
    function img_finfo(f){
    	$('#img_finfo').show();
    	$('#img_finfo_a').val('/assets/<?php echo $dir; ?>/'+f);
    	$('#img_finfo_b').val('<?php echo PROT.$_SERVER['SERVER_NAME']; ?>/assets/<?php echo $dir; ?>/'+f);
    }
    function img_create_dir() {$('#img_create_dir').show();}
    function _img_create_dir() {
    	if(!validator('img_create_dir'))
    		return false;
    	var formData = getFormData_el('[data-dataform_img]');		
		formData.append('FolderCreat',$('#img_create_dir_name').val());
		formData.append('ParentFolder',$('#img_create_dir_parent').val());
    	img_dataload(formData);
    	return false;
    }
    function img_move_file(f) {$('#img_move_file').show();$('#img_move_file_f').val(f);}
    function _img_move_file() {
    	var formData = getFormData_el('[data-dataform_img]');		
		formData.append('FolderTo',$('#img_move_file_d').val());
		formData.append('FileMove',$('#img_move_file_f').val());
    	img_dataload(formData);
    	return false;
    }
    function img_delet_dir(d) {
		$('#img_mod_confirm_del_id').val(d);
		$('.mod_confirm_del_text').html('Подтвердите удаление папки: "'+d+'"<p><strong>Вниминие!!!</strong> Удаляться все подпапки и изображения, которые в ней находятся.</p>');
		$('#img_mod_confirm_del').show();
		return false;
    }
    function _img_delet_dir(d) {
		$('#dir').val('<?php echo $prev_dir; ?>');
		$('#img_startpag').val(0);
    	var formData = getFormData_el('[data-dataform_img]');		
		formData.append('DelFolder',$('#img_mod_confirm_del_id').val());	
    	img_dataload(formData);
    	return false;
    }
    function img_delet_file(d) {
    	if(!confirm('Подтвердите удаление файла: "'+d+'"'))
    		return false;
    	var formData = getFormData_el('[data-dataform_img]');		
		formData.append('DelFile',d);
    	img_dataload(formData);
    	return false;
    }
</script>
<?php if(empty($aj)){ ?>
<!--includeFuter-->
<div class="mymod-overlay" id="modalupfile">
    <div class="mymod-table">
        <div class="mymod-cell">
            <div class="mymod-modal" style="min-width: 0;">
                <a href="#" onclick="return mymod();" class="mymod-close"></a>
				<h2>Загрузка файлов</h2>
				<form id="upload" style="position:relative;top:0;left:0;right:0;margin: 0px auto;" method="post" enctype="multipart/form-data">
					<input type="hidden" name="folder" value="images" id="modalupfile_dir" />
					<input type="hidden" id="modalupfile_func" value="_img_file_up" />
				    <div id="drop">
						Перетащите сюда
						<a>Обзор</a>
						<input type="file" name="upl" multiple />
					</div>
					<ul>
					</ul>
				</form>
			</div>
		</div>
	</div>
</div>
<script src="/assets/js/lightbox/lightbox.js"></script>
<script src="assets/js/upf/jquery.knob.js" type="text/javascript"></script>
<script src="assets/js/upf/jquery.ui.widget.js" type="text/javascript"></script>
<script src="assets/js/upf/jquery.iframe-transport.js" type="text/javascript"></script>
<script src="assets/js/upf/jquery.fileupload.js" type="text/javascript"></script>
<script src="assets/js/upf/script.js" type="text/javascript"></script>
<!--/includeFuter-->
<?php } ?>