<h1><?php echo $add ? 'Создать страницу' : 'Редактировать страницу №'.$Id; ?></h1>
<?php echo $feed; ?>
<form method="post">
	<div class="panel panel-default">
		<div class="panel-body">
			<?php if(!$Statik){ ?>
			<div class="form-group">
				<label>Родительская страница (категория):</label>
				<div style="margin-top:5px;" class="input-group">
					<input class="form-control input-sm" type="text" value="<?php echo (empty($ParentId) || empty($ParentArt)) ? 'Без категории' : $ParentArt['Title']; ?>" id="ParentId" readonly="readonly" onclick="select_cat(this);" />
					<span class="input-group-btn"><button class="btn btn-sm btn-warning" onclick="select_cat_del()" type="button"><i class="fa fa-times"></i></button></span>
				</div>
				<input type="hidden" name="ParentId" value="<?php echo $add ? 0 : $ParentId; ?>" />
			</div>
			<?php } ?>
			<div class="form-group">
				<label>Заголовок:</label>&nbsp;<span data-valgroup="article"  data-validel="add_title"  data-valtype="reqired" data-valerrormes="Укажите заголовок страницы!" class="validator" >*</span>
				<input value="<?php if(!$add) echo $Title; ?>" class="form-control input-sm" type="text" maxlength="400" id="add_title" name="Title" />
			</div>
			<?php if(!$Statik){ ?>
			<div class="form-group">
				<label>Служебное имя:</label>&nbsp;<small>Служебное имя используется в URL-адресе страницы. Должно быть уникальным, и состоять из цифр или букв (допускаются символы _ - ).</small>
				<div class="input-group">
					<span class="input-group-btn"><button data-toggle="tooltip" type="button" onclick="return name_copy_title();" class="btn btn-default btn-sm" title="Подставить с заголовка"><i class="fa fa-files-o"></i></button></span>
					<input value="<?php if(!$add) echo $Name; ?>" class="form-control input-sm" type="text" maxlength="400" name="Name" id="add_name" />
					<span class="input-group-btn"><button data-toggle="tooltip" type="button" onclick="return name_translit();" class="btn btn-default btn-sm" title="Транслитерация"><i class="fa fa-language"></i></button></span>
				</div>
			</div>
			<?php } ?>
			<div class="form-group">
				<label>Краткое описание (HTML не поддерживается):</label>
				<textarea class="form-control input-sm" name="Abstract" rows="4" maxlength="4000"><?php if(!$add) echo $Abstract; ?></textarea>
			</div>
			<div class="form-group">
				<label>Содержимое страницы:</label>
				<div style="text-align: right;font-size: 12px;"><a href="<?php echo X_URL.'/other/image'; ?>" target="_blanck">Обзор и загрузка медиа-файлов</a></div>
				<textarea class="form-control input-sm" id="add_body" rows="10" name="Body"><?php if(!$add) echo $Body; ?></textarea><br/>
			</div>
			<?php if(!$Statik){ ?>
			<div class="form-group">
				<label>Изображение страницы:</label>
				<div style="margin-top: 5px;" id="filefolder" class="filefolderRight">
					<button type="button" class="btn btn-success" onclick="addimage_show(1);"><i class="fa fa-plus-square"></i>&nbsp;&nbsp;Добавить изображение</button>
					<div style="clear: both;margin-bottom: 15px;"></div>
					<div id="addimage_main">
						<?php if(!empty($Image) && is_file(F.$Image)) echo '<div class="image_select-item act_fildel"><img src="'.$Image.'" /><div>'.$Image.'</div><input type="hidden" name="Image" value="'.$Image.'" /><button title="Удалить" onclick="return imgdel(this);" type="button">х</button></div>'; ?>
					</div>
					<div style="clear: both;"></div>
				</div>
			</div>
			<?php } ?>
			<div class="form-group">
				<label>Мета-заголовок (title):</label><br /><small>(Если не указан, будет использоваться заголовок страницы)</small>
				<input type="text" name="MetaTitle" class="form-control input-sm" value="<?php if(!$add) echo $MetaTitle; ?>" />
			</div>
			<div class="form-group">
				<label>Мета-описание:</label>
				<textarea class="form-control input-sm" name="MetaDesc" rows="5" maxlength="4000"><?php if(!$add) echo $MetaDesc; ?></textarea>
			</div>
			<div class="form-group">
				<label>Ключивые слова:</label>
				<input value="<?php if(!$add) echo $MetaKey; ?>" class="form-control input-sm" type="text" maxlength="250" name="MetaKey" />
			</div>
			<?php if(!$Statik){ ?>
			<div class="form-group">
				<label>Шаблон:</label><br /><small>(По умолчанию: "pages")</small>
				<input class="form-control input-sm" type="text" maxlength="50" value="<?php if(!$add) echo $Template; ?>" name="Template" /><br />
			</div>
			<?php } ?>
			<div class="form-group">
				<?php if(!$Statik){ ?>
					<label><input type="checkbox" value="1" <?php echo ($add || $Active) ? 'checked="checked"' : ''; ?>  name="Active" id="chkactive" />&nbsp;&nbsp;Опубликованно</label><br />
				<?php  } else echo '<input type="hidden" name="Active" value="1" />';  ?>
				<label><input type="checkbox" <?php echo ($add || $CommOk)?'checked="checked"':'' ;?> name="CommOk" />&nbsp;&nbsp;Разрешить комментарии</label>
			</div>

			<?php if(!$add) echo '<input type="hidden" name="Id" value="'.$Id.'" />'; ?>
			<p style="text-align: center;">
				<button onclick="return validator('article');" name="<?php echo $add ? 'Insert' : "Update"; ?>" value="<?php echo $add ? '0' : $Id; ?>" type="submit" class="btn btn-lg btn-danger"><?php echo $add ? '<i class="fa fa-check"></i> Создать страницу' : '<i class="fa fa-refresh"></i> Обновить'; ?></button>
			</p>
		</div>
	</div>
</form>
<div id="addmodal_load"></div>
<div id="cat_modal"></div>
<input type="hidden" id="wind_alert_save" value="0" />
<script src="assets/js/ckeditor4/ckeditor.js"></script>
<script src="assets/js/ckeditor4/start.js"></script>
<script>
	$(document).ready(function(){
		CKEditor_start( 'add_body' );
		$('input,select,textarea').change(function(event) {$('#wind_alert_save').val('1');});
		$('form').submit(function(event) {$('#wind_alert_save').val('0')});
    });
	window.onbeforeunload = function() {
		if($('#wind_alert_save').val() > 0)
			return 'Выйти без сохранения?';
	}
	function addimage_show(el) {
		var f = 'addimage';
		$('#addmodal_load').load('<?php echo X_URL."/helpers/image_select"; ?>',{func:f});
	}
	function addimage(el){
		$('#addimage_main').html('<div class="image_select-item act_fildel"><img src="'+el+'" /><div>'+el+'</div><input type="hidden" name="Image" value="'+el+'" /><button title="Удалить" onclick="return imgdel(this);" type="button">х</button></div>');
		$('.mymod-overlay').hide();		
	}
	function imgdel(e){$(e).parents('.act_fildel').remove();return false;}
	function name_copy_title() {$('#add_name').val($('#add_title').val());return false;}
	function name_translit(){
		var text = $('#add_name').val().toLowerCase();
		var rus = "щ ш ч ц ю я ё ж ъ ы э а б в г д е з и й к л м н о п р с т у ф х ь".split(/ +/g);
		var eng = "shh sh ch cz yu ya yo zh `` y' e` a b v g d e z i j k l m n o p r s t u f x `".split(/ +/g);
		var ch_ru = /[а-яё]/.test(text);
		for (var x = 0; x < rus.length; x++) {
		    if(ch_ru)
		    	text = text.split(rus[x]).join(eng[x]);
		    else
		    	text = text.split(eng[x]).join(rus[x])
		}
		$('#add_name').val(text);
	    return false;
	}
	function select_cat(){
		$('#cat_modal').load('<?php echo X_URL; ?>/pages/seldep',{func:'cat_click_main'});
	}
	function cat_click_main(id,title) {
		$('#cat_modal').html('');
		$('#ParentId').val(title);
		$('[name=ParentId]').val(id);
	}
	function select_cat_del(){
		$('#ParentId').val('Без категории');
		$('[name=ParentId]').val(0);
	}
</script>