<div class="mymod-overlay imem_mod" style="display: block;">
	<div class="mymod-table">
		<div class="mymod-cell">
			<div class="mymod-modal" style="min-width: 40%;"><a href="#close" onclick="return mymod();" class="mymod-close"></a>
				<h2>Финансовые операции</h2>
				<div id="show_moneyhistory">
					<div class="panel panel-default"><div class="panel-heading">Финансовые операции пользователя: <strong><?php echo $user['Login'] ?> (ID<?php echo $user['Id'] ?>)</strong><br /><small>(За последние 30 дней)</small></div>
						<div class="panel-body">
							<div class="input-group" style="max-width: 300px;">
								<span class="input-group-addon">Тип:</span>							
								<select class="form-control" name="Type" id="money_log_type" onchange="pager_money_log(0);">
									<option <?php if(!isset($fType)) echo 'selected="selected"'; ?> value="">Любой ....</option>
									<?php foreach ($Tip as $key => $value) {
										$s = (isset($fType) && $fType == $key) ? 'selected="selected"' : '';
										echo "<option {$s} value=\"{$key}\">{$value['Title']}</option>";
									} ?>
								</select>
							</div>
						</div>
						<?php if(empty($items_money_log) || empty($items_money_log['data'])){ ?>
						<div class="panel-body" style="text-align: center;"><em>Нет операций</em></div>
						<?php } else { ?>
						<div class="table-responsive">
							<table class="table table-striped table-hover table-bordered">
							<thead>
								<tr class="">
									<th rowspan="2">Дата</th>
									<th rowspan="2">Описание</th>
									<th rowspan="2">Сумма</th>
									<th style="text-align: center;" colspan="2">Остаток на счете</th>
								</tr>
								<tr>
									<th>основном</th>
									<th>рекламном</th>
									<th>визиты</th>
								</tr>
							</thead>
								<tbody>
								<?php foreach ($items_money_log['data'] as $val) { 
										$class = '';
										if($val['MoneyType'] == 'Money')
											$class='success';
										elseif ($val['MoneyType'] == 'MoneyR')
											$class = 'warning';
										else
											$class = 'info';
									?>
									<tr class="<?php echo $class; ?>">
										<td><?php echo date('d.m.y H:i', $val['AddDate']); ?></td>
										<td><?php echo $val['Title']; ?></td>
										<td><?php echo $val['Summ']; ?></td>
										<td><?php echo $val['Money']; ?></td>
										<td><?php echo $val['MoneyR']; ?></td>
										<td><?php echo $val['Visit']; ?></td>
									</tr>
								<?php } ?>
								</tbody>
							</table>
						</div>
						<div class="panel-footer"><?php echo $pager_money_log; ?></div>
						<?php } ?>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>		
<script>
	function pager_money_log(pag) {
		$('#ajaxProgress').show();
    	$('#show_moneyhistory').load('<?php echo X_URL.'/user/show_moneyhistory'; ?> #show_moneyhistory',{Id:<?php echo $user['Id'] ?>,Type:$('#money_log_type').val(),startpag_money_log:pag},function(){$('#ajaxProgress').hide();});
        return false;
	}
</script>