<?php 
	global $setting;	
?>
<h1 style="text-align: left;">Users</h1>
<div class="feedok"><?php echo $feed; ?></div>
<div class="items_filtr">
	<div class="col-sm-6">
		<div class="form-group">	
			<label>Search phrase:</label>		
			<input data-dataform="" type="text" placeholder="Search by name, email address" <?php if(!empty($filtr['s'])) echo "value=\"{$filtr['s']}\""; ?> name="s" class="form-control input-sm" />
		</div>
	</div>
	<div class="col-sm-6">
		<div class="form-group">	
			<label>Status:</label><br />
			<select class="form-control" name="Active" data-dataform="">
				<option <?php if(!isset($filtr['Active'])) echo 'selected="selected"'; ?> value="">Any ...</option>
				<option <?php if(isset($filtr['Active']) && $filtr['Active'] < 0) echo 'selected="selected"'; ?> value="-1">Banned</option>
				<option <?php if(isset($filtr['Active']) && $filtr['Active'] == 0) echo 'selected="selected"'; ?> value="0">Inactive</option>
				<option <?php if(isset($filtr['Active']) && $filtr['Active'] > 0) echo 'selected="selected"'; ?> value="1">Active</option>
			</select>
		</div>
	</div>
	<div class="clearfix"></div>
	<div class="col-sm-6">
		<div class="form-group">	
			<label>Search by IP address:</label>		
			<input data-dataform="" type="text" placeholder="Search by IP" <?php if(!empty($filtr['Ip'])) echo "value=\"{$filtr['Ip']}\""; ?> name="Ip" class="form-control input-sm" />
		</div>
	</div>
	<input type="hidden" id="startpag" data-dataform="" name="startpag" value="<?php echo $startpag; ?>">
	<input type="hidden" id="sort" data-dataform="" name="sort" value="<?php echo $sort; ?>">
	<input type="hidden" id="url_build" name="url_build" value="<?php echo $url_build; ?>">
	<div class="clearfix"></div>
	<p style="text-align: center;">
		<button type="button" class="btn btn-default" onclick="items_filtr();"><i class="fa fa-filter"></i> Go</button>
		<button type="button" class="btn btn-default" onclick="items_filtr_clear();"><i class="fa fa-times"></i> Clear</button>
	</p>
</div>

<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">User List</h3>
	</div>
	<?php if(empty($items) || empty($items->data)) { ?>
	<div class="panel-body" style="text-align: center;">
		<em>No users</em>
	</div>
	<?php } else { ?>
	<div class="table-responsive">
		<table class="table table-striped table-hover table-condensed">
			<thead>
				<tr>
					<th><button onclick="return sortitem('Id',this);" class="btn-link btn_sort">№ <?php if($sort == 'Id') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Id DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
					<th></th>
					<th><button onclick="return sortitem('Login',this);" class="btn-link btn_sort">Rating </button></th>
					<th><button onclick="return sortitem('Login',this);" class="btn-link btn_sort">Login / E-mail <?php if($sort == 'Login') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Login DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
					
					<th><button onclick="return sortitem('LastActive',this);" class="btn-link btn_sort">Activity <?php if($sort == 'LastActive') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'LastActive DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
					

					<th><button data-toggle="tooltip" title="Money on main account" onclick="return sortitem('Money',this);" class="btn-link btn_sort"><i class="fa fa-money"></i> <?php if($sort == 'Money') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Money DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
					<th><button data-toggle="tooltip" title="Money on advertising account" onclick="return sortitem('MoneyR',this);" class="btn-link btn_sort"><i class="fa fa-rub"></i> <?php if($sort == 'MoneyR') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'MoneyR DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
					<th><button data-toggle="tooltip" title="Visits" onclick="return sortitem('Visit',this);" class="btn-link btn_sort"><i class="fa fa-sign-in"></i> <?php if($sort == 'Visit') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Visit DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>


					<th><button onclick="return sortitem('AddDate',this);" class="btn-link btn_sort">Date <?php if($sort == 'AddDate') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'AddDate DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>

					<th><button onclick="return sortitem('Active',this);" class="btn-link btn_sort">Status <?php if($sort == 'Active') echo '<i class="fa fa-caret-down"></i>'; elseif($sort == 'Active DESC') echo '<i class="fa fa-caret-up"></i>'; ?></button></th>
					<th></th>
				</tr>
			</thead>
			<tbody>
			<?php foreach($items->data as $val){	
					$tr_class = '';
					if($val['Active'] < 0)
						$tr_class = 'class="danger"';
					elseif($val['Active'] < 1)
						$tr_class = 'class="text-muted"';

				?>
				<tr <?php echo $tr_class; ?> id="ord_tr<?php echo $val['Id']; ?>">
					<td style="max-width: 100px;">
						<a title="Go to user page" href="<?php echo X_URL.'/user/edit_'.$val['Id']; ?>"><?php echo $val['Id']; ?></a>
						<?php if(!empty($setting['main']['metrika'])){ ?>
						<br />
						<a data-toggle="tooltip" title="View user actions in Metrica" target="_blank" href="https://metrika.yandex.ru/stat/visor?period=week&filter=(EXISTS(ym%3As%3AparamsLevel1%3D%3D%2527us%2527+and+ym%3As%3AparamsLevel2%3D%3D%2527<?php echo $val['Id']; ?>%2527))&id=<?php echo $setting['main']['metrika']; ?>"><i class="fa fa-external-link"></i></a>
						<?php } ?>
					</td>
					<td>						
						<div style="display: block; margin-bottom: 5px;"><button onclick="show_loginhistory(<?php echo $val['Id']; ?>);" data-toggle="tooltip" title="Login history" class="btn btn-xs btn-default"><i class="fa fa-fw fa-history"></i></button></div>
						<button type="button" onclick="return show_moneyhistory(<?php echo $val['Id']; ?>);" data-toggle="tooltip" title="Financial operations" class="btn btn-xs btn-default"><i class="fa fa-fw fa-money"></i></button>
						</td>
					<td><center><?php echo number_format ($val['rating'], 2,","," " ); ?></center></td>
					<td style="line-height: 1.2;">
						<strong><?php echo $val['Login']; ?></strong><br />
						<small>
							<?php echo $val['Fio']; ?><br />
							<?php echo $val['Email']; ?>
						</small>
					</td>
					<td style="line-height: 16px;font-size: 12px;">
						<span data-toggle="tooltip" title="Registration IP"><?php echo $val['Ip']; ?></span><br />
						<span data-toggle="tooltip" title="Last activity IP"><?php echo $val['LastIp']; ?></span><br />
						<span data-toggle="tooltip" title="Last activity"><?php echo date('d.m.Y H:i',$val['LastActive']); ?></span>
					</td>

					<td><?php echo number_format ($val['Money'], 2,","," " ); ?></td>
					<td><?php echo number_format ($val['MoneyR'], 2,","," " ); ?></td>
					<td><?php echo number_format ($val['Visit'], 2,","," " ); ?></td>

					<td><?php echo date("d.m.Y",$val['AddDate']).'<br />'.date("H:i",$val['AddDate']); ?></td>
					<td>
						<select class="form-control" onchange="status_change(<?php echo $val['Id']; ?>,this);">
							<option <?php if($val['Active'] < 0) echo 'selected="selected"'; ?> value="-1">Banned</option>
							<option <?php if($val['Active'] == 0) echo 'selected="selected"'; ?> value="0">Inactive</option>
							<option <?php if($val['Active'] > 0) echo 'selected="selected"'; ?> value="1">Active</option>
						</select>
					</td>
					<td style="max-width: 100px;">
						<a title="Go to user page" class="btn btn-info" href="<?php echo X_URL.'/user/edit_'.$val['Id']; ?>"><i class="fa fa-eye"></i></a>
					</td>
				</tr>
			<?php } ?>
			</tbody>
		</table>
	</div>
	<?php echo $pager; ?>
	<?php } ?>
</div>
<div id="show_item"></div>
<script>
	function show_item(id){
    	$('#ajaxProgress').show();
    	$('#show_item').load(document.location.href,{show_item:id},function(){$('#ajaxProgress').hide();});
		return false;
	}
	function items_filtr(){
		$('#startpag').val(1);
		var formData = getFormData_el('[data-dataform]');
    	dataload(formData);
    	return false;
	}
	function items_filtr_clear(){	
		//$([chosen]).chosen("destroy");
		$('.items_filtr select option').removeAttr('selected');
		$('.items_filtr select option:first-child').attr('selected','selected');
		$('.items_filtr select option').prop('selected',false);
		$(".items_filtr input[type=text]").val('');
		$('.items_filtr input[type=checkbox]').removeAttr('checked');
		$('.items_filtr input[type=checkbox]').prop('checked',false);
		//$("[chosen]").chosen({no_results_text: "Value not found!"});
    	return items_filtr();
	}
	function pager(pag){
		$('#startpag').val(pag);
		var formData = getFormData_el('[data-dataform]');	
    	dataload(formData);	
        return false;
    }
	function sortitem(el,e){
		$('.btn_sort').find('.fa').remove();
		if($('#sort').val() == el)
			el += ' DESC';
		$('#sort').val(el);
        items_filtr();
        return false;
	}
    function dataload(formData){
    	$('#ajaxProgress').show();
		formData.append('aj',1);
		$.ajax({
	        url: document.location.href,
	        type: "POST",
	        cache: false,
	        contentType: false,
	        processData: false, 	 	
	        data: formData,
	        success: function(content){
	        	$('#ajax_load').html(content);
	        	$('#ajaxProgress').hide();
	        	window.history.pushState(null, null, $('#url_build').val());
	        }
    	});
		return false;
    }
	function status_change(id,st){
		var formData = getFormData_el('[data-dataform]');		
		formData.append('Status_up',$(st).val());
		formData.append('ItemId',id);
    	dataload(formData);
    	return false;
	}
	function CaptErr(id,st){
		var formData = getFormData_el('[data-dataform]');		
		formData.append('Up_CaptErr',$(st).val());
		formData.append('ItemId',id);
    	dataload(formData);
    	return false;
	}
	function show_loginhistory(id) {
    	$('#ajaxProgress').show();
    	$('#show_item').load('<?php echo X_URL.'/user/show_loginhistory'; ?>',{Id:id},function(){$('#ajaxProgress').hide();});
		return false;
	}
	function show_moneyhistory(id) {
    	$('#ajaxProgress').show();
    	$('#show_item').load('<?php echo X_URL.'/user/show_moneyhistory'; ?>',{Id:id},function(){$('#ajaxProgress').hide();});
		return false;
	}
</script>